DIN/ISO Programming

User’s Manual DIN/ISO Programming

Gültig für:
606420-04, 606421-04, 606424-04

Stand:
31.07.2014-de-

Copyright © 2014 DR. JOHANNES HEIDENHAIN GmbH. Alle Rechte vorbehalten.


Controls of the TNC

Weitere Informationen:
> Controls of the TNC


Controls of the TNC

Controls of the TNC

Weitere Informationen:
> Keys on visual display unit
> Alphanumeric keyboard
> Machine operating modes
> Programming modes
> Program/file management, TNC functions
> Navigation keys
> Potentiometer for feed rate and spindle speed
> Cycles, subprograms and program section repeats
> Tool functions
> Programming path movements
> Special functions / smarT.NC
> Coordinate axes and numbers: Entering and editing


Keys on visual display unit

Key | Function
 | Select split screen layout
 | Toggle the display between machining and programming modes
 | Soft keys for selecting functions on screen
 | Shift between soft-key rows


Alphanumeric keyboard

Key | Function
 | File names, comments
 | ISO programming


Machine operating modes

Key | Function
 | Manual Operation
 | Electronic Handwheel
 | smarT.NC
 | Positioning with Manual Data Input
 | Program Run, Single Block
 | Program Run, Full Sequence


Programming modes

Key | Function
 | Programming and Editing
 | Test Run


Program/file management, TNC functions

Key | Function
 | Select or delete programs and files, external data transfer
 | Define program call, select datum and point tables
 | Select MOD functions
 | Display help text for NC error messages, call TNCguide
 | Display all current error messages
 | Show calculator


Navigation keys

Key | Function
 | Move highlight
 | Go directly to blocks, cycles and parameter functions


Potentiometer for feed rate and spindle speed

Feed rate | Spindle speed


Cycles, subprograms and program section repeats

Key | Function
 | Define touch probe cycles
 | Define and call cycles
 | Enter and call labels for subprogramming and program section repeats
 | Enter program stop in a program


Tool functions

Key | Function
 | Define tool data in the program
 | Call tool data


Programming path movements

Key | Function
 | Approach/depart contour
 | FK free contour programming
 | Linear
 | Circle center/pole for polar coordinates
 | Circular arc with center
 | Circle with radius
 | Circular arc with tangential connection
 | Chamfer/Corner rounding


Special functions / smarT.NC

Key | Function
 | Show special functions
 | smarT.NC: Select next tab on form
 | smarT.NC: Select first input field in previous/next frame


Coordinate axes and numbers: Entering and editing

Key | Function
 | Select coordinate axes or enter them into the program
 | Numbers
 | Decimal point / Reverse algebraic sign
 | Polar coordinate input / Incremental values
 | Q-parameter programming / Q parameter status
 | Save actual position or values from calculator
 | Skip dialog questions, delete words
 | Confirm entry and resume dialog
 | Conclude block and exit entry
 | Clear numerical entry or TNC error message
 | Abort dialog, delete program section


About this manual

Weitere Informationen:
> About this manual
> TNC model, software and features
> New functions in 60642x‑01 since the predecessor versions 34049x-05
> New functions in version 60642x‑02
> New functions in version 60642x‑03
> New functions in version 60642x‑04
> Changed functions in 60642x‑01 since the predecessor versions 34049x-05
> Changed functions in version 60642x‑02
> Changed functions in version 60642x‑03
> Changed functions in version 60642x‑04


About this manual

About this manual

The symbols used in this manual are described below.

This symbol indicates that important information about the function described must be considered.

This symbol indicates that there is one or more of the following risks when using the described function:

  • Danger to workpiece
  • Danger to fixtures
  • Danger to tool
  • Danger to machine
  • Danger to operator

This symbol indicates that the described function must be adapted by the machine tool builder. The function described may therefore vary depending on the machine.

This symbol indicates that you can find detailed information about a function in another manual.
Weitere Informationen:
> Would you like any changes, or have you found any errors?


Would you like any changes, or have you found any errors?

We are continuously striving to improve our documentation for you. Please help us by sending your requests to the following e-mail address: tnc-userdoc@heidenhain.de.


TNC model, software and features

This manual describes functions and features provided by TNCs as of the following NC software numbers.

TNC model | NC software number
iTNC 530, HSCI and HEROS 5 | 606420-04
iTNC 530 E, HSCI and HEROS 5 | 606421-04
iTNC 530 programming station, HEROS 5 | 606424-04

    The suffix E indicates the export version of the TNC. The export versions of the TNC have the following limitations:

  • Simultaneous linear movement in up to 4 axes

HSCI (HEIDENHAIN Serial Controller Interface) identifies the new hardware platform of the TNC controls.

HEROS 5 identifies the operating system of HSCI-based TNC controls.

The machine tool builder adapts the usable features of the TNC to his machine by setting machine parameters. Some of the functions described in this manual may therefore not be among the features provided by the TNC on your machine tool.

    TNC functions that may not be available on your machine include:

  • Tool measurement with the TT

Please contact your machine tool builder to become familiar with the features of your machine.

Many machine manufacturers, as well as HEIDENHAIN, offer programming courses for the TNCs. We recommend these courses as an effective way of improving your programming skill and sharing information and ideas with other TNC users.

User's Manual for Cycle Programming:

All of the cycle functions (touch probe cycles and fixed cycles) are described in a separate manual. Please contact HEIDENHAIN if you require a copy of this User’s Manual. ID: 670388-xx

smarT.NC user documentation:

The smarT.NC operating mode is described in a separate Pilot. Please contact HEIDENHAIN if you require a copy of this Pilot. ID: 533191-xx.

Weitere Informationen:
> Software options
> Feature content level (upgrade functions)
> Intended place of operation
> Legal information


Software options

The iTNC 530 features various software options that can be enabled by you or your machine tool builder. Each option is to be enabled separately and contains the following respective functions:

Software option 1

Cylinder surface interpolation (Cycles 27, 28, 29 and 39)

Feed rate in mm/min for rotary axes: M116

Tilting the machining plane (Cycle 19, PLANE function and 3-D ROT soft key in the Manual operating mode)

Circle in 3 axes with tilted working plane
Software option 2

5-axis interpolation

Spline interpolation

3-D machining:

  • M114: Automatic compensation of machine geometry when working with swivel axes
  • M128: Maintaining the position of the tool tip when positioning with tilted axes (TCPM)
  • TCPM FUNCTION: Maintaining the position of the tool tip when positioning with tilted axes (TCPM) in selectable modes
  • M144: Compensating the machine’s kinematic configuration for ACTUAL/NOMINAL positions at end of block
  • Additional parameters for finishing/roughing and tolerance for rotary axes in Cycle 32 (G62)
  • LN blocks (3-D compensation)
DCM Collision software option | Description
Function that monitors areas defined by the machine manufacturer to prevent collisions. | Dynamic Collision Monitoring (software option)
DXF Converter software option | Description
Extract contours and machining positions from DXF files (R12 format). | Processing DXF files (software option)
Global Program Settings software option | Description
Function for superimposing coordinate transformations in the Program Run modes, handwheel superimposed traverse in virtual axis direction. | Global Program Settings (software option)
AFC software option | Description
Function for adaptive feed-rate control for optimizing the machining conditions during series production. | Adaptive Feed Control software option (AFC)
KinematicsOpt software option | Description
Touch-probe cycles for inspecting and optimizing the machine accuracy | User’s Manual for Cycles
Expanded Tool Management software option | Description
Tool management that can be changed by the machine manufacturer using Python scripts | Tool management (software option)
Interpolation Turning software option | Description
Interpolation turning of a shoulder with Cycle 290 | User’s Manual for Cycles
CAD Viewer software option | Description
Opening of 3-D models on the control | Opening 3-D CAD data (software option)
Remote Desktop Manager software option | Description
Remote operation of external computer units (e.g. a Windows PC) via the user interface of the TNC | Machine Manual
Cross Talk Compensation software option (CTC) | Description
Compensation of axis couplings | Machine Manual
Position Adaptive Control (PAC) software option | Description
Changing control parameters | Machine Manual
Load Adaptive Control (LAC) software option | Description
Dynamic changing of control parameters | Machine Manual
Active Chatter Control (ACC) software option | Description
Fully automatic function for chatter control during machining | Machine Manual


Feature content level (upgrade functions)

Along with software options, significant further improvements of the TNC software are managed via the Feature Content Level upgrade functions. Functions subject to the FCL are not available simply by updating the software on your TNC.

All upgrade functions are available to you without surcharge when you receive a new machine.

Upgrade functions are identified in the manual with FCL n, where n indicates the sequential number of the feature content level.

You can purchase a code number in order to permanently enable the FCL functions. For more information, contact your machine tool builder or HEIDENHAIN.

FCL 4 functions | Description
Graphical depiction of the protected space when DCM collision monitoring is active | Graphic depiction of the protected space (FCL4 function)
Handwheel superimposition in stopped condition when DCM collision monitoring is active | Collision monitoring in Automatic operation
3-D basic rotation (set-up compensation) | Machine Manual
FCL 3 functions | Description
Touch probe cycle for 3-D probing | User’s Manual for Cycles
Touch probe cycles for automatic datum setting using the center of a slot/ridge | User’s Manual for Cycles
Feed-rate reduction for the machining of contour pockets with the tool being in full contact with the workpiece | User’s Manual for Cycles
PLANE function: Entry of axis angle | Tilting the working plane through axis angle: PLANE AXIAL (FCL 3 function)
User documentation as a context-sensitive help system | The context-sensitive help system TNCguide (FCL3 function)
smarT.NC: Programming of smarT.NC and machining can be carried out simultaneously | Selecting smarT.NC programs
smarT.NC: Contour pocket on point pattern | smarT.NC Pilot
smarT.NC: Preview of contour programs in the file manager | smarT.NC Pilot
smarT.NC: Positioning strategy for machining point patterns | smarT.NC Pilot
FCL 2 functions | Description
3-D line graphics | 3-D line graphics (FCL2 function)
Virtual tool axis | Setting the current tool-axis direction as the active machining direction (FCL 2 function)
USB support of block devices (memory sticks, hard disks, CD-ROM drives) | Connecting/removing a USB device
Possibility of assigning different depths to each subcontour in the contour formula | User’s Manual for Cycles
Touch-probe cycle for global setting of touch-probe parameters | User’s Manual for Touch Probe Cycles
smarT.NC: Graphic support of block scan | smarT.NC Pilot
smarT.NC: Coordinate transformation | smarT.NC Pilot
smarT.NC: PLANE function | smarT.NC Pilot


Intended place of operation

The TNC complies with the limits for a Class A device in accordance with the specifications in EN 55022, and is intended for use primarily in industrially-zoned areas.


Legal information

This product uses open source software. Further information is available on the control under

  • Programming and Editing operating mode

  • MOD function

  • Legal information soft key


New functions in 60642x‑01 since the predecessor versions 34049x-05

  • Opening and editing of externally created files has been added (siehe Additional tools for management of external file types)
  • New functions in the task bar have been added (siehe Task bar)
  • Enhanced functions for configuration of the Ethernet interface (siehe Configuring the TNC)
  • Improvements regarding functional safety FS (option):
    • General information on functional safety (FS) (siehe Miscellaneous)
    • Explanation of terms (siehe Explanation of terms)
    • Checking the axis positions (siehe Checking the axis positions)
    • Activating feed-rate limitation (siehe Activating feed-rate limitation)
    • Improvements regarding the general status view of a TNC with functional safety (siehe Additional status displays)
  • The new HR 520 and HR 550 FS handwheels are supported (siehe Traversing with electronic handwheels)
  • New software option 3-D ToolComp: 3-D tool radius compensation depending on the tool’s contact angle on blocks with surface normal vectors (LN blocks)
  • 3-D line graphics now also possible in full-screen mode (siehe 3-D line graphics (FCL2 function))
  • A file selection dialog for selecting files in different NC functions and in the table view of the pallet table is available now (siehe Calling any program as a subprogram)
  • DCM: Saving and restoring of fixture situations
  • DCM: The form for test program generation now also contains icons and tooltips (siehe Checking the position of the measured fixture)
  • DCM, FixtureWizard: Touch points and probing sequence are shown more clearly now
  • DCM, FixtureWizard: Designations, touch points and measuring points can be shown or hidden as desired (siehe Operating FixtureWizard)
  • DCM, FixtureWizard: Chucking equipment and insertion points can now also be selected by mouse click
  • DCM: A library with standard chucking equipment is available now (siehe Fixture templates)
  • DCM: Tool carrier management (siehe Tool carrier management (DCM software option))
  • In the Test Run mode, the working plane can now be defined manually (siehe Setting a tilted working plane for the test run)
  • In Manual mode the RW-3D mode for position display is now also available (siehe Position display types)
  • Entries in the tool table TOOL.T (siehe Tool table: Standard tool data):
    • New DR2TABLE column for definition of a compensation table for tool radius compensation depending on the tool’s contact angle
    • New LAST_USE column, into which the TNC enters the date and time of the last tool call
  • Q parameter programming: QS string parameters can now also be used for jump addresses of conditional jumps, subprograms or program section repeats (siehe Calling a subprogram, siehe Calling a program section repeat and siehe Programming if-then decisions)
  • The generation of tool usage lists in the Program Run modes can be configured in a form (siehe Settings for the tool usage test)
  • The behavior during deletion of tools from the tool table can now be influenced via machine parameter 7263, siehe Editing tool tables
  • In the positioning mode TURN of the PLANE function you can now define a clearance height to which the tool is to be retracted before tilting to tool axis direction (siehe Automatic positioning: MOVE/TURN/STAY (entry is mandatory))
  • The following additional functions are now available in the expanded tool management (siehe Tool management (software option)):
    • Columns with special functions are also editable now
    • The form view of the tool data can now be exited with or without saving changed values
    • The table view now offers a search function
    • Indexed tools are now shown correctly in the form view
    • The tool sequence list includes more detailed information now
    • The loading and unloading list of the tool magazine can now be loaded and unloaded by drag and drop
    • Columns in the table view can be moved simply by drag and drop
  • Several special functions (SPEC FCT) are now available in the MDI operating mode (siehe Programming and executing simple machining operations)
  • There is a new manual probing cycle that can be used to compensate workpiece misalignments by rotating the rotary table (siehe Workpiece alignment using 2 points)
  • New touch probe cycle for calibrating a touch probe by means of a calibration sphere (see User's Manual for Cycle Programming)
  • KinematicsOpt: Better support for positioning of Hirth-coupled axes (see User's Manual for Cycle Programming)
  • KinematicsOpt: An additional parameter for determination of the backlash in a rotary axis was introduced (see User's Manual for Cycle Programming)
  • New Cycle 275 for Trochoidal Slot Milling (see User’s Manual for Cycle Programming)
  • In Cycle 241 "Single-Fluted Deep-Hole Drilling" it is now possible to define a dwell depth (see User's Manual for Cycle Programming)
  • The approach and departure behavior of Cycle 39 "Cylinder Surface Contour" can now be adjusted (see User's Manual for Cycle Programming)


New functions in version 60642x‑02

  • New function for opening 3-D data (software option) directly on the TNC Opening 3-D CAD data (software option)
  • Improvement of Dynamic Collision Monitoring (DCM):
    • The display of stepped tools has been improved
    • When you select tool carrier kinematics, the TNC now displays a graphical preview of the carrier kinematics (siehe Assigning the tool-carrier kinematics)
  • Extension of the functions for multiple axis machining:
    • In the Manual Operation mode you can now move the axes even if TCPM and Tilt Working Plane are active at the same time
    • You can now also change tools when M128/FUNCTION TCPM is active
  • File management: archiving of files in ZIP archives Archiving files
  • The nesting depth for program calls has been increased from 6 to 10 (siehe Nesting depth)
  • There is now a search function based on tool names available in the tool selection pop-up window (siehe Search for tool names in the selection window)
  • Improvements in pallet machining:
    • The new column fixture has been added to the pallet table to be able to activate fixtures automatically Pallet operation with tool-oriented machining
    • The new workpiece status SKIP has been added to the pallet table Setting up the pallet level
    • If a tool sequence list is created for a pallet table, the TNC now also checks whether all the NC programs of the pallet table are available (siehe Calling the tool management)
  • The new host computer operation was introduced (siehe Host computer operation)
  • The SELinux security software is available (siehe SELinux security software)
  • Improvements to the DXF converter:
    • Contours can now also be extracted from .H files (siehe Data transfer from plain-language programs)
    • Preselected contours can now also be selected in the tree structure (siehe Selecting and saving a contour)
    • A snap function facilitates contour selection
    • Extended status display (siehe Basic settings)
    • Adjustable background color (siehe Basic settings)
    • Display can be changed between 2-D and 3-D (siehe Basic settings)
  • Improvements to the global program settings (GS):
    • All the form data can now be set and reset under program control (siehe Technical requirements)
    • Handwheel superimposition value VT can be reset when tool is changed (siehe Virtual axis VT)
    • If the Swapping Axes function is active, it is now permitted to position to machine-based positions on the axes that have not been swapped
  • Improvements to the tool table TOOL.T:
    • Using the FIND ACTIVE TOOL NAMES soft key you can check whether identical tool names are defined in the tool table Editing tool tables
    • The input range of the delta values DL, DR and DR2 has been increased to 999.9999 mm Tool table: Standard tool data
  • The following additional functions are now available in the expanded tool management (siehe Tool management (software option)):
    • Importing of tool data in CSV format (siehe Importing tool data)
    • Exporting of tool data in CSV format (siehe Exporting tool data)
    • Marking and deleting of selectable tool data (siehe Deleting marked tool data)
    • Inserting of tool indices (siehe Operating the tool management)
  • New Cycle 225 ENGRAVING (see User’s Manual for Cycle Programming)
  • New Cycle 276 CONTOUR TRAIN (see User’s Manual for Cycle Programming)
  • New Cycle 290 INTERPOLATION TURNING (software option, see User’s Manual for Cycle Programming)
  • In the thread milling cycles 26x a separate feed rate is now available for tangential approach to the thread (see User’s Manual for Cycle Programming)
  • The following improvements were made to the KinematicsOpt cycles (see User’s Manual for Conversational Programming):
    • Newer, faster optimization algorithmIt is no longer necessary to run a separate measurement series for position optimization after angle optimizationReturn of the offset errors (change of machine datum) to the parameters Q147-149More plane measuring points for ball measurementRotary axes that are not configured are ignored by the TNC when executing the cycle


New functions in version 60642x‑03

  • New software option Active Chatter Control (ACC) (siehe Active Chatter Control (ACC; software option))
  • Improvement of Dynamic Collision Monitoring (DCM):
    • For the NC syntax SEL FIXTURE, the software now supports a selection window with file preview for selecting saved fixtures (siehe Loading fixtures under program control)
  • The nesting depth for program calls has been increased from 10 to 30 (siehe Nesting depth)
  • When using the second Ethernet interface for a machine network, you can now also configure a DHCP server to provide the machines with dynamic IP addresses General network settings
  • Machine parameter 7268.x can now be used to arrange or hide columns in the datum table List of general user parameters
  • The SEQ switch of the PLANE function can now also be assigned a Q parameter (siehe Selection of alternate tilting possibilities: SEQ +/– (entry optional))
  • Improvements to the NC editor:
    • Saving a program (siehe Deliberately saving changes)
    • Saving a program under another name (siehe Saving a program to a new file)
    • Canceling changes (siehe Undoing changes)
  • Improvements to the DXF converter:Processing DXF files (software option)
    • Improvements to the status bar
    • The DXF converter saves various pieces of information when it is exited and restores them when it is recalled
    • The desired file format can now be selected when saving contours and points
    • Machining positions can now also be saved to programs in conversational format
    • DXF converter now in new look and feel if the DXF file is directly opened via the file management
  • Improvements to the file management:
    • A preview function is now available in the file management (siehe Calling the file manager)
    • Additional setting possibilities are available in the file management (siehe Adapting the file manager)
  • Improvements to the global program settings (GS):
    • The limit plane function is now available (siehe Limit plane)
  • Improvements to the tool table TOOL.T:
    • The contents of table rows can be copied and pasted by using soft keys or shortcuts (siehe Editing functions)
    • The new column ACC was introduced (siehe Tool table: Standard tool data)
  • The following additional functions are now available in the expanded tool management:
    • Graphic depiction of tool type in the table view and in the tool data form (siehe Tool management (software option))
    • New function REFRESH VIEW for reinitializing a view if the data stock is inconsistent (siehe Operating the tool management)
    • New function "Fill in the table" during the import of tool data (siehe Importing tool data)
  • The additional status display now has a new tab, in which the range limits and the actual values of handwheel superimpositions are displayed (siehe Information on handwheel superimpositioning (POS HR tab))
  • A preview image that can be used to graphically select the startup position is now available for mid-program startup in a point table (siehe Mid-program startup (block scan))
  • With Cycle 256 RECTANGULAR STUD, a parameter is now available with which you can determine the approach position on the stud (see User's Manual for Cycle Programming).
  • With Cycle 257, CIRCULAR STUD, a parameter is now available with which you can determine the approach position on the stud (see User's Manual for Cycle Programming)


New functions in version 60642x‑04

  • A new NC syntax was introduced to control the adaptive feed rate (AFC) function (siehe Recording a teach-in cut)
  • You can now use the global settings to perform handwheel impositioning in a tilted coordinate system (siehe Handwheel superimposition)
  • Tool names in a TOOL CALL can now also be called via QS string parameters (siehe Calling tool data)
  • The nesting depth for program calls has been increased from 10 to 30 (siehe Nesting depth)
    • The new column ACC was introduced (siehe Tool table: Standard tool data)
  • The following new columns are available in the tool table:
    • Column OVRTIME: Definition of the maximum permitted overrun of service life (siehe Tool table: Standard tool data)
    • Column P4: Possibility for transferring a value to the PLC (siehe Tool table: Standard tool data)
    • Column CR: Possibility for transferring a value to the PLC (siehe Tool table: Standard tool data)
    • Column CL: Possibility for transferring a value to the PLC (siehe Tool table: Standard tool data)
  • DXF converter:
    • Bookmarks can be inserted when saving (siehe Bookmarks)
  • Cycle 25: Automatic detection of residual material added (see User’s Manual for Cycle Programming)
  • Cycle 200: Input parameter Q359 for specifying the depth reference added (see User’s Manual for Cycle Programming)
  • Cycle 203: Input parameter Q359 for specifying the depth reference added (see User’s Manual for Cycle Programming)
  • Cycle 205: Input parameter Q208 for the retraction feed rate added (see User’s Manual for Cycle Programming)
  • Cycle 205: Input parameter Q359 for specifying the depth reference added (see User’s Manual for Cycle Programming)
  • Cycle 225: Umlauts can now be entered, text can now now also be aligned diagonally (see User’s Manual for Cycle Programming)
  • Cycle 253: Input parameter Q439 for feed rate reference added (see User’s Manual for Cycle Programming)
  • Cycle 254: Input parameter Q439 for feed rate reference added (see User’s Manual for Cycle Programming)
  • Cycle 276: Automatic detection of residual material added (see User’s Manual for Cycle Programming)
  • Cycle 290: Cycle 290 can be used to produce a recess (see User's Manual for Cycle Programming)
  • Cycle 404: Input parameter Q305 added in order to save a basic rotation in any row of the preset table (see User's Manual for Cycle Programming)


Changed functions in 60642x‑01 since the predecessor versions 34049x-05

  • In the calibration menus for touch probe length and radius, the number and name of the active tool are also displayed now (if the calibration data from the tool table are to be used, MP7411 = 1, siehe Managing more than one block of calibration data)
  • During tilting in the Distance-To-Go mode, the PLANE function now shows the angle actually left to be traversed until the target position (siehe Position display)
  • The approach behavior during side finishing with Cycle 24 (DIN/ISO: G124) was changed (see User's Manual for Cycle Programming)


Changed functions in version 60642x‑02

  • Tool names can now be defined with 32 characters (siehe Tool numbers and tool names)
  • Improved and simplified operation by mouse and touchpad in all graphics windows (siehe Functions of the 3-D line graphics)
  • Various pop-up windows have been redesigned
  • If you do a Test Run without calculating the machining time, the TNC generates a tool usage file nevertheless (siehe Tool usage test)
  • The size of the Service ZIP files has been increased to 40 MB (siehe Generating service files)
  • M124 can now be deactivated by entering M124 without T (siehe Do not include points when executing non-compensated line blocks: M124)
  • The Preset Table soft key has been renamed to Datum Management
  • The SAVE PRESET soft key has been renamed to SAVE ACTIVE PRESET


Changed functions in version 60642x‑03

  • Various pop-up windows (e.g. measuring log windows, FN16 windows) have been redesigned. These windows now feature a scroll bar and can be moved on the screen using the mouse
  • A basic rotation can now also be probed with inclined rotary axes (siehe Introduction)
  • The values in the datum table are now displayed in inches if the position display is set to INCH (siehe Management of presets with the preset table)


Changed functions in version 60642x‑04

  • DXF converter:
    • The direction of a contour is now already determined by the first click on the first contour element (siehe Selecting and saving a contour)
    • Multiple drill positions already selected can be deselected by pressing the CTRL key while pulling the mouse (siehe Quick selection of hole positions in an area defined by the mouse)
  • The TNC shows the drives in the file manager in a specified sequence (siehe Calling the file manager)
  • The TNC evaluates the PITCH column of the tool table in connection with tapping cycles (siehe Tool table: Standard tool data)


First Steps with the iTNC 530

Weitere Informationen:
> Overview
> Machine switch-on
> Programming the first part
> Graphically testing the first part
> Setting up tools
> Workpiece setup
> Running the first program


Overview

This chapter is intended to help TNC beginners quickly learn to handle the most important procedures. For more information on a respective topic, see the section referred to in the text.

    The following topics are included in this chapter:

  • Machine switch-on
  • Programming the first part
  • Graphically testing the first part
  • Setting up tools
  • Workpiece setup
  • Running the first program


Machine switch-on

Weitere Informationen:
> Acknowledging the power interruption and moving to the reference points


Acknowledging the power interruption and moving to the reference points

Switch-on and crossing the reference points can vary depending on the machine tool. Your machine manual provides more detailed information.

  • Switch on the power supply for control and machine. The TNC starts the operating system. This process may take several minutes. Then the TNC will display the message "Power interrupted" in the screen header

Press the CE key: The TNC compiles the PLC program

Switch on the control voltage: The TNC checks operation of the emergency stop circuit and goes into the reference run mode

Cross the reference points manually in the displayed sequence: For each axis press the machine START button. If you have absolute linear and angle encoders on your machine there is no need for a reference run

The TNC is now ready for operation in the Manual Operation mode.

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Traversing the reference marks: Siehe Switch-on
  • Operating modes: Siehe Programming and Editing


Programming the first part

Weitere Informationen:
> Selecting the correct operating mode
> The most important TNC keys
> Creating a new program/file management
> Defining a workpiece blank
> Program layout
> Programming a simple contour
> Creating a cycle program


Selecting the correct operating mode

You can write programs only in the Programming and Editing mode:

Press the operating modes key: The TNC goes into the Programming and Editing mode

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes: Siehe Programming and Editing


The most important TNC keys

Functions for conversational guidance | Key
Confirm entry and activate the next dialog prompt |
Ignore the dialog question |
End the dialog immediately |
Abort dialog, discard entries |
Soft keys on the screen with which you select functions appropriate to the active state |
Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Writing and editing programs: Siehe Editing a program
  • Overview of keys: Siehe Controls of the TNC


Creating a new program/file management

Press the PGM MGT key: The TNC opens the file manager. The file management of the TNC is arranged much like the file management on a PC with the Windows Explorer. The file management enables you to manipulate data on the TNC hard disk

Use the arrow keys to select the folder in which you want to open the new file

Enter a file name with the extension .i: The TNC then automatically opens a program and asks for the unit of measure for the new program. Please note the restrictions regarding special characters in the file name (siehe File names)

To select the unit of measure, press the MM or INCH soft key: The TNC automatically starts the workpiece blank definition (siehe Defining a workpiece blank)

The TNC automatically generates the first and last blocks of the program. Afterwards you can no longer change these blocks.

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • File management: Siehe Working with the file manager
  • Creating a new program: Siehe Creating and writing programs


Defining a workpiece blank

Immediately after you have created a new program, the TNC starts the dialog for entering the workpiece blank definition. Always define the workpiece blank as a cuboid by entering the MIN and MAX points, each with reference to the selected reference point.

After you have created a new program, the TNC automatically initiates the workpiece blank definition and asks for the required data:

  • Spindle axis Z - Plane XY?: Enter the active spindle axis. G17 is saved as default setting. Accept with the ENT key

  • Coordinates?: Smallest X coordinate of the workpiece blank with respect to the reference point, e.g. 0. Confirm with the ENT key

  • Coordinates?: Smallest Y coordinate of the workpiece blank with respect to the reference point, e.g. 0. Confirm with the ENT key

  • Coordinates?: Smallest Z coordinate of the workpiece blank with respect to the reference point, e.g. -40. Confirm with the ENT key

  • Coordinates?: Largest X coordinate of the workpiece blank with respect to the reference point, e.g. 100. Confirm with the ENT key

  • Coordinates?: Largest Y coordinate of the workpiece blank with respect to the reference point, e.g. 100. Confirm with the ENT key

  • Coordinates?: Largest Z coordinate of the workpiece blank with respect to the reference point, e.g. 0. Confirm with the ENT key

Example NC blocks
%new g71 *
n10 g30 g17 x+0 y+0 z-40 *
n20 G31 x+100 y+100 z+0 *
n99999999 %new G71 *
Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Defining the workpiece blank: Creating a new part program


Program layout

NC programs should be arranged consistently in a similar manner. This makes it easier to find your place, accelerates programming and reduces errors.

Weitere Informationen:
> Recommended program layout for simple, conventional contour machining
> Recommended program layout for simple cycle programs


Recommended program layout for simple, conventional contour machining
Beispiel: Layout of contour machining programs
%excont g71 *
n10 g30 g71 x... y... z... *
n20 g31 x... y... z... *
n30 t5 g17 s5000 *
n40 g00 g40 g90 z+250 *
n50 x... y... *
n60 g01 z+10 f3000 m13 *
n70 x... y... rl f500 *
...
n160 g40 ... x... y... f3000 m9 *
n170 g00 z+250 m2 *
n99999999 excont g71 *
  1. Call the tool, define the tool axis
  2. Retract the tool
  3. Preposition the tool in the working plane near the contour starting point
  4. In the tool axis, position the tool above the workpiece, or preposition immediately to workpiece depth. If required, switch on the spindle/coolant
  5. Approach the contour
  6. Machine the contour
  7. Depart the contour
  8. Retract the tool, end the program
Weitere Informationen:
> Further information on this topic:


Further information on this topic:
  • Contour programming: Siehe Tool movements


Recommended program layout for simple cycle programs
Beispiel: Cycle program layout
%excyc g71 *
n10 g30 g71 x... y... z... *
n20 g31 x... y... z... *
n30 t5 g17 s5000 *
n40 g00 g40 g90 z+250 *
n50 g200... *
n60 x... y... *
n70 g79 m13 *
n80 g00 z+250 m2 *
n99999999 excyc g71 *
  1. Call the tool, define the tool axis
  2. Retract the tool
  3. Define the fixed cycle
  4. Move to the machining position
  5. Call the cycle, switch on the spindle/coolant
  6. Retract the tool, end the program
Weitere Informationen:
> Further information on this topic:


Further information on this topic:
  • Cycle programming: See User’s Manual for Cycles


Programming a simple contour

The contour shown to the right is to be milled once to a depth of 5 mm. You have already defined the workpiece blank. After you have initiated a dialog through a function key, enter all the data requested by the TNC in the screen header.

Call the tool: Enter the tool data. Confirm each of your entries with the ENT key. Do not forget the tool axis

Retract the tool: Press the orange axis key Z in order to get clear in the tool axis, and enter the value for the position to be approached, e.g. 250. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Confirm Miscellaneous function M? with the END key: The TNC saves the entered positioning block

Preposition the tool in the working plane: Press the orange X axis key and enter the value for the position to be approached, e.g. –20

Press the orange Y axis key and enter the value for the position to be approached, e.g. –20. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Confirm Miscellaneous function M? with the END key: The TNC saves the entered positioning block

Move the tool to workpiece depth: Press the orange axis key and enter the value for the position to be approached, e.g. –5. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Feed rate F=? Enter the positioning feed rate, e.g. 3000 mm/min and confirm with the ENT key

Miscellaneous function M? Switch on the spindle and coolant, e.g. M13. Confirm with the END key: The TNC saves the entered positioning block

Move to the contour: Define the rounding radius of the approaching arc

Machine the contour and move to contour point 2: You only need to enter the information that changes. In other words, enter only the Y coordinate 95 and save your entry with the END key

Move to contour point 3: Enter the X coordinate 95 and save your entry with the END key

Define the chamfer at contour point 3: Enter the chamfer width 10 mm and save with the END key

Move to contour point 4: Enter the Y coordinate 5 and save your entry with the END key

Define the chamfer at contour point 4: Enter the chamfer width 20 mm and save with the END key

Move to contour point 1: Enter the X coordinate 5 and save your entry with the END key

Depart the contour: Define the rounding radius of the departing arc

Retract the tool: Press the orange axis key Z in order to get clear in the tool axis, and enter the value for the position to be approached, e.g. 250. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Miscellaneous function M? Enter M2 to end the program and confirm with the END key: The TNC saves the entered positioning block

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Complete example with NC blocks: Siehe
  • Creating a new program: Siehe Creating and writing programs
  • Approaching/departing contours: Siehe Contour approach and departure
  • Programming contours: Siehe Overview of path functions
  • Tool radius compensation: Siehe Tool radius compensation
  • Miscellaneous functions (M): Siehe Miscellaneous functions for program run control, spindle and coolant


Creating a cycle program

The holes (depth of 20 mm) shown in the figure at right are to be drilled with a standard drilling cycle. You have already defined the workpiece blank.

Call the tool: Enter the tool data. Confirm each of your entries with the ent key. Do not forget the tool axis

Retract the tool: Press the orange axis key Z in order to get clear in the tool axis, and enter the value for the position to be approached, e.g. 250. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Confirm Miscellaneous function M? with the END key: The TNC saves the entered positioning block

Call the cycle menu

Display the drilling cycles

Select the standard drilling cycle 200: The TNC starts the dialog for cycle definition. Enter all parameters requested by the TNC step by step and conclude each entry with the ENT key. In the screen to the right, the TNC also displays a graphic showing the respective cycle parameter

Move to the first drilling position: Enter the coordinates of the drilling position, switch on the coolant and spindle, and call the cycle with M99

Move to the subsequent drilling positions: Enter the coordinates of the respective drilling positions, and call the cycle with M99

Retract the tool: Press the orange axis key Z in order to get clear in the tool axis, and enter the value for the position to be approached, e.g. 250. Confirm with the ENT key

Confirm Radius comp.: RL/RR/no comp? by pressing the ENT key: Do not activate the radius compensation

Miscellaneous function M? Enter M2 to end the program and confirm with the END key: The TNC saves the entered positioning block

Example NC blocks
%C200 G71 * |
n10 g30 g17 X+0 Y+0 Z-40 * | Definition of workpiece blank
n20 g31 X+100 Y+100 Z+0 * |
n30 T5 g17 S4500 * | Tool call
n40 g00 g40 g90 Z+250 * | Retract the tool
n50 g200 DRILLING | Define the cycle
Q200=2 ;SET-UP CLEARANCE |
Q201=-20 ;DEPTH |
Q206=250 ;FEED RATE FOR PLNGNG |
Q202=5 ;PLUNGING DEPTH |
Q210=0 ;DWELL TIME AT TOP |
Q203=-10 ;SURFACE COORDINATE |
Q204=20 ;2ND SET-UP CLEARANCE |
Q211=0.2 ;DWELL TIME AT DEPTH |
n60 x+10 y+10 m13 m99 * | Spindle and coolant on, call the cycle
n70 x+10 y+90 m99 * | Call the cycle
n80 x+90 y+10 m99 * | Call the cycle
n90 x+90 y+90 m99 * | Call the cycle
n100 g00 Z+250 M2 * | Retract the tool, end program
n99999999 %c200 g71 * |
Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Creating a new program: Siehe Creating and writing programs
  • Cycle programming: See User’s Manual for Cycles


Graphically testing the first part

Weitere Informationen:
> Selecting the correct operating mode
> Selecting the tool table for the test run
> Choosing the program you want to test
> Selecting the screen layout and the view
> Starting the test run


Selecting the correct operating mode

You can test programs only in the Test Run mode:

Press the Test Run operating mode key: the TNC switches to that mode

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes of the TNC: Siehe Operating modes
  • Testing programs: Siehe Test Run


Selecting the tool table for the test run

You only need to execute this step if you have not activated a tool table in the Test Run mode.

Press the PGM MGT key: The TNC opens the file manager

Press the select type soft key: The TNC shows a soft-key menu for selection of the file type to be displayed

Press the SHOW ALL soft key: The TNC shows all saved files in the right window

Move the highlight to the left onto the directories

Move the highlight to the TNC:\ directory

Move the highlight to the right onto the files

Move the highlight to the file TOOL.T (active tool table) and load with the ENT key: TOOL.T receives the status S and is therefore active for the test run

Press the END key: Exit the file manager

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Tool management: Siehe Entering tool data in the table
  • Testing programs: Siehe Test Run


Choosing the program you want to test

Press the PGM MGT key: The TNC opens the file manager

Press the LAST FILES soft key: The TNC opens a pop-up window with the most recently selected files

Use the arrow keys to select the program that you want to test. Load with the ENT key

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Selecting a program: Siehe Working with the file manager


Selecting the screen layout and the view

Press the key for selecting the screen layout. The TNC shows all available alternatives in the soft-key row

Press the PROGRAM + GRAPHICS soft key: In the left half of the screen the TNC shows the program; in the right half it shows the workpiece blank

Select the desired view via soft key

Plan view

Projection in three planes

3-D view

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Graphic functions: Siehe Graphics
  • Running a test run: Siehe Test Run


Starting the test run

Press the reset + start soft key: The TNC simulates the active program up to a programmed break or to the program end

While the simulation is running, you can use the soft keys to change views

Press the stop soft key: The TNC interrupts the test run

Press the START soft key: the TNC resumes the test run after an interruption.

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Running a test run: Siehe Test Run
  • Graphic functions: Siehe Graphics
  • Adjusting the test speed: Siehe Setting the speed of the test run


Setting up tools

Weitere Informationen:
> Selecting the correct operating mode
> Preparing and measuring tools
> The tool table TOOL.T
> The pocket table TOOL_P.TCH


Selecting the correct operating mode

Tools are set up in the Manual Operation mode:

Press the Manual Operation operating mode key: the TNC switches to that mode

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes of the TNC: Siehe Operating modes


Preparing and measuring tools

  • Clamp the required tools in their chucks

  • When measuring with an external tool presetter: Measure the tools, note down the length and radius, or transfer them directly to the machine through a transfer program

  • When measuring on the machine: store the tools in the tool changer The pocket table TOOL_P.TCH


The tool table TOOL.T

In the tool table TOOL.T (permanently saved under TNC:\), save the tool data such as length and radius, but also further tool-specific information that the TNC needs to conduct its functions.

To enter tool data in the tool table TOOL.T, proceed as follows:

Display the tool table

Edit the tool table: Set the EDITING soft key to ON

With the upward or downward arrow keys you can select the tool number that you want to edit

With the rightward or leftward arrow keys you can select the tool data that you want to edit

To exit the tool table, press the END key

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes of the TNC: Siehe Operating modes
  • Working with the tool table: Siehe Entering tool data in the table


The pocket table TOOL_P.TCH

The function of the pocket table depends on the machine. Your machine manual provides more detailed information.

In the pocket table TOOL_P.TCH (permanently saved under TNC:\) you specify which tools your tool magazine contains.

To enter data in the pocket table TOOL_P.TCH, proceed as follows:

Display the tool table

Display the pocket table

Edit the pocket table: Set the EDITING soft key to ON

With the upward or downward arrow keys you can select the pocket number that you want to edit

With the rightward or leftward arrow keys you can select the data that you want to edit

To leave the pocket table, press the END key

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes of the TNC: Siehe Operating modes
  • Working with the pocket table: Siehe Pocket table for tool changer


Workpiece setup

Weitere Informationen:
> Selecting the correct operating mode
> Clamping the workpiece
> Aligning the workpiece with a touch probe
> Datum setting with a touch probe


Selecting the correct operating mode

Workpieces are set up in the Manual Operation or Electronic Handwheel mode

Press the Manual Operation operating mode key: the TNC switches to that mode

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Manual Operation mode: Siehe Moving the machine axes


Clamping the workpiece

Mount the workpiece with a fixture on the machine table. If you have a touch probe on your machine, then you do not need to clamp the workpiece parallel to the axes.

If you do not have a touch probe available, you have to align the workpiece so that it is fixed with its edges parallel to the machine axes.


Aligning the workpiece with a touch probe

  • Insert the touch probe: In the Manual Data Input (MDI) operating mode, run a TOOL CALL block containing the tool axis, and then return to the Manual Operation mode (in MDI mode you can run an individual NC block independently of the others)

Select the probing functions: The TNC displays all available functions in the soft-key row

Measure the basic rotation: The TNC displays the basic rotation menu. To identify the basic rotation, probe two points on a straight surface of the workpiece

Use the axis-direction keys to preposition the touch probe to a position near the first contact point

Select the probing direction via soft key

Press NC start: The touch probe moves in the defined direction until it contacts the workpiece and then automatically returns to its starting point

Use the axis-direction keys to preposition the touch probe to a position near the second contact point

Press NC start: The touch probe moves in the defined direction until it contacts the workpiece and then automatically returns to its starting point

Then the TNC shows the measured basic rotation

Press the END key to close the menu and then answer the question of whether the basic rotation should be transferred to the preset table by pressing the NO ENT key (no transfer)

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • MDI operating mode: Siehe Programming and executing simple machining operations
  • Workpiece alignment: Siehe Compensating workpiece misalignment with a 3-D touch probe


Datum setting with a touch probe

  • Insert the touch probe: In the MDI mode, run a TOOL CALL block containing the tool axis and then return to the Manual Operation mode

Select the probing functions: The TNC displays all available functions in the soft-key row

Set the reference point at a workpiece corner, for example: The TNC asks whether the probe points from the previously measured basic rotation should be loaded. Press the ENT key to load points

Position the touch probe at a position near the first touch point of the side that was not probed for basic rotation

Select the probing direction via soft key

Press NC start: The touch probe moves in the defined direction until it contacts the workpiece and then automatically returns to its starting point

Use the axis-direction keys to preposition the touch probe to a position near the second contact point

Press NC start: The touch probe moves in the defined direction until it contacts the workpiece and then automatically returns to its starting point

Then the TNC shows the coordinates of the measured corner point

Set to 0: Press the SET DATUM soft key

Press the END to close the menu

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Datum setting: Siehe Workpiece presetting with a touch probe


Running the first program

Weitere Informationen:
> Selecting the correct operating mode
> Choosing the program you want to run
> Start the program


Selecting the correct operating mode

You can run programs either in the Single Block or the Full Sequence mode:

Press the operating mode key: The TNC goes into the Program Run, Single Block mode and the TNC executes the program block by block. You have to confirm each block with the NC start key

Press the Program Run, Full Sequence operating mode key: The TNC switches to that mode and runs the program after NC start up to a program interruption or to the end of the program

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Operating modes of the TNC: Siehe Operating modes
  • Running programs: Siehe Program Run


Choosing the program you want to run

Press the PGM MGT key: The TNC opens the file manager

Press the LAST FILES soft key: The TNC opens a pop-up window with the most recently selected files

If desired, use the arrow keys to select the program that you want to run. Load with the ENT key

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • File management: Siehe Working with the file manager


Start the program

Press the NC start key: The TNC runs the active program

Weitere Informationen:
> Further information on this topic


Further information on this topic
  • Running programs: Siehe Program Run


Introduction

Weitere Informationen:
> The iTNC 530
> Visual display unit and keyboard
> Operating modes
> Status displays
> Window manager
> SELinux security software
> Accessories: HEIDENHAIN touch probes and electronic handwheels


The iTNC 530

HEIDENHAIN TNC controls are workshop-oriented contouring controls that enable you to program conventional machining operations right at the machine in an easy-to-use conversational programming language. They are designed for milling, drilling and boring machines, as well as for machining centers. The iTNC 530 can control up to 18 axes. You can also change the angular position of up to 2 spindles under program control.

An integrated hard disk provides storage for as many programs as you like, even if they were created off-line. For quick calculations you can call up the on-screen pocket calculator at any time.

Keyboard and screen layout are clearly arranged in such a way that the functions are fast and easy to use.

Weitere Informationen:
> Programming: HEIDENHAIN conversational, smarT.NC and ISO formats
> Compatibility


Programming: HEIDENHAIN conversational, smarT.NC and ISO formats

The HEIDENHAIN conversational programming format is an especially easy method of writing programs. Interactive graphics illustrate the individual machining steps for programming the contour. If a production drawing is not dimensioned for NC, the FK free contour programming feature performs the necessary calculations automatically. Workpiece machining can be graphically simulated either during or before actual machining.

The smarT.NC operating mode offers TNC beginners an especially simple possibility to quickly and without much training create structured conversational dialog programs. Separate user documentation is available for smarT.NC.

It is also possible to program the TNCs in ISO format or DNC mode.

You can also enter and test one program while the control is running another.


Compatibility

The TNC can run all part programs that were written on -HEIDENHAIN contouring controls starting from the TNC 150 B. In as much as old TNC programs contain OEM cycles, the iTNC 530 must be adapted to them with the PC software CycleDesign. For more information, contact your machine tool builder or HEIDENHAIN.


Visual display unit and keyboard

Weitere Informationen:
> Visual display unit
> Set the screen layout
> Operating panel


Visual display unit

The TNC is shipped with a 15-inch color flat-panel screen. A 19-inch color flat-panel screen is also available as an alternative.

1 | Header When the TNC is on, the selected operating modes are shown in the screen header: the machining mode at the left and the programming mode at right. The currently active operating mode is displayed in the larger box, where the dialog prompts and TNC messages also appear (unless the TNC is showing only graphics).
2 | Soft keys In the footer the TNC indicates additional functions in a soft-key row. You can select these functions by pressing the keys immediately below them. The lines immediately above the soft-key row indicate the number of soft-key rows that can be called with the black arrow keys to the right and left. The bar representing the active soft-key row is highlighted. The15-inch screen has 8 soft keys, the 19-inch screen has 10 soft keys.
3 | Soft-key selection keys
4 | Shift between soft-key rows
5 | Setting the screen layout
6 | Shift key for switchover between machining and programming modes
7 | Soft-key selection keys for machine tool builder soft keys The15-inch screen has 6 soft keys, the 19-inch screen has 18 soft keys.
8 | Switching the soft-key rows for machine tool builders


Set the screen layout

You select the screen layout yourself: In the PROGRAMMING AND EDITING mode of operation, for example, you can have the TNC show program blocks in the left window while the right window displays programming graphics. You could also display the program structure in the right window instead, or display only program blocks in one large window. The available screen windows depend on the selected operating mode.

To change the screen layout:

Press the screen layout key: The soft-key row shows the available layout options (siehe Operating modes)

Select the desired screen layout


Operating panel

The TNC is available with different operating panels. The figures show the controls and displays of the TE 730 (15") and TE 740 (19") operating panels:

1

Alphabetic keyboard for entering texts and file names, and for ISO programming.

Dual-processor version: Additional keys for Windows operation

2
  • File management
  • Calculator
  • MOD function
  • HELP function

3

Programming modes

4

Machine operating modes

5

Initiation of programming dialogs

6

Navigation keys and GOTO jump command

7

Numerical input and axis selection

8

Touchpad

9

smarT.NC navigation keys

10

USB connection

The functions of the individual keys are described on the inside front cover.

Some machine manufacturers do not use the standard operating panel from HEIDENHAIN. Please refer to your machine manual in these cases.

Machine panel buttons, e.g. NC START or NC STOP, are also described in the manual for your machine tool.


Operating modes

Weitere Informationen:
> Manual Operation and El. Handwheel
> Positioning with Manual Data Input
> Programming and Editing
> Test Run
> Program Run, Full Sequence and Program Run, Single Block


Manual Operation and El. Handwheel

The Manual Operation mode is required for setting up the machine tool. In this mode of operation, you can position the machine axes manually or by increments, set the datums, and tilt the working plane.

The El. Handwheel mode of operation allows you to move the machine axes manually with the HR electronic handwheel.

Soft keys for selecting the screen layout (select as described previously)

Window | Soft key
Positions |
Left: positions, right: status display |
Left: positions, right: active collision objects (FCL4 function). |


Positioning with Manual Data Input

This mode of operation is used for programming simple traversing movements, such as for face milling or prepositioning.

Soft keys for selecting the screen layout

Window | Soft key
Program |
Left: program blocks, right: status display |
Left: program blocks, right: active collision objects (FCL4 function). If this view is selected, then the TNC indicates a collision with a red frame around the graphics window. |


Programming and Editing

In this mode of operation you can write your part programs. The FK free programming feature, the various cycles and the Q parameter functions help you with programming and add necessary information. If desired, the programming graphics or the 3-D line graphics (FCL 2 function) display the programmed traverse paths.

Soft keys for selecting the screen layout

Window | Soft key
Program |
Left: program, right: program structure |
Left: program, right: programming graphics |
Left: program blocks, right: 3-D line graphics |
3-D line graphics |


Test Run

In the Test Run mode of operation, the TNC checks programs and program sections for errors, such as geometrical incompatibilities, missing or incorrect data within the program or violations of the working space. This simulation is supported graphically in different display modes.

With the dynamic collision monitoring (DCM) software option you can test the program for potential collisions. As during program run, the TNC takes into account all permanent machine components defined by the machine manufacturer as well as all measured fixtures.

Soft keys for selecting the screen layout: siehe Program Run, Full Sequence and Program Run, Single Block.


Program Run, Full Sequence and Program Run, Single Block

In the Program Run, Full Sequence mode of operation the TNC executes a part program continuously to its end or to a manual or programmed stop. You can resume program run after an interruption.

In the Program Run, Single Block mode of operation you execute each block separately by pressing the machine START button.

Soft keys for selecting the screen layout

Window | Soft key
Program |
Left: program, right: program structure |
Left: program, right: status |
Left: program, right: graphics |
Graphics |
Left: program blocks, right: active collision objects (FCL4 function). If this view is selected, then the TNC indicates a collision with a red frame around the graphics window. |
Active collision objects (FCL4 function). If this view is selected, then the TNC indicates a collision with a red frame around the graphics window. |

Soft keys for selecting the screen layout for pallet tables

Window | Soft key
Pallet table |
Left: program, right: pallet table |
Left: pallet table, right: status |
Left: pallet table, right: graphics |


Status displays

Weitere Informationen:
> "General" status display
> Additional status displays


"General" status display

    The status display in the lower part of the screen informs you of the current state of the machine tool. It is displayed automatically in the following modes of operation:

  • Program Run, Single Block and Program Run, Full Sequence, except if the screen layout is set to display graphics only, and
  • Positioning with Manual Data Input (MDI).

In the Manual Operation and El. Handwheel modes the status display appears in the large window.

Information in the status display

Symbol | Meaning
 | Actual or nominal coordinates of the current position
 | Machine axes; the TNC displays auxiliary axes in lower-case letters. The sequence and quantity of displayed axes is determined by the machine tool builder. Refer to your machine manual for more information
 | The displayed feed rate in inches corresponds to one tenth of the effective value. Spindle speed S, feed rate F and active M functions
 | Program run started
 | Axis is locked
 | Axis can be moved with the handwheel
 | Axes are moving under a basic rotation
 | Axes are moving in a tilted working plane
 | The M128 function or TCPM FUNCTION is active
 | Dynamic Collision Monitoring (DCM) is active
 | Adaptive Feed Function (AFC) is active (software option)
 | One or more global program settings are active (software option)
 | Active Chatter Control (ACC) is active (software option)
 | Cross Talk Compensation (CTC) for compensation of acceleration-dependent position errors is active (software option)
 | Number of the active presets from the preset table. If the preset was set manually, the TNC displays the text MAN behind the symbol


Additional status displays

The additional status displays contain detailed information on the program run. They can be called in all operating modes except for the Programming and Editing mode of operation.

Weitere Informationen:
> To switch on the additional status display:
> To select an additional status display:
> Overview
> General program information (PGM tab)
> General pallet information (PAL tab)
> Program section repeat/Subprograms (LBL tab)
> Information on standard cycles (CYC tab)
> Active miscellaneous functions M (M tab)
> Positions and coordinates (POS tab)
> Information on handwheel superimpositioning (POS HR tab)
> Information on tools (TOOL tab)
> Tool measurement (TT tab)
> Coordinate transformations (TRANS tab)
> Global program settings 1 (GPS1 tab, software option)
> Global program settings 2 (GPS2 tab, software option)
> Adaptive Feed Control (AFC tab, software option)


To switch on the additional status display:

Call the soft-key row for screen layout

Select the screen layout with additional status display: In the right half of the screen, the TNC shows the Overview status form


To select an additional status display:

Switch the soft-key rows until the STATUS soft keys appear

Either select the additional status display directly by soft key, e.g. positions and coordinates, or

use the switch-over soft keys to select the desired view

The available status displays described below can be selected either directly by soft key or with the switch-over soft keys.

Please note that some of the status information described below is not available unless the associated software option is enabled on your TNC.


Overview

After switch-on, the TNC displays the Overview status form, provided that you have selected the PROGRAM+STATUS screen layout (or POSITION + STATUS). The overview form contains a summary of the most important status information, which you can also find on the various detail forms.

Soft key | Meaning
 | Position display in up to 5 axes
 | Tool information
 | Active M functions
 | Active coordinate transformations
 | Active subprogram
 | Active program section repeat
 | Program called with PGM CALL
 | Current machining time
 | Name of the active main program


General program information (PGM tab)
Soft key | Meaning
No direct selection possible | Name of the active main program
 | Circle center CC (pole)
 | Dwell time counter
 | Machining time when the program was completely simulated in the Test Run operating mode
 | Current machining time in percent
 | Current time
 | Current feed rate
 | Active programs


General pallet information (PAL tab)
Soft key | Meaning
No direct selection possible | Number of the active pallet preset


Program section repeat/Subprograms (LBL tab)
Soft key | Meaning
No direct selection possible | Active program section repeats with block number, label number, and number of programmed repeats/repeats yet to be run
 | Active subprogram numbers with block number in which the subprogram was called and the label number that was called


Information on standard cycles (CYC tab)
Soft key | Meaning
No direct selection possible | Active machining cycle
 | Active values of Cycle G62 Tolerance


Active miscellaneous functions M (M tab)
Soft key | Meaning
No direct selection possible | List of the active M functions with fixed meaning
 | List of the active M functions that are adapted by your machine manufacturer


Positions and coordinates (POS tab)
Soft key | Meaning
 | Type of position display, e.g. actual position
 | Value traversed in virtual axis direction VT (only with "Global Program Settings" software option)
 | Tilt angle of the working plane
 | Angle of a basic rotation


Information on handwheel superimpositioning (POS HR tab)
Soft key Meaning

No direct selection possible
  • Axis display: Display of all active machine axes (VT = Virtual axis)
  • Max. value display:
    Maximum permissible traverse range in the respective axis (defined with M118 or global program settings)
  • Actual value display:
    Actual value traversed in the respective axis using handwheel superimpositioning


Information on tools (TOOL tab)
Soft key Meaning

  • T: Tool number and name
  • RT: Number and name of a replacement tool

Tool axis

Tool length and radii

Oversizes (delta values) from the tool table (TAB) and the TOOL CALL (PGM)

Tool life, maximum tool life (TIME 1) and maximum tool life for TOOL CALL (TIME 2)

Display of the active tool and the (next) replacement tool


Tool measurement (TT tab)

The TNC displays the TT tab only if the function is active on your machine.

Soft key | Meaning
No direct selection possible | Number of the tool to be measured
 | Display whether the tool radius or the tool length is being measured
 | MIN and MAX values of the individual cutting edges and the result of measuring the rotating tool (DYN = dynamic measurement)
 | Cutting edge number with the corresponding measured value. If the measured value is followed by an asterisk, the allowable tolerance in the tool table was exceeded The TNC displays the measured values of up to 24 teeth.


Coordinate transformations (TRANS tab)
Soft key | Meaning
 | Name of the active datum table
 | Active datum number (#), comment from the active line of the active datum number (DOC) from Cycle G53
 | Active datum shift (Cycle G54); The TNC displays an active datum shift in up to 8 axes
 | Mirrored axes (Cycle G28)
 | Active basic rotation
 | Active rotation angle (Cycle G73)
 | Active scaling factor/factors (Cycles G72); The TNC displays an active scaling factor in up to 6 axes
 | Scaling datum

For further information, refer to the User's Manual for Cycles, "Coordinate Transformation Cycles."


Global program settings 1 (GPS1 tab, software option)

The TNC displays the tab only if the function is active on your machine.

Soft key | Meaning
No direct selection possible | Swapped axes
 | Superimposed datum shift
 | Superimposed mirroring


Global program settings 2 (GPS2 tab, software option)

The TNC displays the tab only if the function is active on your machine.

Soft key | Meaning
No direct selection possible | Locked axes
 | Superimposed basic rotation
 | Superimposed rotation
 | Active feed rate factor


Adaptive Feed Control (AFC tab, software option)

The TNC displays the AFC tab only if the function is active on your machine.

Soft key | Meaning
No direct selection possible | Active mode in which adaptive feed control is running
 | Active tool (number and name)
 | Cut number
 | Current factor of the feed potentiometer in percent
 | Active spindle load in percent
 | Reference load of the spindle
 | Current spindle speed
 | Current deviation of the speed
 | Current machining time
 | Line diagram, in which the current spindle load and the value commanded by the TNC for the feed-rate override are shown


Window manager

The machine tool builder determines the scope of function and behavior of the window manager. The machine manual provides further information.

The TNC features the Xfce window manager. Xfce is a standard application for UNIX-based operating systems, and is used to manage graphical user interfaces. The following functions are possible with the window manager:

  • Display a task bar for switching between various applications (user interfaces).
  • Manage an additional desktop, on which special applications from your machine tool builder can run.
  • Control the focus between NC-software applications and those of the machine tool builder.
  • The size and position of pop-up windows can be changed. It is also possible to close, minimize and restore the pop-up windows.

The TNC shows a star in the upper left of the screen if an application of the window manager or the window manager itself has caused an error. In this case, switch to the window manager and correct the problem. If required, refer to your machine manual.

Weitere Informationen:
> Task bar


Task bar

The task bar that can be shown by pressing the left Windows key on the ASCII keyboard enables you to select different workspaces with the mouse. The iTNC provides the following workspaces:

  • Workspace 1: Active mode of operation
  • Workspace 2: Active programming mode
  • Workspace 3: Manufacturer's applications (optionally available), e.g. remote control of a Windows computer

In the task bar you can also select other applications that you have started together with the TNC (switch for example to the PDF viewer or TNCguide)

Click the green HEIDENHAIN symbol to open a menu in which you can get information, make settings or start applications. The following functions are available:

  • About HEROS: Information about the operating system of the TNC
  • NC Control: Start and stop the TNC software. Only permitted for diagnostic purposes
  • Web Browser: Start Mozilla Firefox
  • RemoteDesktopManager: Configuration of the RemoteDesktopManager software option
  • Diagnostics: Available only to authorized specialists to start diagnostic functions
  • Settings: Configuration of miscellaneous settings
    • Screen savers: Configuration of the available screen savers
    • Date/Time: Set the date and time
    • Firewall: Configuration of the firewall
    • Language: Language setting for the system dialogs. During startup the TNC overwrites this setting with the language setting of MP 7230
    • Network: Network setting
    • SELinux: Configuration of the virus scanner
    • Shares: Configure network connections
    • VNC: Configuration of the VNC server
    • WindowManagerConfig: Configuration of the Window manager
  • Tools: Only for authorized users. The applications available under Tools can be started directly by selecting the pertaining file type in the file management of the TNC (siehe Additional tools for management of external file types)


SELinux security software

SELinux is an extension for Linux-based operating systems. SELinux is an additional security software package based on Mandatory Access Control (MAC) and protects the system against the running of unauthorized processes or functions and therefore protects against viruses and other malware.

MAC means that each action must be specifically permitted otherwise the TNC will not run it. The software is intended as protection in addition to the normal access restriction in Linux. Certain processes and actions can only be executed if the standard functions and access control of SELinux permit it.

The SELinux installation of the TNC is prepared to permit running of only those programs installed with the HEIDENHAIN NC software. You cannot run other programs with the standard installation.

The access control of SELinux under HEROS 5 is regulated as follows:

  • The TNC runs only those applications installed with the HEIDENHAIN NC software.
  • Files in connection with the security of the software (SELinux system files, HEROS 5 boot files, etc.) may only be changed by programs that are selected explicitly.
  • New files generated by other programs must never be executed.
  • There are only two processes that are permitted to execute new files:
    • Starting of a software update
      A software update from HEIDENHAIN can replace or change system files.
    • Starting of the SELinux configuration
      The configuration of SELinux is usually password-protected by your machine tool builder. Refer here to the relevant machine tool manual.

HEIDENHAIN generally recommends activating SELinux because it provides additional protection against attacks from outside.


Accessories: HEIDENHAIN touch probes and electronic handwheels

Weitere Informationen:
> Touch probes
> HR electronic handwheels


Touch probes

    The various HEIDENHAIN touch probes enable you to:

  • Automatically align workpieces
  • Quickly and precisely set datums
  • Measure the workpiece during program run
  • Measure and inspect tools

All of the touch probe functions are described in the User’s Manual for Cycles. Please contact HEIDENHAIN if you require a copy of this User’s Manual. ID: 670388‑xx.

Please note that HEIDENHAIN grants a warranty for the function of the touch probe cycles only if HEIDENHAIN touch probes are used!

Weitere Informationen:
> TS 220, TS 640 and TS 440 touch trigger probes
> TT 140 tool touch probe for tool measurement


TS 220, TS 640 and TS 440 touch trigger probes

These touch probes are particularly effective for automatic workpiece alignment, datum setting and workpiece measurement. The TS 220 transmits the triggering signals to the TNC via cable and is a cost-effective alternative for applications where digitizing is not frequently required.

The TS 640 (see figure) and the smaller TS 440 feature infrared transmission of the triggering signal to the TNC. This makes them highly convenient for use on machines with automatic tool changers.

Principle of operation: HEIDENHAIN triggering touch probes feature a wear resisting optical switch that generates an electrical signal as soon as the stylus is deflected. This signal is transmitted to the control, which stores the current position of the stylus as the actual value.


TT 140 tool touch probe for tool measurement

The TT 140 is a triggering touch probe for tool measurement and inspection. Your TNC provides three cycles for this touch probe with which you can measure the tool length and radius automatically either with the spindle rotating or stopped. The TT 140 features a particularly rugged design and a high degree of protection, which make it insensitive to coolants and swarf. The triggering signal is generated by a wear-resistant and highly reliable optical switch.


HR electronic handwheels

Electronic handwheels facilitate moving the axis slides precisely by hand. A wide range of traverses per handwheel revolution is available. Apart from the HR130 and HR150 integral handwheels, HEIDENHAIN also offers the HR 520 and HR 550 FS portable handwheels. You will find a detailed description of HR 520 in Chapter 14 of this manual (siehe Traversing with electronic handwheels).


Programming: Fundamentals, File Management

Weitere Informationen:
> Fundamentals
> Creating and writing programs
> File management: Fundamentals
> Working with the file manager


Fundamentals

Weitere Informationen:
> Position encoders and reference marks
> Reference system
> Reference system on milling machines
> Polar coordinates
> Absolute and incremental workpiece positions
> Setting the datum


Position encoders and reference marks

The machine axes are equipped with position encoders that register the positions of the machine table or tool. Linear axes are usually equipped with linear encoders, rotary tables and tilting axes with angle encoders.

When a machine axis moves, the corresponding position encoder generates an electrical signal. The TNC evaluates this signal and calculates the precise actual position of the machine axis.

If there is a power interruption, the calculated position will no longer correspond to the actual position of the machine slide. To recover this association, incremental position encoders are provided with reference marks. The scales of the position encoders contain one or more reference marks that transmit a signal to the TNC when they are crossed over. From that signal the TNC can re-establish the assignment of displayed positions to machine positions. For linear encoders with distance-coded reference marks, the machine axes need to move by no more than 20 mm, for angle encoders by no more than 20°.

With absolute encoders, an absolute position value is transmitted to the control immediately upon switch-on. In this way the assignment of the actual position to the machine slide position is re-established directly after switch-on.


Reference system

A reference system is required to define positions in a plane or in space. The position data are always referenced to a predetermined point and are described through coordinates.

The Cartesian coordinate system (a rectangular coordinate system) is based on the three coordinate axes X, Y and Z. The axes are mutually perpendicular and intersect at one point called the datum. A coordinate identifies the distance from the datum in one of these directions. A position in a plane is thus described through two coordinates, and a position in space through three coordinates.

Coordinates that are referenced to the datum are referred to as absolute coordinates. Relative coordinates are referenced to any other known position (reference point) you define within the coordinate system. Relative coordinate values are also referred to as incremental coordinate values.


Reference system on milling machines

When using a milling machine, you orient tool movements to the Cartesian coordinate system. The illustration at right shows how the Cartesian coordinate system describes the machine axes. The figure illustrates the right-hand rule for remembering the three axis directions: the middle finger points in the positive direction of the tool axis from the workpiece toward the tool (the Z axis), the thumb points in the positive X direction, and the index finger in the positive Y direction.

The iTNC 530 can control up to 18 axes. The axes U, V and W are secondary linear axes parallel to the main axes X, Y and Z, respectively. Rotary axes are designated as A, B and C. The illustration at lower right shows the assignment of secondary axes and rotary axes to the main axes.

In addition, the machine tool builder can define any number of auxiliary axes identified by lowercase letters


Polar coordinates

If the production drawing is dimensioned in Cartesian coordinates, you also write the NC program using Cartesian coordinates. For parts containing circular arcs or angles it is often simpler to give the dimensions in polar coordinates.

While the Cartesian coordinates X, Y and Z are three-dimensional and can describe points in space, polar coordinates are two‑dimensional and describe points in a plane. Polar coordinates have their datum at a circle center (CC), or pole. A position in a plane can be clearly defined by the:

  • Polar Radius, the distance from the circle center CC to the position, and the
  • Polar Angle, the value of the angle between the angle reference axis and the line that connects the circle center CC with the position.
Weitere Informationen:
> Setting the pole and the angle reference axis


Setting the pole and the angle reference axis

The pole is set by entering two Cartesian coordinates in one of the three planes. These coordinates also set the reference axis for the polar angle H.

Coordinates of the pole (plane) | Reference axis of the angle
X/Y | +X
Y/Z | +Y
Z/X | +Z


Absolute and incremental workpiece positions

Weitere Informationen:
> Absolute workpiece positions
> Incremental workpiece positions
> Absolute and incremental polar coordinates


Absolute workpiece positions

Absolute coordinates are position coordinates that are referenced to the datum of the coordinate system (origin). Each position on the workpiece is uniquely defined by its absolute coordinates.

Example 1: Holes dimensioned in absolute coordinates

Hole 1 | Hole 2 | Hole 3
X = 10 mm | X = 30 mm | X = 50 mm
Y = 10 mm | Y = 20 mm | Y = 30 mm


Incremental workpiece positions

Incremental coordinates are referenced to the last programmed nominal position of the tool, which serves as the relative (imaginary) datum. When you write an NC program in incremental coordinates, you thus program the tool to move by the distance between the previous and the subsequent nominal positions. This is why they are also referred to as chain dimensions.

To program a position in incremental coordinates, enter the function G91 before the axis.

Example 2: Holes dimensioned in incremental coordinates

Absolute coordinates of hole 4

X = 10 mm
Y = 10 mm

Hole 5, with respect to 4 | Hole 6, with respect to 5
G91 X = 20 mm | G91 X = 20 mm
G91 Y = 10 mm | G91 Y = 10 mm


Absolute and incremental polar coordinates

Absolute polar coordinates always refer to the pole and the angle reference axis.

Incremental coordinates always refer to the last programmed nominal position of the tool.


Setting the datum

A production drawing identifies a certain form element of the workpiece, usually a corner, as the absolute datum. When setting the datum, you first align the workpiece along the machine axes, and then move the tool in each axis to a defined position relative to the workpiece. Set the display of the TNC either to zero or to a known position value for each position. This establishes the reference system for the workpiece, which will be used for the TNC display and your part program.

If the production drawing is dimensioned in relative coordinates, simply use the coordinate transformation cycles (see User’s Manual for Cycle Programming, Cycles for Coordinate Transformation).

If the production drawing is not dimensioned for NC, set the datum at a position or corner on the workpiece from which the dimensions of the remaining workpiece positions can be most easily measured.

The fastest, easiest and most accurate way of setting the datum is by using a touch probe from HEIDENHAIN. See "Datum setting with touch probes" in the Touch Probe Cycles User’s Manual.

Weitere Informationen:
> Example


Example

The workpiece drawing shows holes (1 to 4) whose dimensions are shown with respect to an absolute datum with the coordinates X=0 Y=0. Holes 5 to 7 are dimensioned with respect to a relative datum with the absolute coordinates X=450, Y=750. With the DATUM SHIFT cycle you can temporarily set the datum to the position X=450, Y=750, to be able to program holes 5 to 7 without further calculations.


Creating and writing programs

Weitere Informationen:
> Organization of an NC program in DIN/ISO format
> Define the blank: G30/G31
> Creating a new part program
> Programming tool movements in DIN/ISO format
> Actual position capture
> Editing a program
> The TNC search function


Organization of an NC program in DIN/ISO format

A part program consists of a series of program blocks. The figure at right illustrates the elements of a block.

The TNC numbers the blocks of a part program automatically depending on MP7220. MP7220 defines the block number increment.

The first block of a program is identified by %, the program name and the active unit of measure.

The subsequent blocks contain information on:

  • The workpiece blank
  • Tool calls
  • Approaching a safe position
  • Feed rates and spindle speeds, as well as
  • Path contours, cycles and other functions

The last block of a program is identified by N99999999 the program name and the active unit of measure.

Danger of collision!

After each tool call, HEIDENHAIN recommends always traversing to a safe position from which the TNC can position the tool for machining without causing a collision!


Define the blank: G30/G31

Immediately after initiating a new program, you define a cuboid workpiece blank. If you wish to define the blank at a later stage, press the spec fct key and then the PROGRAM DEFAULTS and BLK FORM soft keys. This definition is needed for the TNC’s graphic simulation feature. The sides of the workpiece blank lie parallel to the X, Y and Z axes and can be up to 100 000 mm long. The blank form is defined by two of its corner points:

  • MIN point G30: the smallest X, Y and Z coordinates of the blank form, entered as absolute values
  • MAX point G31: the largest X, Y and Z coordinates of the blank form, entered as absolute or incremental values

You only need to define the workpiece blank if you wish to run a graphic test for the program!


Creating a new part program

You always enter a part program in the Programming and Editing mode of operation. An example of program initiation:

 | Select the Programming and Editing operating mode
 | Call the file manager: Press the PGM MGT key
Select the directory in which you wish to store the new program:
File name = OLD.H
 | Enter the new program name and confirm your entry with the ENT key
 | Select the unit of measure: Press the MM or INCH soft key. The TNC switches the screen layout and initiates the dialog for defining the BLK FORM (workpiece blank)
Working spindle axis X/Y/Z?
 | Enter spindle axis, e.g. Z
DEF BLK FORM: MIN CORNER?
 | Enter in sequence the X, Y and Z coordinates of the MIN point and confirm each of your entries with the ENT key
DEF BLK FORM: MAX CORNER?
 | Enter in sequence the X, Y and Z coordinates of the MAX point and confirm each of your entries with the ENT key
Example: Display the BLK form in the NC program
%new g71 * | Program begin, name, unit of measure
n10 g30 g17 x+0 y+0 z-40 * | Spindle axis, MIN point coordinates
n20 g31 x+100 y+100 z+0 * | MAX point coordinates
n99999999 %new G71 * | Program end, name, unit of measure

The TNC automatically generates the first and last blocks of the program.

If you do not wish to define a blank form, cancel the dialog at Working spindle axis X/Y/Z by pressing the DEL key!

The TNC can display the graphics only if the shortest side is at least 50 µm long and the longest side is no longer than 99 999.999 mm.


Programming tool movements in DIN/ISO format

To program a block, select a DIN/ISO function key on the alphabetic keyboard. You can also use the gray contouring keys to get the corresponding G code.

You only need to make sure that capitalization is active.
Weitere Informationen:
> Example of a positioning block


Example of a positioning block
 | Start block
COORDINATES?
 | Enter the target coordinate for the X axis
 | Enter the target coordinate for the Y axis, and go to the next question with ENT
Path of the cutter center
 | Select tool movement without radius compensation: Confirm with the ENT key, or
 | Move the tool to the left or to the right of the contour: Select function G41 (to the left) or G42 (to the right) by soft key
Feed rate F=?
 | Enter a feed rate of 100 mm/min for this path contour; go to the next question with ENT
Miscellaneous function M?
 | Enter the miscellaneous function M3 "spindle ON." Pressing the ENT key terminates this dialog
The program-block window displays the following line:
n30 g01 g40 X+10 Y+5 F100 M3 *


Actual position capture

The TNC enables you to transfer the current tool position into the program, for example during

  • Positioning-block programming
  • Cycle programming
  • Tool definition with G99

To transfer the correct position values, proceed as follows:

  • Place the input box at the position in the block where you want to insert a position value

Select the actual-position-capture function: In the soft-key row the TNC displays the axes whose positions can be transferred

Select the axis: The TNC writes the current position of the selected axis into the active input box

In the working plane the TNC always captures the coordinates of the tool center, even though tool radius compensation is active.

In the tool axis the TNC always captures the coordinates of the tool tip and thus always takes the active tool length compensation into account.

The TNC keeps the soft-key row for axis selection active until you deactivate it by pressing the actual-position-capture key again. This behavior remains in effect even if you save the current block and open a new one with a path function key. If you select a block element in which you must choose an input alternative via soft key (e.g. for radius compensation), then the TNC also closes the soft-key row for axis selection.

The actual-position-capture function is not allowed if the tilted working plane function is active.


Editing a program

You cannot edit a program while it is being run by the TNC in a machine operating mode. The TNC allows you to place the cursor in the block, but it does not save the changes and responds instead with an error message.

While you are creating or editing a part program, you can select any desired line in the program or individual words in a block with the arrow keys or the soft keys:

Function | Soft key/Keys
Go to previous page |
Go to next page |
Go to beginning of program |
Go to end of program |
Change the position of the current block on the screen. Press this soft key to display additional program blocks that are programmed before the current block |
Change the position of the current block on the screen. Press this soft key to display additional program blocks that are programmed after the current block |
Move from one block to the next |
Select individual words in a block |
To select a certain block, press the GOTO key, enter the desired block number, and confirm with the ENT key. Or: Enter the block number step and press the N LINES soft key to jump over the entered number of lines upward or downward |
Function | Soft key/Key
Set the selected word to zero |
Erase an incorrect number |
Clear a (non-blinking) error message |
Delete the selected word |
Delete the selected block |
Erase cycles and program sections |
Insert the block that you last edited or deleted |
Weitere Informationen:
> Inserting blocks at any desired location
> Deliberately saving changes
> Saving a program to a new file
> Undoing changes
> Editing and inserting words
> Looking for the same words in different blocks
> Finding any text
> Marking, copying, deleting and inserting program sections


Inserting blocks at any desired location

  • Select the block after which you want to insert a new block and initiate the dialog


Deliberately saving changes

The TNC normally saves changes automatically if you switch the operating mode or if you select the file manager or MOD function. If you deliberately want to save changes to the program, proceed as follows:

  • Select the soft-key row with the saving functions

  • Press the SAVE soft key for the TNC to save all changes made since the last time you saved the program


Saving a program to a new file

If desired, you can save the contents of the currently active program under a different program name. Proceed as follows:

  • Select the soft-key row with the saving functions

  • Press the SAVE AS soft key: The TNC opens a window in which you can enter the directory and the new file name

  • Enter the file name and confirm with the OK soft key or the ENT key, or press the CANCEL soft key to abort


Undoing changes

If desired, you can undo all changes made since the last time you saved the program. Proceed as follows:

  • Select the soft-key row with the saving functions

  • Press the CANCEL CHANGE soft key: The TNC opens a window in which you can confirm or cancel this action

  • Press the Yes soft key or the ENT key to discard the changes made. Abort with the NO soft key


Editing and inserting words

  • Select a word in a block and overwrite it with the new one. The plain-language dialog is available while the word is highlighted

  • To accept the change, press the END key

If you want to insert a word, press the horizontal arrow key repeatedly until the desired dialog appears. You can then enter the desired value.


Looking for the same words in different blocks

To use this function, set the AUTO DRAW soft key to OFF.

Select a word in a block: Press the arrow keys repeatedly until the highlight is on the desired word

Select a block with the arrow keys

The word that is highlighted in the new block is the same as the one you selected previously.

If you have started a search in a very long program, the TNC shows a progress display window. You then have the option of canceling the search via soft key.


Finding any text

  • Select the search function: Press the FIND soft key. The TNC displays the Find text: dialog prompt

  • Enter the text that you wish to find

  • Find the text: Press the EXECUTE soft key


Marking, copying, deleting and inserting program sections

The TNC provides certain functions for copying program sections within an NC program or into another NC program—see the table below.

To copy a program section, proceed as follows:

  • Select the soft-key row containing the marking functions

  • Select the first (last) block of the section you wish to copy

  • To mark the first (last) block, press the SELECT BLOCK soft key. The TNC then highlights the first character of the block and the CANCEL SELECTION soft key appears

  • Move the highlight to the last (first) block of the program section you wish to copy or delete. The TNC shows the marked blocks in a different color. You can end the marking function at any time by pressing the CANCEL SELECTION soft key

  • To copy the selected program section, press the COPY BLOCK soft key. To delete the selected section, press the DELETE BLOCK soft key. The TNC stores the selected block

  • Using the arrow keys, select the block after which you wish to insert the copied (deleted) program section

To insert the section into another program, select the corresponding program using the file manager and then mark the block after which you wish to insert the copied block.

  • To insert the block, press the INSERT BLOCK soft key

  • To end the marking function, press the Cancel selection soft key

Function | Soft key
Switch the marking function on |
Switch the marking function off |
Delete the marked block |
Insert the block that is stored in the buffer memory |
Copy the marked block |


The TNC search function

The search function of the TNC enables you to search for any text within a program and replace it by a new text, if required.

Weitere Informationen:
> Finding any text
> Finding/Replacing any text


Finding any text

  • If required, select the block containing the word you wish to find

Select the search function: The TNC superimposes the search window and displays the available search functions in the soft-key row (see table of search functions)

Enter the text to be searched for. Please note that the search is case-sensitive

Start the search process: The TNC displays the available search options in the soft-key row (see the table of search options)

If required, change the search options

Start the search process: The TNC moves to the next block containing the text you are searching for

Repeat the search process: The TNC moves to the next block containing the text you are searching for

End the search function

Search functions | Soft key
Show the pop-up window containing the last search items. Use the arrow keys to select a search item and confirm with the ENT key |
Show the pop-up window containing possible search items of the current block. Use the arrow keys to select a search item and confirm with the ENT key |
Show the pop-up window containing a selection of the most important NC functions. Use the arrow keys to select a search item and confirm with the ENT key |
Activate the Search/Replace function |
Search options | Soft key
Define the search direction |
Define the end of the search: With Complete, the search starts at the current block and continues until it reaches it again |
Start a new search |


Finding/Replacing any text

The find/replace function is not possible if

  • a program is protected
  • the program is currently being run by the TNC

When using the REPLACE ALL function, ensure that you do not accidentally replace text that you do not want to change. Once replaced, such text cannot be restored.

  • If required, select the block containing the word you wish to find

Select the Search function: The TNC superimposes the search window and displays the available search functions in the soft-key row

Activate the Replace function: The TNC superimposes a window for entering the text to be inserted

Enter the text to be searched for. Please note that the search is case-sensitive. Then confirm with the ENT key

Enter the text to be inserted. Please note that the entry is case-sensitive

Start the search process: The TNC displays the available search options in the soft-key row (see the table of search options)

If required, change the search options

Start the search process: The TNC moves to the next occurrence of the text you are searching for

To replace the text and then move to the next occurrence of the text, press the Replace soft key. To replace all text occurrences, press the Replace All soft key. To skip the text and move to its next occurrence press the Do not replace soft key

End the search function


File management: Fundamentals

Weitere Informationen:
> Files
> Displaying externally created files on the TNC
> Backup


Files

Files in the TNC | Type
Programs In HEIDENHAIN format In DIN/ISO format | .H .I
smarT.NC files Structured unit programs Contour descriptions Point tables for -machining positions | .HU .HC .HP
Tables for Tools Tool changers Pallets Datums Points Presets Cutting data Cutting materials, workpiece materials | .T .TCH .P .D .PNT .PR .CDT .TAB
Texts as ASCII files Help files | .A .CHM
Drawing data as ASCII files | .DXF
Other files Fixture templates Parameterized fixtures Dependent data (such as structure items) Archives | .CFT .CFX .DEP .ZIP

When you write a part program on the TNC, you must first enter a program name. The TNC saves the program to the hard disk as a file with the same name. The TNC can also save texts and tables as files.

The TNC provides a special file management window in which you can easily find and manage your files. Here you can call, copy, rename and erase files.

You can manage an almost unlimited number of files with the TNC, at least 21 GB. The actual size of the hard disk depends on the main computer installed in your machine. Please refer to the specifications. A single NC program can be up to 2 GB in size.

Weitere Informationen:
> File names


File names

When you store programs, tables and texts as files, the TNC adds an extension to the file name, separated by a point. This extension indicates the file type.

PROG20 | .H
File name | File type

File names should not exceed 25 characters, otherwise the TNC cannot display the entire file name.

File names on the TNC must comply with this standard: The Open Group Base Specifications Issue 6 IEEE Std 1003.1, 2004 Edition (Posix-Standard). Accordingly, the file names may include the characters below:

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z a b c d e f g h i j k l m n o p q r s t u v w x y z 0 1 2 3 4 5 6 7 8 9 . _ -

You should not use any other characters in file names in order to prevent any file transfer problems.

The maximum limit for the path and file name together is 82 characters (siehe Paths).


Displaying externally created files on the TNC

The TNC features several additional tools which you can use to display the files shown in the table below. Some of the files can also be edited.

File types | Type
PDF files Excel tables Internet files | pdf xls csv html
Text files | txt ini
Graphics files | bmp gif jpg png

For further information about displaying and editing the listed file types: Siehe Additional tools for management of external file types


Backup

We recommend saving newly written programs and files on a PC at regular intervals.

The TNCremoNT data transmission freeware from -HEIDENHAIN is a simple and convenient method for backing up data stored on the TNC.

You additionally need a data medium on which all machine-specific data, such as the PLC program, machine parameters, etc., are stored. Ask your machine manufacturer for assistance, if necessary.

Saving the contents of the entire hard disk (>2 GB) can take up to several hours. In this case, it is a good idea to save the data outside of work hours, e.g. during the night.

Take the time occasionally to delete any unneeded files so that the TNC always has enough hard-disk space for system files (such as the tool table).

Depending on operating conditions (e.g., vibration load), hard disks generally have a higher failure rate after three to five years of service. HEIDENHAIN therefore recommends having the hard disk inspected after three to five years.


Working with the file manager

Weitere Informationen:
> Directories
> Paths
> Overview: Functions of the file manager
> Calling the file manager
> Selecting drives, directories and files
> Creating a new directory (only possible on the drive TNC:\)
> Creating a new file (only possible on the drive TNC:\)
> Copying a single file
> Copying files into another directory
> Copying a table
> Copying a directory
> Choosing one of the last files selected
> Deleting a file
> Deleting a directory
> Tagging files
> Renaming a file
> Additional functions
> Working with shortcuts
> Archiving files
> Extracting files from archive
> Additional tools for management of external file types
> Data transfer to or from an external data medium
> The TNC in a network
> USB devices on the TNC (FCL 2 function)


Directories

To ensure that you can easily find your files, we recommend that you organize your hard disk into directories. You can divide a directory into further directories, which are called subdirectories. With the –/+ key or ENT you can show or hide the subdirectories.

The TNC can manage up to 6 directory levels.

If you save more than 512 files in one directory, the TNC no longer sorts them alphabetically.
Weitere Informationen:
> Directory names


Directory names

The maximum limit for the path, including the directory name, is 82 characters (siehe Paths).


Paths

A path indicates the drive and all directories and subdirectories under which a file is saved. The individual names are separated by a backslash "\".

The path, including all drive characters, directory and the file name, including the extension, must not exceed 82 characters.

Drive designations must not include more than 8 uppercase letters.
Weitere Informationen:
> Example


Example

The directory AUFTR1 was created on the TNC:\ drive. Then, in the AUFTR1 directory, the subdirectory NCPROG was created and the part program PROG1.H was copied into it. The part program now has the following path:

TNC:\AUFTR1\NCPROG\PROG1.H

The chart at right illustrates an example of a directory display with different paths.


Overview: Functions of the file manager

If you want to use the old file management system, you must use the MOD function to switch to the old file manager (siehe Changing the PGM MGT setting).

Function | Soft key | Page
Copy (and convert) individual files |  | Copying a single file
Select target directory |  | Copying a single file
Display a specific file type |  | Selecting drives, directories and files
Create new file |  | Creating a new file (only possible on the drive TNC:\)
Display the last 10 files that were selected |  | Choosing one of the last files selected
Delete a file or directory |  | Deleting a file
Tag a file |  | Tagging files
Rename a file |  | Renaming a file
Protect a file against editing and erasure |  | Protecting a file / Canceling file protection
Cancel file protection |  | Protecting a file / Canceling file protection
Archive files |  | Archiving files
Restore files from archive |  | Extracting files from archive
Open a smarT.NC program |  | Selecting smarT.NC programs
Manage network drives |  | The TNC in a network
Copy a directory |  | Copying a directory
Update the directory tree, e.g. to be able to see if a new directory was created while the file manager was opened. |  |


Calling the file manager

Press the PGM MGT key: The TNC displays the file management window (see figure for default setting. If the TNC displays a different screen layout, press the WINDOW soft key.)

The narrow window on the left shows the available drives and directories. Drives designate devices with which data are stored or transferred. One drive is the hard disk of the TNC. Other drives are the interfaces (RS232, RS422, Ethernet), which can be used, for example, to connect a personal computer. A directory is always identified by a folder symbol to the left and the directory name to the right. Subdirectories are shown to the right of and below their parent directories. A triangle in front of the folder symbol indicates that there are further subdirectories, which can be shown with the –/+ or ENT keys.

    The TNC always shows drives in the following sequence:

    • First serial interfaces (RS232 and RS422)
    • Then the TNC drive
    • Then all other drives

Within the three groups the TNC shows the drives in alphabetically ascending order.

The wide window on the right shows you all files that are stored in the selected directory. Each file is shown with additional information, illustrated in the table below.

Display | Meaning
File name | Name with max. 25 characters
Type | File type
Size | File size in bytes
Changed | Date and time that the file was last changed. The date format can be set
Status | File properties: E: Program is selected in the Programming and Editing mode of operation. S: Program is selected in the Test Run mode of operation. M: Program is selected in a Program Run mode of operation. P: File is protected against deletion and editing. +: Dependent files exist (structure file, tool-usage file)

For most file types, the TNC also displays a preview of the currently highlighted file in the window at bottom left. With very large files, it may take some time for the preview to appear. You can also deactivate the file preview function (siehe Adapting the file manager)


Selecting drives, directories and files

 | Call the file manager
Use the arrow keys or the soft keys to move the highlight to the desired position on the screen:
 | Moves the highlight from the left to the right window, and vice versa
 | Moves the highlight up and down within a window
 | Moves the highlight one page up or down within a window

Step 1: Select drive

Move the highlight to the desired drive in the left window:
 | To select a drive, press the SELECT soft key, or
 | Press the ENT key

Step 2: Select a directory

Move the highlight to the desired directory in the left-hand window—the right-hand window automatically shows all files stored in the highlighted directory

Step 3: Select a file

 | Press the SELECT TYPE soft key
 | Press the soft key for the desired file type, or
 | Press the SHOW ALL soft key to display all files, or
 | Use wild card characters, e.g. to show all files of the file type .H that begin with 4
Move the highlight to the desired file in the right window:
 | Press the SELECT soft key, or
 | Press the ENT key
The TNC opens the selected file in the operating mode from which you called the file manager
Weitere Informationen:
> Selecting smarT.NC programs


Selecting smarT.NC programs

Programs created in the smarT.NC operating mode can be opened in the Programming and Editing mode with either the smarT.NC editor or the conversational editor. By default the TNC always opens .HU and .HC programs with the smarT.NC editor. If you want to open the programs in the conversational editor, proceed as follows:

 | Call the file manager
With the arrow keys or the soft keys you can move the highlight to an .HU or .HC file:
 | Moves the highlight from the left to the right window, and vice versa
 | Moves the highlight up and down within a window
 | Moves the highlight one page up or down within a window
 | Shift the soft-key row
 | Select the submenu for selecting the editor
 | Open the .HU or .HC program with the conversational editor
 | Open the .HU program with the smarT.NC editor
 | Open the .HC program with the smarT.NC editor


Creating a new directory (only possible on the drive TNC:\)

Move the highlight in the left window to the directory in which you want to create a subdirectory
 | Enter the new file name, and confirm with ENT
Create \NEW directory?
 | Press the YES soft key to confirm, or
 | Abort with the NO soft key


Creating a new file (only possible on the drive TNC:\)

Select the directory in which you wish to create the new file
 | Enter the new file name with the file extension, and confirm with ENT
 | Open the dialog box for creating a new file
 | Enter the new file name with the file extension, and confirm with ENT


Copying a single file

  • Move the highlight to the file you wish to copy

Press the COPY soft key to select the copy function. The TNC displays a soft-key row with soft keys for different functions. You can also start the copy process by pressing CTRL+C

Enter the name of the target file and confirm your entry with the ENT key or OK soft key: the TNC copies the file to the active directory or to the selected target directory. The original file is retained.

Press the Target Directory soft key to call a pop-up window in which you select the target directory by pressing the ENT key or the OK soft key: the TNC copies the file to the selected directory. The original file is retained

When the copying process has been started with ENT or the OK soft key, the TNC displays a pop-up window with a progress indicator.


Copying files into another directory

  • Select a screen layout with two equally sized windows

  • To display directories in both windows, press the PATH soft key

In the right window

  • Move the highlight to the directory into which you wish to copy the files, and display the files in this directory with the ENT key

In the left window

  • Select the directory containing the files that you wish to copy and press ENT to display them

Call the file tagging functions

Move the highlight to the file you want to copy and tag it. You can tag several files in this way, if desired

Copy the tagged files into the target directory

Additional tagging functions: siehe Tagging files.

If you have tagged files in both the left and right windows, the TNC copies from the directory in which the highlight is located.

Weitere Informationen:
> Overwriting files


Overwriting files

If you copy files into a directory in which other files are stored under the same name, the TNC will ask whether the files in the target directory should be overwritten:

  • To overwrite all files, press the YES soft key, or

  • To overwrite no files, press the NO soft key, or

  • To confirm each file separately before overwriting it, press the CONFIRM soft key

If you wish to overwrite a protected file, this must also be confirmed or aborted separately.


Copying a table

    If you are copying tables, you can overwrite individual rows or columns in the target table with the REPLACE FIELDS soft key. Prerequisites:

  • The target table must already exist
  • The file to be copied must only contain the columns or lines you want to replace

The REPLACE FIELDS soft key does not appear if you want to overwrite the table in the TNC with an external data transfer software, such as TNCremoNT. Copy the externally created file into a different directory, and then copy the desired fields with the TNC file management.

The file extension of the externally created table should be .A (ASCII). In these cases the table can contain any number of lines. If you create a file of type *.T, then the table must contain sequential line numbers beginning with 0.

Example

    With a tool presetter you have measured the length and radius of ten new tools. The tool presetter then generates the tool table TOOL.A with 10 rows (for the 10 tools) and the columns

  • Tool number (column T)
  • Tool length (column L)
  • Tool radius (column R)

  • Copy this table from the external data medium to any directory

  • Copy the externally created table over the existing table using the TNC file manager. The TNC asks if you wish to overwrite the existing TOOL.T tool table:

  • If you press the YES soft key, the TNC will completely overwrite the current TOOL.T tool table. After this copying process the new TOOL.T table consists of 10 lines. The only remaining columns in the table are tool number, tool length and tool radius

  • Or, if you press the REPLACE FIELDS soft key, the TNC merely overwrites the first 10 lines of the number, length and radius columns in the TOOL.T file. The data of the other lines and columns is not changed


Copying a directory

In order to copy directories, you must have set the view so that the TNC displays directories in the window on the right (siehe Adapting the file manager).

Please note that when copying directories, the TNC only copies those files that are displayed by the current filter settings.

  • Move the highlight in the right window onto the directory you want to copy

  • Press the copy soft key: the TNC opens the window for selecting the target directory

  • Select the target directory and confirm with ENT or the OK soft key: The TNC copies the selected directory and all its subdirectories to the selected target directory


Choosing one of the last files selected

 | Call the file manager
 | Display the last 15 files selected: Press the LAST FILES soft key
Use the arrow keys to move the highlight to the file you wish to select:
 | Moves the highlight up and down within a window
 | To select the file, press the SELECT soft key, or
 | Press the ENT key


Deleting a file

Caution: Data may be lost!

Once you delete files they cannot be restored!

  • Move the highlight to the file you want to delete

To select the erasing function, press the DELETE soft key. The TNC asks whether you really want to delete the file

To confirm, press the YES soft key, orTo cancel deletion, press the NO soft key


Deleting a directory

Caution: Data may be lost!

Once you delete directories they cannot be undeleted!

  • Move the highlight to the directory you want to delete

To select the erasing function, press the DELETE soft key. The TNC inquires whether you really intend to delete the directory and all its subdirectories and files

To confirm, press the YES soft key, orTo cancel deletion, press the NO soft key


Tagging files

Tagging function | Soft key
Move cursor upward |
Move cursor downward |
Tag a single file |
Tag all files in the directory |
Untag a single file |
Untag all files |
Copy all tagged files |

Some functions, such as copying or erasing files, can not only be used for individual files, but also for several files at once. To tag several files, proceed as follows:

Move the highlight to the first file
 | To display the tagging functions, press the TAG soft key
 | To tag a file, press the TAG FILE -soft key
 | Move the highlight to the next file you wish to tag: Only works via soft keys. Do not use the arrow keys!
 | To tag further files, press the TAG FILE soft key, etc.
 | To copy the tagged files, press the COPY TAG soft key, or
 | Delete the tagged files by pressing the END soft key to end the tagging functions, and then the DELETE soft key to delete the tagged files
Weitere Informationen:
> Tagging files with shortcuts


Tagging files with shortcuts

  • Move the highlight to the first file

  • Press and hold the CTRL key

  • Use the arrow keys to move the cursor frame to other files

  • Press the spacebar to tag a file

  • When you have tagged all desired files: release the CTRL key and perform the desired file operation

CTRL+A tags all of the files in the current directory.

If you press the SHIFT key instead of the CTRL key, the TNC automatically tags all files that you select with the arrow keys.


Renaming a file

  • Move the highlight to the file you want to rename

Select the renaming function

Enter the new file name; the file type cannot be changed

To execute renaming, press the ENT key


Additional functions

Weitere Informationen:
> Protecting a file / Canceling file protection
> Connecting/removing a USB device
> Adapting the file manager


Protecting a file / Canceling file protection

  • Move the highlight to the file you want to protect

To select the additional functions, press the MORE FUNCTIONS soft key

To activate file protection, press the PROTECT soft key. The file now has status P

To cancel file protection, press the UNPROTECT soft key


Connecting/removing a USB device

  • Move the highlight to the left window

To select the additional functions, press the MORE FUNCTIONS soft key

Search for a USB device

In order to remove the USB device, move the highlight to the USB device

Remove the USB device

For more information: Siehe USB devices on the TNC (FCL 2 function).


Adapting the file manager

You open the menu for adapting the file manager either by clicking the path name or with soft keys:

  • Select the file manager: Press the PGM MGT key

  • Select the third soft-key row

  • Press the MORE FUNCTIONS soft key

  • Press the options soft key: the TNC displays the menu for adapting the file manager

  • Use the arrow keys to move the highlight to the desired setting

  • Activate or deactivate the desired setting with the spacebar

    You can adapt the file manager as follows:

  • Bookmarks
    You can use bookmarks to manage your favorite directories. You can add or delete the current directory to or from the list, or delete all bookmarks. All directories that you have added appear in the bookmark list, making them available for rapid selection
  • View
    In the View menu item you specify the type of information the TNC is to display in the file window
  • Date format
    In the Date format menu you specify the format in which the TNC displays the date in the Changed column
  • Settings
    • Cursor: Change window
      If the cursor is in the directory tree: specify if the TNC is to switch windows when the right arrow key is pressed, or if the TNC is to open any subdirectories
    • Folder: Search
      Specify whether the TNC is to search the currently active folder for subfolders when you navigate in the directory structure (inactive: increased speed)
    • Preview: Show
      Specify whether the TNC is to show the preview window (siehe Calling the file manager)


Working with shortcuts

Shortcuts are commands triggered by certain key combinations. Shortcuts always perform a function that you can also trigger via soft key. The following shortcuts are available:

  • CTRL+S:
    Select a file (siehe auch Selecting drives, directories and files)
  • CTRL+N:
    Open a dialog box in order to create a new file or directory (siehe auch Creating a new file (only possible on the drive TNC:\))
  • CTRL+C:
    Open a dialog box in order to copy selected files or directories (siehe auch Copying a single file)
  • CTRL+R:
    Open a dialog box in order to rename a selected file or directory (siehe auch Renaming a file)
  • DEL key:
    Open a dialog box in order to delete selected files or directories (siehe auch Deleting a file)
  • CTRL+O:
    Open an "Open with" dialog box (siehe auch Selecting smarT.NC programs)
  • CTRL+W:
    Switch the split screen layout (siehe auch Data transfer to or from an external data medium)
  • CTRL+E:
    Show functions for adapting the file manager (siehe auch Adapting the file manager)
  • CTRL+M:
    Connect USB device (siehe auch USB devices on the TNC (FCL 2 function))
  • CTRL+K:
    Disconnect USB device (siehe auch USB devices on the TNC (FCL 2 function))
  • SHIFT + UP or DOWN arrow key:
    Tag several files or directories (siehe auch Tagging files)
  • ESC key:
    Cancel the function


Archiving files

You can use the TNC archiving function to save files and directories in a ZIP archive. You can open the ZIP archives externally using standard programs.

The TNC packs all the marked files and directories into the desired ZIP archive. The TNC packs TNC-specific files (e.g. plain-language programs) in ASCII format so that you can open them externally with an ASCII editor, if necessary

Follow the steps outlined below for archiving:

  • In the right half of the screen, you mark the files and directories you want to archive

To select the additional functions, press the MORE FUNCTIONS soft key

To create an archive, press the zip soft key. The TNC will show a window for entering the archive name

Enter the desired archive name

Confirm with the OK soft key: the TNC shows a window for selecting the directory where you want to store your archive

Select the desired directory and confirm with the OK soft key

If your control is incorporated in your company network and has write rights, you can store the archive directly on a network drive.

The shortcut CTRL+Q enables you to directly archive files that are already marked.


Extracting files from archive

Follow the steps outlined below for extracting:

  • In the right half of the screen, you mark the ZIP file you want to extract

To select the additional functions, press the MORE FUNCTIONS soft key

To extract the selected archive, press the Unzip soft key. The TNC will show a window for selecting the target directory

Select the desired target directory

Confirm with the OK soft key and the TNC extracts the archive

The TNC always extracts the files to the target directory you have selected. If the archive contains directories, the TNC creates subdirectories for them.

The shortcut CTRL+T enables you to directly extract a marked ZIP file.


Additional tools for management of external file types

The additional tools enable you to display or edit various externally created file types on the TNC.

File types | Description
PDF files (pdf) Excel spreadsheets (xls, csv) Internet files (htm, html) ZIP archives (zip) | Displaying PDF files Displaying and editing Excel files Displaying Internet files Working with ZIP archives
Text files (ASCII files, e.g. txt, ini) | Displaying or editing text files
Graphics files (bmp, jpg, gif, png) | Displaying graphics files

If you transfer files from a PC to the control by means of TNCremoNT, you must have entered the file name extensions pdf, xls, zip, bmp, gif, jpg and png in the list of the file types for binary transmission (menu item >Extras >Configuration >Mode in TNCremoNT).

Weitere Informationen:
> Displaying PDF files
> Displaying and editing Excel files
> Displaying Internet files
> Working with ZIP archives
> Displaying or editing text files
> Displaying graphics files


Displaying PDF files

To open PDF files directly on the TNC, proceed as follows:

Call the file manager

Select the directory in which the PDF file is saved

Move the highlight to the PDF file

Press ENT: The TNC opens the PDF file in its own application using the PDF viewer additional tool

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the PDF file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

If you position the mouse pointer over a button, a brief tooltip explaining the function of this button will be displayed. More information on how to use the PDF viewer is provided under Help.

To exit the PDF viewer, proceed as follows:

  • Use the mouse to select the File menu item

  • Select the menu item Close: The TNC returns to the file manager


Displaying and editing Excel files

Proceed as follows to open and edit Excel files with the extension xls or csv directly on the TNC:

Call the file manager

Select the directory in which the Excel file is saved

Move the highlight to the Excel file

Press ENT: The TNC opens the Excel file in its own application using the Gnumeric additional tool

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the Excel file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

If you position the mouse pointer over a button, a brief tooltip explaining the function of this button will be displayed. More information on how to use the Gnumeric function is provided under Help.

To exit Gnumeric, proceed as follows:

  • Use the mouse to select the File menu item

  • Select the menu item Quit: The TNC returns to the file manager


Displaying Internet files

To open Internet files with the extension htm or html directly on the TNC, proceed as follows:

Call the file manager

Select the directory in which the Internet file is saved

Move the highlight to the Internet file

Press ENT: The TNC opens the Internet file in its own application using the Mozilla Firefox additional tool

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the PDF file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

If you position the mouse pointer over a button, a brief tooltip explaining the function of this button will be displayed. More information on how to use Mozilla Firefox is provided under Help.

To exit Mozilla Firefox, proceed as follows:

  • Use the mouse to select the File menu item

  • Select the menu item Quit: The TNC returns to the file manager


Working with ZIP archives

To open ZIP archives with the extension zip directly on the TNC, proceed as follows:

Call the file manager

Select the directory in which the archive file is saved

Move the highlight to the archive file

Press ENT: The TNC opens the archive file in its own application using the Xarchiver additional tool

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the archive file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

If you position the mouse pointer over a button, a brief tooltip explaining the function of this button will be displayed. More information on how to use the Xarchiver function is provided under Help.

Please note that the TNC does not carry out any binary-to-ASCII conversion or vice versa when compressing or decompressing NC programs and NC tables. When such files are transferred to TNC controls using other software versions, the TNC may not be able to read them.

To exit Xarchiver, proceed as follows:

  • Use the mouse to select the Archive menu item

  • Select the menu item Quit: The TNC returns to the file manager


Displaying or editing text files

To open and edit text files (ASCII files, e.g. with the extension txt or ini), proceed as follows:

Call the file manager

Select the drive and the directory in which the text file is saved

Move the highlight to the text file

Press the ENT key: The TNC displays a window for selection of the editor

Press ENT to select the Mousepad application. Alternatively, you can also open the TXT files with the TNC's internal text editor

The TNC opens the text file in its own application using the Mousepad additional tool

If you open an H or I file on an external drive and save it on the TNC drive using Mousepad, the programs are not converted automatically to the internal control format. Programs that are saved in this way cannot be run or opened with the TNC editor.

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the text file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

The shortcuts you are familiar with from Windows, which you can use to edit texts quickly (CTRL+C, CTRL+V,...), are available within Mousepad.

To exit Mousepad, proceed as follows:

  • Use the mouse to select the File menu item

  • Select the menu item Quit: The TNC returns to the file manager


Displaying graphics files

To open graphics files with the extension bmp, gif, jpg or png directly on the TNC, proceed as follows:

Call the file manager

Select the directory in which the graphics file is saved

Move the highlight to the graphics file

Press ENT: The TNC opens the graphics file in its own application using the ristretto additional tool

With the key combination ALT+TAB you can always return to the TNC user interface while leaving the graphics file open. Alternatively, you can also click the corresponding symbol in the taskbar to switch back to the TNC interface.

More information on how to use the ristretto function is provided under Help.

To exit ristretto, proceed as follows:

  • Use the mouse to select the File menu item

  • Select the menu item Quit: The TNC returns to the file manager


Data transfer to or from an external data medium

Before you can transfer data to an external data medium, you must set up the data interface (siehe Setting the data interfaces).

Depending on the data transfer software you use, problems can occur occasionally when you transmit data over a serial interface. They can be overcome by repeating the transmission.

 | Call the file manager
 | Select the screen layout for data transfer: press the WINDOW soft key. In the left half of the screen the TNC shows all files in the current directory. In the right half of the screen it shows all files saved in the root directory (TNC:\ )
Use the arrow keys to highlight the file(s) that you want to transfer:
 | Moves the highlight up and down within a window
 | Moves the highlight from the left to the right window, and vice versa
If you wish to copy from the TNC to the external data medium, move the highlight in the left window to the file to be transferred.
If you wish to copy from the external data medium to the TNC, move the highlight in the right window to the file to be transferred.
 | To select another drive or directory: Press the soft key for choosing the directory. The TNC opens a pop-up window. Select the desired directory in the pop-up window by using the arrow keys and the ENT key
 | Transfer a single file: Press the COPY soft key, or
 | To transfer several files, press the TAG soft key (in the second soft-key row, siehe Tagging files)
Confirm with the OK soft key or with the ENT key. A status window appears on the TNC, informing about the copying progress, or
 | To end data transfer, move the highlight into the left window and then press the WINDOW soft key. The standard file manager window is displayed again

To select another directory in the split-screen display, press the soft key for choosing the directory. Select the desired directory in the pop-up window by using the arrow keys and the ENT key.


The TNC in a network

To connect the Ethernet card to your network, siehe Ethernet interface.

The TNC logs error messages during network operation siehe Ethernet interface.

If the TNC is connected to a network, the directory window displays up to 7 additional drives in the directory window to the left (see figure). All the functions described above (selecting a drive, copying files, etc.) also apply to network drives, provided that you have been granted the corresponding rights.

Weitere Informationen:
> Connecting and disconnecting a network drive


Connecting and disconnecting a network drive

To select the program management: Press the PGM MGT key. If necessary, press the WINDOW soft key to set up the screen as it is shown at the upper right

To manage the network drives: Press the NETWORK soft key (second soft-key row). In the right-hand window the TNC shows the network drives available for access. With the soft keys described below you can define the connection for each drive.

Function | Soft key
Establish network connection. If the connection is active, the TNC shows an M in the Mnt column. You can connect up to 7 additional drives with the TNC |
Disconnect the network connection |
Automatically establish network connection whenever the TNC is switched on. The TNC shows an A in the Auto column if the connection is established automatically |
Do not establish network connection automatically when the TNC is switched on |

It may take some time to mount a network device. At the upper right of the screen the TNC displays [READ DIR] to indicate that a connection is being established. The maximum transmission speed is 2 to 5 Mbit/s, depending on the type of file being transferred and how busy the network is.


USB devices on the TNC (FCL 2 function)

Backing up data from or loading onto the TNC is especially easy with USB devices. The TNC supports the following USB block devices:

  • Floppy disk drives with FAT/VFAT file system
  • Memory sticks with the FAT/VFAT file system
  • Hard disks with the FAT/VFAT file system
  • CD-ROM drives with the Joliet (ISO 9660) file system

The TNC automatically detects these types of USB devices when connected. The TNC does not support USB devices with other file systems (such as NTFS). The TNC displays the USB: TNC does not support device error message when such a device is connected.

The TNC also displays the USB: TNC does not support device error message if you connect a USB hub. In this case, simply acknowledge the message with the CE key.

In theory, you should be able to connect all USB devices with the file systems mentioned above to the TNC. If you nevertheless encounter problems, please contact HEIDENHAIN.

The USB devices appear as separate drives in the directory tree, so you can use the file-management functions described in the earlier chapters correspondingly.

Your machine tool builder can assign permanent names for USB devices. Refer to your machine manual.

To remove a USB device, proceed as follows:

Call the file manager: Press the PGM MGT key

Select the left window with the arrow key

Use the arrow keys to select the USB device to be removed

Scroll through the soft-key row

Select additional functions

Select the function for removing USB devices. The TNC removes the USB device from the directory tree

Exit the file manager

In order to re-establish a connection with a USB device that has been removed, press the following soft key:

Select the function for reconnection of USB devices


Programming: Programming Aids

Weitere Informationen:
> Adding comments
> Structuring programs
> Integrated calculator
> Programming graphics
> 3-D line graphics (FCL2 function)
> Immediate help for NC error messages
> List of all current error messages
> The context-sensitive help system TNCguide (FCL3 function)


Adding comments

Weitere Informationen:
> Application
> Entering comments during programming
> Inserting comments after program entry
> Entering a comment in a separate block
> Functions for editing of the comment


Application

You can add comments to any desired block in the part program to explain program steps or make general notes.

If the TNC cannot show the entire comment on the screen, the >> sign is displayed.

The last character in a comment block must not have any tilde (~).

There are three possibilities for adding comments:


Entering comments during programming

  • Enter the data for a program block, then press the semicolon key ";" on the alphabetic keyboard—the TNC displays the dialog prompt COMMENT?

  • Enter your comment and conclude the block by pressing the END key


Inserting comments after program entry

  • Select the block to which a comment is to be added

  • Select the last word in the block with the right arrow key: A semicolon appears at the end of the block and the TNC displays the dialog prompt COMMENT?

  • Enter your comment and conclude the block by pressing the END key


Entering a comment in a separate block

  • Select the block after which the comment is to be inserted

  • Initiate the programming dialog with the semicolon key (;) on the alphabetic keyboard

  • Enter your comment and conclude the block by pressing the END key


Functions for editing of the comment

Function | Soft key
Jump to beginning of comment |
Jump to end of comment |
Jump to the beginning of a word. Words must be separated by a space |
Jump to the end of a word. Words must be separated by a space |
Switch between insert mode and overwrite mode |


Structuring programs

Weitere Informationen:
> Definition and applications
> Displaying the program structure window / Changing the active window
> Inserting a structuring block in the (left) program window
> Selecting blocks in the program structure window


Definition and applications

This TNC function enables you to comment part programs in structuring blocks. Structuring blocks are short texts with up to 37 characters and are used as comments or headlines for the subsequent program lines.

With the aid of appropriate structuring blocks, you can organize long and complex programs in a clear and comprehensible manner.

This function is particularly convenient if you want to change the program later. Structuring blocks can be inserted into the part program at any point. They can also be displayed in a separate window, and edited or added to, as desired.

The inserted structure items are managed by the TNC in a separate file (extension: .SEC.DEP). This speeds navigation in the program structure window.


Displaying the program structure window / Changing the active window

To display the program structure window, select the screen display PGM + SECTS

To change the active window, press the "Change window" soft key


Inserting a structuring block in the (left) program window

  • Select the block after which the structuring block is to be inserted

Press the INSERT SECTION soft key or the * key on the ASCII keyboard

Enter the structuring text with the alphabetic keyboard

If necessary, change the structure depth with the soft key


Selecting blocks in the program structure window

If you are scrolling through the program structure window block by block, the TNC at the same time automatically moves the corresponding NC blocks in the program window. This way you can quickly skip large program sections.


Integrated calculator

Weitere Informationen:
> Operation


Operation

The TNC features an integrated calculator with the basic mathematical functions.

  • Use the CALC key to show and hide the on-line calculator

  • The calculator is operated with short commands through the alphabetic keyboard. The commands are shown in a special color in the calculator window

Mathematical function | Command (key)
Addition | +
Subtraction | –
Multiplication | *
Division | :
Sine | S
Cosine | C
Tangent | T
Arc sine | AS
Arc cosine | AC
Arc tangent | AT
Powers | ^
Square root | Q
Inversion | /
Calculations in parentheses | ( )
pi (3.14159265359) | P
Display result | =
Weitere Informationen:
> Transferring the calculated value into the program


Transferring the calculated value into the program

  • Use the arrow keys to select the word into which the calculated value is to be transferred

  • Superimpose the on-line calculator by pressing the CALC key and perform the desired calculation

  • Press the actual-position-capture key for the TNC to transfer the calculated value into the active input box and to close the calculator


Programming graphics

Weitere Informationen:
> To generate/not generate graphics during programming:
> Generating a graphic for an existing program
> Block number display ON/OFF
> Erasing the graphic
> Magnifying or reducing a detail


To generate/not generate graphics during programming:

While you are writing the part program, you can have the TNC generate a 2-D pencil-trace graphic of the programmed contour.

  • To switch the screen layout to displaying program blocks to the left and graphics to the right, press the SPLIT SCREEN key and PROGRAM + GRAPHICS soft key

Set the AUTO DRAW soft key to ON. While you are entering the program lines, the TNC generates each path contour you program in the graphics window in the right screen half

If you do not wish to have graphics generated during programming, set the AUTO DRAW soft key to OFF.

Even when AUTO DRAW is switched ON, graphics are not generated for program section repeats.


Generating a graphic for an existing program

  • Use the arrow keys to select the block up to which you want the graphic to be generated, or press GOTO and enter the desired block number

To generate graphics, press the RESET + START soft key

Additional functions:

Function | Soft key
Generate a complete graphic |
Generate programming graphic blockwise |
Generate a complete graphic or complete it after RESET + START |
Stop the programming graphics. This soft key only appears while the TNC is generating the interactive graphics |
Redraw the programming graphics, for example if lines were deleted by intersections |

The programming graphics does not account for tilting functions; in such cases the TNC generates an error message (if applicable).


Block number display ON/OFF

Shift the soft-key row: see figure

Show block numbers: Set the SHOW OMIT BLOCK NR. soft key to SHOW

Hide block numbers: Set the SHOW OMIT BLOCK NR. soft key to OMIT


Erasing the graphic

Shift the soft-key row: see figure

Erase graphic: Press CLEAR GRAPHICS soft key


Magnifying or reducing a detail

You can select the graphics display by selecting a detail with the frame overlay. You can now magnify or reduce the selected detail.

  • Select the soft-key row for detail magnification/reduction (second row, see figure)

The following functions are available:

Function | Soft key
Show and move the frame overlay. Press and hold the desired soft key to move the frame overlay |
Reduce the frame overlay—press and hold the soft key to reduce the detail |
Enlarge the frame overlay—press and hold the soft key to magnify the detail |

Confirm the selected area with the WINDOW DETAIL soft key

With the WINDOW BLK FORM soft key, you can restore the original section.


3-D line graphics (FCL2 function)

Weitere Informationen:
> Application
> Functions of the 3-D line graphics
> Highlighting NC blocks in the graphics
> Block number display ON/OFF
> Erasing the graphic


Application

Use the 3-D line graphics to have the TNC show the programmed traverse paths in three dimensions. A powerful zoom function is available for recognizing details quickly.

You should especially use the 3-D line graphics to inspect programs created externally for irregularities before machining, in order to avoid undesirable traces of the machining process on the workpiece. Such traces of machining can occur when points are output incorrectly by the postprocessor.

In order to find the error location quickly, the TNC shows the currently active block of the 3-D line graphics in a different color in the left window (default setting: red).

You can use the 3-D line graphics in Split-Screen mode or in Full-Screen mode:

  • To show program blocks to the left and 3-D line graphics to the right, press the SPLIT SCREEN key and PROGRAM+3D LINES soft key.

  • To show the 3-D line graphics on the entire screen, press the SPLIT SCREEN key and 3D LINES soft key.


Functions of the 3-D line graphics

Function | Soft key
Show and move the zoom frame up. Press and hold the soft key to move the frame |
Show and move the zoom frame down. Press and hold the soft key to move the frame |
Show and move the zoom frame to the left. Press and hold the soft key to move the frame |
Show and move the zoom to the right. Press and hold the soft key to move the frame |
Enlarge the frame overlay—press and hold the soft key to magnify the detail |
Reduce the frame overlay—press and hold the soft key to reduce the detail |
Reset detail magnification so that the workpiece is displayed as it was programmed with BLK FORM |
Select the isolated detail |
Rotate workpiece clockwise |
Rotate workpiece counterclockwise |
Tilt workpiece backward |
Tilt workpiece forward |
Magnify the graphic stepwise If the view is magnified, the TNC shows the letter Z in the footer of the graphic window |
Reduce the graphic stepwise If the view is reduced, the TNC shows the letter Z in the footer of the graphic window |
Show workpiece at original size |
Show workpiece in the last active view |
Show/hide programmed end points with a dot on the line |
Do or do not highlight the selected NC block of the 3-D line graphics in the left window |
Do or do not show block numbers |

You can also use the mouse with the 3-D line graphics. The following functions are available:

  • In order to rotate the wire model shown in three dimensions: Hold the right mouse button down and move the mouse. The TNC displays a coordinate system showing the currently active orientation of the workpiece. After you release the right mouse button, the TNC orients the workpiece to the defined orientation

  • In order to shift the wire model shown: Hold the center mouse button or the wheel button down and move the mouse. The TNC shifts the workpiece in the corresponding direction. After you release the center mouse button, the TNC shifts the workpiece to the defined position

  • In order to zoom in on a certain area with the mouse: Draw a rectangular zoom area while holding the left mouse button down. You can shift the zoom area by moving the mouse horizontally and vertically as required. After you release the left mouse button, the TNC zooms in on the defined area of the workpiece

  • In order to quickly zoom in and out with the mouse: Rotate the wheel button forward or backward

  • Double-click with the right mouse button: Select standard view


Highlighting NC blocks in the graphics

Shift the soft-key row

To highlight the NC block selected in the left window in the 3-D line graphics in the right window, set the Mark this element off / on soft key to on.

To not highlight the NC block selected in the left window in the 3-D line graphics in the right window, set the Mark this element off / on soft key to off.


Block number display ON/OFF

Shift the soft-key row

Show block numbers: Set the SHOW OMIT BLOCK NR. soft key to SHOW

Hide block numbers: Set the SHOW OMIT BLOCK NR. soft key to OMIT


Erasing the graphic

Shift the soft-key row

Erase graphic: Press CLEAR GRAPHICS soft key


Immediate help for NC error messages

Weitere Informationen:
> Show error messages
> Display HELP


Show error messages

The TNC automatically generates error messages when it detects problems such as

  • Incorrect data input
  • Logical errors in the program
  • Contour elements that are impossible to machine
  • Incorrect use of touch probes

An error message that contains a program block number was caused by an error in the indicated block or in the preceding block. The TNC error messages can be canceled with the CE key, after the cause of the error has been removed. Error messages causing a control crash must be acknowledged by pressing the END key. The TNC will restart.

If you require more information on a particular error message, press the HELP key. A pop-up window then appears, in which the cause of the error is explained and suggestions are made for correcting the error.


Display HELP

To display Help, press the HELP key

Read the description of the error and the possibilities for correcting it. The TNC may show additional information that can be helpful to trained HEIDENHAIN personnel during troubleshooting. Close the Help window with the CE key, thus canceling the error message

Remove the cause of the error as described in the Help window


List of all current error messages

Weitere Informationen:
> Function
> Showing the error list
> Window contents
> Calling the TNCguide help system
> Generating service files


Function

Use this function to show a pop-up window in which the TNC shows all current error messages. The TNC shows errors both from the NC as well as those from the machine tool builder.


Showing the error list

You can call the list as soon as at least one error message is present:

To display the list, press the ERR key

You can select one of the current error messages with the arrow keys

With the CE key or the DEL key you can delete the error message from the pop-up window momentarily selected. When you delete the last error message, the pop-up window closes as well

To close the pop-up window, press the ERR key again. Current error messages are retained

Parallel to the error list you can also view the respective help text in a separate window: Press the HELP key.


Window contents

Column Meaning

Number

Error number (–1: no error number defined), issued by HEIDENHAIN or your machine tool builder

Class

    Error class; Defines how the TNC processes this error:

  • ERROR
    Collective error class for errors that can cause various error reactions depending on the condition of the machine or the active operating mode)
  • FEED HOLD
    The feed-rate release is canceled
  • PGM HOLD
    Program run is interrupted (the control-in-operation symbol blinks)
  • PGM ABORT
    Program run is interrupted (INTERNAL STOP)
  • EMERG. STOP
    EMERGENCY STOP is triggered
  • Reset
    TNC executes a system restart
  • WARNING
    Warning message, program run resumes
  • INFO
    Info message, program run resumes

Category

    Group. Specifies from which section of the operating system software the error message was generated

  • operating
  • programming
  • plc
  • general

Error message

Respective error text displayed by the TNC


Calling the TNCguide help system

You can call the TNC's help system via soft key. Immediately the help system shows you the same error explanation that you receive by pressing the HELP soft key.

If your machine manufacturer also provides a help system, the TNC shows an additional MACHINE MANUFACTURER soft key with which you can call this separate help system. There you will find further, more detailed information on the error message concerned.

Call the help for HEIDENHAIN error messages

Call the help for machine-specific error messages, if available


Generating service files

You can use this function to save all files relevant to service purposes in a ZIP file. The appropriate data from the NC and PLC are saved by the TNC in the file TNC:\service\service<xxxxxxxx>.zip. The TNC determines the name of the file automatically. The character string <xxxxxxxx> clearly indicates the system time.

The following possibilities exist for generating a service file:

  • By pressing the SAVE SERVICE FILES soft key after you have pressed the ERR key
  • Externally via the data transmission software TNCremoNT
  • If the NC software crashes due to a serious error, the TNC automatically generates a service file.
  • In addition, your machine tool builder can have service files be generated automatically for PLC error messages

The following data (and other information) is saved in the service file:

  • Log
  • PLC log
  • Selected files (*.H/*.I/*.T/*.TCH/*.D) of all operating modes
  • *.SYS files
  • Machine parameters
  • Information and log files of the operating system (can be partially activated via MP7691)
  • Contents of PLC memory
  • NC macros defined in PLC:\NCMACRO.SYS
  • Information about the hardware

In addition, the service department can help you save the control file TNC:\service\userfiles.sys in ASCII format. The TNC will then include the data defined there in the ZIP file.

The service file contains all NC data needed for troubleshooting. By passing on the service file you declare your consent to your machine tool builder or DR. JOHANNES HEIDENHAIN GmbH to use these data for diagnostic purposes.

The maximum size of a service file is 40 MB.


The context-sensitive help system TNCguide (FCL3 function)

Weitere Informationen:
> Application
> Working with TNCguide
> Downloading current help files


Application

The TNCguide help system is only available if your control hardware has as least 256 MB RAM and FCL3 is enabled.

The TNCguide context-sensitive help system includes the user documentation in HTML format. TNCguide is called with the HELP key, and the TNC often immediately displays the information specific to the condition from which the help was called (context-sensitive call). Even if you are editing an NC block and press the HELP key, you are usually brought to the exact place in the documentation that describes the corresponding function.

The English and German documentation is shipped as standard with each NC software level. HEIDENHAIN provides the remaining conversational languages for cost-free download as soon as the respective translations are available (siehe Downloading current help files).

The TNC always tries to start TNCguide in the language that you have selected as the conversational language on your TNC. If the files with this language are not yet available on your TNC, it automatically opens the English version.

    The following user documentation is available in TNCguide:

  • Conversational Programming User's Manual (BHBKlartext.chm)
  • DIN/ISO User's Manual (BHBIso.chm)
  • User’s Manual for Cycles (BHBcycles.chm)
  • User’s Manual for smarT.NC (BHBSmart.chm) (same format as a "Pilot")
  • List of All Error Messages (errors.chm)

In addition, the main.chm "book" file is available, with the contents of all existing .chm files.

As an option, your machine tool builder can embed machine-specific documentation in TNCguide. These documents then appear as a separate book in the main.chm file.


Working with TNCguide

Call TNCguide

There are several ways to start the TNCguide:

  • Press the HELP key if the TNC is not already showing an error message

  • Click the help symbol at the lower right of the screen beforehand, then click the appropriate soft keys

  • Use the file manager to open a help file (.chm file). The TNC can open any .chm file, even if it is not saved on the TNC’s hard disk

If one or more error messages are waiting for your attention, the TNC shows the help directly associated with the error messages. To start TNCguide, you first have to acknowledge all error messages.

When the help system is called on the programming station or the dual-processor version, the TNC starts the internally defined standard browser (usually the Internet Explorer), and on the single-processor version a browser adapted by HEIDENHAIN.

For many soft keys there is a context-sensitive call through which you can go directly to the description of the soft key's function. This functionality requires using a mouse. Proceed as follows:

  • Select the soft-key row containing the desired soft key

  • Click with the mouse on the help symbol that the TNC displays just above the soft-key row: The mouse pointer turns into a question mark

  • Move the question mark to the soft key for which you want an explanation, and click: The TNC opens TNCguide. If no specific part of the help is assigned to the selected soft key, the TNC opens the book file main.chm, in which you can use the search function or the navigation to find the desired explanation manually

Even if you are editing an NC block, context-sensitive help is available:

  • Select any NC block

  • Use the arrow keys to move the cursor to the block

  • Press the HELP key: The TNC starts the help system and shows a description for the active function (does not apply to miscellaneous functions or cycles that were integrated by your machine tool builder)

Navigating in the TNCguide

It's easiest to use the mouse to navigate in TNCguide. A table of contents appears on the left side of the screen. By clicking the rightward pointing triangle you open subordinate sections, and by clicking the respective entry you open the individual pages. It is operated in the same manner as the Windows Explorer.

Linked text positions (cross references) are shown underlined and in blue. Clicking the link opens the associated page.

Of course you can also operate TNCguide through keys and soft keys. The following table contains an overview of the corresponding key functions.

Function Soft key
  • If the table of contents at left is active:
    Select the entry above it or below it
  • If the text window at right is active:
    Move the page downward or upward if texts or graphics are not shown completely

  • If the table of contents at left is active:
    Open a branch of the table of contents. If the branch is at its end, jump into the window at right
  • If the text window at right is active:
    No function

  • If the table of contents at left is active:
    Close a branch of the table of contents
  • If the text window at right is active:
    No function

  • If the table of contents at left is active:
    Use the cursor key to show the selected page
  • If the text window at right is active:
    If the cursor is on a link, jump to the linked page

  • If the table of contents at left is active:
    Switch the tab between the display of the table of contents, display of the subject index, and the full-text search function and switching to the screen half at right
  • If the text window at right is active:
    Jump back to the window at left

  • If the table of contents at left is active:
    Select the entry above it or below it
  • If the text window at right is active:
    Jump to the next link

Select the page last shown

Page forward if you have used the "Select page last shown" function

Move up by one page

Move down by one page

Display or hide table of contents

Switch between full-screen display and reduced display. With the reduced display you can see some of the rest of the TNC window

The focus is switched internally to the TNC application so that you can operate the control when the TNCguide is open. If the full screen is active, the TNC reduces the window size automatically before the change of focus

Exit TNCguide

Subject index

The most important subjects in the Manual are listed in the subject index (Index tab). You can select them directly by mouse or with the cursor keys.

The left side is active.

Select the Index tab

Activate the Keyword input field

Enter the word for the desired subject and the TNC synchronizes the index and creates a list in which you can find the subject more easily, or

Use the arrow key to highlight the desired keyword

Use the ENT key to call the information on the selected keyword

Weitere Informationen:
> Full-text search


Full-text search

In the Find tab you can search all of TNCguide for a specific word.

The left side is active.

Select the Find tab

Activate the Find: input field

Enter the desired word and confirm with the ENT key: The TNC lists all sources containing the word

Use the arrow key to highlight the desired source

Press the ENT key to go to the selected source

The full-text search only works for single words.

If you activate the Search only in titles function (by mouse or by using the cursor and the space key), the TNC searches only through headings and ignores the body text.


Downloading current help files

You'll find the help files for your TNC software on the HEIDENHAIN homepage www.heidenhain.de under:

  • Documentation / Information

  • Documentation

  • Manuals

  • TNCguide

  • Select the desired language, e.g. English

  • TNC Controls

  • TNC 500 series

  • Desired NC software number, e.g. iTNC 530 (340 49x-06)

  • Select the desired language version from the TNCguide online help (CHM files) table

  • Download the ZIP file and unzip it

  • Move the unzipped CHM files to the TNC in the TNC:\tncguide\en directory or into the respective language subdirectory (see also the following table)

If you want to use TNCremoNT to transfer the CHM files to the TNC, then in the Extras>Configuration>Mode>Transfer in binary format menu item you have to enter the extension .CHM.

Language | TNC directory
German | TNC:\tncguide\de
English | TNC:\tncguide\en
Czech | TNC:\tncguide\cs
French | TNC:\tncguide\fr
Italian | TNC:\tncguide\it
Spanish | TNC:\tncguide\es
Portuguese | TNC:\tncguide\pt
Swedish | TNC:\tncguide\sv
Danish | TNC:\tncguide\da
Finnish | TNC:\tncguide\fi
Dutch | TNC:\tncguide\nl
Polish | TNC:\tncguide\pl
Hungarian | TNC:\tncguide\hu
Russian | TNC:\tncguide\ru
Chinese (simplified) | TNC:\tncguide\zh
Chinese (traditional) | TNC:\tncguide\zh-tw
Slovenian (software option) | TNC:\tncguide\sl
Norwegian | TNC:\tncguide\no
Slovak | TNC:\tncguide\sk
Latvian | TNC:\tncguide\lv
Korean | TNC:\tncguide\kr
Estonian | TNC:\tncguide\et
Turkish | TNC:\tncguide\tr
Romanian | TNC:\tncguide\ro
Lithuanian | TNC:\tncguide\lt


Programming: Tools

Weitere Informationen:
> Entering tool-related data
> Tool data
> Tool compensation


Entering tool-related data

Weitere Informationen:
> Feed rate F
> Spindle speed S


Feed rate F

The feed rate F is the speed (in millimeters per minute or inches per minute) at which the tool center point moves. The maximum feed rates can be different for the individual axes and are set in machine parameters.

Weitere Informationen:
> Input
> Rapid traverse
> Duration of effect
> Changing during program run


Input

You can enter the feed rate in the T block and in every positioning block (siehe Programming tool movements in DIN/ISO format). In millimeter-programs you enter the feed rate in mm/min, and in inch-programs, for reasons of resolution, in 1/10 inch/min.


Rapid traverse

If you wish to program rapid traverse, enter G00.


Duration of effect

A feed rate entered as a numerical value remains in effect until a block with a different feed rate is reached. If the new feed rate is G00 (rapid traverse), the last programmed feed rate is once again valid after the next block with G01.


Changing during program run

You can adjust the feed rate during program run with the feed-rate override knob F.


Spindle speed S

The spindle speed S is entered in revolutions per minute (rpm) in a T block. Instead, you can also define the cutting speed Vc in m/min.

Weitere Informationen:
> Programmed change
> Changing during program run


Programmed change

In the part program, you can change the spindle speed in a T block by entering the spindle speed only:

To program the spindle speed, press the S key on the alphabetic keyboard

Enter the new spindle speed


Changing during program run

You can adjust the spindle speed during program run with the spindle speed override knob S.


Tool data

Weitere Informationen:
> Requirements for tool compensation
> Tool numbers and tool names
> Tool length L
> Tool radius R
> Delta values for lengths and radii
> Entering tool data into the program
> Entering tool data in the table
> Tool-carrier kinematics
> Using an external PC to overwrite individual tool data
> Pocket table for tool changer
> Calling tool data
> Tool change
> Tool usage test
> Tool management (software option)


Requirements for tool compensation

You usually program the coordinates of path contours as they are dimensioned in the workpiece drawing. To allow the TNC to calculate the tool center path—i.e. the tool compensation—you must also enter the length and radius of each tool you are using.

Tool data can be entered either directly in the part program with G99 or separately in a tool table. In a tool table, you can also enter additional data for the specific tool. The TNC will consider all the data entered for the tool when executing the part program.


Tool numbers and tool names

Each tool is identified by a number between 0 and 30000. If you are working with tool tables, you can also enter a tool name for each tool. Tool names can have up to 32 characters.

The tool number 0 is automatically defined as the zero tool with the length L=0 and the radius R=0. In tool tables, tool T0 should also be defined with L=0 and R=0.


Tool length L

You should always enter the tool length L as an absolute value based on the tool reference point. The entire tool length is essential for the TNC in order to perform numerous functions involving multi-axis machining.


Tool radius R

You can enter the tool radius R directly.


Delta values for lengths and radii

Delta values are offsets in the length and radius of a tool.

A positive delta value describes a tool oversize (DL, DR, DR2>0). If you are programming the machining data with an allowance, enter the oversize value in the T block of the part program.

A negative delta value describes a tool undersize (DL, DR, DR2<0). An undersize is entered in the tool table for wear.

Delta values are usually entered as numerical values. In a T block, you can also assign the values to Q parameters.

Input range: You can enter a delta value with up to ± 99.999 mm.

Delta values from the tool table influence the graphical representation of the tool. The representation of the workpiece remains the same in the simulation.

Delta values from the T block change the represented size of the workpiece during the simulation. The simulated tool size remains the same.


Entering tool data into the program

The number, length and radius of a specific tool is defined in the g99 block of the part program.

  • Select the tool definition: Press the TOOL DEF key

Tool number: Each tool is uniquely identified by its tool number

Tool length: Compensation value for the tool length

Tool radius: Compensation value for the tool radius

In the programming dialog, you can transfer the value for tool length and tool radius directly into the input line by pressing the desired axis soft key.

If the tool table TOOL.T is active, use a G99 block to preselect the tool. The machine manual provides further information.

Example
N40 G99 T5 L+10 R+5 *


Entering tool data in the table

You can define and store up to 30000 tools and their tool data in a tool table. In Machine Parameter 7260 you can define how many tools are to be stored by the TNC when a new table is set up. Also see the editing functions later in this chapter. In order to be able to assign various compensation data to a tool (indexing tool number), machine parameter 7262 must not be equal to 0.

    You must use tool tables if

  • you wish to use indexed tools such as stepped drills with more than one length compensation value If the TNC cannot show all positions in the tool table in one screen page, the highlight bar at the top of the table will display the symbol ">>" or "<<".

  • your machine tool has an automatic tool changer

  • you want to measure tools automatically with the TT 130 touch probe (see the Touch Probe Cycles User’s Manual)

  • you want to rough-mill the contour with Cycle G122, (see "User's Manual for Cycles, ROUGH-OUT")

  • you want to work with Cycles 251 to 254 (see "User's Manual for Cycles," Cycles 251 to 254)

  • you want to work with automatic cutting data calculations.

Weitere Informationen:
> Tool table: Standard tool data
> Tool table: Tool data required for automatic tool measurement
> Tool table: Tool data for automatic speed/feed rate calculation
> Tool table: Tool data for touch trigger probes (only when bit 1 is set in MP7411 = 1, also see the Touch Probe Cycles Manual)
> Editing tool tables
> Editing functions
> Exiting the tool table
> Additional notes on tool tables


Tool table: Standard tool data
Abbr. | Inputs | Dialog
T | Number by which the tool is called in the program (e.g. 5, indexed: 5.2). | -
NAME | Name by which you call the tool in the program. Input range: 32 characters max., only capital letters, no space characters. When transferring tool tables to older software versions of the iTNC 530 or to older TNC controls, you must make sure that tool names are not longer than 16 characters, because otherwise they will be truncated accordingly by the TNC when read in. This can lead to errors in connection with the Replacement Tool function. | Tool name?
L | Compensation value for tool length L. Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Tool length?
R | Compensation value for the tool radius R. Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Tool radius R?
R2 | Tool radius 2 for toroid cutters (only for 3-D radius compensation or graphical representation of a machining operation with spherical or toroid cutters). Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Tool radius R2?
DL | Delta value for tool length L. Input range in mm: -999.9999 to +999.9999 Input range in inches: -39.37 to +39.37 | Tool length oversize?
DR | Delta value for tool radius R. Input range in mm: -999.9999 to +999.9999 Input range in inches: -39.37 to +39.37 | Tool radius oversize?
DR2 | Delta value for tool radius R2. Input range in mm: -999.9999 to +999.9999 Input range in inches: -39.37 to +39.37 | Tool radius oversize R2?
LCUTS | Tooth length of the tool for Cycle 22. Input range in mm: 0 to +99999.9999 Input range in inches: 0 to +3936.9999 | Tooth length in the tool axis?
ANGLE | Maximum plunge angle of the tool for reciprocating plunge-cut in Cycles 22, 208 and 25x. Input range: 0 to 90° | Maximum plunge angle?
TL | Set tool lock (TL: for Tool Locked) Input range: L or space character | Tool locked? Yes = ENT / No = NO ENT
RT | Number of a replacement tool, if available (RT: for Replacement Tool; see also TIME2). Input range: 0 to 65535 | Replacement tool?
TIME1 | Maximum tool life in minutes. This function can vary depending on the individual machine tool. Your machine manual provides more information. Input range: 0 to 9999 minutes | Maximum tool age?
TIME2 | Maximum tool life in minutes during a TOOL CALL: If the current tool age reaches or exceeds this value, the TNC changes the tool during the next TOOL CALL (see also CUR.TIME). Input range: 0 to 9999 minutes | Maximum tool age for TOOL CALL?
CUR.TIME | Current age of the tool in minutes: The TNC automatically counts the current tool life (CUR.TIME for CURrent TIME). A starting value can be entered for used tools. Input range: 0 to 99999 minutes | Current tool age?
ovRTIME | Maximum amount in minutes that the tool life may be exceeded. This function can vary depending on the individual machine tool. Your machine manual provides more information. Input range: 0 to 99 minutes | Permitted overrun of service life?
DOC | Comment on the tool. Input range: 16 characters max. | Tool comment?
PLC | Information on this tool that is to be sent to the PLC. Input range: 8 characters bit-coded | PLC status?
PLC-VAL | Value of this tool that is to be sent to the PLC. Input range: -99999.9999 to +99999.9999 | PLC value?
PTYP | Tool type for evaluation in the pocket table. Input range: 0 to +99 | Tool type for pocket table?
nmax | Limit the spindle speed for this tool. The programmed value is monitored (error message) as well as an increase in the shaft speed via the potentiometer. Function inactive: Enter –. Input range: 0 to +99999, if function not active: enter – | Maximum speed [rpm]?
LIFTOFF | Definition of whether the TNC should retract the tool in the direction of the positive tool axis at an NC stop or power failure in order to avoid leaving dwell marks on the contour. If Y is entered, the TNC retracts the tool from the contour by up to 30mm, provided that this function was activated in the NC program with M148 (siehe Automatically retract tool from the contour at an NC stop: M148). Input: Y and N | Retract tool Y/N ?
p1 ... P4 | Machine-dependent function: Transfer of a value to the PLC. Refer to the machine manual. Input range: -99999.9999 to +99999.9999 | Value?
kinematic | Machine-dependent function: Kinematics description for vertical milling heads, which the TNC adds to the active machine kinematics. Assign available kinematic descriptions by using the ASSIGN KINEMATICS soft key (siehe auch Tool-carrier kinematics). Input range: 16 characters max. | Additional kinematics description?
T-angle | Point angle of the tool. Is used by Drilling cycles 200, 203, 205 and 240 in order to calculate the depth from the diameter entry. Input range: -180 to +180° | Point angle (Type DRILL+CSINK)?
Pitch | Thread pitch of the tool. Is used by Tapping cycles 206, 207 and 209 in order to monitor whether the pitch defined in the cycle matches the pitch of the tool. Input range in mm: -99999.99990 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Thread pitch (only type TAP)?
afc | Control setting for the adaptive feed control AFC that you have defined in the NAME column of the AFC.TAB table. Apply the feedback-control strategy with the ASSIGN AFC CONTROL SETTING soft key (3rd soft-key row) Input range: 10 characters max. | Feedback-control strategy?
dr2table | 3D ToolComp software option: Enter the name of the compensation value table from which the TNC is to take the angle-dependent delta radius values DR2 Input range: Max. 16 characters without file extension | Compensation-value table?
last_use | Date and time that the tool was last inserted via TOOL CALL Input range: Max. 16 characters, format specified internally: Date = yyyy.mm.dd, time = hh.mm | Date/time of last tool call?
ACC | Activate or deactivate active chatter control for the respective tool (siehe auch Active Chatter Control (ACC; software option)). Input range: 0 (inactive) and 1 (active) | ACC status 1=active/0=inactive
CR | Machine-dependent function: Transfer of a value to the PLC. Refer to the machine manual. Input range: -99999.9999 to +99999.9999 | Value?
CL | Machine-dependent function: Transfer of a value to the PLC. Refer to the machine manual. Input range: -99999.9999 to +99999.9999 | Value?


Tool table: Tool data required for automatic tool measurement

For a description of the cycles for automatic tool measurement, see the User's Manual for Cycle Programming.

Abbr. | Inputs | Dialog
CUT | Number of teeth (99 teeth maximum) Input range: 0 to 99 | Number of teeth?
LTOL | Permissible deviation from tool length L for wear detection. If the entered value is exceeded, the TNC locks the tool (status L). Input range: 0 to 0.9999 mm Input range in mm: 0 to +0.9999 Input range in inches: 0 to +0.03936 | Wear tolerance: length?
RTOL | Permissible deviation from tool radius R for wear detection. If the entered value is exceeded, the TNC locks the tool (status L). Input range: 0 to 0.9999 mm Input range in mm: 0 to +0.9999 Input range in inches: 0 to +0.03936 | Wear tolerance: radius?
R2TOL | Permissible deviation from tool radius R2 for wear detection. If the entered value is exceeded, the TNC locks the tool (status L). Input range: 0 to 0.9999 mm Input range in mm: 0 to +0.9999 Input range in inches: 0 to +0.03936 | Wear tolerance: Radius 2?
DIRECT. | Cutting direction of the tool for measuring the tool during rotation | Cutting direction (M3 = –)?
TT:R-OFFS | Tool length measurement: Tool offset between stylus center and tool center. Preset value: Tool radius R (NO ENT means R) Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Tool offset: radius?
TT:L-OFFS | Radius measurement: tool offset in addition to MP6530 between upper surface of stylus and lower surface of tool. Default: 0 Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3936.9999 | Tool offset: length?
LBREAK | Permissible deviation from tool length L for breakage detection. If the entered value is exceeded, the TNC locks the tool (status L). Input range: 0 to 0.9999 mm Input range in mm: 0 to 3.2767 Input range in inches: 0 to +0.129 | Breakage tolerance: length?
RBREAK | Permissible deviation from tool radius R for breakage detection. If the entered value is exceeded, the TNC locks the tool (status L). Input range: 0 to 0.9999 mm Input range in mm: 0 to 0.9999 Input range in inches: 0 to +0.03936 | Breakage tolerance: radius?


Tool table: Tool data for automatic speed/feed rate calculation
Abbr. | Inputs | Dialog
TYPE | Tool type: Press the ASSIGN TYPE soft key (3rd soft-key row); the TNC superimposes a window where you can select the type of tool. Functions are currently only assigned to the DRILL and MILL tool types | Tool type?
TMAT | Tool material: Press the ASSIGN MATERIAL soft key (3rd soft-key row): The TNC superimposes a window where you can select the type of cutting material Input range: 16 characters max. | Tool material?
CDT | Cutting data table: Press the SELECT CDT soft key (3rd soft-key row): The TNC displays a pop-up window where you can select a cutting data table Input range: 16 characters max. | Name of cutting data table?


Tool table: Tool data for touch trigger probes (only when bit 1 is set in MP7411 = 1, also see the Touch Probe Cycles Manual)
Abbr. | Inputs | Dialog
CAL-OF1 | During calibration, the TNC stores in this column the center misalignment in the reference axis of the touch probe, if a tool number is indicated in the calibration menu Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3.936.9999 | Center misalignmt. in ref. axis?
CAL-OF2 | During calibration, the TNC stores in this column the center misalignment in the minor axis of the touch probe, if a tool number is indicated in the calibration menu Input range in mm: -99999.9999 to +99999.9999 Input range in inches: -3936.9999 to +3.936.9999 | Center misalignment minor axis?
CAL-ANG | During calibration, the TNC stores in this column the spindle angle at which the touch probe was calibrated, if a tool number is indicated in the calibration menu. Input range: -360 to +360° | Spindle angle for calibration?


Editing tool tables

The tool table that is active during execution of the part program is designated TOOL.T. TOOL.T must be stored in the directory TNC:\ and can be edited only in one of the machine operating modes. Other tool tables that are to be archived or used for test runs are given different file names with the extension .T.

To open the tool table TOOL.T:

  • Select any machine operating mode

Select the tool table: Press the TOOL TABLE soft key

Set the EDIT soft key to ON

Opening any other tool table

  • Select the Programming and Editing mode of operation

Call the file manager

Press the SELECT TYPE soft key to select the file type

Show files of type .T press the SHOW .T soft key.

Select a file or enter a new file name. Conclude your entry with the ENT key or the SELECT soft key


Editing functions

When you have opened the tool table, you can edit the tool data by moving the cursor to the desired position in the table with the arrow keys or the soft keys. You can overwrite the stored values, or enter new values at any position. The available editing functions are illustrated in the table below.

If the TNC cannot show all positions in the tool table in one screen page, the highlight bar at the top of the table will display the symbol ">>" or "<<".

Editing functions for tool tables | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Look for the tool name in the table |
Show tool information in columns or show all information on one tool on one screen page |
Move to beginning of line |
Move to end of line |
Copy highlighted field |
Insert copied field |
Add the entered number of lines (tools) at the end of the table |
Insert a line for the indexed tool number after the active line. The function is only active if you are permitted to store multiple compensation data for a tool (MP7262 not equal to 0). The TNC inserts a copy of the tool data after the last available index and increases the index by 1. Application: e.g. stepped drill with more than one length compensation value |
Delete current line (tool): The TNC will then delete the content of the line in the table. If the tool to be deleted has been entered in the pocket table, the behavior of this function depends on MP 7263 (siehe List of general user parameters) |
Display / Do not display pocket numbers |
Display all tools / only those tools that are stored in the pocket table |
Search tool table for tool name of selected tool. The TNC shows the list with identical names in a pop-up window if it finds a tool with an identical name. Double-click the relevant tool in the window or select it using the arrow keys, confirm with the ENT key and the TNC highlights the selected tool |
Copy all tool data of a line (can also be done using CTRL+C) |
Paste all previously copied tool data (can also be done using CTRL+V) |


Exiting the tool table

  • Call the file manager and select a file of a different type, such as a part program


Additional notes on tool tables

MP7266.x defines which data can be entered in the tool table and in which sequence the data is displayed.

You can overwrite individual columns or lines of a tool table with the contents of another file. Prerequisites:

  • The target file must exist
  • The file to be copied must contain only the columns (or lines) you want to replace

To copy individual columns or lines, press the REPLACE FIELDS soft key (siehe Copying a single file).


Tool-carrier kinematics

The TNC must be adapted by your machine tool builder to be able to account for the tool carrier kinematics. In particular, your machine tool builder must provide the corresponding carrier kinematics or parameterizable tool carriers. Refer to your machine manual.

In the KINEMATIC column of the tool table TOOL.T you can assign each tool with an additional tool carrier kinematic description. In the simplest case, this carrier kinematics can simulate the taper shank in order to include it in the dynamic collision monitoring. Also, you can use this function to very easily integrate angle heads into the machine kinematic description.

HEIDENHAIN provides tool-carrier kinematics for HEIDENHAIN touch probes. If required, please contact HEIDENHAIN.
Weitere Informationen:
> Assigning the tool-carrier kinematics


Assigning the tool-carrier kinematics

Follow the procedure below to assign carrier kinematics to a tool:

  • Select any machine operating mode

Select the tool table: Press the TOOL TABLE soft key

Set the EDIT soft key to ON

Select the last soft key row

Show the list of available kinematics: The TNC displays all tool carrier kinematics (.TAB files) and all tool carrier kinematics you have already parameterized (.CFX files). In addition, the selection window shows a preview of the currently active carrier kinematics

Select the desired kinematics configuration with the arrow keys and confirm your selection with the OK key.

Please also note the information on tool-carrier management in combination with Dynamic Collision Monitoring (DCM): Siehe Tool carrier management (DCM software option)


Using an external PC to overwrite individual tool data

The HEIDENHAIN data transfer software TNCremoNT provides an especially convenient way to use an external PC to overwrite tool data (siehe Software for data transfer). This applies when you measure tool data on an external tool presetter and then want to transfer the data to the TNC. Follow this procedure:

  • Copy the tool table TOOL.T to the TNC, for example to TST.T

  • Start the data transfer software TNCremoNT on the PC

  • Establish a connection with the TNC

  • Transfer the copied tool table TST.T to the PC

  • Use any text editor to reduce TST.T to the lines and columns to be changed (see figure). Make sure that the header is not changed and the data is always flush in the column. The tool number (column T) need not be consecutive

  • In TNCremoNT, select the menu item <Extras> and <TNCcmd>: This starts TNCcmd.

  • To transfer TST.T to the TNC, enter the following command and confirm with the return key (see figure): put tst.t tool.t /m

During transfer, only the tool data defined in the subfile (e.g. TST.T) is overwritten. All other tool data of the table TOOL.T remains unchanged.

The procedure for copying tool tables using the TNC file manager is described in the section on file management (siehe Copying a table).


Pocket table for tool changer

The machine tool builder adapts the features of the pocket table to the requirements of your machine. The machine manual provides further information.

For automatic tool changing you need the pocket table TOOL_P.TCH. The TNC can manage several pocket tables with any file names. To activate a specific pocket table for program run, you must select it in the file management of a Program Run mode of operation (status M). In order to be able to manage various magazines in a tool-pocket table (indexing the pocket number), Machine Parameters 7261.0 to 7261.3 must not be equal to 0.

The TNC can control up to 9999 magazine pockets in the pocket table.

Weitere Informationen:
> Editing a pocket table in a Program Run operating mode
> Selecting a pocket table in the Programming and Editing operating mode


Editing a pocket table in a Program Run operating mode

Select the tool table: Press the TOOL TABLE soft key

Select the pocket table: Press the POCKET TABLE soft key

Set the EDIT soft key to ON. On your machine this might not be necessary or even possible. Refer to your machine manual


Selecting a pocket table in the Programming and Editing operating mode

Call the file manager

Press the SELECT TYPE soft key to select the file type

Press the soft key TCH FILES (second soft-key row) to show files of the type .TCH

Select a file or enter a new file name. Conclude your entry with the ENT key or the SELECT soft key

Abbr. | Inputs | Dialog
P | Pocket number of the tool in the tool magazine | -
T | Tool number | Tool number?
ST | Special tool; If your special tool blocks pockets in front of and behind its actual pocket, these additional pockets need to be locked in column L (status L). | Special tool?
F | The tool is always returned to the same pocket in the tool magazine (F for Fixed) | Fixed pocket? Yes = ENT / No = NO ENT
L | Locked pocket (see also column ST) | Pocket locked Yes = ENT / No = NO ENT
PLC | Information on this tool pocket that is to be sent to the PLC | PLC status?
TNAME | Display of the tool name from TOOL.T | -
DOC | Display of the comment to the tool from TOOL.T | -
PTYP | Tool type. Function is defined by the machine tool builder. The machine tool documentation provides further information | Tool type for pocket table?
p1 ... p5 | Function is defined by the machine tool builder. The machine tool documentation provides further information | Value?
RSV | Pocket reservation for box magazines | Pocket reserv.: Yes = ENT / No = NOENT
LOCKED_ABOVE | Box magazine: Lock the pocket above | Lock the pocket above?
LOCKED_BELOW | Box magazine: Lock the pocket below | Lock the pocket below?
LOCKED_LEFT | Box magazine: Lock the pocket at left | Lock the pocket at left?
LOCKED_RIGHT | Box magazine: Lock the pocket at right | Lock the pocket at right?
S1 ... S5 | Function is defined by the machine tool builder. The machine tool documentation provides further information | Value?
Editing functions for pocket tables | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Reset pocket table |
Reset tool number column T |
Go to beginning of next line |
Reset column to original state. Only applies to the columns RSV, LOCKED_ABOVE, LOCKED_BELOW, LOCKED_LEFT, and LOCKED_RIGHT |
Copy all tool data of a line (can also be done using CTRL+C) |
Paste all previously copied tool data (can also be done using CTRL+V) |


Calling tool data

A TOOL CALL block in the part program is defined with the following data:

  • Select the tool call function with the TOOL CALL key

Tool number: Enter the number or name of the tool. The tool must already be defined in a g99 block or in the tool table. Press the Tool Name soft key to enter the name. The TNC automatically places the tool name in quotation marks. Names always refer to an entry in the active tool table TOOL .T. You can also use the QS soft key to define a string parameter containing the name of the tool to be called. If you wish to call a tool with other compensation values, also enter the index you defined in the tool table after the decimal point. There is a select soft key for calling a window from which you can select a tool defined in the tool table TOOL.T directly without having to enter the number or name: Siehe auch Editing tool data in the selection window.

Working spindle axis X/Y/Z: Enter the tool axis

Spindle speed S: Enter the spindle speed directly or allow the TNC to calculate the spindle speed if you are working with cutting data tables. Press the S CALCULATE AUTOMAT. soft key. The TNC limits the spindle speed to the maximum value set in MP 3515. Alternatively, you can define the cutting speed Vc in m/min. Press the VC soft key

Feed rate F: Enter the feed rate directly or allow the TNC to calculate the feed rate if you are working with cutting data tables. Press the F CALCULATE AUTOMAT. soft key. The TNC limits the feed rate to the maximum feed rate of the slowest axis (set in MP1010). F is effective until you program a new feed rate in a positioning or TOOL CALL block

Tool length oversize DL: Enter the delta value for the tool length

Tool radius oversize DR: Enter the delta value for the tool radius

Tool radius oversize DR2: Enter the delta value for the tool radius 2

Editing tool data in the selection window

In the pop-up window for tool selection you can also edit the displayed tool data:

  • Use the arrow keys to select the line and then the column of the value to be edited: The light-blue background marks the editable field

  • Set the EDIT soft key to ON, enter the desired value and confirm with the ENT key

  • If needed, select further columns and repeat the described procedure

  • Press the ENT key to load the selected tool into the program

Search for tool names in the selection window

In the pop-up window for tool selection you can search for tool names:

  • Press the Find soft key

  • Enter the desired tool name and confirm with the ENT key: The TNC highlights the next line in which the tool name being searched for occurs

Example: Tool call

Call tool number 5 in the tool axis Z with a spindle speed 2500 rpm and a feed rate of 350 mm/min. The tool length is to be programmed with an oversize of 0.2 mm, the tool radius with an undersize of 1 mm.

N20 t 5.2 G17 s2500 dl+0.2 dr-1

The character D preceding L and R designates delta values.

Weitere Informationen:
> Tool preselection with tool tables


Tool preselection with tool tables

If you are working with tool tables, use g51 to preselect the next tool. Simply enter the tool number or a corresponding Q parameter, or type the tool name in quotation marks.


Tool change

The tool change function can vary depending on the individual machine tool. The machine manual provides further information.
Weitere Informationen:
> Tool change position
> Manual tool change
> Automatic tool change
> Automatic tool change if the tool life expires: M101
> Prerequisites for standard NC blocks with radius compensation G41, G42


Tool change position

The tool change position must be approachable without collision. Use the miscellaneous functions M91 and M92 to enter machine-based (rather than workpiece-based) coordinates for the tool change position. If T 0 is programmed before the first tool call, the TNC moves the tool spindle in the tool axis to a position that is independent of the tool length.


Manual tool change

To change the tool manually, stop the spindle and move the tool to the tool change position:

  • Move to the tool change position under program control

  • Interrupt program run (siehe Interrupting machining)

  • Tool change

  • Resume program run (siehe Resuming program run after an interruption)


Automatic tool change

If your machine tool has automatic tool changing capability, the program run is not interrupted. When the TNC reaches a T it replaces the inserted tool by another from the tool magazine.


Automatic tool change if the tool life expires: M101

The function of M101 can vary depending on the individual machine tool. The machine manual provides further information.

The TNC can only perform an automatic tool change if the tool change is executed via an NC macro. Refer to your machine manual.

The TNC automatically changes the tool if the tool life TIME2 expires during program run. To use this miscellaneous function, activate M101 at the beginning of the program. M101 is reset with M102. When TIME1 is reached, the TNC merely sets an internal marker that can be evaluated via the PLC (refer to your machine manual). The machine tool builder also defines the effect of the maximum permitted violation of the tool life OVRTIME. Refer to your machine manual.

You enter the number of the replacement tool in the RT column of the tool table. If no tool number is entered there, the TNC inserts a tool that has the same name as the momentarily active one. The TNC starts the search from the beginning of the tool table and inserts the first tool it finds.

The tool is changed automatically

  • after the next NC block after expiration of the tool life, or
  • about one minute plus one NC block after tool life expires (calculation is for a potentiometer setting of 100 %)

If the tool life ends during an active M120 (look ahead), the TNC waits to change the tool until after the block in which you canceled the radius compensation.

The TNC does not execute any automatic tool change if it is currently running a cycle. Exception: During the Pattern Cycles 220 and 221 (circular hole pattern and linear pattern) the TNC can execute an automatic tool change between two machining positions, if required.

Automatic tool changing is not possible if tool radius compensation is active.

Caution: Danger to the workpiece and tool!

Switch off the automatic tool change with M102 if you are working with special tools (e.g. side mill cutter) because the TNC at first always moves the tool away from the workpiece in tool axis direction.


Prerequisites for standard NC blocks with radius compensation G41, G42

The radius of the replacement tool must be the same as that of the original tool. If the radii are not equal, the TNC displays an error message and does not replace the tool.

On NC programs without radius compensation the TNC does not check the tool radius of the replacement tool during the change.


Tool usage test

The tool usage test function must be enabled by your machine manufacturer. Refer to your machine manual.

The following are prerequisites for a tool usage test:

  • Bit 2 of the machine parameter must be set to 7246=1
  • The machining timer must be active in the Test Run operating mode
  • A simulation of the plain language program must have been completed in the Test Run mode

If there is no valid tool usage file available and the machining time calculation is deactivated, then the TNC creates a tool usage file with a default time of 10s for each tool usage.

Weitere Informationen:
> Settings for the tool usage test
> Applying the tool usage test


Settings for the tool usage test

To be able to influence the behavior of the tool usage test, a form is available, which you can call as follows:

  • Select the Program Run, Single Block mode or the Program Run, Full Sequence mode.

  • Press the Tool Usage soft key: The TNC shows a soft-key row with functions for the usage test.

  • Press the SETTINGS soft key: The TNC displays the form with the available settings.

    You can define the following settings separately for Program Run, Full Sequence / Single Block and the Test Run.

  • Do not generate tool-usage file setting:
    The TNC does not generate a tool usage file
  • Generate tool-usage file once setting:
    The TNC generates a tool usage file once with the next NC start or start of the simulation. Then the TNC automatically deactivates the Do not generate tool-usage file mode to prevent the usage file from being overwritten during further NC starts
  • Generate new tool usage file after changes or as needed (basic setting):
    The TNC generates a tool usage file with every NC start or every start of the test run. The setting ensures that the TNC also generates a new tool-usage file after program changes


Applying the tool usage test

With the TOOL USAGE and TOOL USAGE TEST soft keys, you can check before starting a program in a Program Run operating mode whether the tools being used in the selected program have enough service life remaining. The TNC then compares the actual service-life values in the tool table with the nominal values from the tool usage file.

After you have pressed the TOOL USAGE TEST soft key, the TNC displays the result of the tool usage test in a pop-up window. Use the CE key to close the pop-up window.

The TNC saves the tool usage times in a separate file with the extension pgmname.H.T.DEP (siehe Changing the MOD setting for dependent files). The generated tool usage file contains the following information:

Column Meaning

TOKEN
  • TOOL: Tool usage time per TOOL CALL. The entries are listed in chronological order.
  • TTOTAL: Total usage time of a tool
  • STOTAL: Call of a subprogram (incl. cycles); the entries are listed in chronological order
  • timetotal: The total machining time of the NC program is entered in the wtime column. In the PATH column the TNC saves the path name of the corresponding NC programs. The TIME column shows the sum of all TIME entries (only when the spindle is on, and without rapid traverse). The TNC sets all other columns to 0
  • toolfile: In the PATH column, the TNC saves the path name of the tool table with which you conducted the Test Run. This enables the TNC during the actual tool usage test to detect whether you performed the test run with the TOOL.T

TNR

Tool number (–1: No tool inserted yet)

IDX

Tool index

NAME

Tool name from the tool table

TIME

Tool-usage time in seconds (feed time)

WTIME

Tool-usage time in seconds (total usage time between tool changes)

RAD

Tool radius R + Oversize of tool radius DR from the tool table. The unit is 0.1 µm.

BLOCK

Block number in which the TOOL CALL block was programmed

PATH
  • TOKEN = TOOL: Path name of the active main program or subprogram
  • TOKEN = STOTAL: Path name of the subprogram

T

Tool number with tool index

OVRMAX

Maximum feed rate override that occurred during machining. During Test Run the TNC enters the value 100 (%)

OVRMIN

Minimum feed rate override that occurred during machining. During Test Run the TNC enters the value –1

NAMEPROG
  • 0: The tool number is programmed
  • 1: The tool name is programmed

There are two ways to run a tool usage test for a pallet file:

  • The highlight is on a pallet entry in the pallet file:
    The TNC runs the tool usage test for the entire pallet
  • The highlight is on a program entry in the pallet file:
    The TNC runs the tool usage test only for the selected program


Tool management (software option)

Tool management is a machine-dependent function, which may be partly or completely deactivated. The machine tool builder defines the exact range of functions, so refer to your machine manual.

    With the tool management, your machine tool builder can provide many functions with regard to tool handling. Examples:

  • Easily readable and, if you desired, adaptable representation of the tool data in fillable forms
  • Any description of the individual tool data in the new table view
  • Mixed representation of data from the tool table and the pocket table
  • Fast sorting of all tool data by mouse
  • Use of graphic aids, e.g. color coding of tool or magazine status
  • Program-specific list of all available tools
  • Program-specific usage sequence of all tools
  • Copying and pasting of all tool data pertaining to a tool
  • Graphic depiction of tool type in the table view and in the detail view for a better overview of the available tool types
Weitere Informationen:
> Calling the tool management
> Operating the tool management
> Importing tool data
> Exporting tool data
> Deleting marked tool data


Calling the tool management

The tool management call can differ as described below; refer to your machine manual!

Select the tool table: Press the TOOL TABLE soft key

Scroll through the soft-key row

Select the tool management soft key: The TNC goes into the new table view (see figure at right)

    In the new view, the TNC presents all tool information in the following four tabs:

  • Tools:
    Tool specific information
  • Tool pockets:
    Pocket-specific information
  • Tooling list:
    List of all tools in the NC program that is selected in the Program Run mode (only if you have already created a tool usage file, siehe Tool usage test). The TNC shows the tools missing in the tooling list in the TOOL INFO column with the not defined dialog marked in red
  • T usage order:
    List of the sequence of all tools that are inserted in the program selected in the Program Run mode (only if you have already made a tool usage file, siehe Tool usage test) The TNC shows the tools missing in the usage order list in the TOOL INFO column with the not defined dialog marked in red

You can edit the tool data only in the form view, which you can activate by pressing the FORM FOR TOOL soft key or the ENT key for the currently highlighted tool.


Operating the tool management

The tool management can be operated by mouse or with the keys and soft keys:

Editing functions for tool management Soft key

Select beginning of table

Select end of table

Select previous page in table

Select next page in table

Call the fillable form view for the tool or magazine pocket highlighted in the table. Alternative function: Press the ENT key

Go to next tab: Tools, Pockets, Tooling list, T usage order

Go to previous tab: Tools, Pockets, Tooling list, T usage order

Search function (Find): Here you can select the column to be searched and the search term via a list or by entering it

Import tool data: Importing of tool data in CSV format (siehe Importing tool data)

Export tool data: Exporting of tool data in CSV format (siehe Exporting tool data)

Delete marked tool data: Siehe Deleting marked tool data

Refresh view for reinitializing a view if the data stock is inconsistent

Show programmed-tools column (if Pockets tab is active)

    Define the settings:

  • SORT COLUMN active:
    Click the column header to sort the content of the column
  • MOVE COLUMN active:
    The column can be moved by drag and drop

Reset the manually changed settings (moved columns) to original condition

    In addition, you can perform the following functions by mouse:

  • Sorting function
    You can sort the data in ascending or descending order (depending on the active setting) by clicking a column of the table head.
  • Moving columns
    You can arrange the columns in any sequence you want by clicking a column of the table head and then moving it with the mouse key pressed down. The TNC does not save the current column sequence when you exit the tool management (depending on the active setting).
  • Showing additional information in the fillable form view
    The TNC displays tool tips when you leave the mouse pointer on an active input field for more than a second and when you have set the EDIT ON/OFF soft key to ON.

If the form view is active, the following functions are available to you:

Editing functions, form view | Soft key
Select the tool data of the previous tool |
Select the tool data of the next tool |
Select previous tool index (only active if indexing is enabled) |
Select the next tool index (only active if indexing is enabled) |
Discard all changes made since the form was called ("Undo" function) |
Insert new tool (soft-key row 2) |
Delete tool (soft-key row 2) |
Insert tool index (soft-key row 2) |
Delete tool index (soft-key row 2) |
Copy the tool data of the selected tool (2nd soft-key row) |
Insert the copied tool data in the selected tool (2nd soft-key row) |
Select/deselect check boxes (e.g. for TL line) |
Open selection lists of combo boxes (e.g. for AFC line) |


Importing tool data

Using this function you can simply import tool data that you have measured externally on a presetting device, for example. The file to be imported must have the CSV format (Comma Separated Values). The CSV file format describes the structure of a text file for exchanging simply structured data. Accordingly, the import file must have the following structure:

  • Line 1:
    In the first line you define the column names in which the data defined in the subsequent lines is to be placed. The column names are separated from each other by commas.
  • Other lines:
    All the other lines contain the data that you wish to import into the tool table. The order of the data must match the order of the column names in Line 1. The data is separated by commas, decimal numbers are to be defined with a decimal point.

Follow the steps outlined below for importing:

  • Copy the tool table to be imported to the hard disk of the TNC in the TNC:\systems\tooltab directory

  • Start Expanded Tool Management

  • Select the IMPORT TOOL soft key in the Tool Management: The TNC shows a pop-up window with the CSV files stored in the TNC:\systems\tooltab directory

  • Use the arrow keys or mouse to select the file to be imported and confirm with the ENT key: The TNC shows the content of the CSV file in a pop-up window

  • Press the OK and EXECUTE soft keys to start the import process

  • If the tool data file to be imported contains tool numbers that are not available in the internal tool table, the TNC displays the COMPLETE THE TABLE soft key. If you press this soft key, the TNC will insert empty data records until the higher tool numbers can be transferred.

  • The CSV file to be imported must be stored in the TNC:\system\tooltab directory.
  • If you import the tool data of tools whose numbers are in the pocket table, the TNC issues an error message. You can then decide whether you want to skip this data record or insert a new tool. The TNC inserts a new tool into the first empty line of the tool table.
  • Make sure that the column designations are specified correctly (siehe Tool table: Standard tool data).
  • You can import any tool data, the associated data record does not have to contain all the columns (or data) of the tool table.
  • The column names can be in any order, the data must be defined in the corresponding order.
Sample import file:
T,L,R,DL,DR | Line 1 with column names
4,125.995,7.995,0,0 | Line 2 with tool data
9,25.06,12.01,0,0 | Line 3 with tool data
28,196.981,35,0,0 | Line 4 with tool data


Exporting tool data

Using this function you can simply export tool data to read it into the tool database of your CAM system, for example. The TNC stores the exported file in the CSV format (Comma Separated Values). The CSV file format describes the structure of a text file for exchanging simply structured data. The export file has the following structure:

  • Line 1:
    In the first line the TNC stores the column names of all the relevant tool data to be defined. The column names are separated from each other by commas.
  • Other lines:
    All the other lines contain the data of the tools that you have exported. The order of the data matches the order of the column names in Line 1. The data is separated by commas, the TNC outputs decimal numbers with a decimal point.

Follow the steps outlined below for exporting:

  • In the tool management you use the arrow keys or mouse to mark the tool data that you wish to export

  • Select the EXPORT TOOL soft key, the TNC shows a pop-up window: specify the name for the CSV file, confirm with the ENT key

  • Press the OK and EXECUTE soft keys to start the export process: The TNC shows the status of the export process in a pop-up window

  • Terminate the export process by pressing the END key or soft key

The TNC always stores the exported CSV file in the TNC:\system\tooltab directory.


Deleting marked tool data

Using this function you can simply delete tool data that you no longer need.

Follow the steps outlined below for deleting:

  • In the tool management you use the arrow keys or mouse to mark the tool data that you wish to delete

  • Select the DELETE MARKED TOOLS soft key and the TNC shows a pop-up window listing the tool data to be deleted

  • Press the START soft key to start the delete process: The TNC shows the status of the delete process in a pop-up window

  • Terminate the delete process by pressing the END key or soft key

  • The TNC deletes all the data of all the tools selected. Make sure that you really no longer need the tool data, because there is no Undo function available.
  • You cannot delete the tool data of tools still stored in the pocket table. First remove the tool from the magazine.


Tool compensation

Weitere Informationen:
> Introduction
> Tool length compensation
> Tool radius compensation


Introduction

The TNC adjusts the spindle path in the spindle axis by the compensation value for the tool length. In the working plane, it compensates the tool radius.

If you are writing the part program directly on the TNC, the tool radius compensation is effective only in the working plane. The TNC accounts for the compensation value in up to five axes including the rotary axes.


Tool length compensation

Length compensation becomes effective automatically as soon as a tool is called and the spindle axis moves. To cancel length compensation, call a tool with the length L=0.

Danger of collision!

If you cancel a positive length compensation with T0, the distance between tool and workpiece will be reduced.

After T the path of the tool in the spindle axis, as entered in the part program, is adjusted by the difference between the length of the previous tool and that of the new one.

For tool length compensation, the control takes the delta values from both the T block and the tool table into account:

Compensation value = L + DLTOOL CALL + DLTAB with

L: | Tool length L from the g99 block or tool table
DL TOOL CALL: | Oversize for length DL in the T0 block (not taken into account by the position display)
DL TAB: | Oversize for length DL in the tool table


Tool radius compensation

The NC block for programming a tool movement contains:

  • g41 or g42 or radius compensation
  • g43 or g44, for radius compensation in single-axis movements
  • g40 if there is no radius compensation

Radius compensation becomes effective as soon as a tool is called and is moved with a straight line block in the working plane with g41 or g42.

The TNC automatically cancels radius compensation if you:

  • program a straight line block with g40 If the straight-line block contains only one coordinate in the tool-axis direction, then the TNC cancels the radius compensation but it does not necessarily move correctly in the working plane.

  • program a PGM CALL

  • Select a new program with PGM MGT

For radius compensation, the TNC takes the delta values from both the t block and the tool table into account:

Compensation value = R + DRTOOL CALL + DRTAB where

R: | Tool radius R from the g99 block or tool table
DR TOOL CALL: | Oversize for radius DR in the t block (not taken into account by the position display)
DR TAB: | Oversize for radius DR in the tool table
Weitere Informationen:
> Contouring without radius compensation: G40
> Contouring with radius compensation: G42 and G41
> Entering radius compensation
> Radius compensation: Machining corners
> Machining corners without radius compensation


Contouring without radius compensation: G40

The tool center moves in the working plane along the programmed path or to the programmed coordinates.

Applications: Drilling and boring, pre-positioning


Contouring with radius compensation: G42 and G41
g42 | The tool moves to the right of the programmed contour
g41 | The tool moves to the left of the programmed contour

The tool center moves along the contour at a distance equal to the radius. "Right" or "left" are to be understood as based on the direction of tool movement along the workpiece contour. See figures.

Between two program blocks with different radius compensations g42 and g41 you must program at least one traversing block in the working plane without radius compensation (that is, with g40).

The TNC does not put radius compensation into effect until the end of the block in which it is first programmed.

You can also activate the radius compensation for secondary axes in the working plane. Program the secondary axes too in each following block, since otherwise the TNC will execute the radius compensation in the principal axis again.

In the first block in which radius compensation is activated with g42/G41 or canceled with g40 the TNC always positions the tool perpendicular to the programmed starting or end position. Position the tool at a sufficient distance from the first or last contour point to prevent the possibility of damaging the contour.


Entering radius compensation

Radius compensation is entered in a G01 block:

Select tool movement to the left of the programmed contour: Select function G41, or

Select tool movement to the right of the contour: Select function G42, or

Select tool movement without radius compensation or cancel radius compensation: Select function G40

Terminate the block: Press the END key


Radius compensation: Machining corners

  • Outside corners:
    If you program radius compensation, the TNC moves the tool around outside corners either on a transitional arc or on a spline (selectable via MP7680). If necessary, the TNC reduces the feed rate at outside corners to reduce machine stress, for example at very great changes of direction.

  • Inside corners:
    The TNC calculates the intersection of the tool center paths at inside corners under radius compensation. From this point it then starts the next contour element. This prevents damage to the workpiece at the inside corners. The permissible tool radius, therefore, is limited by the geometry of the programmed contour.

Caution: Danger to the workpiece!

To prevent the tool from damaging the contour, be careful not to program the starting or end position for machining inside corners at a corner of the contour.


Machining corners without radius compensation

If you program the tool movement without radius compensation, you can change the tool path and feed rate at workpiece corners with the miscellaneous function M90, siehe Smoothing corners: M90.


Programming: Programming Contours

Weitere Informationen:
> Tool movements
> Fundamentals of path functions
> Contour approach and departure
> Path contours—Cartesian coordinates
> Path contours—Polar coordinates


Tool movements

Weitere Informationen:
> Path functions
> Miscellaneous functions M
> Subprograms and program section repeats
> Programming with Q parameters


Path functions

A workpiece contour is usually composed of several contour elements such as straight lines and circular arcs. With the path functions, you can program the tool movements for straight lines and circular arcs.


Miscellaneous functions M

    With the TNC’s miscellaneous functions you can affect

  • The program run, e.g., a program interruption
  • The machine functions, such as switching spindle rotation and coolant supply on and off
  • The path behavior of the tool


Subprograms and program section repeats

If a machining sequence occurs several times in a program, you can save time and reduce the chance of programming errors by entering the sequence once and then defining it as a subprogram or program section repeat. If you wish to execute a specific program section only under certain conditions, you also define this machining sequence as a subprogram. In addition, you can have a part program call a separate program for execution.

Programming with subprograms and program section repeats is described in Chapter 8.


Programming with Q parameters

Instead of programming numerical values in a part program, you enter markers called Q parameters. You assign the values to the Q parameters separately with the Q parameter functions. You can use the Q parameters for programming mathematical functions that control program execution or describe a contour.

In addition, programming with Q parameters enables you to measure with the touch probe during program run.

Programming with Q parameters is described in Chapter 9.


Fundamentals of path functions

Weitere Informationen:
> Programming tool movements for workpiece machining


Programming tool movements for workpiece machining

You create a part program by programming the path functions for the individual contour elements in sequence. You usually do this by entering the coordinates of the end points of the contour elements given in the production drawing. The TNC calculates the actual path of the tool from these coordinates, and from the tool data and radius compensation.

The TNC moves all axes programmed in a single block simultaneously.

Weitere Informationen:
> Movement parallel to the machine axes
> Movement in the main planes
> Three-dimensional movement
> Entering more than three coordinates
> Circles and circular arcs
> Direction of rotation DR for circular movements
> Radius compensation
> Pre-positioning


Movement parallel to the machine axes

The program block contains only one coordinate. The TNC thus moves the tool parallel to the programmed axis.

Depending on the individual machine tool, the part program is executed by movement of either the tool or the machine table on which the workpiece is clamped. Nevertheless, you always program path contours as if the tool were moving and the workpiece remaining stationary.

Example:
N50 G00 X+100 *
n50 | Block no.
g00 | Path function “straight line at rapid traverse”
X+100 | Coordinate of the end point

The tool retains the Y and Z coordinates and moves to the position X=100. See figure.


Movement in the main planes

The program block contains two coordinates. The TNC thus moves the tool in the programmed plane.

Example:
N50 G00 X+70 Y+50 *

The tool retains the Z coordinate and moves in the XY plane to the position X=70, Y=50 (see figure).


Three-dimensional movement

The program block contains three coordinates. The TNC thus moves the tool in space to the programmed position.

Example:
N50 G01 X+80 Y+0 Z-10 *


Entering more than three coordinates

The TNC can control up to 5 axes simultaneously (software option). Machining with 5 axes, for example, moves 3 linear and 2 rotary axes simultaneously.

Such programs are too complex to program at the machine, however, and are usually created with a CAM system.

Example:
n123 g01 g40 x+20 y+10 z+2 a+15 c+6 f100 m3 *


Circles and circular arcs

The TNC moves two axes simultaneously on a circular path relative to the workpiece. You can define a circular movement by entering the circle center CC.

When you program a circle, the control assigns it to one of the main planes. This plane is defined automatically when you set the spindle axis during a tool call:

Spindle axis | Main plane
(g17) | XY, also UV, XV, UY
(g18) | ZX, also WU, ZU, WX
(g19) | YZ, also VW, YW, VZ

You can program circles that do not lie parallel to a main plane by using the function for tilting the working plane (see User's Manual for Cycles, Cycle 19, WORKING PLANE) or Q parameters (siehe Principle and overview).


Direction of rotation DR for circular movements

When a circular path has no tangential transition to another contour element, enter the direction of rotation as follows:

Clockwise direction of rotation: G02/G12
Counterclockwise direction of rotation: G03/G13


Radius compensation

The radius compensation must be in the block in which you move to the first contour element. You cannot activate radius compensation in a circle block. Activate it beforehand in a straight-line block (siehe Path contours—Cartesian coordinates).


Pre-positioning

Before running a part program, always pre-position the tool to prevent the possibility of damaging it or the workpiece.


Contour approach and departure

Weitere Informationen:
> Starting point and end point
> Tangential approach and departure


Starting point and end point

The tool approaches the first contour point from the starting point. The starting point must be:

  • Programmed without radius compensation
  • Approachable without danger of collision
  • Close to the first contour point

Example

Figure at upper right: If you set the starting point in the dark gray area, the contour will be damaged when the first contour element is approached.

Weitere Informationen:
> First contour point
> Approaching the starting point in the spindle axis
> End point
> Common starting and end points


First contour point

You need to program a radius compensation for the tool movement to the first contour point.


Approaching the starting point in the spindle axis

When the starting point is approached, the tool must be moved to the working depth in the spindle axis. If danger of collision exists, approach the starting point in the spindle axis separately.

Example NC blocks
N30 G00 G40 X+20 Y+30 *
N40 Z-10 *


End point

The end point should be selected so that it is:

  • Approachable without danger of collision
  • Near to the last contour point
  • In order to make sure the contour will not be damaged, the optimal ending point should lie on the extended tool path for machining the last contour element

Example

Figure at upper right: If you set the ending point in the dark gray area, the contour will be damaged when the end point is approached.

Depart the end point in the spindle axis:

Program the departure from the end point in the spindle axis separately. See figure at center right.

Example NC blocks
N50 G00 G40 X+60 Y+70 *
N60 Z+250 *


Common starting and end points

Do not program any radius compensation if the starting point and end point are the same.

In order to make sure the contour will not be damaged, the optimal starting point should lie between the extended tool paths for machining the first and last contour elements.

Example

Figure at upper right: If you set the starting point in the dark gray area, the contour will be damaged when the first contour element is approached.


Tangential approach and departure

With G26 (figure at top right), you can program a tangential approach to the workpiece, and with G27 (figure at lower right) a tangential departure. In this way you can avoid dwell marks.

Weitere Informationen:
> Starting point and end point
> Approach
> Departure


Starting point and end point

The starting point and the end point lie outside the workpiece, close to the first and last contour points. They are to be programmed without radius compensation.


Approach

  • G26 is entered after the block in which the first contour element is programmed: This will be the first block with radius compensation G41/G42


Departure

  • G27 after the block in which the last contour element is programmed: This will be the last block with radius compensation G41/G42

The radius for G26 and G27 must be selected so that the TNC can execute the circular path between the starting point and the first contour point, as well as the last contour point and the end point.

Example NC blocks
n50 g00 g40 g90 x-30 y+50 * | Starting point
n60 g01 g41 x+0 y+50 f350 * | First contour point
n70 g26 r5 * | Tangential approach with radius R = 5 mm
. . . |
Program contour blocks |
. . . | Last contour point
n210 g27 r5 * | Tangential departure with radius R = 5 mm
n220 g00 g40 x-30 y+50 * | End point


Path contours—Cartesian coordinates

Weitere Informationen:
> Overview of path functions
> Straight line at rapid traverse G00 Straight line with feed rate G01 F
> Inserting a chamfer between two straight lines
> Corner rounding G25
> Circle center I, J
> Circular path C around circle center CC
> Circular path G02/G03/G05 with defined radius
> Circular path CT with tangential connection
> Example: Linear movements and chamfers with Cartesian coordinates
> Example: Circular movements with Cartesian coordinates
> Example: Full circle with Cartesian coordinates


Overview of path functions

Function | Path function key | Tool movement | Required input | Page
Line L |  | Straight line | Coordinates of the end point of the straight line | Straight line at rapid traverse G00 Straight line with feed rate G01 F
Chamfer: CHF |  | Chamfer between two straight lines | Chamfer side length | Inserting a chamfer between two straight lines
Circle Center CC |  | None | Coordinates of the circle center or pole | Circle center I, J
Circular arc C |  | Circular arc around a circle center CC to an arc end point | Coordinates of the arc end point, direction of rotation | Circular path C around circle center CC
Circular arc CR |  | Circular arc with a certain radius | Coordinates of the arc end point, arc radius, direction of rotation | Circular path G02/G03/G05 with defined radius
Circular arc CT |  | Circular arc with tangential connection to the preceding and subsequent contour elements | Coordinates of the arc end point | Circular path CT with tangential connection
Corner Rounding RND |  | Circular arc with tangential connection to the preceding and subsequent contour elements | Rounding radius R | Corner rounding G25


Straight line at rapid traverse G00 Straight line with feed rate G01 F

The TNC moves the tool in a straight line from its current position to the straight-line end point. The starting point is the end point of the preceding block.

Coordinates of the end point of the straight line, if necessary

Radius compensation G41/G42/G40

Feed rate F

Miscellaneous function M
Example NC blocks
N70 G01 G41 X+10 Y+40 F200 M3 *
N80 G91 X+20 Y-15 *
N90 G90 X+60 G91 Y-10 *
Weitere Informationen:
> Actual position capture


Actual position capture

You can also generate a straight-line block (G01 block) by using the actual-position-capture key:

  • In the Manual Operation mode, move the tool to the position you want to capture

  • Switch the screen display to Programming and Editing

  • Select the program block after which you want to insert the L block

Press the actual-position-capture key: The TNC generates an L block with the actual position coordinates.

In the MOD function, you define the number of axes that the TNC saves in aG01 block (siehe Selecting the axes for generating G01 blocks).


Inserting a chamfer between two straight lines

The chamfer enables you to cut off corners at the intersection of two straight lines.

  • The line blocks before and after the g24 block must be in the same working plane as the chamfer
  • The radius compensation before and after the g24 block must be the same
  • The chamfer must be machinable with the current tool

Chamfer side length: Length of the chamfer, and if necessary:

Feed rate F (effective only in g24 block)

Example NC blocks
N70 G01 G41 X+0 Y+30 F300 M3 *
N80 X+40 G91 Y+5 *
N90 G24 R12 F250 *
N100 G91 X+5 G90 Y+0 *

You cannot start a contour with a g24 block.

A chamfer is possible only in the working plane.

The corner point is cut off by the chamfer and is not part of the contour.

A feed rate programmed in the CHF block is effective only in that block. After the g24 block, the previous feed rate becomes effective again.


Corner rounding G25

The g25 function is used for rounding off corners.

The tool moves on an arc that is tangentially connected to both the preceding and subsequent contour elements.

The rounding arc must be machinable with the called tool.

Rounding radius: Enter the radius, and if necessary:

Feed rate g25 block)

Example NC blocks
5 L X+10 Y+40 RL F300 M3
6 L X+40 Y+25
7 RND R5 F100
8 L X+10 Y+5

In the preceding and subsequent contour elements, both coordinates must lie in the plane of the rounding arc. If you machine the contour without tool-radius compensation, you must program both coordinates in the working plane.

The corner point is cut off by the rounding arc and is not part of the contour.

A feed rate programmed in the g25 block is effective only in that g25 block. After the g25 block, the previous feed rate becomes effective again.

You can also use an RND block for a tangential contour approach.


Circle center I, J

You can define a circle center for circles that you have programmed with the G02, G03 or G05 function. This is done in the following ways:

  • Entering the Cartesian coordinates of the circle center in the working plane, or
  • Using the circle center defined in an earlier block, or

  • Capturing the coordinates with the actual-position-capture key

Enter the coordinates for the circle center, or If you want to use the last programmed position, enter G29
Example NC blocks
N50 I+25 J+25 *

or

N10 G00 G40 X+25 Y+25 *
N20 G29 *

The program blocks 10 and 11 do not refer to the illustration.

Validity

The circle center definition remains in effect until a new circle center is programmed. You can also define a circle center for the secondary axes U, V and W.

Entering the circle center incrementally

If you enter the circle center with incremental coordinates, you have programmed it relative to the last programmed position of the tool.

The only effect of CC is to define a position as circle center: The tool does not move to this position.

The circle center is also the pole for polar coordinates.

If you wish to define the pole in parallel axes, first press the key I (J) on the ASCII keyboard, and then the orange axis key for the corresponding parallel axis.


Circular path C around circle center CC

Before programming a circular arc, you must first enter the circle center I, J. The last programmed tool position will be the starting point of the arc.

Direction of rotation
  • In clockwise direction: G02
  • In counterclockwise direction: G03
  • Without direction indication: G05. The TNC traverses the circular arc with the last programmed direction of rotation.

  • Move the tool to the circle starting point

Enter the coordinates of the circle center

Enter the coordinates of the arc end point, and if necessary:

Feed rate FMiscellaneous function M

The TNC normally makes circular movements in the active working plane. If you program circular arcs that do not lie in the active working plane, for example g2 Z... X... with a tool axis Z, and at the same time rotate this movement, then the TNC moves the tool in a spatial arc, which means a circular arc in 3 axes.

Example NC blocks
N50 I+25 J+25 *
N60 G01 G42 X+45 Y+25 F200 M3 *
N70 G03 X+45 Y+25 *

Full circle

For the end point, enter the same point that you used for the starting point.

The starting and end points of the arc must lie on the circle.

Input tolerance: up to 0.016 mm (selected with MP7431).

Smallest possible circle that the TNC can traverse: 0.0016 µm.


Circular path G02/G03/G05 with defined radius

The tool moves on a circular path with the radius R.

Direction of rotation
  • In clockwise direction: G02
  • In counterclockwise direction: G03
  • Without direction indication: G05. The TNC traverses the circular arc with the last programmed direction of rotation.

Coordinates of the arc end point

Radius R Note: The algebraic sign determines the size of the arc!

Miscellaneous function MFeed rate F

Full circle

For a full circle, program two blocks in succession:

The end point of the first semicircle is the starting point of the second. The end point of the second semicircle is the starting point of the first.

Weitere Informationen:
> Central angle CCA and arc radius R


Central angle CCA and arc radius R

The starting and end points on the contour can be connected with four arcs of the same radius:

Smaller arc: CCA<180°
Enter the radius with a positive sign R>0

Larger arc: CCA>180°
Enter the radius with a negative sign R<0

The direction of rotation determines whether the arc is curving outward (convex) or curving inward (concave):

Convex: Direction of rotation G02 (with radius compensation G41)

Concave: Direction of rotation G03 (with radius compensation G41)

Example NC blocks
N100 G01 G41 X+40 Y+40 F200 M3 *
N110 G02 X+70 Y+40 R+20 * (arc 1)

or

N110 G03 X+70 Y+40 R+20 * (arc 2)

or

N110 G02 X+70 Y+40 R-20 * (arc 3)

or

N110 G03 X+70 Y+40 R-20 * (arc 4)

The distance from the starting and end points of the arc diameter cannot be greater than the diameter of the arc.

The maximum radius that can be entered directly is 99.9999 m, with Q parameter programming 210 m.

You can also enter rotary axes A, B and C.


Circular path CT with tangential connection

The tool moves on an arc that starts tangentially to the previously programmed contour element.

A transition between two contour elements is called tangential when there is no kink or corner at the intersection between the two contours—the transition is smooth.

The contour element to which the tangential arc connects must be programmed immediately before the G06 block. This requires at least two positioning blocks.

Coordinates of the arc end point, and if necessary:

Feed rate F

Miscellaneous function M
Example NC blocks
N70 G01 G41 X+0 Y+25 F300 M3 *
N80 X+25 Y+30 *
N90 G06 X+45 Y+20 *
G01 Y+0 *

A tangential arc is a two-dimensional operation: the coordinates in the G06 block and in the contour element preceding it must be in the same plane of the arc!


Example: Linear movements and chamfers with Cartesian coordinates

%linear g71 * |
n10 g30 g17 x+0 y+0 z-20 * | Define the workpiece blank for graphic workpiece simulation
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s4000 * | Call the tool in the spindle axis and with the spindle speed S
n50 g00 g40 g90 z+250 * | Retract the tool in the spindle axis at rapid traverse
n60 x-10 y-10 * | Pre-positioning the tool
n70 g01 z-5 f1000 m3 * | Move to working depth at feed rate F = 1000 mm/min
n80 g01 g41 x+5 y+5 f300 * | Approach the contour at point 1, activate radius compensation G41
n90 g26 r5 f150 * | Tangential approach
n100 y+95 * | Move to point 2
n110 x+95 * | Point 3: first straight line for corner 3
n120 g24 r10 * | Program a chamfer with length 10 mm
n130 y+5 * | Point 4: 2nd straight line for corner 3, 1st straight line for corner 4
n140 g24 r20 * | Program a chamfer with length 20 mm
n150 x+5 * | Move to last contour point 1, second straight line for corner 4
n160 g27 r5 f500 * | Tangential exit
n170 g40 x-20 y-20 f1000 * | Retract the tool in the working plane, cancel radius compensation
n180 g00 z+250 m2 * | Retract the tool, end program
n99999999 %linear g71 * |


Example: Circular movements with Cartesian coordinates

%circular g71 * |
n10 g30 g17 x+0 y+0 z-20 * | Define the workpiece blank for graphic workpiece simulation
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s4000 * | Call the tool in the spindle axis and with the spindle speed S
n50 g00 g40 g90 z+250 * | Retract the tool in the spindle axis at rapid traverse
n60 x-10 y-10 * | Pre-positioning the tool
n70 g01 z-5 f1000 m3 * | Move to working depth at feed rate F = 1000 mm/min
n80 g01 g41 x+5 y+5 f300 * | Approach the contour at point 1, activate radius compensation G41
n90 g26 r5 f150 * | Tangential approach
n100 y+85 * | Point 2: First straight line for corner 2
n110 g25 r10 * | Insert radius with R = 10 mm, feed rate: 150 mm/min
n120 x+30 * | Move to point 3: Starting point of the arc
n130 g02 x+70 y+95 r+30 * | Move to point 4: End point of the arc with G02, radius 30 mm
n140 g01 x+95 * | Move to point 5
n150 y+40 * | Move to point 6
n160 g06 x+40 y+5 * | Move to point 7: End point of the arc, circular arc with tangential connection to point 6, TNC automatically calculates the radius
n170 g01 x+5 * | Move to last contour point 1
n180 g27 r5 f500 * | Depart the contour on a circular arc with tangential connection
n190 g40 x-20 y-20 f1000 * | Retract the tool in the working plane, cancel radius compensation
n200 g00 z+250 m2 * | Retract the tool in the tool axis, end of program
n99999999 %circular g71 * |


Example: Full circle with Cartesian coordinates

%c-cc g71 * |
n10 g30 g17 x+0 y+0 z-20 * | Definition of workpiece blank
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s3150 * | Tool call
n50 g00 g40 g90 z+250 * | Retract the tool
n60 i+50 j+50 * | Defining the circle center
n70 x-40 y+50 * | Pre-positioning the tool
n80 g01 z-5 f1000 m3 * | Move to working depth
n90 g41 x+0 y+50 f300 * | Approach starting point, radius compensation G41
n100 g26 r5 f150 * | Tangential approach
n110 g02 x+0 * | Move to the circle end point (= circle starting point)
n120 g27 r5 f500 * | Tangential exit
n130 g01 g40 x-40 y-50 f1000 * | Retract the tool in the working plane, cancel radius compensation
n140 g00 z+250 m2 * | Retract the tool in the tool axis, end of program
n99999999 %c-cc g71 * |


Path contours—Polar coordinates

Weitere Informationen:
> Overview
> Zero point for polar coordinates: pole I, J
> Straight line at rapid traverse G10 Straight line with feed rate G11 F
> Circular path G12/G13/G15 around pole I, J
> Circular path G16 with tangential connection
> Helical interpolation
> Example: Linear movement with polar coordinates
> Example: Helix


Overview

With polar coordinates you can define a position in terms of its angle H and its distance R relative to a previously defined pole I, J.

    Polar coordinates are useful with:

  • Positions on circular arcs
  • Workpiece drawing dimensions in degrees, e.g. bolt hole circles
Weitere Informationen:
> Overview of path functions with polar coordinates


Overview of path functions with polar coordinates
Function | Path function key | Tool movement | Required input | Page
Straight line G10, G11 | + | Straight line | Polar radius, polar angle of the straight-line end point | Straight line at rapid traverse G10 Straight line with feed rate G11 F
Circular arc G12, G13 | + | Circular path around circle center/pole to arc end point | Polar angle of the arc end point | Circular path G12/G13/G15 around pole I, J
Circular arc G15 | + | Circular path corresponding to active direction of rotation | Polar angle of the circle end point | Circular path G12/G13/G15 around pole I, J
Circular arc G16 | + | Circular arc with tangential connection to the preceding contour element | Polar radius, polar angle of the arc end point | Circular path G16 with tangential connection
Helical interpolation | + | Combination of a circular and a linear movement | Polar radius, polar angle of the arc end point, coordinate of the end point in the tool axis | Helical interpolation


Zero point for polar coordinates: pole I, J

You can define the pole CC anywhere in the part program before blocks containing polar coordinates. Set the pole in the same way as you would program the circle center.

Coordinates: Enter Cartesian coordinates for the pole or, if you want to use the last programmed position, enter G29. Before programming polar coordinates, define the pole. You can only define the pole in Cartesian coordinates. The pole remains in effect until you define a new pole.

Example NC blocks
N120 I+45 j+45 *


Straight line at rapid traverse G10 Straight line with feed rate G11 F

The tool moves in a straight line from its current position to the straight-line end point. The starting point is the end point of the preceding block.

Polar-coordinates radius R: Enter the distance from the pole CC to the straight-line end point.

Polar-coordinates angle H: Angular position of the straight-line end point between –360° and +360°

    The sign of H depends on the angle reference axis:

  • If the angle from the angle reference axis to R is counterclockwise: H>0
  • If the angle from the angle reference axis to R is clockwise: H<0
Example NC blocks
N120 I+45 J+45 *
N130 G11 G42 R+30 h+0 F300 M3 *
N140 H+60 *
N150 G91 H+60 *
N160 G90 H+180 *


Circular path G12/G13/G15 around pole I, J

The polar coordinate radius R is also the radius of the arc. R is defined by the distance from the starting point to the pole I, J The last programmed tool position will be the starting point of the arc.

Direction of rotation
  • In clockwise direction: G12
  • In counterclockwise direction: G13
  • Without direction indication: G15. The TNC traverses the circular arc with the last programmed direction of rotation.

Polar-coordinates angle H: Angular position of the arc end point between -99999.9999° and +99999.9999°

Direction of rotation DR
Example NC blocks
N180 I+25 J+25 *
N190 G11 G42 R+20 h+0 F250 M3 *
N200 G13 H+180 *


Circular path G16 with tangential connection

The tool moves on a circular path, starting tangentially from a preceding contour element.

Polar coordinates radius R: Distance from the arc end point to the pole I, J

Polar coordinates angle H: Angular position of the arc end point

Example NC blocks
N120 I+40 J+35 *
N130 G01 G42 X+0 Y+35 F250 M3 *
N140 G11 R+25 H+120 *
N150 G16 R+30 H+30 *
N160 G01 Y+0 *

The pole is not the center of the contour arc!


Helical interpolation

A helix is a combination of a circular movement in a main plane and a linear movement perpendicular to this plane. You program the circular path in a main plane.

A helix is programmed only in polar coordinates.

Weitere Informationen:
> Application
> Calculating the helix
> Shape of the helix
> Programming a helix


Application
  • Large-diameter internal and external threads
  • Lubrication grooves


Calculating the helix

To program a helix, you must enter the total angle through which the tool is to move on the helix in incremental dimensions, and the total height of the helix.

For calculating a helix that is to be cut in an upward direction, you need the following data:

Thread revolutions n | Thread revolutions + thread overrun at thread beginning and end
Total height h | Thread pitch P times thread revolutions n
Incremental total angle h | Number of revolutions times 360° + angle for beginning of thread + angle for thread overrun
Starting coordinate Z | Pitch P times (thread revolutions + thread overrun at start of thread)


Shape of the helix

The table below illustrates in which way the shape of the helix is determined by the work direction, direction of rotation and radius compensation.

Internal thread | Work direction | Direction of rotation | Radius compensation
Right-handed Left-handed | Z+ Z+ | G13 G12 | G41 G42
Right-handed Left-handed | Z– Z– | G12 G13 | G42 G41
External thread |  |  |
Right-handed Left-handed | Z+ Z+ | G13 G12 | G42 G41
Right-handed Left-handed | Z– Z– | G12 G13 | G41 G42


Programming a helix

Always enter the same algebraic sign for the direction of rotation and the incremental total angle G91 h. The tool may otherwise move in a wrong path and damage the contour.

For the total angle G91 h you can enter a value of ‑99 999.9999° to +99 999.9999°.

Polar coordinates angle: Enter the total angle of tool traverse along the helix in incremental dimensions. After entering the angle, specify the tool axis with an axis selection key.

Coordinate: Enter the coordinate for the height of the helix in incremental dimensions

Enter the radius compensation according to the table

Example NC blocks: Thread M6 x 1 mm with 4 revolutions
N120 I+40 J+25 *
N130 G01 Z+0 F100 M3 *
N140 G11 G41 R+3 h+270 *
N150 G12 G91 h-1440 Z+5 *


Example: Linear movement with polar coordinates

%linearpo g71 * |
n10 g30 g17 x+0 y+0 z-20 * | Definition of workpiece blank
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s4000 * | Tool call
n50 g00 g40 g90 z+250 * | Define the datum for polar coordinates
n60 i+50 j+50 * | Retract the tool
n70 g10 r+60 h+180 * | Pre-positioning the tool
n80 g01 z-5 f1000 m3 * | Move to working depth
n90 g11 g41 r+45 h+180 f250 * | Approach the contour at point 1
n100 g26 r5 * | Approach the contour at point 1
n110 h+120 * | Move to point 2
n120 h+60 * | Move to point 3
n130 h+0 * | Move to point 4
n140 h-60 * | Move to point 5
n150 h-120 * | Move to point 6
n160 h+180 * | Move to point 1
n170 g27 r5 f500 * | Tangential exit
n180 g40 r+60 h+180 f1000 * | Retract the tool in the working plane, cancel radius compensation
n190 g00 z+250 m2 * | Retract in the spindle axis, end of program
n99999999 %linearpo g71 * |


Example: Helix

%helix g71 * |
n10 g30 g17 x+0 y+0 z-20 * | Definition of workpiece blank
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s1400 * | Tool call
n50 g00 g40 g90 z+250 * | Retract the tool
n60 x+50 y+50 * | Pre-positioning the tool
n70 g29 * | Transfer the last programmed position as the pole
n80 g01 z-12.75 f1000 m3 * | Move to working depth
n90 g11 g41 r+32 h+180 f250 * | Approach first contour point
n100 g26 r2 * | Connection
n110 g13 g91 h+3240 z+13.5 f200 * | Helical traverse
n120 g27 r2 f500 * | Tangential exit
n170 g01 g40 g90 x+50 y+50 f1000 * | Retract the tool, end program
n180 g00 z+250 m2 * |


Programming: Data Transfer from DXF Files or Plain-language Contours

Weitere Informationen:
> Processing DXF files (software option)
> Data transfer from plain-language programs
> Opening 3-D CAD data (software option)


Processing DXF files (software option)

Weitere Informationen:
> Application
> Opening a DXF file
> Working with the DXF converter
> Basic settings
> Layer settings
> Specifying the reference point
> Selecting and saving a contour
> Selecting and storing machining positions


Application

DXF files created in a CAD system can be opened directly by the TNC, in order to extract contours or machining positions, and save them as conversational programs or as point files. Plain-language programs acquired in this manner can also be run by older TNC controls, since these contour programs contain only L and CC/C blocks.

If you process DXF files in the Programming and Editing operating mode, the TNC generates contour programs with the file extension .H and point files with the extension .PNT by default. If you process DXF files in the smarT.NC operating mode, the TNC generates contour programs with the file extension .HC and point files with the extension .HP by default. However, you can choose the desired file type in the saving dialog. Furthermore, you can also save the selected contour or the selected machining positions to the clipboard of the TNC and then insert them directly in an NC program.

The DXF file to be processed must be stored on the hard disk of your TNC.

Before loading the file to the TNC, ensure that the name of the DXF file does not contain any blank spaces or illegal special characters.(siehe File names)

The DXF file to be opened must contain at least one layer.

The TNC supports the most common DXF format, R12 (equivalent to AC1009).

The TNC does not support binary DXF format. When generating the DXF file from a CAD or drawing program, make sure that you save the file in ASCII format.

    The following DXF elements are selectable as contours:

    • LINE (straight line)
    • CIRCLE (complete circle)
    • ARC (circular arc)
    • POLYLINE


Opening a DXF file

Select the Programming and Editing operating mode

Call the file manager

In order to see the soft-key menu for selecting the file type to be displayed, press the SELECT TYPE soft key

In order to show all DXF files, press the SHOW DXF soft key

Select the directory in which the DXF file is saved

Select the desired DXF file, and load it with the ENT key. The TNC starts the DXF converter and shows the contents of the DXF file on the screen. The TNC shows the layers in the left window, and the drawing in the right window


Working with the DXF converter

A mouse is required to use the DXF converter. Operating modes and functions as well as contours and machining positions can only be selected with the mouse.

The DXF converter runs as a separate application on the third desktop of the TNC. This enables you to use the screen switchover key to switch between the machine operating modes, the programming modes and the DXF converter as desired. This is especially useful if you want to insert contours or machining positions in a plain-language program by copying through the clipboard.


Basic settings

The basic settings specified below are selected using the icons in the toolbar. The icons displayed may vary depending on the operating mode of the TNC.

Setting Icon

Set the zoom to the largest possible view

Change colors (change the background color)

Switch between 2-D and 3-D mode. If 3-D mode is active, you can rotate and tilt the view with the right mouse button

Set the unit of measure (mm or inches) of the DXF file. The TNC then outputs the contour program and the machining positions in this unit of measure

The resolution specifies how many decimal places the TNC should use when generating the contour program. Default setting: 4 decimal places (equivalent to resolution of 0.1 µm when the unit of measure MM is active).

Contour transfer mode, set the tolerance: The tolerance specifies how far apart neighboring contour elements may be from each other. You can use the tolerance to compensate for inaccuracies that occurred when the drawing was made. The default setting depends on the extent of the entire DXF file.

    The mode for point transfer on circles and circle segments determines whether the TNC automatically loads the circle center point when selecting machining positions via mouse click (OFF), or if additional points on the circle should be shown as well.

    • OFF
      Do not show additional points on the circle. Assume the circle center point directly when a circle or arc is clicked
    • ON
      Show additional points on the circle. Assume each desired circle point by clicking it

Mode for point assumption: Specify whether the TNC should display the tool path during selection of machining positions.

Please note that you must set the correct unit of measurement, since the DXF file does not contain any such information.

If you want to generate programs for older TNC controls, you must limit the resolution to three decimal places. In addition, you must remove the comments that the DXF converter inserts into the contour program.

The TNC displays the active basic settings in the footer of the screen.


Layer settings

As a rule, DXF files contain multiple layers, with which the designer organizes the drawing. The designer uses the layers to create groups of various types of elements, such as the actual workpiece contour, dimensions, auxiliary and design lines, shadings, and texts.

So that as little unnecessary information as possible appears on the screen during selection of the contours, you can hide all excessive layers contained in the DXF file.

The DXF file to be processed must contain at least one layer.

You can even select a contour if the designer has saved it on different layers.

If it has not already been activated, select the mode for the layer settings. In the left window the TNC shows all layers contained in the active DXF file

To hide a layer, select the layer with the left mouse button, and click its check box to hide it

To show a layer, select the layer with the left mouse button, and click its check box again to show it


Specifying the reference point

The datum of the drawing for the DXF file is not always located in a manner that lets you use it directly as a reference point for the workpiece. Therefore, the TNC has a function with which you can shift the drawing datum to a suitable location by clicking an element.

    You can define a reference point at the following locations:

  • At the beginning, end or center of a straight line
  • At the beginning or end of a circular arc
  • At the transition between quadrants or at the center of a complete circle
  • At the intersection between:
    • A straight line and a straight line, even if the intersection is actually on the extension of one of the lines
    • Straight line – circular arc
    • Straight line – full circle
    • Circle – circle (regardless of whether a circular arc or a full circle)

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to specify a reference point.

You can also change the reference point once you have already selected the contour. The TNC does not calculate the actual contour data until you save the selected contour in a contour program.

Weitere Informationen:
> Selecting a reference point on a single element
> Selecting a reference point on the intersection of two elements
> Element information


Selecting a reference point on a single element

Select the mode for specifying the reference point

Click the element on which you want to set the reference point with the left mouse button: The TNC indicates possible locations for reference points on the selected element with stars

Click the star you want to select as reference point. The TNC sets the reference-point symbol to the selected location. Use the zoom function if the selected element is too small.


Selecting a reference point on the intersection of two elements

Select the mode for specifying the reference point

Click the first element (straight line, complete circle or circular arc) with the left mouse button: The TNC indicates possible locations for reference points on the selected element with stars

Click the second element (straight line, complete circle or circular arc) with the left mouse button: The TNC sets the reference-point symbol on the intersection

The TNC calculates the intersection of two elements even if it is on the extension of one of these elements.

If the TNC calculates multiple intersections, it selects the intersection nearest the mouse-click on the second element.

If the TNC cannot calculate an intersection, it rescinds the marking of the first element.


Element information

At the bottom left of the screen, the TNC shows how far the reference point you haven chosen is located from the drawing datum.


Selecting and saving a contour

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to select a contour.

If you are not using the contour program in the smarT.NC operating mode, you must specify the machining sequence when selecting the contour that it matches the desired machining direction.

Select the first contour element such that approach without collision is possible.

If the contour elements are very close to one another, use the zoom function.

Select the mode for choosing a contour. The TNC hides the layers shown in the left window, and the right window becomes active for contour selection

In order to select a contour element, hover over the contour element to be selected with the mouse pointer. The TNC displays an arrow to indicate the current machining direction, which you can change on the contour element by changing the position of the mouse. Click the desired contour element with the left mouse button. The selected contour element turns blue. At the same time, the TNC marks the selected element with a symbol (circle or line) in the left window. If further contour elements in the selected machining sequence are clearly selectable, these elements turn green. Click on the last green element to assume all elements into the contour program. The TNC shows all selected contour elements in the left window. The TNC displays elements that are still green in the NC column without a check mark. The TNC does not save these elements to the contour program. You can also include the marked elements in the contour program by clicking in the left window

If necessary you can also deselect elements that you already selected, by clicking the element in the right window again, but this time while pressing the CTRL key. You can deselect all selected elements by clicking the recycle bin icon

If you have selected polylines, the TNC shows a two-level ID number in the left window. The first number is the serial contour element number, the second element is the element number of the respective polyline from the DXF file.

Save the selected contour elements to the clipboard of the TNC so that you can then insert the contour in a plain-language program, or

To save the selected contour elements in a plain-language program, enter any file name and the target directory in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores. As an alternative, you can also select the file type: Plain-language program (.H) or contour description (.HC)

Confirm the entry: The TNC saves the contour program to the selected directory

If you want to select more contours, press the Cancel Selected Elements soft key and select the next contour as described above.

The TNC also transfers two workpiece-blank definitions (BLK FORM) to the contour program. The first definition contains the dimensions of the entire DFX file. The second one, which is the active one, contains only the selected contour elements, so that an optimized size of the workpiece blank results.

The TNC only saves elements that have actually been selected (blue elements), which means that they have been given a check mark in the left window.

Weitere Informationen:
> Bookmarks
> Dividing, extending and shortening contour elements
> Element information


Bookmarks

You can use the bookmarks to manage your directory favorites. You can add or delete the current directory to or from the list, or delete all bookmarks. All directories that you have added appear in the bookmark list, making them available for rapid selection.

You activate the bookmark function by clicking the path name in the right part of the pop-up window of the "Save" function.

Bookmarks are managed as follows:

  • The "Save" function is active: The TNC displays the File name for contour program pop-up window.

  • Click the currently displayed path name in the top right part of the pop-up window with the left mouse button. The TNC displays another pop-up menu.

  • With the left mouse button, click the menu item Bookmarks and select the desired function.


Dividing, extending and shortening contour elements

If contour elements to be selected in the drawing connect poorly, then you must first divide the contour element. This function is automatically available if you are in the mode for selecting a contour.

Proceed as follows:

  • The poorly connecting contour element is selected, so it is colored blue

  • Click the contour element to be divided: The TNC shows the point of intersection with a star in a circle, and the selectable end points with simple stars

  • Press the CTRL key and click the point of intersection: The TNC divides the contour element at the point of intersection and the stars disappear. If necessary, the TNC extends or shortens the bluntly connecting contour element to the point of intersection of the two elements.

  • Click the divided contour element again: The TNC shows the end points and points of intersection again

  • Click the desired end point: The TNC now colors the divided element blue

  • Select the next contour element

If the contour element to be extended or shortened is a straight line, then the TNC extends/shortens the contour element along the same line. If the contour element to be extended or shortened is a circular arc, then the TNC extends/shortens the contour element along the same arc.

In order to use this function, at least two contour elements must already be selected, so that the direction is clearly determined.


Element information

    At the bottom left of the screen, the TNC displays information about the contour element that you last selected via mouse click in the left or right window.

  • Straight line
    End point of the straight line, and the starting point is grayed out
  • Circle or arc
    Circle center point, circle end point, and direction of rotation. Grayed out: the starting point and circle radius


Selecting and storing machining positions

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to select a machining position.

If the positions to be selected are very close to one another, use the zoom function.

If required, configure the basic settings so that the TNC shows the tool paths (siehe Basic settings).

    Three possibilities are available in the pattern generator for defining machining positions:

  • Individual selection:
    You select the desired machining position through individual mouse clicks (siehe Individual selection)
  • Quick selection of hole positions in an area defined by the mouse:
    By dragging the mouse to define an area, you can select all the hole positions within it (siehe Quick selection of hole positions in an area defined by the mouse)
  • Quick selection of hole positions by entering a diameter:
    By entering a hole diameter, you can select all hole positions with that diameter in the DXF file (siehe Quick selection of hole positions by entering a diameter)
Weitere Informationen:
> Individual selection
> Quick selection of hole positions in an area defined by the mouse
> Quick selection of hole positions by entering a diameter
> Bookmarks
> Filter settings
> Element information
> Undoing actions
> Mouse functions


Individual selection

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection

In order to select a machining position, click the desired element with the left mouse button. The TNC indicates possible locations for machining positions on the selected element with stars. Click one of the stars: The TNC loads the selected position into the left window (displays a point symbol). If you click a circle, the TNC adopts the circle center as machining position

If necessary you can also deselect elements that you already selected, by clicking the element in the right window again, but this time while pressing the CTRL key (click inside the marked area)

If you want to specify the machining position at the intersection of two elements, click the first element with the left mouse button: the TNC displays stars at the selectable machining positions

Click the second element (straight line, complete circle or circular arc) with the left mouse button. The TNC loads the intersection of the elements into the left window (displays a point symbol)

Save the selected machining positions to the clipboard of the TNC so that you can then insert them as a positioning block with cycle call in a plain-language program, or

To save the selected machining positions to a point file, enter the target directory and any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores. As an alternative, you can also select the file type: Point table (.pnt), pattern generator table (.HP) or plain-language program (.H). If you save the machining positions to a plain-language program, the TNC creates a separate linear block with cycle call for every machining position (L X... Y... M99). You can also transfer this program to old TNC controls and run it there.

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved

If you want to select more machining positions in order to save them to a different file, press the Cancel selected elements icon and select as described above


Quick selection of hole positions in an area defined by the mouse

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection

Press the shift key on the keyboard and drag the left mouse button to define an area in which the TNC is to adopt all included circle centers as hole positions: the TNC opens a window in which you can filter the holes by size

Configure the filter settings (siehe Filter settings) and click the Use button to confirm: The TNC loads the selected positions into the left window (displays a point symbol)

If necessary you can also deselect elements that you already selected, by dragging an area open again, but this time while pressing the CTRL key

Save the selected machining positions to the clipboard of the TNC so that you can then insert them as a positioning block with cycle call in a plain-language program, or

To save the selected machining positions to a point file, enter the target directory and any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores. As an alternative, you can also select the file type: Point table (.pnt), pattern generator table (.HP) or plain-language program (.H). If you save the machining positions to a plain-language program, the TNC creates a separate linear block with cycle call for every machining position (L X... Y... M99). You can also transfer this program to old TNC controls and run it there.

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved

If you want to select more machining positions in order to save them to a different file, press the Cancel selected elements icon and select as described above


Quick selection of hole positions by entering a diameter

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection

Open the dialog for diameter input: enter any diameter in the pop-up window displayed by the TNC

Enter the desired diameter and confirm it with the ENT key: the TNC searches the DXF file for the entered diameter and then shows a pop-up window with the diameter selected that is closest to the diameter you entered. Also, you can retroactively filter the holes according to size

If required, configure the filter settings (siehe Filter settings) and click the Use button to confirm: The TNC loads the selected positions into the left window (displays a point symbol)

If necessary you can also deselect elements that you already selected, by dragging an area open again, but this time while pressing the CTRL key

Save the selected machining positions to the clipboard of the TNC so that you can then insert them as a positioning block with cycle call in a plain-language program, or

To save the selected machining positions to a point file, enter the target directory and any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores. As an alternative, you can also select the file type: Point table (.pnt), pattern generator table (.HP) or plain-language program (.H). If you save the machining positions to a plain-language program, the TNC creates a separate linear block with cycle call for every machining position (L X... Y... M99). You can also transfer this program to old TNC controls and run it there.

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved

If you want to select more machining positions in order to save them to a different file, press the Cancel selected elements icon and select as described above


Filter settings

After you have used the quick selection function to mark hole positions, a pop-up window appears in which the smallest diameter found is to the left and the largest diameter to the right. With the buttons just below the diameter display you can adjust the smallest diameter in the left area and largest in the right area so that you can load the hole diameters that you want.

The following buttons are available:

Filter setting of smallest diameter | Icon
Display the smallest diameter found (default setting) |
Display the next smaller diameter found |
Display the next larger diameter found |
Display the largest diameter found. The TNC sets the filter for the smallest diameter to the value set for the largest diameter |
Filter setting of largest diameter | Icon
Display the smallest diameter found. The TNC sets the filter for the largest diameter to the value set for the smallest diameter |
Display the next smaller diameter found |
Display the next larger diameter found |
Display the largest diameter found (default setting) |

With the apply path optimization option on (default setting), the TNC sorts the selected machining positions for the most efficient possible tool path. You can have the tool path displayed by clicking the Show tool path icon (siehe Basic settings).


Element information

At the bottom left of the screen, the TNC displays the coordinates of the machining position that you last selected via mouse click in the left or right window


Undoing actions

You can undo the four most recent actions that you have taken in the mode for selecting machining positions. The following icons are available:

Function | Icon
Undo the most recently conducted action |
Repeat the most recently conducted action |


Mouse functions

    Use the mouse for magnifying and reducing as follows:

  • Define the zoom area by dragging the mouse with the left button depressed
  • If you have a wheel mouse, you can use it to zoom in and out. The zooming center is the location of the mouse pointer
  • Click the magnifying glass icon or double-click with the right mouse button to reset the view to the default setting

You can move the current view by depressing the center mouse button.

If 3-D mode is active, you can rotate and tilt the view by depressing the right mouse button.


Data transfer from plain-language programs

Weitere Informationen:
> Application
> Opening plain-language files
> Defining a reference point; selecting and saving contours


Application

Using this function you can take contour sections or complete contours from existing plain-language programs, especially those created with CAM systems. The TNC shows the plain-language dialogs in two-dimensional or three-dimensional form.

It is particularly efficient to use data transfer in conjunction with the smartWizard, which provides contour editing UNITs for 2-D and 3-D processing.


Opening plain-language files

Select the Programming and Editing operating mode

Call the file manager

In order to see the soft-key menu for selecting the file type to be displayed, press the SELECT TYPE soft key

In order to show all plain-language files, press the SHOW H soft key

Select the directory in which the file is saved

Select the desired H file

Use the CTRL+O key combination to select the Open with... dialog

Select Open with Converter, confirm with the ENT key and the TNC opens the plain-language file and shows contour elements in graphical form


Defining a reference point; selecting and saving contours

Setting the reference point and selecting the contours is identical to data transfer from the DXF file:

  • Siehe Specifying the reference point
  • Siehe Selecting and saving a contour

In addition, a special function is available to quickly select contours: The TNC displays contour names in the layer mode if the program contains appropriately formatted structure items.

Double-click a layer to have the TNC automatically select the complete contour up to the next structure item. Use the Save function to save the selected contour directly as an NC program.

Example NC blocks
6 ... | Any desired lead program
7 L Z... | Pre-positioning
8 * – Inside contour | Structure block that the TNC displays as a layer
9 L X+20 Y+20 RR F100 | First contour point
10 L x+35 Y+35 | End point of the first contour element
11 L ... | Further contour elements
12 L ... |
2746 L ... | Last contour point
2747 * - Contour end | Structure block identifying the contour end
2748 L ... | Intermediate positioning movements


Opening 3-D CAD data (software option)

Weitere Informationen:
> Application
> Operating the CAD viewer


Application

A new function allows you to open standardized 3-D CAD data formats directly on the TNC. It is irrelevant whether the file is available on the hard disk of the iTNC or a connected drive.

The file can simply be selected via the file manager of the TNC, just like NC programs or other files. This permits you to check quickly and simply for problems directly in the 3-D model.

    The TNC currently supports the following types of file formats:

  • STEP files (file extension STP)
  • IGES files (file extension IGS or IGES)


Operating the CAD viewer

Function | Icon
Show shaded model |
Show wire model |
Show wire model without invisible edges |
Adapt display size to screen size |
Select standard 3-D view |
Select plan view |
Select view from below |
Select view from left |
Select view from right |
Select view from front |
Select view from behind |
Weitere Informationen:
> Mouse functions


Mouse functions

The following functions are available for mouse operation:

  • In order to rotate the wire model shown in three dimensions you hold the right mouse button down and move the mouse. After you release the right mouse button, the TNC orients the model to the defined orientation

  • In order to shift the model shown: Hold the center mouse button or the wheel button down and move the mouse. The TNC shifts the model in the corresponding direction. After you release the center mouse button, the TNC shifts the model to the defined position

  • In order to zoom in on a certain area with the mouse: Draw a rectangular zoom area while holding the left mouse button down. You can shift the zoom area by moving the mouse horizontally and vertically as required. After you release the left mouse button, the TNC zooms in on the defined area of the workpiece

  • In order to quickly zoom in and out with the mouse: Rotate the wheel button forward or backward

  • Double-click with the right mouse button: Select standard view


Programming: Subprograms and Program Section Repeats

Weitere Informationen:
> Labeling subprograms and program section repeats
> Subprograms
> Program section repeats
> Any desired program as subprogram
> Nesting
> Programming examples


Labeling subprograms and program section repeats

Subprograms and program section repeats enable you to program a machining sequence once and then run it as often as necessary.

Weitere Informationen:
> Labels


Labels

The beginnings of subprograms and program section repeats are marked in a part program by labels G98 l.

A LABEL is identified by a number between 1 and 999 or by a name you define. Each LABEL number or LABEL name can be set only once in the program with the LABEL SET key or by entering G98.

If a label name or number is set more than once, the TNC sends an error message at the end of the G98 block. With very long programs, you can limit the number of blocks to be checked for repeated labels with MP7229.

Label 0 (G98 L0) is used exclusively to mark the end of a subprogram and can therefore be used as often as desired.


Subprograms

Weitere Informationen:
> Procedure
> Programming notes
> Programming a subprogram
> Calling a subprogram


Procedure

  1. The TNC executes the part program up to the block in which a subprogram is called with Ln,0
  2. The subprogram is then executed from beginning to end. The subprogram end is marked g98 L0
  3. The TNC then resumes the part program from the block after the subprogram call Ln,0


Programming notes

  • A main program can contain up to 254 subprograms
  • You can call subprograms in any sequence and as often as desired
  • A subprogram cannot call itself
  • Write subprograms at the end of the main program (behind the block with M2 or M30)
  • If subprograms are located before the block with M2 or M30, they will be executed at least once even if they are not called


Programming a subprogram

To mark the beginning, press the LBL SET key

Enter the subprogram number. If you want to use a label name, press the lbl name soft key to switch to text entry

To mark the end, press the LBL SET key and enter the label number "0"


Calling a subprogram

To call a subprogram, press the LBL CALL key

Call subprogram /repeat: Enter the label number of the subprogram you wish to call. If you want to use a label name, press the lbl name soft key to switch to text entry. If you want to enter the number of a string parameter as target address: Press the QS soft key; the TNC will then jump to the label name that is specified in the string parameter defined

g98 L 0 is not permitted (Label 0 is only used to mark the end of a subprogram).


Program section repeats

Weitere Informationen:
> Label G98
> Procedure
> Programming notes
> Programming a program section repeat
> Calling a program section repeat


Label G98

The beginning of a program section repeat is marked by the label G98 L. The end of a program section repeat is identified by Ln,m.


Procedure

  1. The TNC executes the part program up to the end of the program section (Ln,m)
  2. Then the program section between the called LBL and the label call Ln,m is repeated the number of times entered for m
  3. The TNC then resumes the part program after the last repetition


Programming notes

  • You can repeat a program section up to 65 534 times in succession
  • The total number of times the program section is executed is always one more than the programmed number of repeats


Programming a program section repeat

To mark the beginning, press the LBL SET key and enter a LABEL NUMBER for the program section you wish to repeat. If you want to use a label name, press the lbl name soft key to switch to text entry

Enter the program section


Calling a program section repeat

Press the LBL CALL key

Call subprogram /repeat: Enter the label number of the subprogram you wish to call. If you want to use a label name, press the lbl name soft key to switch to text entry. If you want to enter the number of a string parameter as target address: Press the QS soft key; the TNC will then jump to the label name that is specified in the string parameter defined

Repeat REP: Enter the number of repeats, then confirm with the ENT key


Any desired program as subprogram

Weitere Informationen:
> Procedure
> Programming notes
> Calling any program as a subprogram


Procedure

  1. The TNC executes the part program up to the block in which another program is called with %
  2. Then the other program is run from beginning to end
  3. The TNC then resumes the first (calling) part program with the block after the program call


Programming notes

  • No labels are needed to call any program as a subprogram
  • The called program must not contain the miscellaneous functions M2 or M30. If you have defined subprograms with labels in the called program, you can then use M2 or M30 with the D09 P01 +0 P02 +0 p03 99 jump function to force a jump over this program section
  • The called program must not contain a % call into the calling program, otherwise an infinite loop will result


Calling any program as a subprogram

Select the functions for program call: Press the PGM CALL key

Press the PROGRAM soft key

Press the Window selection soft key: The TNC superimposes a window where you can select the program to be called

Select a program with the arrow keys or by mouse click and confirm by pressing ENT: The TNC enters the complete path name in the call pgm block

Conclude this function with the END key

Alternatively you can also enter the program name or the complete path name of the program to be called directly via the keyboard.

The program you are calling must be stored on the hard disk of your TNC.

If the program you want to call is located in the same directory as the program you are calling it from, then you only need to enter the program name.

If the called program is not located in the same directory as the program you are calling it from, you must enter the complete path, e.g. TNC:\ZW35\ROUGH\PGM1.H or you can select the program via the WINDOW SELECTION soft key.

If you want to call a DIN/ISO program, enter the file type .I after the program name.

You can also call a program with Cycle G39.

As a rule, Q parameters are effective globally with a %. So please note that changes to Q parameters in the called program can also influence the calling program.

Danger of collision!

Coordinate transformations that you define in the called program remain in effect for the calling program too, unless you reset them. The setting of machine parameter MP7300 has no influence on this.


Nesting

Weitere Informationen:
> Types of nesting
> Nesting depth
> Subprogram within a subprogram
> Repeating program section repeats
> Repeating a subprogram


Types of nesting

  • Subprograms within a subprogram
  • Program section repeats within a program section repeat
  • Subprograms repeated
  • Program section repeats within a subprogram


Nesting depth

The nesting depth is the number of successive levels in which program sections or subprograms can call further program sections or subprograms.

  • Maximum nesting depth for subprograms: 8
  • Maximum nesting depth for main program calls: 30, where a G79 acts like a main program call
  • You can nest program section repeats as often as desired


Subprogram within a subprogram

Example NC blocks
%subpgms g71 * |
... |
n17 l “sp1“,0 * | Subprogram at label G98 L SP1 is called
... |
n35 g00 g40 z+100 m2 * | Last program block of the
 | main program (with M2)
N36 g98 L “SP1“ | Beginning of subprogram SP1
... |
n39 l2,0 * | Subprogram at label G98 L2 is called
... |
n45 g98 l0 * | End of subprogram 1
n46 g98 l2 * | Beginning of subprogram 2
... |
n62 g98 l0 * | End of subprogram 2
n99999999 %subpgms g71 * |
Program execution
  1. Main program SUBPGMS is executed up to block 17
  2. Subprogram SP1 is called, and executed up to block 39
  3. Subprogram 2 is called, and executed up to block 62. End of subprogram 2 and return jump to the subprogram from which it was called.
  4. Subprogram 1 is executed from block 40 up to block 45. End of subprogram 1 and return jump to the main program SUBPGMS.
  5. Main program SUBPGMS is executed from block 18 up to block 35. Return jump to block 1 and end of program.


Repeating program section repeats

Example NC blocks
0 begin pgm reps mm |
... |
15 lbl 1 | Beginning of program section repeat 1
... |
20 lbl 2 | Beginning of program section repeat 2
... |
27 call lbl 2 rep 2 | The program section between LBL 2 and this block
... | (block 20) is repeated twice
35 call lbl 1 rep 1 | The program section between this block and LBL 1
... | (block 15) is repeated once
50 end pgm reps mm |
%reps g71 * |
... |
n15 g98 l1 * | Beginning of program section repeat 1
... |
n20 g98 l2 * | Beginning of program section repeat 2
... |
n27 l2,2 * | Program section between this block and G98 L2
... | (block N20) is repeated twice
n35 l1,1 * | Program section between this block and G98 L1
... | (block N15) is repeated once
n99999999 %reps g71 * |
Program execution
  1. Main program REPS is executed up to block 27
  2. Program section between block 20 and block 27 is repeated twice
  3. Main program REPS is executed from block 28 to block 35
  4. Program section between block 15 and block 35 is repeated once (including the program section repeat between 20 and block 27)
  5. Main program REPS is executed from block 36 to block 50 (end of program)


Repeating a subprogram

Example NC blocks
%SUBPGREP g71 * |
... |
n10 g98 l1 * | Beginning of program section repeat 1
n11 l2,0 * | Subprogram call
n12 l1,2 * | Program section between this block and G98 L1
... | (block N10) is repeated twice
n19 g00 g40 z+100 m2 * | Last block of the main program with M2
n20 g98 l2 * | Beginning of subprogram
... |
n28 g98 l0 * | End of subprogram
n99999999 %SUBPGREP g71 * |
Weitere Informationen:
> Program execution


Program execution
  1. Main program SUBPGREP is executed up to block 11
  2. Subprogram 2 is called and executed
  3. Program section between block 10 and block 12 is repeated twice: Subprogram 2 is repeated twice
  4. Main program SUBPGREP is executed from block 13 to block 19; end of program


Programming examples

Weitere Informationen:
> Example: Milling a contour in several infeeds
> Example: Groups of holes
> Example: Group of holes with several tools


Example: Milling a contour in several infeeds

    Program sequence

  • Pre-position the tool to the workpiece surface
  • Enter the infeed depth in incremental values
  • Contour milling
  • Repeat infeed and contour-milling
%PGMREP G71 * |
n10 g30 g17 x+0 y+0 z-40 * |
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s3500 * | Tool call
n50 g00 g40 g90 z+250 * | Retract the tool
n60 i+50 j+50 * | Set pole
n70 g10 r+60 h+180 * | Pre-position in the working plane
n80 g01 z+0 f1000 m3 * | Pre-position to the workpiece surface
n90 g98 l1 * | Set label for program section repeat
n100 g91 z-4 * | Infeed depth in incremental values (in space)
n110 g11 g41 g90 r+45 h+180 f250 * | First contour point
n120 g26 r5 * | Contour approach
n130 h+120 * |
n140 h+60 * |
n150 h+0 * |
n160 h-60 * |
n170 h-120 * |
n180 h+180 * |
n190 g27 r5 f500 * | Depart the contour
n200 g40 r+60 h+180 f1000 * | Retract tool
n210 l1,4 * | Return jump to label 1; section is repeated a total of 4 times
n220 g00 z+250 m2 * | Retract the tool, end program
n99999999 %pgmrep G71 * |


Example: Groups of holes

    Program sequence

  • Approach the groups of holes in the main program
  • Call the group of holes (subprogram 1)
  • Program the group of holes only once in subprogram 1
%SP1 G71 * |
n10 g30 g17 x+0 y+0 z-40 * |
n20 g31 g90 x+100 y+100 z+0 * |
n40 t1 g17 s3500 * | Tool call
n50 g00 g40 g90 z+250 * | Retract the tool
n60 g200 DRILLING | Cycle definition: drilling
Q200=2 ;SET-UP CLEARANCE |
Q201=-30 ;DEPTH |
Q206=300 ;FEED RATE FOR PLNGNG |
Q202=5 ;PLUNGING DEPTH |
Q210=0 ;DWELL TIME AT TOP |
Q203=+0 ;SURFACE COORDINATE |
Q204=2 ;2ND SET-UP CLEARANCE |
Q211=0 ;DWELL TIME AT DEPTH |
n70 x+15 y+10 m3 * | Move to starting point for group 1
n80 l1,0 * | Call the subprogram for the group
n90 x+45 y+60 * | Move to starting point for group 2
n100 l1,0 * | Call the subprogram for the group
n110 x+75 y+10 * | Move to starting point for group 3
n120 l1,0 * | Call the subprogram for the group
n130 g00 z+250 m2 * | End of main program
n140 g98 l1 * | Beginning of subprogram 1: Group of holes
n150 g79 * | Call cycle for 1st hole
n160 g91 x+20 m99 * | Move to 2nd hole, call cycle
n170 y+20 m99 * | Move to 3rd hole, call cycle
n180 x-20 g90 m99 * | Move to 4th hole, call cycle
n190 g98 l0 * | End of subprogram 1
n99999999 %sp1 g71 * |


Example: Group of holes with several tools

    Program sequence

  • Program the fixed cycles in the main program
  • Call the entire hole pattern (subprogram 1)
  • Approach the groups of holes in subprogram 1, call group of holes (subprogram 2)
  • Program the group of holes only once in subprogram 2
%SP2 G71 * |
n10 g30 g17 x+0 y+0 z-40 * |
n20 g31 g90 x+100 y+100 z+0 * |
n60 t1 g17 s5000 * | Call tool: center drill
n70 g00 g40 g90 z+250 * | Retract the tool
n80 g200 DRILLING | Cycle definition: CENTERING
Q200=2 ;SET-UP CLEARANCE |
Q201=-3 ;DEPTH |
Q206=250 ;FEED RATE FOR PLNGNG |
Q202=3 ;PLUNGING DEPTH |
Q210=0 ;DWELL TIME AT TOP |
Q203=+0 ;SURFACE COORDINATE |
Q204=10 ;2ND SET-UP CLEARANCE |
Q211=0.2 ;DWELL TIME AT DEPTH |
n90 l1,0 * | Call subprogram 1 for the entire hole pattern
n100 g00 z+250 m6 * | Tool change
n110 t2 g17 s4000 * | Call tool: drill
n120 d0 q201 p01 -25 * | New depth for drilling
n130 d0 q202 p01 +5 * | New plunging depth for drilling
n140 l1,0 * | Call subprogram 1 for the entire hole pattern
n150 g00 z+250 m6 * | Tool change
n160 t3 g17 s500 * | Call tool: reamer
n80 g201 REAMING | Cycle definition: REAMING
Q200=2 ;SET-UP CLEARANCE |
Q201=-15 ;DEPTH |
Q206=250 ;FEED RATE FOR PLNGNG |
Q211=0.5 ;DWELL TIME AT DEPTH |
Q208=400 ;RETRACTION FEED RATE |
Q203=+0 ;SURFACE COORDINATE |
Q204=10 ;2ND SET-UP CLEARANCE |
n180 l1,0 * | Call subprogram 1 for the entire hole pattern
n190 g00 z+250 m2 * | End of main program
n200 g98 l1 * | Beginning of subprogram 1: Entire hole pattern
n210 g00 g40 g90 x+15 y+10 m3 * | Move to starting point for group 1
n220 l2,0 * | Call subprogram 2 for the group
n230 x+45 y+60 * | Move to starting point for group 2
n240 l2,0 * | Call subprogram 2 for the group
n250 x+75 y+10 * | Move to starting point for group 3
n260 l2,0 * | Call subprogram 2 for the group
n270 g98 l0 * | End of subprogram 1
n280 g98 l2 * | Beginning of subprogram 2: Group of holes
n290 g79 * | Call cycle for 1st hole
n300 g91 x+20 m99 * | Move to 2nd hole, call cycle
n310 y+20 m99 * | Move to 3rd hole, call cycle
n320 x-20 g90 m99 * | Move to 4th hole, call cycle
n330 g98 l0 * | End of subprogram 2
n340 %sp2 g71 * |


Programming: Q Parameters

Weitere Informationen:
> Principle and overview
> Part families—Q parameters in place of numerical values
> Describing contours through mathematical operations
> Trigonometric functions
> If-then decisions with Q parameters
> Checking and changing Q parameters
> Additional functions
> Entering formulas directly
> String parameters
> Preassigned Q parameters
> Programming examples


Principle and overview

You can program entire families of parts in a single part program. You do this by entering variables called Q parameters instead of fixed numerical values.

    Q parameters can represent information such as:

  • Coordinate values
  • Feed rates
  • Spindle speeds
  • Cycle data

Q parameters also enable you to program contours that are defined with mathematical functions. You can also use Q parameters to make the execution of machining steps depend on logical conditions.

Q parameters are designated by letters and a number between 0 and 1999. Parameters that take effect in different manners are available. Please refer to the following table:

Meaning | Area
Freely applicable parameters, as long as no overlapping with SL cycles can occur. They are globally effective for all programs stored in the TNC memory. | Q0 to Q99
Parameters for special TNC functions | Q100 to Q199
Parameters that are primarily used for cycles, globally effective for all programs stored in the TNC memory | Q200 to Q1199
Parameters that are primarily used for OEM cycles, globally effective for all programs stored in the TNC memory. This may require coordination with the machine manufacturer or supplier. | Q1200 to Q1399
Parameters that are primarily used for call-active OEM cycles, globally effective for all programs that are stored in the TNC memory | Q1400 to Q1499
Parameters that are primarily used for Def-active OEM cycles, globally effective for all programs that are stored in the TNC memory | Q1500 to Q1599
Freely applicable parameters, globally effective for all programs stored in the TNC memory | Q1600 to Q1999
Freely usable QL parameters, only effective locally (within a program) | QL0 to QL499
Freely usable QR parameters that are nonvolatile, i.e. they remain in effect even after a power interruption | QR0 to QR499

QS parameters (the S stands for string) are also available on the TNC and enable you to process texts. In principle, the same ranges are available for QS parameters as for Q parameters (see table above).

Note that for the QS parameters the QS100 to QS199 range is reserved for internal texts.

Weitere Informationen:
> Programming notes
> Calling Q-parameter functions


Programming notes

You can mix Q parameters and fixed numerical values within a program.Q parameters can be assigned numerical values between 999 999 999 and +999 999 999, meaning that up to nine digits plus the algebraic sign are permitted. You can set the decimal point at any position. Internally, the TNC can calculate up to a range of 57 bits before and 7 bits after the decimal point (32-bit data width corresponds to a decimal value of 4 294 967 296).

You can assign a maximum of 254 characters to QS parameters.

Some Q and QS parameters are always assigned the same data by the TNC. For example, Q108 is always assigned the current tool radius (siehe Preassigned Q parameters).

If you are using the parameters Q60 to Q99 in encoded OEM cycles, use MP7251 to define whether the parameters are only to be used locally in the OEM cycles (.CYC file), or can be used globally for all programs.

With MP7300 you specify whether the TNC should reset Q parameters at the end of the program, or if the values should be saved. Make sure that this setting does not have any effect on your Q parameter programs!

The TNC saves numerical values internally in a binary number format (standard IEEE 754). Due to this standardized format some decimal numbers do not have an exact binary representation (round-off error). Keep this in mind especially when you use calculated Q-parameter contents for jump commands or positioning movements.


Calling Q-parameter functions

When you are writing a part program, press the "Q" key (in the numeric keypad for numerical input and axis selection, below the +/– key). The TNC then displays the following soft keys:

Function group | Soft key | Page
Basic arithmetic (assign, add, subtract, multiply, divide, square root) |  | Describing contours through mathematical operations
Trigonometric functions |  | Trigonometric functions
If/then conditions, jumps |  | If-then decisions with Q parameters
Other functions |  | Additional functions
Entering formulas in the part program |  | Entering formulas directly
Function for machining complex contours |  | Cycles Manual
Function for string processing |  | String parameters

The TNC opens the dialog for formula entry directly when you press the Q key on the ASCII keyboard.

In order to define or assign QL local parameters, first press the Q key in any dialog, and then press the L on the ASCII keyboard.

In order to define or assign QR nonvolatile parameters, first press the Q key in any dialog, and then press the R on the ASCII keyboard.


Part families—Q parameters in place of numerical values

Weitere Informationen:
> Application


Application

The Q parameter function d0: ASSIGN assigns numerical values to Q parameters. This enables you to use variables in the program instead of fixed numerical values.

Example NC blocks
N150 D00 Q10 P01 +25 * | Assign
... | Q10 is assigned the value 25
N250 G00 X +Q10 * | Corresponds to G00 X +25

You need write only one program for a whole family of parts, entering the characteristic dimensions as Q parameters.

To program a particular part, you then assign the appropriate values to the individual Q parameters.

Example

Cylinder with Q parameters

Cylinder radius | R = Q1
Cylinder height | H = Q2
Cylinder Z1 | Q1 = +30 Q2 = +10
Cylinder Z2 | Q1 = +10 Q2 = +50


Describing contours through mathematical operations

Weitere Informationen:
> Application
> Overview
> Programming fundamental operations


Application

The Q parameters listed below enable you to program basic mathematical functions in a part program:

  • Select a Q parameter function: Press the Q key (in the numerical keypad at right). The Q parameter functions are displayed in a soft-key row

  • Select the mathematical functions: Press the BASIC ARITHMETIC soft key. The TNC then displays the following soft keys:


Overview

Function | Soft key
D00: ASSIGN Example: D00 Q5 P01 +60 * Assign a numerical value |
D01: ADDITION Example: D01 Q1 P01 -Q2 P02 -5 * Calculate and assign the sum of two values |
D02: SUBTRACTION Example: D02 Q1 P01 +10 P02 +5 * Calculates and assigns the difference of two values. |
D03: MULTIPLICATION Example: D03 Q2 P01 +3 P02 +3 * Calculates and assigns the product of two values. |
D04: DIVISION Example: D04 Q4 P01 +8 P02 +Q2 * Calculate and assign the quotient of two values Not permitted: You cannot divide by 0! |
D05: SQUARE ROOT Example: D05 Q50 P01 4 * Calculate and assign the square root of a number Not permitted: Calculating the square root of a negative value! |

    To the right of the "=" character you can enter the following:

  • Two numbers
  • Two Q parameters
  • A number and a Q parameter

The Q parameters and numerical values in the equations can be entered with positive or negative signs.


Programming fundamental operations

Beispiel: Program blocks in the TNC
N17 D00 q5 P01 +10 *
N17 D03 Q12 P01 +Q5 P02 +7 *

Example:

 | Call the Q parameter functions by pressing the Q key
 | Select the mathematical functions: Press the BASIC ARITHMETIC soft key
 | To select the Q parameter function ASSIGN, press the d0 X = Y soft key
Parameter no. for result?
 | Enter the number of the Q parameter, e.g. 5
1st value or parameter?
 | Assign the value 10 to Q5
 | Call the Q parameter functions by pressing the Q key
 | Select the mathematical functions: Press the BASIC ARITHMETIC soft key
 | To select the Q parameter function MULTIPLICATION, press the d3 X * Y soft key
Parameter no. for result?
 | Enter the number of the Q parameter, e.g. 12
1st value or parameter?
 | Enter Q5 for the first value
2nd value or parameter?
 | Enter 7 for the second value


Trigonometric functions

Weitere Informationen:
> Definitions
> Programming trigonometric functions


Definitions

Sine, cosine and tangent are terms designating the ratios of sides of right triangles. In this case:

Sine: | sin α = a / c
Cosine: | cos α = b / c
Tangent: | tan α = a / b = sin α / cos α

    where

  • c is the side opposite the right angle
  • a is the side opposite the angle α
  • b is the third side.

The TNC can find the angle from the tangent:

α = arctan (a / b) = arctan (sin α / cos α)

Example:

a = 25 mm

b = 50 mm

α = arctan (a / b) = arctan 0,5 = 26,57°

Furthermore:

a² + b² = c² (where a² = a x a)


Programming trigonometric functions

Press the TRIGONOMETRY soft key to call the trigonometric functions. The TNC then displays the soft keys that are listed in the table below.

Programming: Compare "Example: Programming fundamental operations."

Function | Soft key
D06: SINE Example: D06 Q20 P01 -Q5 * Calculate the sine of an angle in degrees (°) and assign it to a parameter. |
D07: COSINE Example: D07 Q21 P01 -Q5 * Calculate the cosine of an angle in degrees (°) and assign it to a parameter. |
D08: ROOT SUM OF SQUARES Example: D08 Q10 P01 +5 P02 +4 * Calculates and assigns length from two values. |
D13: ANGLE Example: D13 Q20 P01 +10 P02 -Q1 * Calculate the angle from the arc tangent of two sides or from the sine and cosine of the angle (0 < angle < 360°) and assign it to a parameter. |


If-then decisions with Q parameters

Weitere Informationen:
> Application
> Unconditional jumps
> Programming if-then decisions


Application

The TNC can make logical if-then decisions by comparing a Q parameter with another Q parameter or with a numerical value. If the condition is fulfilled, the TNC continues the program at the label that is programmed after the condition (for information on labels, siehe Labeling subprograms and program section repeats). If it is not fulfilled, the TNC continues with the next block.

To call another program as a subprogram, enter a % program call after the block with the target label.


Unconditional jumps

An unconditional jump is programmed by entering a conditional jump whose condition is always true. Example:

D09 P01 +10 P02 +10 P03 1 *


Programming if-then decisions

    There are three possibilities for entering the jump address:

  • Label number, selectable via LBL number soft key
  • Label number, selectable via LBL name soft key
  • String number, selectable via QS soft key

Press the JUMP soft key to call the if-then conditions. The TNC then displays the following soft keys:

Function | Soft key
D09: IF EQUAL, JUMP Example: D09 P01 +Q1 P02 +Q3 P03 “SPCAN25“ * If the two values or parameters are equal, jump to the given label |
D10: IF UNEQUAL, JUMP Example: D10 P01 +10 P02 -Q5 P03 10 * If the two values or parameters are not equal, jump to the given label. |
D11: IF GREATER, JUMP Example: D11 P01 +Q1 P02 +10 P03 QS5 * If the first value or parameter is greater than the second, jump to the given label. |
D12: IF LESS, JUMP Example: D12 P01 +Q5 P02 +0 P03 “ANYNAME“ * If the first value or parameter is less than the second, jump to the given label. |


Checking and changing Q parameters

Weitere Informationen:
> Procedure


Procedure

You can check and edit Q parameters when writing, testing and running programs in the Programming and Editing, Test Run, Program Run Full Sequence, and Program Run Single Block modes.

  • If you are in a program run, interrupt it if required (for example, by pressing the machine STOP button and the INTERNAL STOP soft key). If you are in a test run, interrupt it

To call Q parameter functions: Press the Q key or the Q INFO soft key in the Programming and Editing mode of operation

The TNC lists all parameters and their current values. With the arrow keys or the soft keys, go pagewise to the desired parameters

If you would like to change the value, enter a new value and confirm with the ENT key

To leave the value unchanged, press the PRESENT VALUE soft key or end the dialog with the END key.

The parameters used by the TNC internally or in cycles are provided with comments.

If you want to check or edit local, global or string parameters, press the SHOW PARAMETERS q QL QR qs soft key. The TNC then displays all respective parameters and the above described also apply.


Additional functions

Weitere Informationen:
> Overview
> D14: ERROR: Displaying error messages
> D15: Output of texts or Q parameter values
> D19: Transfer values to the PLC


Overview

Press the DIVERSE FUNCTION soft key to call the additional functions. The TNC then displays the following soft keys:

Function | Soft key | Page
D14:ERROR Output error messages |  | D14: ERROR: Displaying error messages
D15:PRINT Unformatted output of texts or Q parameter values |  | D15: Output of texts or Q parameter values
D19:PLC Send values to the PLC |  | D19: Transfer values to the PLC


D14: ERROR: Displaying error messages

With the function d14 you can call messages under program control. The messages are predefined by the machine tool builder or by HEIDENHAIN. Whenever the TNC comes to a block with d14 in the Program Run or Test Run mode, it interrupts the program run and displays a message. The program must then be restarted. The error numbers are listed in the table below.

Range of error numbers | Standard dialog text
0 ... 299 | FN 14: Error code 0 .... 299
300 ... 999 | Machine-dependent dialog
1000 ... 1099 | Internal error messages (see table at right)
Example NC block

The TNC is to display the text stored under error number 254:

N180 D14 P01 254 *
Error message predefined by HEIDENHAIN
Error number | Text
1000 | Spindle?
1001 | Tool axis is missing
1002 | Tool radius too small
1003 | Tool radius too large
1004 | Range exceeded
1005 | Start position incorrect
1006 | ROTATION not permitted
1007 | SCALING FACTOR not permitted
1008 | MIRROR IMAGE not permitted
1009 | Datum shift not permitted
1010 | Feed rate is missing
1011 | Input value is incorrect
1012 | Incorrect sign
1013 | Entered angle not permitted
1014 | Touch point inaccessible
1015 | Too many points
1016 | Contradictory input
1017 | CYCL incomplete
1018 | Plane wrongly defined
1019 | Wrong axis programmed
1020 | Wrong rpm
1021 | Radius comp. undefined
1022 | Rounding-off undefined
1023 | Rounding radius too large
1024 | Program start undefined
1025 | Excessive nesting
1026 | Angle reference missing
1027 | No fixed cycle defined
1028 | Slot width too small
1029 | Pocket too small
1030 | Q202 not defined
1031 | Q205 not defined
1032 | Q218 must be greater than Q219
1033 | CYCL 210 not permitted
1034 | CYCL 211 not permitted
1035 | Q220 too large
1036 | Q222 must be greater than Q223
1037 | Q244 must be greater than 0
1038 | Q245 must not equal Q246
1039 | Angle range must be under 360°
1040 | Q223 must be greater than Q222
1041 | Q214: 0 not permitted
1042 | Traverse direction not defined
1043 | No datum table active
1044 | Position error: center in axis 1
1045 | Position error: center in axis 2
1046 | Hole diameter too small
1047 | Hole diameter too large
1048 | Stud diameter too small
1049 | Stud diameter too large
1050 | Pocket too small: rework axis 1
1051 | Pocket too small: rework axis 2
1052 | Pocket too large: scrap axis 1
1053 | Pocket too large: scrap axis 2
1054 | Stud too small: scrap axis 1
1055 | Stud too small: scrap axis 2
1056 | Stud too large: rework axis 1
1057 | Stud too large: rework axis 2.A.
1058 | TCHPROBE 425: length exceeds max
1059 | TCHPROBE 425: length below min
1060 | TCHPROBE 426: length exceeds max
1061 | TCHPROBE 426: length below min
1062 | TCHPROBE 430: diameter too large
1063 | TCHPROBE 430: diameter too small
1064 | No measuring axis defined
1065 | Tool breakage tolerance exceeded
1066 | Enter Q247 unequal to 0
1067 | Enter Q247 greater than 5
1068 | Datum table?
1069 | Enter Q351 unequal to 0
1070 | Thread depth too large
1071 | Missing calibration data
1072 | Tolerance exceeded
1073 | Block scan active
1074 | ORIENTATION not permitted
1075 | 3-D ROT not permitted
1076 | Activate 3-D ROT
1077 | Enter depth as negative
1078 | Q303 in meas. cycle undefined!
1079 | Tool axis not allowed
1080 | Calculated values incorrect
1081 | Contradictory meas. points
1082 | Incorrect clearance height
1083 | Contradictory plunge type
1084 | This fixed cycle not allowed
1085 | Line is write-protected
1086 | Oversize greater than depth
1087 | No point angle defined
1088 | Contradictory data
1089 | Slot position 0 not allowed
1090 | Enter an infeed not equal to 0
1091 | Switchover of Q399 not allowed
1092 | Tool not defined
1093 | Tool number not allowed
1094 | Tool name not allowed
1095 | Software option not active
1096 | Kinematics cannot be restored
1097 | Function not permitted
1098 | Contradictory workpc. blank dim.
1099 | Measuring position not allowed
1100 | Kinematic access not possible
1101 | Meas. pos. not in traverse range
1102 | Preset compensation not possible


D15: Output of texts or Q parameter values

Setting the data interface: In the menu option PRINT or PRINT-TEST, you must enter the path for storing the texts or Q parameters. Siehe Assignment.

The function D15 transfers Q parameter values and error messages through the data interface, for example to a printer. When you save the data in the TNC memory or transfer them to a PC, the TNC stores the data in the file %FN 15RUN.A (output in program run mode) or in the file %FN15SIM.A (output in test run mode).

The data are transmitted from a buffer. Data output begins at the latest by program end or when you stop the program. In the Single Block mode of operation, data transfer begins at block end.

To output dialog texts and error messages with FN 15: PRINT "numerical value"
Numerical values from 0 to 99: | Dialog texts for OEM cycles
Numerical values exceeding 100: | PLC error messages
Example: Output of dialog text 20
N67 D15 P01 20 *
Outputting dialog texts and Q parameters with D15 "Q parameter"

Application example: Recording workpiece measurement.

You can transfer up to six Q parameters and numerical values simultaneously. The TNC separates them with slashes.

Example: Output of dialog text 1 and numerical value for Q1
N70 D15 P01 1 P02 Q1 *


D19: Transfer values to the PLC

The d19 function transfers up to two numerical values or Q parameters to the PLC.

Increments and units: 0.1 µm or 0.0001°

Example: Transfer the numerical value 10 (which means 1 µm or 0.001°) to the PLC
N56 D19 P01 +10 P02 +Q3 *


Entering formulas directly

Weitere Informationen:
> Entering formulas
> Rules for formulas
> Programming example


Entering formulas

You can enter mathematical formulas that include several operations directly into the part program by soft key.

Press the FORMULA soft key to call the mathematical functions. The TNC displays the following soft keys in several soft-key rows:

Mathematical function | Soft key
Addition Example: Q10 = Q1 + Q5 |
Subtraction Example: Q25 = Q7 – Q108 |
Multiplication Example: Q12 = 5 * Q5 |
Division Example: Q25 = Q1 / Q2 |
Opening parenthesis Example: Q12 = Q1 * (Q2 + Q3) |
Closing parenthesis Example: Q12 = Q1 * (Q2 + Q3) |
Square of a value Example: Q15 = SQ 5 |
Square root Example: Q22 = SQRT 25 |
Sine of an angle Example: Q44 = SIN 45 |
Cosine of an angle Example: Q45 = COS 45 |
Tangent of an angle Example: Q46 = TAN 45 |
Arc sine Inverse of the sine. Determines the angle from the ratio of the side opposite the angle and the hypotenuse Example: Q10 = ASIN 0.75 |
Arc cosine Inverse of the cosine. Determines the angle from the ratio of the side adjacent to the angle and the hypotenuse Example: Q11 = ACOS Q40 |
Arc tangent Inverse of the tangent. Determines the angle from the ratio of the opposite side to the adjacent side Example: Q12 = ATAN Q50 |
Powers of values Example: Q15 = 3^3 |
Constant "pi" (3.14159) Example: Q15 = PI |
Natural logarithm (LN) of a number Base 2.7183 Example: Q15 = LN Q11 |
Logarithm of a number, base 10 Example: Q33 = LOG Q22 |
Exponential function, 2.7183 to the power of n Example: Q1 = EXP Q12 |
Negate (multiplication by –1) Example: Q2 = NEG Q1 |
Truncate decimal places Form an integer Example: Q3 = INT Q42 |
Absolute value of a number Example: Q4 = ABS Q22 |
Truncate places before the decimal point Form a fraction Example: Q5 = FRAC Q23 |
Check algebraic sign of a number Example: Q12 = SGN Q50 If result for Q12 = 1, then Q50 >= 0 If result for Q12 = –1, then Q50 < 0 |
Calculate modulo value (division remainder) Example: Q12 = 400 % 360 Result: Q12 = 40 |


Rules for formulas

Mathematical formulas are programmed according to the following rules:

Higher-level operations are performed first
12 Q1 = 5 * 3 + 2 * 10 = 35
  1. calculation: 5 * 3 = 15
  2. calculation: 2 * 10 = 20
  3. calculation: 15 + 20 = 35
or
13 Q2 = SQ 10 - 3^3 = 73
  1. calculation: 10 squared = 100
  2. calculation: 3 to the power of 3 = 27
  3. calculation: 100 – 27 = 73
Distributive law

Law for calculating with parentheses a * (b + c) = a * b + a * c


Programming example

Calculate an angle with the arc tangent from the opposite side (Q12) and adjacent side (Q13); then store in Q25.

 | To select the formula entering function, press the Q key and the FORMULA soft key, or use the shortcut:
 | Press the Q key on the ASCII keyboard
Parameter no. for result?
 | Enter the parameter number
 | Shift the soft-key row and select the arc tangent function
 | Shift the soft-key row and open the parentheses
 | Enter Q parameter number 12
 | Select division
 | Enter Q parameter number 13
 | Close parentheses and conclude formula entry
Example NC block
37 Q25 = ATAN (Q12/Q13)


String parameters

Weitere Informationen:
> String processing functions
> Assigning string parameters
> Chain-linking string parameters
> Converting a numerical value to a string parameter
> Copying a substring from a string parameter
> Copying system data to a string parameter
> Converting a string parameter to a numerical value
> Checking a string parameter
> Finding the length of a string parameter
> Comparing alphabetic priority


String processing functions

You can use the QS parameters to create variable character strings.

You can assign a linear sequence of characters (letters, numbers, special characters and spaces) up to a length of 256 characters to a string parameter. You can also check and process the assigned or imported values by using the functions described below. As in Q-parameter programming, you can use a total of 2000 QS parameters (siehe auch Principle and overview).

The STRING FORMULA and FORMULA Q-parameter functions contain various functions for processing the string parameters.

STRING FORMULA functions | Soft key | Page
Assigning string parameters |  | Assigning string parameters
Chain-linking string parameters |  | Chain-linking string parameters
Converting a numerical value to a string parameter |  | Converting a numerical value to a string parameter
Copy a substring from a string parameter |  | Copying a substring from a string parameter
Copy system data to a string parameter |  | Copying system data to a string parameter
Formula string functions | Soft key | Page
Converting a string parameter to a numerical value |  | Converting a string parameter to a numerical value
Checking a string parameter |  | Checking a string parameter
Finding the length of a string parameter |  | Finding the length of a string parameter
Compare alphabetic priority |  | Comparing alphabetic priority

When you use a STRING FORMULA, the result of the arithmetic operation is always a string. When you use the FORMULA function, the result of the arithmetic operation is always a numeric value.


Assigning string parameters

You have to assign a string variable before you use it. Use the DECLARE STRING command to do so.

Show the soft-key row with special functions

Select the menu for defining various plain-language functions

Select string functions

Select the DECLARE STRING function

Example NC block:
n37 DECLARE STRING QS10 = "Workpiece"


Chain-linking string parameters

With the concatenation operator (string parameter || string parameter) you can make a chain of two or more string parameters.

Show the soft-key row with special functions

Select the menu for defining various plain-language functions

Select string functions

Select the STRING FORMULA function

Enter the number of the string parameter in which the TNC is to save the concatenated string. Confirm with the ENT key

Enter the number of the string parameter in which the first substring is saved. Confirm with the ENT key: The TNC displays the concatenation symbol ||

Confirm your entry with the ENT key

Enter the number of the string parameter in which the second substring is saved. Confirm with the ENT key

Repeat the process until you have selected all the required substrings. Conclude with the END key

Example: QS10 is to include the complete text of QS12, QS13 and QS14
n37 QS10 = QS12 || QS13 || QS14

    Parameter contents:

  • QS12: Workpiece
  • QS13: Status:
  • QS14: Scrap
  • QS10: Workpiece Status: Scrap


Converting a numerical value to a string parameter

With the TOCHAR function, the TNC converts a numerical value to a string parameter. This enables you to chain numerical values with string variables.

Select Q-parameter functions

Select the STRING FORMULA function

Select the function for converting a numerical value to a string parameter

Enter the number or the desired Q parameter to be converted, and confirm with the ENT key

If desired, enter the number of decimal places that the TNC should convert, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

Example: Convert parameter Q50 to string parameter QS11, use 3 decimal places
n37 QS11 = TOCHAR ( DAT+Q50 DECIMALS3 )


Copying a substring from a string parameter

The SUBSTR function copies a definable range from a string parameter.

Select Q-parameter functions

Select the STRING FORMULA function

Enter the number of the string parameter in which the TNC is to save the copied string. Confirm with the ENT key

Select the function for cutting out a substring

Enter the number of the QS parameter from which the substring is to be copied. Confirm with the ENT key

Enter the number of the place starting from which to copy the substring, and confirm with the ENT key

Enter the number of characters to be copied, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

Remember that the first character of a text sequence starts internally with the zeroth place.
Example: A four-character substring (LEN4) is read from the string parameter QS10 beginning with the third character (BEG2)
n37 QS13 = SUBSTR ( SRC_QS10 BEG2 LEN4 )


Copying system data to a string parameter

The sysstr function copies system data to a string parameter. At present only reading of the system time is available.

Select Q-parameter functions

Select the STRING FORMULA function

Enter the number of the string parameter in which the TNC is to save the copied string. Confirm with the ENT key

Select the function for copying system data

Enter the Number of the system key (ID321 for the system time) that you want to copy, and confirm with the ENT key

Enter the Index for system key. It defines the format for the system time to be output. Confirm with the ent key (see description below)

Array index of the source to be read has no function yet. Confirm with the NO ENT key

Number to be converted to text has no function yet. Confirm with the NO ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

This function is prepared for future expansions. The parameters IDX and DAT currently have no function.

    You can use the following formats to display the date:

  • 00: DD.MM.YYYY hh:mm:ss
  • 01: D.MM.YYYY h:mm:ss
  • 02: D.MM.YYYY h:mm
  • 03: D.MM.YY h:mm
  • 04: YYYY-MM-DD- hh:mm:ss
  • 05: YYYY-MM-DD hh:mm
  • 06: YYYY-MM-DD h:mm
  • 07: YY-MM-DD h:mm
  • 08: DD.MM.YYYY
  • 09: D.MM.YYYY
  • 10: D.MM.YY
  • 11: YYYY-MM-DD
  • 12: YY-MM-DD
  • 13: hh:mm:ss
  • 14: h:mm:ss
  • 15: h:mm
Example: Read out the current system time in the format DD.MM.YYYY hh:mm:ss, and save it in parameter QS13.
N70 QS13 = sysstr ( id321 nr0)


Converting a string parameter to a numerical value

The TONUMB function converts a string parameter to a numerical value. The value to be converted should be only numerical.

The QS parameter must contain only one numerical value. Otherwise the TNC will output an error message.

Select Q-parameter functions

Select the FORMULA function

Enter the number of the parameter in which the TNC is to save the numerical value. Confirm with the ENT key

Shift the soft-key row

Select the function for converting a string parameter to a numerical value

Enter the number of the Q parameter to be converted, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

Example: Convert string parameter QS11 to a numerical parameter Q82
n37 Q82 = TONUMB ( SRC_QS11 )


Checking a string parameter

The INSTR function checks whether a string parameter is contained in another string parameter.

Select Q-parameter functions

Select the FORMULA function

Enter the number of the Q parameter in which the TNC is to save the place at which the search text begins. Confirm with the ENT key

Shift the soft-key row

Select the function for checking a string parameter

Enter the number of the QS parameter in which the text to be searched for is saved. Confirm with the ENT key

Enter the number of the QS parameter to be searched, and confirm with the ENT key

Enter the number of the place starting from which the TNC is to search the substring, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

Remember that the first character of a text sequence starts internally with the zeroth place.

If the TNC cannot find the required substring, it will save the total length of the string to be searched (counting starts at 1) in the result parameter.

If the substring is found in more than one place, the TNC returns the first place at which it finds the substring.
Example: Search through QS10 for the text saved in parameter QS13. Begin the search at the third place.
n37 Q50 = INSTR ( SRC_QS10 SEA_QS13 BEG2 )


Finding the length of a string parameter

The STRLEN function returns the length of the text saved in a selectable string parameter.

Select Q-parameter functions

Select the FORMULA function

Enter the number of the Q parameter in which the TNC is to save the ascertained string length. Confirm with the ENT key

Shift the soft-key row

Select the function for finding the text length of a string parameter

Enter the number of the QS parameter whose length the TNC is to ascertain, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

Example: Find the length of QS15
n37 Q52 = STRLEN ( SRC_QS15 )


Comparing alphabetic priority

The STRCOMP function compares string parameters for alphabetic priority.

Select Q-parameter functions

Select the FORMULA function

Enter the number of the Q parameter in which the TNC is to save the result of comparison. Confirm with the ENT key

Shift the soft-key row

Select the function for comparing string parameters

Enter the number of the first QS parameter to be compared, and confirm with the ENT key

Enter the number of the second QS parameter to be compared, and confirm with the ENT key

Close the parenthetical expression with the ENT key and confirm your entry with the END key

    The TNC returns the following results:

  • 0: The compared QS parameters are identical
  • -1: The first QS parameter precedes the second QS parameter alphabetically
  • +1: The first QS parameter follows the second QS parameter alphabetically
Example: QS12 and QS14 are compared for alphabetic priority
N37 Q52 = STRCOMP ( SRC_QS12 SEA_QS14 )


Preassigned Q parameters

    The Q parameters Q100 to Q199 are assigned values by the TNC. The following types of information are assigned to Q parameters:

  • Values from the PLC
  • Tool and spindle data
  • Data on operating status
  • Results of measurements from touch probe cycles etc.

Do not use preassigned Q parameters (or QS parameters) between Q100 and Q199 (QS100 and QS199) as calculation parameters in NC programs. Otherwise you might receive undesired results.

Weitere Informationen:
> Values from the PLC: Q100 to Q107
> WMAT block: QS100
> Active tool radius: Q108
> Tool axis: Q109
> Spindle status: Q110
> Coolant on/off: Q111
> Overlap factor: Q112
> Unit of measurement for dimensions in the program: Q113
> Tool length: Q114
> Coordinates after probing during program run
> Deviation between actual value and nominal value during automatic tool measurement with the TT 130
> Tilting the working plane with mathematical angles: rotary axis coordinates calculated by the TNC
> Measurement results from touch probe cycles (see also User’s Manual for Cycle Programming)


Values from the PLC: Q100 to Q107

The TNC uses the parameters Q100 to Q107 to transfer values from the PLC to an NC program.


WMAT block: QS100

The TNC saves the material defined in the WMAT block in parameter QS100.


Active tool radius: Q108

    The active value of the tool radius is assigned to Q108. Q108 is calculated from:

  • Tool radius R (tool table or g99 block)
  • Delta value DR from the tool table
  • Delta value DR from the T block

The TNC remembers the current tool radius even if the power is interrupted.


Tool axis: Q109

The value of Q109 depends on the current tool axis:

Tool axis | Parameter value
No tool axis defined | Q109 = –1
in X axis | Q109 = 0
Y axis | Q109 = 1
Z axis | Q109 = 2
U axis | Q109 = 6
5th axis | Q109 = 7
W axis | Q109 = 8


Spindle status: Q110

The value of the parameter Q110 depends on the M function last programmed for the spindle.

M function | Parameter value
No spindle status defined | Q110 = –1
M3: Spindle ON, clockwise | Q110 = 0
M4: Spindle ON, counterclockwise | Q110 = 1
M5 after M3 | Q110 = 2
M5 after M4 | Q110 = 3


Coolant on/off: Q111

M function | Parameter value
M8: Coolant ON | Q111 = 1
M9: Coolant OFF | Q111 = 0


Overlap factor: Q112

The overlap factor for pocket milling (MP7430) is assigned to Q112.


Unit of measurement for dimensions in the program: Q113

During nesting the PGM CALL, the value of the parameter Q113 depends on the dimensional data of the program from which the other programs are called.

Dimensional data of the main program | Parameter value
Metric system (mm) | Q113 = 0
Inch system (inches) | Q113 = 1


Tool length: Q114

The current value for the tool length is assigned to Q114.

    The current value for the tool length is assigned to Q114. Q114 is calculated from:

  • The tool length L (tool table or g99 block)
  • Delta value DL from the tool table
  • Delta value DL from the T block

The TNC remembers the current tool length even if the power is interrupted.


Coordinates after probing during program run

The parameters Q115 to Q119 contain the coordinates of the spindle position at the moment of contact during programmed measurement with the touch probe. The coordinates refer to the datum point that is active in the Manual Operation mode.

The length of the stylus and the radius of the ball tip are not compensated in these coordinates.

Coordinate axis | Parameter value
in X axis | Q115
Y axis | Q116
Z axis | Q117
4th Traverse the axis depending on MP100 | Q118
5th axis depending on MP100 | Q119


Deviation between actual value and nominal value during automatic tool measurement with the TT 130

Deviation of actual from nominal value | Parameter value
Tool length | Q115
Tool radius | Q116


Tilting the working plane with mathematical angles: rotary axis coordinates calculated by the TNC

Coordinates | Parameter value
A axis | Q120
B axis | Q121
C axis | Q122


Measurement results from touch probe cycles (see also User’s Manual for Cycle Programming)

Measured actual values | Parameter value
Angle of a straight line | Q150
Center in reference axis | Q151
Center in minor axis | Q152
Diameter | Q153
Pocket length | Q154
Pocket width | Q155
Length of the axis selected in the cycle | Q156
Position of the centerline | Q157
Angle in the A axis | Q158
Angle in the B axis | Q159
Coordinate of the axis selected in the cycle | Q160
Measured deviation | Parameter value
Center in reference axis | Q161
Center in minor axis | Q162
Diameter | Q163
Pocket length | Q164
Pocket width | Q165
Measured length | Q166
Position of the centerline | Q167
Determined space angles | Parameter value
Rotation about the A axis | Q170
Rotation about the B axis | Q171
Rotation about the C axis | Q172
Workpiece status | Parameter value
Good | Q180
Rework | Q181
Scrap | Q182
Measured deviation with Cycle 440 | Parameter value
in X axis | Q185
Y axis | Q186
Z axis | Q187
Marker for cycles | Q188
Tool measurement with the BLUM laser | Parameter value
Reserved | Q190
Reserved | Q191
Reserved | Q192
Reserved | Q193
Reserved for internal use | Parameter value
Marker for cycles | Q195
Marker for cycles | Q196
Marker for cycles (machining patterns) | Q197
Number of the last active measuring cycle | Q198
Status of tool measurement with TT | Parameter value
Tool within tolerance | Q199 = 0.0
Tool is worn (LTOL/RTOL is exceeded) | Q199 = 1.0
Tool is broken (LBREAK/RBREAK is exceeded) | Q199 = 2.0


Programming examples

Weitere Informationen:
> Example: Ellipse
> Example: Concave cylinder machined with spherical cutter
> Example: Convex sphere machined with end mill


Example: Ellipse

    Program sequence

  • The contour of the ellipse is approximated by many short lines (defined in Q7). The more calculation steps you define for the lines, the smoother the curve becomes.
  • The machining direction can be altered by changing the entries for the starting and end angles in the plane:
    Clockwise machining direction:
    starting angle > end angle
    Counterclockwise machining direction:
    starting angle < end angle
  • The tool radius is not taken into account.
%ellipse g71 * |
n10 q1 = +50 * | Center in X axis
n20 Q2 = +50 * | Center in Y axis
n30 Q3 = +50 * | Semiaxis in X
n40 Q4 = +30 * | Semiaxis in Y
n50 Q5 = +0 * | Starting angle in the plane
n60 Q6 = +360 * | End angle in the plane
n70 Q7 = +40 * | Number of calculation steps
n80 Q8 = +30 * | Rotational position of the ellipse
n90 Q9 = +5 * | Milling depth
n100 Q10 = +100 * | Feed rate for plunging
n110 Q11 = +350 * | Feed rate for milling
n120 Q12 = +2 * | Set-up clearance for pre-positioning
n130 g30 g17 x+0 y+0 z-20 * | Definition of workpiece blank
n140 g31 g90 x+100 y+100 z+0 * |
n160 t1 g17 s4000 * | Tool call
n170 g00 g40 g90 z+250 * | Retract the tool
n180 l10,0 * | Call machining operation
n190 g00 z+250 m2 * | Retract the tool, end program
n200 g98 l10 * | Subprogram 10: Machining operation
n210 g54 x+q1 y+q2 * | Shift datum to center of ellipse
n220 g73 g90 h+q8 * | Account for rotational position in the plane
n230 q35 = ( q6 - q5 ) / q7 * | Calculate angle increment
n240 Q36 = +Q5 * | Copy starting angle
n250 Q37 = +0 +0 * | Set counter
n260 q21 = q3 * cos q36 * | Calculate X coordinate for starting point
n270 q22 = q4 * sin q36 * | Calculate Y coordinate for starting point
n280 g00 g40 x+q21 y+q22 m3 * | Move to starting point in the plane
n290 z+q12 * | Pre-position in spindle axis to set-up clearance
n300 g01 z-q9 fq10 * | Move to working depth
n310 g98 l1 * |
n320 q36 = q36 + q35 * | Update the angle
n330 q37 = Q37 + 1 * | Update the counter
n340 q21 = q3 * cos q36 * | Calculate the current X coordinate
n350 q22 = q4 * sin q36 * | Calculate the current Y coordinate
n360 g01 x+q21 y+q22 fq11 * | Move to next point
n370 d12 p01 +q37 p02 +q7 p03 1 * | Unfinished? If not finished, return to LBL 1
n380 g73 g90 h+0 * | Reset the rotation
n390 g54 x+0 y+0 * | Reset the datum shift
n400 g00 g40 z+q12 * | Move to set-up clearance
n410 g98 l0 * | End of subprogram
n99999999 %ellipse g71 * |


Example: Concave cylinder machined with spherical cutter

    Program sequence

  • This program functions only with a spherical cutter. The tool length refers to the sphere center.
  • The contour of the cylinder is approximated by many short line segments (defined in Q13). The more line segments you define, the smoother the curve becomes.
  • The cylinder is milled in longitudinal cuts (here: parallel to the Y axis).
  • The machining direction can be altered by changing the entries for the starting and end angles in space:
    Clockwise machining direction:
    starting angle > end angle
    Counterclockwise machining direction:
    starting angle < end angle
  • The tool radius is compensated automatically.
%cylin g71 * |
n10 Q1 = +50 * | Center in X axis
n20 Q2 = +0 * | Center in Y axis
n30 Q3 = +0 * | Center in Z axis
n40 Q4 = +90 * | Starting angle in space (Z/X plane)
n50 Q5 = +270 * | End angle in space (Z/X plane)
n60 Q6 = +40 * | Cylinder radius
n70 Q7 = +100 * | Length of the cylinder
n80 Q8 = +0 * | Rotational position in the X/Y plane
n90 Q10 = +5 * | Allowance for cylinder radius
n100 Q11 = +250 * | Feed rate for plunging
n110 Q12 = +400 * | Feed rate for milling
n120 Q13 = +90 * | Number of cuts
n130 g30 g17 x+0 y+0 z-50 * | Definition of workpiece blank
n140 g31 g90 x+100 y+100 z+0 * |
n160 t1 g17 s4000 * | Tool call
n170 g00 g40 g90 z+250 * | Retract the tool
n180 l10,0 * | Call machining operation
n190 Q10 = +0 * | Reset allowance
n200 l10,0 | Call machining operation
n210 g00 g40 z+250 m2 * | Retract the tool, end program
n220 g98 l10 * | Subprogram 10: Machining operation
n230 q16 = q6 - q10 - q108 * | Account for allowance and tool, based on the cylinder radius
n240 Q20 = +1 * | Set counter
n250 Q24 = +Q4 * | Copy starting angle in space (Z/X plane)
n260 q25 = ( q5 - q4 ) / q13 * | Calculate angle increment
n270 g54 x+q1 y+q2 z+q3 * | Shift datum to center of cylinder (X axis)
n280 g73 g90 h+q8 * | Account for rotational position in the plane
n290 g00 g40 x+0 y+0 * | Pre-position in the plane to the cylinder center
n300 g01 z+5 f1000 m3 * | Pre-position in the spindle axis
n310 g98 l1 * |
n320 i+0 k+0 * | Set pole in the Z/X plane
n330 g11 r+q16 h+q24 fq11 * | Move to starting position on cylinder, plunge-cutting obliquely into the material
n340 g01 g40 y+q7 fq12 * | Longitudinal cut in Y+ direction
n350 Q20 = +Q20 + 1 * | Update the counter
n360 Q24 = +Q24 + +Q25 * | Update solid angle
n370 d11 p01 +q20 p02 +q13 p03 99 * | Finished? If finished, jump to end
n380 g11 r+q16 h+q24 fq11 * | Move in an approximated "arc" for the next longitudinal cut
n390 g01 g40 y+0 fq12 * | Longitudinal cut in Y– direction
n400 d01 q20 p01 +q20 p02 +1 * | Update the counter
n410 d01 q24 p01 +q24 p02 +q25 * | Update solid angle
n420 d12 p01 +q20 p02 +q13 p03 1 * | Unfinished? If not finished, return to LBL 1
n430 g98 l99 * |
n440 g73 g90 h+0 * | Reset the rotation
n450 g54 x+0 y+0 z+0 * | Reset the datum shift
n460 g98 l0 * | End of subprogram
n99999999 %cylin g71 * |


Example: Convex sphere machined with end mill

    Program sequence

  • This program requires an end mill.
  • The contour of the sphere is approximated by many short lines (in the Z/X plane, defined in Q14). The smaller you define the angle increment, the smoother the curve becomes.
  • You can determine the number of contour cuts through the angle increment in the plane (defined in Q18).
  • The tool moves upward in three-dimensional cuts.
  • The tool radius is compensated automatically.
%sphere g71 * |
n10 Q1 = +50 * | Center in X axis
n20 Q2 = +50 * | Center in Y axis
n30 Q4 = +90 * | Starting angle in space (Z/X plane)
n40 Q5 = +0 * | End angle in space (Z/X plane)
n50 Q14 = +5 * | Angle increment in space
n60 Q6 = +45 * | Sphere radius
n70 Q8 = +0 * | Starting angle of rotational position in the X/Y plane
n80 Q9 = +360 * | End angle of rotational position in the X/Y plane
n90 Q18 = +10 * | Angle increment in the X/Y plane for roughing
n100 Q10 = +5 * | Allowance in sphere radius for roughing
n110 Q11 = +2 * | Set-up clearance for pre-positioning in the spindle axis
n120 Q12 = +350 * | Feed rate for milling
n130 g30 g17 x+0 y+0 z-50 * | Definition of workpiece blank
n140 g31 g90 x+100 y+100 z+0 * |
n160 t1 g17 s4000 * | Tool call
n170 g00 g40 g90 z+250 * | Retract the tool
n180 l10,0 * | Call machining operation
n190 Q10 = +0 * | Reset allowance
n200 Q18 = +5 * | Angle increment in the X/Y plane for finishing
n210 l10,0 * | Call machining operation
n220 g00 g40 z+250 m2 * | Retract the tool, end program
n230 g98 l10 * | Subprogram 10: Machining operation
n240 Q23 = Q11 + Q6 * | Calculate Z coordinate for pre-positioning
n250 Q24 = +Q4 * | Copy starting angle in space (Z/X plane)
n260 Q26 = Q6 + Q108 * | Compensate sphere radius for pre-positioning
n270 Q28 = +Q8 * | Copy rotational position in the plane
n280 Q16 = Q6 + -Q10 * | Account for allowance in the sphere radius
n290 g54 x+q1 y+q2 z-q16 * | Shift datum to center of sphere
n300 g73 g90 h+q8 * | Account for starting angle of rotational position in the plane
n310 g98 l1 * | Pre-position in the spindle axis
n320 i+0 j+0 * | Set pole in the X/Y plane for pre-positioning
n330 g11 g40 r+q26 h+q8 fq12 * | Pre-position in the plane
n340 i+q108 k+0 * | Set pole in the Z/X plane, offset by the tool radius
n350 g01 y+0 z+0 fq12 * | Move to working depth
n360 g98 l2 * |
n370 g11 g40 r+q6 h+q24 fq12 * | Move upward in an approximated "arc"
n380 Q24 = Q24 - Q14 * | Update solid angle
n390 d11 p01 +q24 p02 +q5 p03 2 * | Inquire whether an arc is finished. If not finished, return to LBL 2
n400 g11 r+q6 h+q5 fq12 * | Move to the end angle in space
n410 g01 g40 z+q23 f1000 * | Retract in the spindle axis
n420 g00 g40 x+q26 * | Pre-position for next arc
n430 Q28 = Q28 + Q18 * | Update rotational position in the plane
n440 Q24 = +Q4 * | Reset solid angle
n450 g73 g90 h+q28 * | Activate new rotational position
n460 d12 p01 +q28 p02 +q9 p03 1 * | Unfinished? If not finished, return to LBL 1
n470 d09 p01 +q28 p02 +q9 p03 1 * |
n480 g73 g90 h+0 * | Reset the rotation
n490 g54 x+0 y+0 z+0 * | Reset the datum shift
n500 g98 l0 * | End of subprogram
n99999999 %sphere g71 * |


Programming: Miscellaneous Functions

Weitere Informationen:
> Entering miscellaneous functions M and STOP
> Miscellaneous functions for program run control, spindle and coolant
> Miscellaneous functions for coordinate data
> Miscellaneous functions for contouring behavior
> Miscellaneous functions for laser cutting machines


Entering miscellaneous functions M and STOP

Weitere Informationen:
> Fundamentals


Fundamentals

    With the TNC's miscellaneous functions—also called M functions—you can affect

  • The program run, e.g., a program interruption
  • the machine functions, such as switching spindle rotation and coolant supply on and off
  • The path behavior of the tool

The machine tool builder may add some M functions that are not described in this User's Manual. Refer to your machine manual.

You can enter up to two M functions at the end of a positioning block or in a separate block. The TNC displays the following dialog question: Miscellaneous function M ?

You usually enter only the number of the M function in the programming dialog. Some M functions can be programmed with additional parameters. In this case, the dialog is continued for the parameter input.

In the Manual Operation and El. Handwheel modes of operation, the M functions are entered with the M soft key.

Please note that some M functions become effective at the start of a positioning block, and others at the end, regardless of their position in the NC block.

M functions come into effect in the block in which they are called.

Some M functions are effective only in the block in which they are programmed. Unless the M function is only effective blockwise, either you must cancel it in a subsequent block with a separate M function, or it is automatically canceled by the TNC at the end of the program.

Weitere Informationen:
> Entering an M function in a STOP block


Entering an M function in a STOP block

If you program a STOP block, the program run or test run is interrupted at the block, for example for tool inspection. You can also enter an M function in a STOP block:

To program an interruption of program run, press the STOP key

Enter a miscellaneous function M
Example NC blocks
n87 g36 M6


Miscellaneous functions for program run control, spindle and coolant

Weitere Informationen:
> Overview


Overview

The machine tool builder can influence the behavior of the miscellaneous functions described below. Refer to your machine manual.

M | Effect | Effective at block | Start | End
M0 | Program STOP Spindle STOP |  |  | ■
M1 | Optional program STOP Spindle STOP if necessary Coolant OFF if necessary (not effective during Test Run, function determined by the machine tool builder) |  |  | ■
M2 | Program STOP Spindle STOP Coolant off Go to block 1 Clear the status display (depends on MP7300) |  |  | ■
M3 | Spindle ON clockwise |  | ■ |
M4 | Spindle ON counterclockwise |  | ■ |
M5 | Spindle STOP |  |  | ■
M6 | Tool change Spindle STOP Program run STOP (depends on MP7440) |  |  | ■
M8 | Coolant ON |  | ■ |
M9 | Coolant OFF |  |  | ■
M13 | Spindle ON clockwise Coolant ON |  | ■ |
M14 | Spindle ON counterclockwise coolant on |  | ■ |
M30 | Same as M2 |  |  | ■


Miscellaneous functions for coordinate data

Weitere Informationen:
> Programming machine-referenced coordinates: M91/M92
> Activating the most recently entered reference point: M104
> Moving to positions in a non-tilted coordinate system with a tilted working plane: M130


Programming machine-referenced coordinates: M91/M92

Scale reference point

On the scale, a reference mark indicates the position of the scale reference point.

Machine datum

    The machine datum is required for the following tasks:

  • Defining the limits of traverse (software limit switches)
  • Approach machine-referenced positions (such as tool change positions)
  • Set a workpiece datum

The distance in each axis from the scale reference point to the machine datum is defined by the machine tool builder in a machine parameter.

Standard behavior

The TNC references coordinates to the workpiece datum, siehe Workpiece presetting without a touch probe.

Behavior with M91—Machine datum

If you want the coordinates in a positioning block to be referenced to the machine datum, end the block with M91.

If you program incremental coordinates in an M91 block, enter them with respect to the last programmed M91 position. If no M91 position is programmed in the active NC block, then enter the coordinates with respect to the current tool position.

If you program M3 or M4 together in a block with M91, then always program M3 before M91.

The coordinate values on the TNC screen are referenced to the machine datum. Switch the display of coordinates in the status display to REF, siehe Status displays.

Behavior with M92—Additional machine datum

In addition to the machine datum, the machine tool builder can also define an additional machine-based position as a reference point.

For each axis, the machine tool builder defines the distance between the machine datum and this additional machine reference point. Refer to the machine manual for more information.

If you want the coordinates in a positioning block to be based on the additional machine reference point, end the block with M92.

Radius compensation remains the same in blocks that are programmed with M91 or M92. The tool length, however, is not compensated.

If you program M3 or M4 together in a block with M92, then always program M3 before M92.
Effect

M91 and M92 are effective only in the blocks in which they are programmed.

M91 and M92 take effect at the start of block.

Workpiece reference point

If you want the coordinates to always be referenced to the machine datum, you can inhibit reference-point setting for one or more axes.

If reference-point setting is inhibited for all axes, the TNC no longer displays the SET DATUM soft key in the Manual Operation mode.

The figure shows coordinate systems with the machine datum and workpiece datum.

M91/M92 in the Test Run mode

In order to be able to graphically simulate M91/M92 movements, you need to activate working space monitoring and display the workpiece blank referenced to the set reference point (siehe Showing the workpiece blank in the working space).


Activating the most recently entered reference point: M104

Function

When processing pallet tables, the TNC may overwrite your most recently entered reference point with values from the pallet table. With M104 you can reactivate the original reference point.

Effect

M104 is effective only in the blocks in which it is programmed.

M104 becomes effective at the end of block.

The TNC does not change the active basic rotation when running the M104 function.


Moving to positions in a non-tilted coordinate system with a tilted working plane: M130

Standard behavior with a tilted working plane

The TNC places the coordinates in the positioning blocks in the tilted coordinate system.

Behavior with M130

The TNC places coordinates in straight line blocks in the untilted coordinate system.

The TNC then positions the (tilted) tool to the programmed coordinates of the untilted system.

Danger of collision!

Subsequent positioning blocks or fixed cycles are carried out in a tilted coordinate system. This can lead to problems in fixed cycles with absolute pre-positioning.

The function M130 is allowed only if the tilted working plane function is active.
Effect

M130 functions blockwise in straight-line blocks without tool radius compensation.


Miscellaneous functions for contouring behavior

Weitere Informationen:
> Smoothing corners: M90
> Inserting a rounding arc between straight lines: M112
> Do not include points when executing non-compensated line blocks: M124
> Machining small contour steps: M97
> Machining open contour corners: M98
> Feed rate factor for plunging movements: M103
> Feed rate in millimeters per spindle revolution: M136
> Feed rate for circular arcs: M109/M110/M111
> Calculating the radius-compensated path in advance (LOOK AHEAD): M120
> Superimposing handwheel positioning during program run: M118
> Retraction from the contour in the tool-axis direction: M140
> Suppressing touch probe monitoring: M141
> Deleting modal program information: M142
> Deleting basic rotation: M143
> Automatically retract tool from the contour at an NC stop: M148
> Suppressing the limit switch message: M150


Smoothing corners: M90

Standard behavior

The TNC stops the tool briefly in positioning blocks without tool radius compensation. This is called an exact stop.

In program blocks with radius compensation (RR/RL), the TNC automatically inserts a transition arc at outside corners.

Behavior with M90

The tool moves at corners with constant speed: This provides a smoother, more continuous surface. Machining time is also reduced.

Application example: Surface consisting of a series of straight line segments.

Effect

M90 is effective only in the blocks in which it is programmed.

M90 becomes effective at the start of block. Operation with servo lag must be active.


Inserting a rounding arc between straight lines: M112

Compatibility

For reasons of compatibility, the M112 function is still available. However, to define the tolerance for fast contour milling, HEIDENHAIN recommends the use of the TOLERANCE cycle (see User's Manual for Cycles, section 32 TOLERANCE).


Do not include points when executing non-compensated line blocks: M124

Standard behavior

The TNC runs all line blocks that have been entered in the active program.

Behavior with M124

When running non-compensated line blocks with very small point intervals, you can use parameter T to define a minimum point interval up to which the TNC will not include points during execution.

Effect

M124 becomes effective at the start of block.

The TNC resets M124 if you enter M124 without the T parameter, or if you select a new program.

Programming M124

If you enter M124 in a positioning block, the TNC continues the dialog for this block by asking you the minimum distance between points T.

You can also define T through Q parameters (siehe Principle and overview).


Machining small contour steps: M97

Standard behavior

The TNC inserts a transition arc at outside corners. If the contour steps are very small, however, the tool would damage the contour.

In such cases the TNC interrupts program run and generates the error message "Tool radius too large."

Behavior with M97

The TNC calculates the intersection of the contour elements—as at inside corners—and moves the tool over this point.

Program M97 in the same block as the outside corner.

Instead of M97 you should use the much more powerful function M120 LA (siehe Calculating the radius-compensated path in advance (LOOK AHEAD): M120).

Effect

M97 is effective only in the blocks in which it is programmed.

A corner machined with M97 will not be completely finished. You may wish to rework the contour with a smaller tool.

Example NC blocks
n50 T20 g01 ...* | Tool with large tool radius
... |
n130 x ... y ... f ... m97 * | Move to contour point 13
n140 g91 y-0.5 ... f ... * | Machine small contour step 13 to 14
n150 x+100 ... * | Move to contour point 15
n160 y+0.5 ... f ... m97 * | Machine small contour step 15 to 16
n170 g90 x ... y ... * | Move to contour point 17


Machining open contour corners: M98

Standard behavior

The TNC calculates the intersections of the cutter paths at inside corners and moves the tool in the new direction at those points.

If the contour is open at the corners, however, this will result in incomplete machining.

Behavior with M98

With the miscellaneous function M98, the TNC temporarily suspends radius compensation to ensure that both corners are completely machined:

Effect

M98 is effective only in the blocks in which it is programmed.

M98 takes effect at the end of block.

Example NC blocks

Move to the contour points 10, 11 and 12 in succession:

n100 g01 g41 x ... y ... f ... *
n110 x ... g91 y ... m98 *
n120 x+ ... *


Feed rate factor for plunging movements: M103

Standard behavior

The TNC moves the tool at the last programmed feed rate, regardless of the direction of traverse.

Behavior with M103

The feed rate reduction with M103 is only effective if bit 4 in MP7440 has been set to 1.

The TNC reduces the feed rate when the tool moves in the negative direction of the tool axis. The feed rate for plunging FZMAX is calculated from the last programmed feed rate FPROG and a factor F%:

FZMAX = FPROG x F%

Programming M103

If you enter M103 in a positioning block, the TNC continues the dialog by asking you the factor F.

Effect

M103 becomes effective at the start of block.
To cancel M103, program M103 once again without a factor.

M103 is also effective in an active tilted working plane. The feed rate reduction is then effective during traverse in the negative direction of the tilted tool axis.

Example NC blocks

The feed rate for plunging is to be 20% of the feed rate in the plane.

... | Actual contouring feed rate (mm/min):
n170 g01 g41 x+20 y+20 f500 m103 f20 * | 500
n180 y+50 * | 500
n190 g91 z-2.5 * | 100
n200 y+5 z-5 * | 141
n210 x+50 * | 500
n220 g90 z+5 * | 500


Feed rate in millimeters per spindle revolution: M136

Standard behavior

The TNC moves the tool at the programmed feed rate F in mm/min.

Behavior with M136

In inch-programs, M136 is not permitted in combination with the new alternate feed rate FU.

The spindle is not permitted to be controlled when M136 is active.

With M136, the TNC does not move the tool in mm/min, but rather at the programmed feed rate F in millimeters per spindle revolution. If you change the spindle speed by using the spindle override, the TNC changes the feed rate accordingly.

Effect

M136 becomes effective at the start of block.

You can cancel M136 by programming M137.


Feed rate for circular arcs: M109/M110/M111

Standard behavior

The TNC applies the programmed feed rate to the path of the tool center.

Behavior at circular arcs with M109

The TNC adjusts the feed rate for circular arcs at inside and outside contours so that the feed rate at the tool cutting edge remains constant.

Caution: Danger to the workpiece and tool!

On very small outside corners the TNC may increase the feed rate so much that the tool or workpiece can be damaged. Avoid M109 with small outside corners.

Behavior at circular arcs with M110

The TNC keeps the feed rate constant for circular arcs at inside contours only. At outside contours, the feed rate is not adjusted.

M110 is also effective for the inside machining of circular arcs using contour cycles (special case).

If you define M109 or M110 before calling a machining cycle with a number greater than 200, the adjusted feed rate is also effective for circular arcs within these machining cycles. The initial state is restored after finishing or aborting a machining cycle.

Effect

M109 and M110 become effective at the start of block. To cancel M109 or M110, enter M111.


Calculating the radius-compensated path in advance (LOOK AHEAD): M120

Standard behavior

If the tool radius is larger than the contour step that is to be machined with radius compensation, the TNC interrupts program run and generates an error message. M97 (siehe Machining small contour steps: M97) inhibits the error message, but this results in dwell marks and will also move the corner.

If the programmed contour contains undercut features, the tool may damage the contour.

Behavior with M120

The TNC checks radius-compensated paths for contour undercuts and tool path intersections, and calculates the tool path in advance from the current block. Areas of the contour that might be damaged by the tool are not machined (dark areas in figure). You can also use M120 to calculate the radius compensation for digitized data or data created on an external programming system. This means that deviations from the theoretical tool radius can be compensated.

Use LA (Look Ahead) behind M120 to define the number of blocks (maximum: 99) that you want the TNC to calculate in advance. Note that the larger the number of blocks you choose, the higher the block processing time will be.

Input

If you enter M120 in a positioning block, the TNC continues the dialog for this block by asking you the number of blocks LA that are to be calculated in advance.

Effect

    M120 must be located in an NC block that also contains radius compensation g41 or G42. M120 is then effective from this block until

  • radius compensation is canceled with G40
  • M120 LA0 is programmed, or
  • M120 is programmed without LA, or
  • another program is called with %
  • the working plane is tilted with Cycle g80 or the PLANE function

M120 becomes effective at the start of block.

Restrictions
  • After an external or internal stop, you can only re-enter the contour with the function RESTORE POS. AT N. Before you start the block scan, you must cancel M120 (select program again via PGM MGT, do not use GOTO 0), otherwise the TNC will output an error message
  • When using the path functions G25 and G24, the blocks before and after G25 or G24 must contain only coordinates in the working plane.
  • If you enter an LA value that is too great, the edited contour might change, because the TNC might then output too many NC blocks
  • Before using the functions listed below, you have to cancel M120 and the radius compensation:
    • Cycle G60 Tolerance
    • Cycle G80 Working plane
    • PLANE function
    • M114
    • M128
    • M138
    • M144
    • TCPM FUNCTION (only conversational format)
    • WRITE TO KINEMATIC (only conversational format)


Superimposing handwheel positioning during program run: M118

Standard behavior

In the program run modes, the TNC moves the tool as defined in the part program.

Behavior with M118

M118 permits manual corrections by handwheel during program run. Just program M118 and enter an axis-specific value (linear or rotary axis) in millimeters.

Input

If you enter M118 in a positioning block, the TNC continues the dialog for this block by asking you the axis-specific values. The coordinates are entered with the orange axis direction buttons or the ASCII keyboard.

Effect

Cancel handwheel positioning by programming M118 once again without coordinate input.

M118 becomes effective at the start of block.

Example NC blocks

You want to be able to use the handwheel during program run to move the tool in the working plane X/Y by ±1 mm and in the rotary axis B by ±5° from the programmed value:

n250 G01 g41 X+0 Y+38.5 F125 M118 X1 Y1 B5 *

M118 is always effective in the original coordinate system, even if the working plane is tilted.

In a program with millimeters set as unit of measure, the TNC interprets M118 values for linear axes in millimeters. In an inch program it interprets it as inches.

M118 also functions in the Positioning with MDI mode of operation!

M118 in combination with DCM collision monitoring is only possible in stopped condition (blinking control-in-operation symbol). If you try to move an axis during handwheel superimposition, the TNC will generate an error message.


Retraction from the contour in the tool-axis direction: M140

Standard behavior

In the program run modes, the TNC moves the tool as defined in the part program.

Behavior with M140

With M140 MB (move back) you can enter a path in the direction of the tool axis for departure from the contour.

Input

If you enter M140 in a positioning block, the TNC continues the dialog and asks for the desired path of tool departure from the contour. Enter the requested path that the tool should follow when departing the contour, or press the MB MAX soft key to move to the limit of the traverse range.

In addition, you can program the feed rate at which the tool traverses the entered path. If you do not enter a feed rate, the TNC moves the tool along the entered path at rapid traverse.

Effect

M140 is effective only in the block in which it is programmed.

M140 becomes effective at the start of block.

Example NC blocks

Block 250: Retract the tool 50 mm from the contour.

Block 251: Move the tool to the limit of the traverse range.

n250 g01 x+0 y+38.5 f125 m140 mb50 *
n251 g01 x+0 y+38.5 f125 m140 mb MAx *

M140 is also effective if the tilted-working-plane function, M114 or M128 is active. On machines with tilting heads, the TNC then moves the tool in the tilted coordinate system.

With the FN18: SYSREAD ID230 NR6 function you can find the distance from the current position to the limit of the traverse range in the positive tool axis.

With M140 MB MAX you can only retract in the positive direction.

Always define a TOOL CALL with a tool axis before entering M140, otherwise the direction of traverse is not defined.

Danger of collision!

When dynamic collision monitoring (DCM) is active, the TNC might move the tool only until it detects a collision and, from there, complete the NC program without any error message. This can result in tool paths different from those programmed!


Suppressing touch probe monitoring: M141

Standard behavior

When the stylus is deflected, the TNC outputs an error message as soon as you attempt to move a machine axis.

Behavior with M141

The TNC moves the machine axes even if the touch probe is deflected. This function is required if you wish to write your own measuring cycle in connection with measuring cycle 3 in order to retract the stylus by means of a positioning block after it has been deflected.

Danger of collision!

If you use M141, make sure that you retract the touch probe in the correct direction.

M141 functions only for movements with straight-line blocks.
Effect

M141 is effective only in the block in which it is programmed.

M141 becomes effective at the start of block.


Deleting modal program information: M142

Standard behavior

The TNC resets modal program information in the following situations:

  • Select a new program
  • Execute a miscellaneous function M2, M30, or an N99999999 %.... block (depending on MP7300)
  • Define the cycle for basic behavior with a new value
Behavior with M142

All modal program information except for basic rotation, 3-D rotation and Q parameters is reset.

The function M142 is not permitted during mid-program startup.

Effect

M142 is effective only in the block in which it is programmed.

M142 becomes effective at the start of the block.


Deleting basic rotation: M143

Standard behavior

The basic rotation remains in effect until it is reset or is overwritten with a new value.

Behavior with M143

The TNC erases a programmed basic rotation from the NC program.

The function M143 is not permitted during mid-program startup.

Effect

M143 is effective only in the block in which it is programmed.

M143 becomes effective at the start of the block.


Automatically retract tool from the contour at an NC stop: M148

Standard behavior

At an NC stop the TNC stops all traverse movements. The tool stops moving at the point of interruption.

Behavior with M148

The M148 function must be enabled by the machine tool builder.

The TNC retracts the tool by 0.1 mm in the direction of the tool axis if, in the LIFTOFF column of the tool table, you set the parameter Y for the active tool (siehe Tool table: Standard tool data).

    LIFTOFF takes effect in the following situations:

  • An NC stop triggered by you
  • An NC stop triggered by the software, e.g. if an error occurred in the drive system
  • When a power interruption occurs. The path that the TNC withdraws if a power interruption occurs is set by your machine tool builder in machine parameter 1160

Danger of collision!

Remember that, especially on curved surfaces, the surface can be damaged during return to the contour. Retract the tool before returning to the contour!

Effect

M148 remains in effect until deactivated with M149.

M148 becomes effective at the start of block, M149 at the end of block.


Suppressing the limit switch message: M150

Standard behavior

The TNC stops program run with an error message if the tool were to leave the active working space during a positioning block. The error message is output before the positioning block is executed.

Behavior with M150

If the end point of a positioning block with M150 is outside the current working space, the TNC moves the tool to the edge of the working space, and then continues the program run without an error message.

Danger of collision!

Keep in mind that the approach path to the position programmed after the M150 block might be changed significantly!

M150 is also effective on traverse range limits defined with the MOD function.

M150 is effective even if you have the handwheel superimposition function active. The TNC then moves the tool by the defined maximum value of the handwheel superimposition away from the limit switch.

When dynamic collision monitoring (DCM) is active, the TNC might move the tool only until it detects a collision and, from there, complete the NC program without any error message. This can result in tool paths different from those programmed!

Effect

M150 is effective only in straight-line blocks and the block in which it is programmed.

M150 becomes effective at the start of block.


Miscellaneous functions for laser cutting machines

Weitere Informationen:
> Principle
> Direct output of the programmed voltage: M200
> Output of voltage as a function of distance: M201
> Output of voltage as a function of speed: M202
> Output of voltage as a function of time (time-dependent ramp): M203
> Output of voltage as a function of time (time-dependent pulse): M204


Principle

The TNC can control the cutting efficiency of a laser by transferring voltage values through the S-analog output. You can influence laser efficiency during program run through the miscellaneous functions M200 to M204.

Weitere Informationen:
> Entering miscellaneous functions for laser cutting machines


Entering miscellaneous functions for laser cutting machines

If you enter an M function for laser cutting machines in a positioning block, the TNC continues the dialog by asking you the required parameters for the programmed function.

All miscellaneous functions for laser cutting machines become effective at the start of the block.


Direct output of the programmed voltage: M200

Behavior with M200

The TNC outputs the value programmed after M200 as the voltage V.

Input range: 0 to 9999 V

Effect

M200 remains in effect until a new voltage is output through M200, M201, M202, M203 or M204.


Output of voltage as a function of distance: M201

Behavior with M201

M201 outputs the voltage in dependence on the distance to be covered. The TNC increases or decreases the current voltage linearly to the value programmed for V.

Input range: 0 to 9999 V

Effect

M201 remains in effect until a new voltage is output through M200, M201, M202, M203 or M204.


Output of voltage as a function of speed: M202

Behavior with M202

The TNC outputs the voltage as a function of speed. In the machine parameters, the machine tool builder defines up to three characteristic curves FNR in which specific feed rates are assigned to specific voltages. Use miscellaneous function M202 to select the curve FNR from which the TNC is to determine the output voltage.

Input range 1 to 3

Effect

M202 remains in effect until a new voltage is output through M200, M201, M202, M203 or M204.


Output of voltage as a function of time (time-dependent ramp): M203

Behavior with M203

The TNC outputs the voltage V as a function of the time TIME. The TNC increases or decreases the current voltage linearly to the value programmed for V within the time programmed for TIME.

Input range
Voltage V: | 0 to 9999 Volt
TIME: | 0 to 1999 seconds
Effect

M203 remains in effect until a new voltage is output through M200, M201, M202, M203 or M204.


Output of voltage as a function of time (time-dependent pulse): M204

Behavior with M204

The TNC outputs a programmed voltage as a pulse with a programmed duration TIME.

Input range
Voltage V: | 0 to 9999 Volt
TIME: | 0 to 1999 seconds
Effect

M204 remains in effect until a new voltage is output through M200, M201, M202, M203 or M204.


Programming: Special Functions

Weitere Informationen:
> Overview of special functions
> Dynamic Collision Monitoring (software option)
> Fixture monitoring (DCM software option)
> Tool carrier management (DCM software option)
> Global Program Settings (software option)
> Adaptive Feed Control software option (AFC)
> Active Chatter Control (ACC; software option)
> Creating text files
> Working with cutting data tables


Overview of special functions

The TNC provides the following powerful special functions for a large number of applications:

Function | Description
Dynamic Collision Monitoring (DCM—software option) | Dynamic Collision Monitoring (software option)
Global Program Settings (GS—software option) | Global Program Settings (software option)
Adaptive Feed Control (AFC—software option) | Adaptive Feed Control software option (AFC)
Active Chatter Control (ACC—software option) | Active Chatter Control (ACC; software option)
Working with text files | Creating text files
Working with cutting data tables | Working with cutting data tables

Press the SPEC FCT and the corresponding soft keys to access further special functions of the TNC. The following tables will give you an overview of which functions are available.

Weitere Informationen:
> Main menu for SPEC FCT special functions
> Program defaults menu
> Functions for contour and point machining menu
> Functions for contour and point machining menu
> Menu of various DIN/ISO functions


Main menu for SPEC FCT special functions

Press the special functions key

Function | Soft key | Description
Functions for contour and point machining |  | Functions for contour and point machining menu
Define the PLANE function |  | Defining the PLANE function
Define various DIN/ISO functions |  | Menu of various DIN/ISO functions
Define structure items |  | Structuring programs


Program defaults menu

Select the program defaults menu

Function | Soft key | Description
Workpiece blank definition |  | Define the blank: G30/G31
Define the material |  | Defining the workpiece material in the NC program
Select datum table |  | See User's Manual for Cycles
Load fixture |  | Loading fixtures under program control
Reset fixture |  | Loading fixtures under program control


Functions for contour and point machining menu

Select the menu for functions for contour and point machining

Function | Soft key | Description
Call the menu for complex contour formula |  | See User's Manual for Cycles
Select the point file with machining positions |  | See User's Manual for Cycles


Functions for contour and point machining menu

Select the menu for functions for contour and point machining

Function | Soft key | Description
Select a contour definition |  | See User's Manual for Cycles
Assign contour description |  | See User's Manual for Cycles
Define a complex contour formula |  | See User's Manual for Cycles


Menu of various DIN/ISO functions

Select the menu for defining various plain-language functions

Function | Soft key | Description
Define string functions |  | String parameters


Dynamic Collision Monitoring (software option)

Weitere Informationen:
> Function
> Collision monitoring in the manual operating modes
> Collision monitoring in Automatic operation
> Graphic depiction of the protected space (FCL4 function)
> Collision monitoring in the Test Run mode of operation


Function

Dynamic Collision Monitoring (DCM) must be adapted by the machine manufacturer for the TNC and for the machine. Refer to your machine manual.

The machine manufacturer can define any objects that are monitored by the TNC during all machining operations and even in the Test Run mode. If two objects monitored for collision come within a defined distance of each other, the TNC outputs an error message during Test Run and machining.

The TNC can display the defined collision objects graphically in all machining modes and during test run (siehe Graphic depiction of the protected space (FCL4 function)).

The TNC also monitors the current tool with the length and radius entered in the tool table for collision (assuming a cylindrical tool). TNC likewise monitors the stepped tool according to the definition in the tool table and also displays it accordingly.

Provided that you have defined a separate tool holder kinematic description for the respective tool, including a collision body description, and have assigned it to the tool in the KINEMATIC column, the TNC monitors this tool holder also (siehe Tool-carrier kinematics).

Also, you can integrate simple fixtures in the collision monitoring (siehe Fixture monitoring (DCM software option)).

    Keep these constraints in mind:

  • DCM helps to reduce the danger of collision. However, the TNC cannot consider all possible constellations in operation.
  • Collisions of defined machine components and the tool with the workpiece are not detected by the TNC.
  • DCM can only protect those machine components from collision that your machine tool builder has correctly defined with regard to dimensions and position in the machine coordinate system.
  • The TNC can monitor the tool only if a positive tool radius has been defined in the tool table. The TNC cannot monitor tools with a radius of 0 (as is often used in drilling tools) and therefore issues an appropriate error message.
  • The TNC can only monitor tools for which you have defined positive tool lengths.
  • When a touch probe cycle starts, the TNC no longer monitors the stylus length and ball-tip diameter so that you can also probe in collision objects.
  • For certain tools (such as face milling cutters), the diameter that would cause a collision can be greater than the dimensions defined in the tool-compensation data.
  • The handwheel superimpositioning function (M118 and global program settings) in combination with collision monitoring is only possible in stopped condition (blinking control-in-operation symbol). To be able to use M118 without limitations, you have to deselect DCM either by soft key in the Collision Monitoring (DCM) menu, or activate a kinematics model without collision monitored objects (CMOs).
  • With the rigid-tapping cycles, DCM works only if the exact interpolation of the tool axis with the spindle is activated through MP7160.


Collision monitoring in the manual operating modes

In the Manual Operation and El. Handwheel operating modes, the TNC stops a motion if two objects monitored for collision approach each other within a distance of 3 to 5 mm. In this case, the TNC displays an error message naming the two objects causing collision.

If you have selected a screen layout in which positions are displayed on the left and collision objects on the right, then the TNC additionally marks the colliding objects in red.

Once a collision warning is displayed, machine motions via the direction keys or handwheel are possible only if the motion increases the distance between the collision objects. For example, by pressing the axis direction key for the opposite direction.

Motions that reduce the distance or leave it unchanged are not allowed as long as collision monitoring is active.
Weitere Informationen:
> Deactivating collision monitoring


Deactivating collision monitoring

If you have to reduce the distance between collision-monitored objects for lack of space, the collision monitoring function must be deactivated.

Danger of collision!

If you have deactivated the collision monitoring, the symbol for collision monitoring flashes (see following table).

Function | Icon
Symbol that appears in the operating mode bar when collision monitoring is not active. |

Shift the soft-key row if necessary

Select the menu for deactivating collision monitoring

Select the Manual Operation menu item

To deactivate collision monitoring, press the ENT key, and the symbol for collision monitoring in the operating mode display starts to blink

  • Move axes manually, pay attention to traverse direction

  • To reactivate collision monitoring: Press the ENT key


Collision monitoring in Automatic operation

The handwheel superimpositioning function with M118 in combination with collision monitoring is only possible in stopped condition (blinking control-in-operation symbol).

If collision monitoring is on, the TNC shows the symbol [image] in the position display.

If you have deactivated collision monitoring, the symbol for collision monitoring flashes in the operating-mode bar.

Danger of collision!

The M140 (siehe Retraction from the contour in the tool-axis direction: M140) and M150 (siehe Suppressing the limit switch message: M150) functions might cause non-programmed movements if the TNC detects a collision when executing these functions!

The TNC monitors motions blockwise, i.e. it outputs a warning in the block which would cause a collision, and interrupts program run. A reduction of the feed rate, as with Manual Operation, does not occur.


Graphic depiction of the protected space (FCL4 function)

You can use the split-screen layout key to have the machine-based collision objects defined on your machine and measured fixtures be shown in three dimensions (siehe Program Run, Full Sequence and Program Run, Single Block).

You can switch between the various views via soft key:

Function | Soft key
Switch between wire-frame and solid-object view |
Switch between solid and transparent view |
Display/hide the coordinate systems that result from transformations in the kinematics description |
Functions for rotating in the X and Z axes, and magnifying/reducing |

You can also use the mouse for the graphics. The following functions are available:

  • In order to rotate the wire model shown in three dimensions you hold the right mouse button down and move the mouse. After you release the right mouse button, the TNC orients the workpiece to the defined orientation

  • In order to shift the model shown: Hold the center mouse button or the wheel button down and move the mouse. The TNC shifts the model in the corresponding direction. After you release the center mouse button, the TNC shifts the model to the defined position

  • In order to zoom in on a certain area with the mouse: Draw a rectangular zoom area while holding the left mouse button down. You can shift the zoom area by moving the mouse horizontally and vertically as required. After you release the left mouse button, the TNC zooms in on the defined area of the workpiece

  • In order to quickly zoom in and out with the mouse: Rotate the wheel button forward or backward

  • Double-click with the right mouse button: Select standard view


Collision monitoring in the Test Run mode of operation

Weitere Informationen:
> Application
> Requirements
> Conducting a collision test


Application

This feature enables you to test for collisions before actual machining.


Requirements

The graphic simulation testing must be enabled by your machine tool builder in order to run.


Conducting a collision test

You specify the datum for the collision test in the “workpiece blank in working space” function (siehe Showing the workpiece blank in the working space)!

Select the Test Run operating mode

Select the program that you want to check for collision

Select the screen layout program+kinematics or KINEMATICS

Shift the soft-key row twice

Set the collision testing to ON

Shift the soft-key row back twice

Start the test run

You can switch between the various views via soft key:

Function | Soft key
Switch between wire-frame and solid-object view |
Switch between solid and transparent view |
Display/hide the coordinate systems that result from transformations in the kinematics description |
Functions for rotating in the X and Z axes, and magnifying/reducing |

Mouse operation: (siehe Graphic depiction of the protected space (FCL4 function))


Fixture monitoring (DCM software option)

Weitere Informationen:
> Fundamentals
> Fixture templates
> Setting parameter values for the fixture: FixtureWizard
> Placing the fixture on the machine
> Editing fixtures
> Removing fixtures
> Checking the position of the measured fixture
> Managing fixtures


Fundamentals

Your machine tool builder must define permissible location points in the kinematic description before you can use the fixture monitoring. The machine manual provides further information.

Your machine has to feature a touch probe for workpiece measurement. Otherwise you cannot locate the fixture on the machine.

Using the fixture management in the Manual operating mode, you can place simple fixtures in the working space of the machine in order to implement collision monitoring between the tool and the fixture.

    Several work steps are required to place fixtures:

  • Model the fixture template
    On its Web site, HEIDENHAIN provides fixture templates such as vises or jaw chucks in a fixture template library (siehe Fixture templates), that were created with the PC program KinematicsDesign. The machine tool builder can model additional fixture templates and provide you with them. The fixture templates have the file name extension cft
  • Setting the fixture parameter values: FixtureWizard
    With the FixtureWizard you define the exact dimensions of the fixture by entering parameters values in the fixture template. The FixtureWizard is available as a component of the TNC fixture management. It generates a placeable fixture with concrete dimensions defined by you, (siehe Setting parameter values for the fixture: FixtureWizard). Placeable fixture templates have the file name extension cfx
  • Placing the fixture on the machine
    In an interactive menu the TNC guides you through the actual measurement process. The measurement process consists essentially of the performance of various probing functions on the fixture and entering variable sizes, for example the jaw gap of a vise (siehe Placing the fixture on the machine)
  • Checking the position of the measured fixture
    After you have placed the fixture, you can have the TNC create a measuring program as needed with which you can have the actual position of the placed fixture compared with the nominal position. If the deviations between the nominal and actual positions are too large, the TNC issues an error message (siehe Checking the position of the measured fixture)


Fixture templates

HEIDENHAIN provides various fixture templates in a fixture library. If you need any of them, please contact HEIDENHAIN (e-mail address service.nc-pgm@heidenhain.de) or your machine tool builder.


Setting parameter values for the fixture: FixtureWizard

With the FixtureWizard you can use a fixture template to create a fixture with exact dimensions. HEIDENHAIN provides templates for standard fixtures. Your machine tool builder may also provide fixture templates.

Before you start the FixtureWizard, you must have copied the fixture template and its parameters to the TNC!

Call the fixture management

Start the FixtureWizard: The TNC opens the menu for parameterization of fixture templates

Select the fixture template: The TNC opens the window for selecting a fixture template (files with extension cft). The TNC displays a preview if a CFT file is highlighted

Use the mouse to select the fixture template for which you want to enter values and confirm with Open

Enter the values of all the fixture parameters shown in the left window. Use the arrow keys to move the cursor to the next input field. After value entry, the TNC updates the 3-D view of the fixture in the window below. As far as is available, the TNC displays an illustration in the upper right window graphically showing the fixture parameter to be entered.

Enter the name of the defined fixture in the Output file input field and confirm with the Generate file soft key. It is not necessary to enter the file extension (cfx for parameterized)

Exit FixtureWizard

Weitere Informationen:
> Operating FixtureWizard


Operating FixtureWizard

FixtureWizard is operated primarily with the mouse. You can change the screen layout by pulling the separator lines so that the Parameters, Help graphics and 3-D graphic are displayed in the size you prefer.

    You can change the depiction of the 3-D graphic as follows:

    • Enlarge/reduce the model:
      Turning the mouse wheel enlarges or reduces the model
    • Move the model:
      Pressing the mouse wheel and moving the mouse at the same time moves the model
    • Rotate the model:
      Pressing the mouse key and moving the mouse at the same time rotates the model

In addition, buttons are available that perform the following function when clicked:

Function | Icon
Exit FixtureWizard |
Open a fixture template (files with the extension cft) |
Switch between wire-frame and solid-object view |
Switch between solid and transparent view |
Show/hide the designations of the collision bodies defined in the fixture |
Show/hide the test points defined in the fixture (no function in the ToolHolderWizard) |
Show/hide the measurement points defined in the fixture (no function in the ToolHolderWizard) |
Restore the initial position of the 3-D view |


Placing the fixture on the machine

Insert a touch probe before you place a fixture!

Call the fixture management

Select the fixture: The TNC opens the menu for fixture selection and shows in the left window all fixtures available in the active directory. Once you selected a fixture, the TNC displays a graphic preview in the right window to assist you in selecting the correct fixture. Fixtures have the file name extension CFX

In the left window, use the mouse or arrow keys to select a fixture. In the right window the TNC shows a preview of the respectively selected fixture

Load fixture: The TNC calculates the required sequence of measurement and displays it in the left window. In the right window it shows the fixture. Measurement points are marked with a colored datum symbol on the fixture. In addition, there is a sequence of numbers to show you the order for measuring the fixture

Start the measurement process: The TNC shows a soft-key row with permitted scanning functions for the respective measuring process

Select the required probing function: The TNC is in the menu for manual probing. Description of the probing functions: Siehe Overview

At the end of the probing process the TNC displays the measured values

Load the measured values: The TNC ends the measuring process, checks it off in the measurement sequence and places the highlight on the subsequent task

If input of a value is required in the respective fixture, the TNC shows a highlight at the lower end of the screen. Enter the requested value, e.g. jaw width of a vise, and confirm with the ACCEPT VALUE soft key

When all measuring tasks are checked off by the TNC, complete the measuring process with the COMPLETE soft key

The sequence of measurement is specified in the fixture template. You have to run through the sequence of measurements step by step from top to bottom.

With multiple setup you have to place each fixture separately.


Editing fixtures

Only value input is editable. The position of the fixture on the machine table cannot be corrected after placement. To change the position of the fixture you have to remove it first and then place it again!

Call the fixture management

Use the mouse or the arrow keys to select the fixture that you want to edit. The TNC highlights the selected fixture with color

To change the selected fixture, in the measurement sequence window the TNC shows the fixture parameters that you can edit

Confirm removal with the YES soft key or cancel it with NO


Removing fixtures

Danger of collision!

If you remove a fixture, the TNC no longer monitors it, even if it is still clamped on the machine table!

Call the fixture management

Use the mouse or the arrow keys to select the fixture that you want to remove. The TNC highlights the selected fixture with color

Remove selected fixture

Confirm removal with the YES soft key or cancel it with NO


Checking the position of the measured fixture

To inspect measured fixtures, you can have the TNC generate a test program. You have to run the inspection program in the Full Sequence operating mode. The TNC probes test points that are specified by the fixture designer in the fixture template and evaluates them. It provides the result of the inspection on screen and in a log file.

The TNC always saves inspection programs in the TNC:system\Fixture\TpCheck_PGM directory.

Call the fixture management

In the Place fixtures window, use the mouse to mark the fixture to be inspected. The TNC displays the marked fixture in a different color in the 3-D view

Start the dialog for generating the inspection program. The TNC opens the window for entering the Test program parameters

Manual positioning: Specify whether you want to position the touch probe manually or automatically between the individual inspection points: 1: Manual positioning. You have to move to each inspection point with the axis-direction keys and confirm the measuring process with NC start 0: After you have manually pre-positioned the touch probe to clearance height, the test program runs automatically

Feed rate for measurement: Touch probe feed rate in mm/min for the measuring process. Input range 0 to 3000

Feed rate for pre-positioning: Positioning feed rate in mm/min for moving to the individual measurement positions. Input range 0 to 99999.999

Set-up clearance: Setup clearance to the measuring point that the TNC should maintain during pre-positioning. Input range 0 to 99999.9999

Tolerance: Maximum permissible deviation between nominal and actual position of the respective test points. Input range 0 to 99999.999. If the test point is out of tolerance, the TNC issues an error message

Tool number/tool name: Tool number (or name) of the touch probe. Input range 0 to 30000.9 if a number is entered; maximum 16 characters if a name is entered. If entering a tool name, enter it between single quotation marks

Confirm the entries: The TNC generates the test program, shows the name of the test program in a pop-up window and asks whether you want to run the test program

Answer with NO if you want to run the test program later, and with Yes if you want to run it now

If you have confirmed with yes, the TNC changes to the Full Sequence mode and automatically selects the generated program

Start the test program: The TNC prompts you to manually pre-position the touch probe so that it is located at clearance height. Follow the instructions in the pop-up window

Start the measuring process: The TNC moves to each test point one after the other. With a soft key you specify the positioning strategy. Conform with NC start each time

At the end of the test program the TNC displays a pop-up window with the deviations from the nominal position. If a test point is out of tolerance, the TNC issues an error message in the pop-up window


Managing fixtures

You can save and restore measured fixtures via the Archive function. This function is especially useful for integrated fixtures and speeds up the setup procedure considerably.

Weitere Informationen:
> Functions for managing fixtures
> Saving fixtures
> Manually loading fixtures
> Loading fixtures under program control
> Deactivating fixtures under program control


Functions for managing fixtures

The following functions for fixture management are available:

Function | Soft key
Save fixture |
Load saved fixture |
Copy saved fixture |
Rename saved fixture |
Delete saved fixture |


Saving fixtures

Call the fixture management if required

With the arrow keys, choose the chucking equipment you want to save

Select Archive function: The TNC displays a window and shows the fixtures that have been saved

Save the active chucking equipment to an archive (zip file): The TNC displays a window in which you can define the name of the archive

Enter the file name and confirm with the YES soft key: The TNC saves the zip archive in a fixed archive folder (TNC:\system\Fixture\Archive)


Manually loading fixtures

Call the fixture management if required

If required, use the arrow keys to select an insertion point at which you wish to restore a saved fixture

Select Archive function: The TNC displays a window and shows the fixtures that have been saved

With the arrow keys, select the fixture you wish to restore

Load the fixture: The TNC activates the selected fixture and displays and image of the chucking equipment contained in the fixture

If you restore the fixture to another insertion point, you have the confirm the corresponding dialog question of the TNC with the YES soft key.


Loading fixtures under program control

You can also activate and deactivate saved fixtures under program control. Proceed as follows:

Show the soft-key row with special functions

Select PROGRAM SPECIFICATIONS group

Scroll through the soft-key row

Enter the path and file name of the stored fixture and confirm with the ENT key, or open the file selection dialog with the SELECTION WINDOW soft key in order to select the stored fixture. The TNC displays a preview in the selection dialog if you highlight a stored fixture.

Stored fixtures are by default in the TNC:\system\Fixture\Archive directory.

Make sure that the fixture to be loaded has also been saved with the active kinematics.

Make sure that no other chucking equipment is active during automatic activation of a fixture. If necessary, make prior use of the FIXTURE SELECTION RESET function.

You can also activate fixtures via the pallet tables in the FIXTURE column.


Deactivating fixtures under program control

You can deactivate active fixtures under program control. Proceed as follows:

Show the soft-key row with special functions

Select PROGRAM SPECIFICATIONS group

Scroll through the soft-key row

Select the reset function and confirm with the END key


Tool carrier management (DCM software option)

Weitere Informationen:
> Fundamentals
> Tool-carrier templates
> Setting the tool carrier parameters: ToolHolderWizard
> Removing a tool carrier


Fundamentals

Your machine tool builder must have prepared the TNC for this function, refer to your machine manual.

Just as fixture monitoring, you can also integrate tool carriers in the collision monitoring.

    Several work steps are required to enable tool carriers for collision monitoring:

  • Model the tool carrier
    On its Web site, HEIDENHAIN provides tool carrier templates that were created with a PC software (KinematicsDesign). Your machine tool builder can model additional tool carrier templates and provide you with them. The tool carrier templates have the extension cft
  • Set the tool carrier parameters: ToolHolderWizard
    With the ToolHolderWizard you define the exact dimensions of the tool carrier (holder) by entering parameter values in the tool carrier template. Call the ToolHolderWizard from the tool table if you wish to assign tool carrier kinematics to a tool. Tool carrier templates with parameters have the extension cfx
  • Activate the tool carrier
    In the tool table TOOL.T, assign the selected tool carrier to a tool in the KINEMATIC column (siehe Assigning the tool-carrier kinematics).


Tool-carrier templates

HEIDENHAIN provides various tool carrier templates. If you need any of them, please contact HEIDENHAIN (e-mail address service.nc-pgm@heidenhain.de) or your machine tool builder.


Setting the tool carrier parameters: ToolHolderWizard

With the ToolHolderWizard you can use a tool-carrier template to create a tool carrier with exact dimensions. HEIDENHAIN provides templates for tool carriers. Your machine tool builder may also provide tool carrier templates.

Before you start the ToolHolderWizard, you must have copied the tool carrier template to be parameterized to the TNC!

Follow the procedure below to assign carrier kinematics to a tool:

  • Select any machine operating mode

Select the tool table: Press the TOOL TABLE soft key

Set the EDIT soft key to ON

Select the last soft key row

Show the list of available kinematics: The TNC displays all tool carrier kinematics (.TAB files) and all tool carrier kinematics you have already parameterized (.CFX files)

Call the ToolHolderWizard

Select the tool carrier template: The TNC opens the window for selecting a tool carrier template (files with extension cft)

Use the mouse to select the tool carrier template for which you want to enter parameter values and confirm with Open

Enter all of the parameters shown in the left window. Use the arrow keys to move the cursor to the next input field. After value entry, the TNC updates the 3-D view of the tool carrier in the window at bottom right. As far as is available, the TNC displays an illustration in the upper right window graphically showing the parameter to be entered

Enter the name of the defined tool carrier in the Output file input field and confirm with the Generate file soft key. It is not necessary to enter the file extension (cfx for parameterized)

Exit the ToolHolderWizard

Weitere Informationen:
> Operating the ToolHolderWizard


Operating the ToolHolderWizard

The ToolHolderWizard is operated in the same way as the FixtureWizard: (siehe Operating FixtureWizard)


Removing a tool carrier

Danger of collision!

If you remove a tool carrier, the TNC no longer monitors it, even if it is still in the spindle!

  • Delete the name of the tool carrier from the KINEMATIC column in the tool table (TOOL.T).


Global Program Settings (software option)

Weitere Informationen:
> Application
> Technical requirements
> Activating/deactivating a function
> Basic rotation
> Swapping axes
> Superimposed mirroring
> Additional, additive datum shift
> Axis locking
> Superimposed rotation
> Feed rate override
> Handwheel superimposition
> Limit plane


Application

The global program settings, which are used in particular for large molds and dies, are available in the Program Run mode and MDI mode. You can use them to define various coordinate transformations and settings that are globally effective and are superimposed on the respectively selected NC program so that you do not need to edit the NC program.

You can activate and deactivate global program settings, even in mid-program if you have interrupted the program run (siehe Interrupting machining). The TNC immediately accounts for the values you have defined after you have restarted the NC program. The control might move to the new position over the reapproach menu (siehe Returning to the contour).

The following global program settings are available:

Functions | Icon | Page
Basic rotation |  | Basic rotation
Swapping axes |  | Swapping axes
Additional, additive datum shift |  | Additional, additive datum shift
Superimposed mirroring |  | Superimposed mirroring
Axis locking |  | Axis locking
Superimposed rotation |  | Superimposed rotation
Definition of a globally effective feed rate factor |  | Feed rate override
Definition of a handwheel superimposition, even in the virtual axis direction VT |  | Handwheel superimposition
Definition of limit planes, graphically supported |  | Limit plane

    You cannot use the following global program run settings if you have used the M91/M92 function (moving to machine-referenced positions) in your NC program:

  • Swapping of axes in the axes in which you approach machine-based positions
  • Disabling axes

You can use the look-ahead function M120 if you have activated the global program settings before starting the program. If M120 is active and you change global settings during the program, the TNC will show an error message and stop any further machining.

If DCM collision monitoring is active you can only move with handwheel superimposition if you have interrupted the machining program with an external stop.

In the fillable form the TNC grays out any axes that are not active on your machine.

Shift values and values for handwheel superimposition in the fillable form must always be defined in millimeters; angle values for rotations must be defined in degrees.


Technical requirements

The global program settings function is a software option and must be enabled by your machine tool builder.

The machine tool builder can provide functions with which you can set and reset global program settings under program control, e.g. M functions or manufacturer cycles. You can use the Q-parameter function to query the status of the global program settings GS.

To be able to use the handwheel superimposition function, HEIDENHAIN recommends the use of the HR 520 handwheel (siehe Traversing with electronic handwheels). Direct selection of the virtual tool axis is possible with the HR 520.

In principle, you can then use the HR 410 handwheel, but your machine tool builder must then assign a function key of the handwheel to selection of the virtual tool axis and program it in his PLC program.

    To be able to use all functions without limits, the following machine parameters must be set:

  • MP7641, bit 4 = 1: Permit selection of the virtual axis on the HR 420
  • MP7503 = 1: Traverse in active tool-axis direction is active in the Manual Operation mode and during a program interruption
  • MP7682, bit 9 = 1: Automatic transfer of the tilt status from the automatic mode to the Move axes during a program interruption function
  • MP7682, bit 10 = 1: Permit 3-D compensation with active tilted working plane and active M128 (TCPM)


Activating/deactivating a function

Global program settings remain active until you manually reset them. Note that your machine tool builder can provide functions with which you can set and reset global program settings also under program control.

If a global program setting is active, the TNC shows the [image] symbol in the position display.

If you use the file manager to select a program, the TNC displays a warning message if global settings are active. Then you can simply acknowledge the message with the soft key or call the form directly to make the changes.

Global program settings have no effect in the smarT.NC operating mode.

Select the Program Run or Manual Data Input operating mode

Shift the soft-key row

Call the global program settings form

Activate the desired functions with the corresponding values

    If you activate more than one global program setting, the TNC calculates the transformations internally in the following sequence:

  • 1: Basic rotation
  • 2: Axis swapping
  • 3: Mirror image
  • 4: Shift
  • 5: Superimposed rotation

The remaining functions such as axis locking, handwheel superimposition, limit plane and feed rate factor act independently.

The following functions help you to navigate in the form. You can also use the mouse to use the form.

Functions Soft key

Jump to previous function

Jump to next function

Select the next element

Select the previous element

Axis swapping function: Open the list of available axes

Switch the function on/off if the cursor is on a check box

    Reset the global program settings:

  • Deactivate all functions
  • Set all entered values to 0, set feed rate factor to 100. Set basic rotation = 0 if no basic rotation is active in the basic rotation menu or in the ROT column of the active preset in the preset table. Otherwise the TNC activates the basic rotation entered there

Discard all changes since the form was last called

Deactivate all active functions. The entered or adjusted values remain

Save all changes and close the form


Basic rotation

The basic rotation function enables you to compensate a workpiece misalignment. The effect corresponds to the basic rotation function that you can define in the manual mode with the probing functions. The TNC synchronizes the values entered in the basic rotation menu or the ROT column of the preset table with the fillable form.

You can change the basic rotation values in the form, but the TNC does not write them back into the basic rotation menu or the preset table.

If you press the Set standard values soft key, the TNC restores the basic rotation assigned to the active preset.

Remember that you may have to return to the contour after activation of this function. The TNC then automatically calls the return-to-contour menu after the form is closed (siehe Returning to the contour).

Please note that probing cycles with which you measure and write a basic rotation during program run overwrite the value defined by you in the fillable form.


Swapping axes

With the axis swapping function you can adapt the axes programmed in any NC program to your machine’s axis configuration or to the respective clamping situation.

After activation of the axis swapping function, all subsequent transformations are applied to the swapped axes.

Be sure to swap the axes sensibly. Otherwise the TNC will display error messages.

Positioning to M91 positions is not permitted for swapped axes.

Remember that you may have to return to the contour after activation of this function. The TNC then automatically calls the return-to-contour menu after the form is closed (siehe Returning to the contour).

  • In the global program settings form, move the cursor to EXCHANGE ON/OFF, and use the SPACE key to activate the function

  • With the downward arrow key, set the cursor to the line showing at left the axis to be swapped

  • Press the Goto key to display the list of axes with which you can exchange it

  • With the downward arrow key, select the axes with which you wish to exchange, and confirm with the ENT key

If you work with a mouse, you can select the desired axis directly by clicking it in the respective pull-down menu.


Superimposed mirroring

With the superimposed mirroring function you can mirror all active axes.

The mirrored axes defined in the form work in addition to the values already defined in the program through Cycle 8 (mirroring).

Remember that you may have to return to the contour after activation of this function. The TNC then automatically calls the return-to-contour menu after the form is closed (siehe Returning to the contour).

  • In the global program settings form, move the cursor to MIRRORING ON/OFF, and use the SPACE key to activate the function

  • With the downward arrow key, set the cursor to the axis that you want to mirror

  • Press the SPACE key to mirror the axis. Pressing the SPACE key again cancels the function

If you work with a mouse, you can select the desired axis directly by clicking it.


Additional, additive datum shift

With the additive datum shift function you can compensate any offsets in all active axes.

The values defined in the form work in addition to the values already defined in the program through Cycle 7 (datum shift).

Please note that the shifts defined when the working plane is tilted are effective in the machine coordinate system.

Remember that you may have to return to the contour after activation of this function. The TNC then automatically calls the return-to-contour menu after the form is closed (siehe Returning to the contour).


Axis locking

With this function you can lock all active axes. Then when you run a program, the TNC does not move any of the axes you locked.

When you activate this function, ensure that the positions of the locked axes cannot cause any collisions.

  • In the global program settings form, move the cursor to LOCK ON/OFF, and activate the function with the SPACE key

  • With the downward arrow key, set the cursor to the axis that you want to lock

  • Press the SPACE key to lock the axis. Pressing the SPACE key again cancels the function

If you work with a mouse, you can select the desired axis directly by clicking it.


Superimposed rotation

With the superimposed rotation function you can define any rotation of the coordinate system in the presently active working plane.

The superimposed rotation defined in the form works in addition to the values already defined in the program through Cycle 10 (rotation).

Remember that you may have to return to the contour after activation of this function. The TNC then automatically calls the return-to-contour menu after the form is closed (siehe Returning to the contour).


Feed rate override

With the feed rate override function, you can decrease or increase the programmed feed rate by a percentage. The input range is 1% to 1000%.

Remember that the TNC always applies the feed rate factor to the current feed rate, which you may already have changed through the feed rate override.


Handwheel superimposition

The handwheel superimposition function enables you to use the handwheel to move the axes while the TNC is running a program. If the"Tilt the working plane" function is active, you can select via check box whether you want to traverse the tool in the machine-based coordinate system or in the tilted coordinate system.

In the Max. val. column you define the maximum distance by which you can move the axis by handwheel. As soon as you interrupt the program run (control-in-operation signal is off), the TNC shows the distances actually moved in each axis in the actual value column. The actual value remains saved until you delete it, even after a power interruption. You can also edit the actual value. If required, the TNC decreases the value that you entered to the respective Max. val.

If an actual value is entered during activation of the function, then when the window closes, the TNC calls the Return to contour function to move by the defined value (siehe Returning to the contour).

The TNC overwrites a maximum traverse distance, already defined in the NC program with M118 by the value entered in the form. In turn, the TNC enters distances that have already been traversed with the handwheel using M118 in the actual value column of the form so that there is no jump in the display during activation. If the distance already traversed with M118 is greater than the maximum permissible value in the form, then when the window closes the TNC calls the "return to contour" function in order to move by the difference value (siehe Returning to the contour).

If you try to enter a actual value greater than the max. value, the TNC shows an error message. Never enter an actual value greater that the Max. value.
Weitere Informationen:
> Virtual axis VT


Virtual axis VT

To be able to traverse with the handwheel in the virtual axis direction VT you have to enable M128 or FUNCTION TCPM.

You can only move with handwheel superimpositioning in the virtual axis direction if DCM is inactive.

You can also carry out handwheel superimpositioning in the currently active tool axis direction. You can use the Virtual Tool axis line (VT).

Values traversed with the handwheel in a virtual axis remain active in the default setting even after a tool change. Using the Reset VT value function you can specify that the TNC resets to values traversed in VT upon tool change:

  • In the global program settings form, move the cursor to Reset VT value and use the SPACE key to activate the function

You can select the VT axis via a HR 5xx handwheel in order to traverse with superimpositioning in the virtual axis direction (siehe Selecting the axis to be moved). Working with the virtual VT axis is particularly convenient with the HR 550 FS wireless handwheel (siehe Traversing with electronic handwheels).

The TNC also shows the path traversed in the virtual axis in the additional status display (POS tab) in the separate VT position display.

Your machine tool builder can provide functions with which the procedure can be influenced by the PLC in the virtual axis direction.


Limit plane

    The Limit Plane function provided by the TNC is a powerful function for different applications. This function makes it especially easy for you to realize the following machining operations:

  • Avoiding limit switch messages:
    NC programs created in CAM systems often output safety positioning movements near the limit switch range of a specific machine. If you need to change to a smaller machine on short notice, these positioning blocks result in interruptions of program run. The Limit Plane function enables you to limit the traverse range of a smaller machine so that limit switch messages are no longer generated.
  • Machining definable ranges:
    During repair work that is often limited to a small range the Limit Plane function enables you to quickly and easily define the range with graphic support. The TNC then only machines within the defined range.
  • Machining at limit height:
    The definition of a limit plane in the tool-axis direction enables you—if only the finishing contour is available, for example—to simulate infeeds in the negative direction by moving the limit multiple times. The TNC executes machining operations that are defined outside the limit, but the tool is kept at the defined limit in the tool-axis direction.
Weitere Informationen:
> Description of function
> Positioning logic


Description of function

Danger of collision!

Please note that the definition of one or more limit planes will result in positioning movements that are not defined in the NC program, and therefore cannot be simulated!

Use the Limit Plane function only in conjunction with straight-line blocks. The TNC does not monitor any circular movements!

For mid-program startup at a position outside the active traverse range, the TNC positions the tool to the position at which it would leave the defined traverse range.

If the tool is located at a position outside the traverse range when a cycle is called, then the cycle will not be executed!

The TNC executes all miscellaneous functions M that are defined outside the traverse range in the NC program. This also applies to PLC positioning movements or traverse commands from NC macros.

The limit plane function is also active in MDI mode.

The functions for defining the limit plane are available in the Global Program Settings form on the Limit plane tab. Once you enabled the Limit Plane function (On/Off check box) and selected a check box to activate an axis range, the TNC graphically displays this plane on the right side of the screen. The green cuboid represents your machine's traverse range.

The TNC provides the functions described below:

  • Coordinate system range:
    Here you specify the coordinate system on which the data entered in the Limit values range is to be based.
    • Machine system:
      Limit values are based on the machine coordinate system (M91 system).
    • Workpiece system:
      Limit values are based on the workpiece coordinate system. The workpiece coordinate system is based on the datum set on the workpiece without consideration of a defined basic rotation and without consideration of any active coordinate transformations.
    • Input system:
      Limit values are based on the input coordinate system. The input coordinate system coincides with the workpiece coordinate system if no coordinate transformations are active. If coordinate transformations are active (basic rotation, datum shift, mirroring, rotation, scaling factor, tilted working plane), the input coordinate system differs from the workpiece coordinate system accordingly.
  • Limit values range:
    Here you define the actual limit values. You can define a minimum and maximum limit plane for every axis. You also need to select a check box to activate the function for the respective axis.
    • X Min:
      Minimum value of the limit plane in X direction in mm or inches
    • X Max:
      Maximum value of the limit plane in X direction in mm or inches
    • Y Min:
      Minimum value of the limit plane in Y direction in mm or inches
    • Y Max:
      Maximum value of the limit plane in Y direction in mm or inches
    • Z Min:
      Minimum value of the limit plane in Z direction in mm or inches
    • Z Max:
      Maximum value of the limit plane in Z direction in mm or inches
  • Z-limit mode range:
    Here you specify how the TNC is to behave at a limit plane in the tool-axis direction.
    • Hide machining:
      The TNC stops the tool at the position where it reaches the minimum axis limit in tool-axis direction. If a set-up clearance is defined, the TNC retracts the tool by the respective value. As soon as a position is within the permissible traverse range again, the TNC positions the tool to this position using positioning logic and takes the approach clearance into account if defined.
    • Move the Z axis:
      The TNC stops movements in the direction of the negative tool axis, but it executes all movements outside the limit in the machining plane. As soon as the position in the tool axis is within the traverse range again, the TNC continues moving the tool as programmed. Function not available for movement in the positive tool-axis direction
  • Additional data range:
    • Lift-off height:
      Set-up clearance by which the TNC moves the tool in the direction of the positive tool axis if a position exceeds a limit plane. Effect of the value is incremental. If you have entered 0 here, the tool stops at the point of exit.
    • Approach clearance:
      Advance stop distance to which the TNC positions the tool once the tool has returned to within the traverse range. The effect of the value is incremental on the point of reentry.


Positioning logic

The TNC uses the following positioning logic to move between the point of exit and the point of reentry:

  • If defined, the TNC retracts the tool by the lift-off height in the positive tool-axis direction

  • Then the TNC positions the tool on a straight line to the point of reentry. If defined, the TNC moves the point of reentry by the approach clearance in the positive tool-axis direction

  • Then the TNC moves the tool to the point of reentry and continues running the program


Adaptive Feed Control software option (AFC)

Weitere Informationen:
> Application
> Defining the AFC basic settings
> Recording a teach-in cut
> Activating/deactivating AFC
> Log file
> Tool breakage/tool wear monitoring
> Spindle load monitoring


Application

The AFC feature must be enabled and adapted by the machine tool builder. Refer to your machine manual.

Your machine tool builder may also have specified whether the TNC uses the spindle power or any other value as the input value for the feed control.

Adaptive feed control is not intended for tools with diameters less than 5 mm. This limit diameter might also be greater if the spindle’s rated power is very high.

Do not work with adaptive feed control in operations in which the feed rate and spindle speed must be adapted to each other, such as tapping.

In adaptive feed control the TNC automatically controls the feed rate during program run as a function of the current spindle power consumption. The spindle power required for each machining step is to be recorded in a teach-in cut and saved by the TNC in a file belonging to the part program. When each machining step is started, which is normally when the spindle is switched on, the TNC controls the feed rate so that it remains within the limits that you have defined.

This makes it possible to avoid negative effects on the tool, the workpiece, and the machine that might be caused by changing cutting conditions. Cutting conditions are changed particularly by:

  • Tool wear
  • Fluctuating cutting depths that occur especially with cast parts
  • Fluctuating hardness caused by material flaws

Adaptive feed control (AFC) offers the following benefits:

  • Optimization of machining time
    By controlling the feed rate, the TNC tries to maintain the recorded maximum spindle power during the entire machining time. It shortens the machining time by increasing the feed rate in machining zones with little material removal.
  • Tool monitoring
    If the spindle power exceeds the recorded maximum value, the TNC decreases the feed rate until the reference spindle power is reattained. If the maximum spindle power is exceeded during machining and at the same time the feed rate falls below the minimum that you defined, the TNC reacts by shutting down. This helps to prevent further damage after a tool breaks or is worn out.
  • Protection of the machine's mechanical elements
    Timely feed rate reduction and shutdown responses help to avoid machine overload


Defining the AFC basic settings

You enter the settings for the TNC feed rate control in the table AFC.TAB, which must be saved in the root directory TNC:\.

The data in this table are default values that were copied during a teach-in cut into a file belonging to the respective program and serve as the basis for control. The following data are to be defined in this table:

Column Function

NR

Consecutive line number in the table (has no further functions)

Adaptive Feed Control (AFC)

Name of the control setting. You enter this name in the AFC column of the tool table. It specifies the assignment of control parameters to the tool.

FMIN

Feed rate at which the TNC is to conduct a shutdown response. Enter the value in percent with respect to the programmed feed rate. Input range: 50 to 100%

FMAX

Maximum feed rate in the material up to which the TNC can automatically increase the feed rate. Enter the value in percent of the programmed feed rate.

FIDL

Feed rate for traverse when the tool is not cutting (feed rate in the air). Enter the value in percent of the programmed feed rate.

FENT

Feed rate for traverse when the tool moves into or out of the material. Enter the value in percent with respect to the programmed feed rate. Maximum input value: 100%

OVLD

    Desired reaction of the TNC to overload:

  • M: Execution of a macro defined by the machine tool builder
  • S: Immediate NC stop
  • F: NC stop if the tool has been retracted
  • E: Just display an error message on the screen
  • -: No overload reaction

The TNC conducts a shutdown response if the maximum spindle power is exceeded for more than one second and at the same time the feed rate falls below the minimum you defined. Enter the desired function via the ASCII keyboard.

POUT

Spindle power at which the TNC is to detect tool exit from the workpiece. Enter the value in percent of the learned reference load. Recommended input value: 8 %

SENS

Sensitivity (aggressiveness) of feedback control. A value between 50 and 200 can be entered. 50 is for slow control, 200 for a very aggressive control. An aggressive control reacts quickly and with strong changes to the values, but it tends to overshoot. Recommended value: 100

PLC

Value that the TNC is to transfer to the PLC at the beginning of a machining step. The machine tool builder defines the function, so refer to your machine manual.

In the AFC.TAB table you can define as many control settings (lines) as desired.

If there is no AFC.TAB table in the TNC:\ directory, the TNC uses permanently defined internal control settings for the teach-in cut. It is best, however, to work with the AFC.TAB table.

Proceed as follows to create the AFC.TAB file (only necessary if the file does not yet exist):

  • Select the Programming and Editing operating mode

  • Call the file manager: Press the PGM MGT key

  • Select the TNC:\ directory.

  • Make the new file AFC.TAB and confirm with the ENT key: The TNC shows a list of table formats

  • Select the AFC.TAB table format and confirm with the ENT key: The TNC creates a table with the Standard control settings


Recording a teach-in cut

    The TNC provides several cycles that enable you start and stop a teach-in step:

  • FUNCTION AFC CUT BEGIN TIME1 DIST2 LOAD3: The TNC starts a sequence of cuts with active AFC. The switch from the teach-in cut to closed-loop mode begins as soon as the reference load was determined in the teach-in phase, or once one of the conditions TIME, DIST, or LOAD is fulfilled. With TIME you define the maximum duration in seconds of the teach-in phase. DIST defines the maximum distance for the teach-in cut. With LOAD you can set a reference load directly. The entries in TIME, DIST, and LOAD are modally effective. You can reset the respective function by programming it again with the value 0.
  • FUNCTION AFC CUT END: The AFC CUT END function deactivates AFC control
  • FUNCTION AFC CTRL: The AFC CTRL function activates closed-loop mode starting with the place at which this block is run (even if the teach-in phase has not yet been completed)

To program the AFC functions for starting and ending the teach in cut, proceed as follows:

  • In the Programming mode, press the SPEC FCT key

  • Press the PROGRAM FUNCTIONS soft key

  • Select the FUNCTION AFC soft key

  • Select the function

With a teach-in cut the TNC firstly copies the basic settings defined in the AFC.TAB table into the file <name>.H.AFC.DEP for each machining step. <name> is the name of the NC program for which you have recorded the teach-in cut. In addition, the TNC measures the maximum spindle power consumed during the teach-in cut and saves this value in the table.

Each line in the <name>.H.AFC.DEP file stands for a machining section, that you start with FUNCTION AFC CUT BEGIN and complete with FUNCTION AFC CUT END. You can edit all data of the <name>.H.AFC.DEP file if you wish to optimize them. If you have optimized the values in comparison with the values in the AFC.TAB table, the TNC places an asterisk * in front of the control settings in the AFC column. Besides the data from the AFC.TAB table (siehe Defining the AFC basic settings), the TNC saves the following additional information in the <name>.H.AFC.DEP file:

Column Function

NR

Number of the machining step

TOOL

Number or name of the tool with which the machining step was made (not editable)

IDX

Index of the tool with which the machining step was made (not editable)

N

    Difference for tool call:

  • 0: Tool was called by its tool number
  • 1: Tool was called by its tool name

PREF

Reference load of the spindle. The TNC measures the value in percent with respect to the rated power of the spindle

ST

    Status of the machining step:

  • l: In the next program run, a teach-in cut is recorded for this machining step. The TNC overwrites any existing values in this line
  • c: The teach-in cut was successfully completed. The next program run can be conducted with automatic feed control

Adaptive Feed Control (AFC)

Name of the control setting

    Remember the following before you record a teach-in cut:

  • If required, adapt the control settings in the AFC.TAB table
  • Enter the desired control setting for all tools in the AFC column of the tool table TOOL.T
  • Select the program for teach-in
  • Activate the adaptive feed control by soft key (siehe Activating/deactivating AFC)

When you are performing a teach-in cut, the TNC shows the spindle reference power determined until this time in a pop-up window.

You can reset the reference power at any time by pressing the pref reset soft key. The TNC then restarts the learning phase.

When you record a teach-in cut, the TNC internally sets the spindle override to 100%. Then you can no longer change the spindle speed.

During the teach-in cut, you can influence the measured reference load by using the feed rate override to make any changes to the contouring feed rate.

You do not have to run the entire machining step in the learning mode. If the cutting conditions do not change significantly, you can switch to the control mode immediately. Press the EXIT LEARNING soft key, and the status changes from L to C.

You can repeat a teach-in cut as often as desired. Manually change the status from ST back to L. It may be necessary to repeat the teach-in cut if the programmed feed rate is far too fast, and forces you to sharply decrease the feed rate override during the machining step.

The TNC changes the status from teach-in (L) to controlling (C) only when the recorded reference load is greater than 2%. Adaptive feed control is not possible for smaller values.

Proceed as follows to select and, if required, edit the <name>.H.AFC.DEP file:

Select the Program Run, Full Sequence operating mode

Shift the soft-key row

Select the table of AFC settings

Make optimizations if required

Note that the <name>.H.AFC.DEP file is locked against editing as long as the NC program <name>.H is running. The TNC then displays the data in the table in red.

    The TNC removes the editing lock if one of the following functions has been executed:

  • M02
  • M30
  • END PGM

You can also edit the <name>.H.AFC.DEP file in the Programming and Editing mode of operation. If necessary, you can even delete a machining step (entire line) there.

In order to edit the <name>.H.AFC.DEP file, you must first set the file manager so that the TNC can display dependent files (siehe Configuring PGM MGT).


Activating/deactivating AFC

Select the Program Run, Full Sequence operating mode

Shift the soft-key row

To activate the adaptive feed control: Set the soft key to ON, and the TNC displays the AFC symbol in the position display (siehe Status displays)

To deactivate the adaptive feed control: Set the soft key to OFF

The adaptive feed control remains active until you deactivate it by soft key. The TNC remembers the setting of the soft key even if the power is interrupted.

If the adaptive feed control is active in the control mode, the TNC internally sets the spindle override to 100%. Then you can no longer change the spindle speed.

    If the adaptive feed control is active in the control mode, the TNC takes over the feed rate override function:

  • If you increase the feed rate override, it has no influence on the control.
  • If you decrease the feed rate override by more than 10% with respect to the maximum setting, the TNC switches the adaptive feed control off. In this case the TNC displays a window to inform you.

In NC blocks containing FMAX, the adaptive feed control is not active.

Mid-program startup is allowed during active feed control and the TNC takes the cut number of the startup point into account.

In the additional status display, the TNC displays various information when the adaptive feed control is active (siehe Adaptive Feed Control (AFC tab, software option)). In addition, the TNC shows the symbol [image] in the position display.


Log file

The TNC stores various pieces of information for each machining step of a teach-in cut in the <name>.H.AFC2.DEP file. <name> is the name of the NC program for which you have recorded the teach-in cut. During control, the TNC updates the data and makes various evaluations. The following data are to be saved in this table:

Column Function

NR

Number of the machining step

TOOL

Number or name of the tool with which the machining step was made

IDX

Index of the tool with which the machining step was made

SNOM

Nominal spindle speed [rpm]

SDIF

Maximum difference of the spindle speed in % of the nominal speed

LTIME

Machining time for the teach-in cut

CTIME

Machining time for the control cut

TDIFF

Time difference in % between the machining time during teach-in and control

PMAX

Maximum recorded spindle power during machining. The TNC shows the value as a percent of the spindle's rated power.

PREF

Reference load of the spindle. The TNC shows the value as a percent of the spindle's rated power.

FMIN

Smallest occurring feed factor. The TNC shows the value as a percentage of the programmed feed rate

OVLD

    Reaction by the TNC to overload:

  • M: A macro defined by the machine tool builder has been run
  • S: Immediate NC stop was conducted
  • F: NC stop was conducted after the tool was retracted
  • E: An error message was displayed
  • -: There was no overload reaction

BLOCK

Block number at which the machining step begins

The TNC records the total machining time for all teach-in cuts (LTIME), all control cuts (CTIME) and the total time difference (TDIFF), and enters it after the keyword TOTAL in the last line of the log file.

The TNC can only calculate the time difference (TDIFF) if you have completed the teach-in step. Otherwise the column remains empty.

Proceed as follows to select the <name>.H.AFC2.DEP file:

Select the Program Run, Full Sequence operating mode

Shift the soft-key row

Select the table of AFC settings

Show the log file


Tool breakage/tool wear monitoring

This feature must be enabled and adapted by the machine tool builder. Refer to your machine manual.

With the breakage/wear monitor, a cut-based tool breakage detection during active AFC can be realized.

Through the functions that can be defined by the machine tool builder you can define a percentage value for wear or breakage detection with respect to the rated power.

When the defined limit spindle power range is not maintained, the TNC conducts an NC stop.


Spindle load monitoring

This feature must be enabled and adapted by the machine tool builder. Refer to your machine manual.

With the spindle load monitoring function you can easily have the spindle load monitored in order, for example, to detect overloading the spindle power.

The function is independent of AFC, i.e. it is not cut-based and does not depend on teach-in steps. Through the functions that can be defined by the machine tool builder, you only need to define the percentage value for spindle limit power with respect to the rated power.

When the defined limit spindle power range is not maintained, the TNC conducts an NC stop.


Active Chatter Control (ACC; software option)

Weitere Informationen:
> Application
> Activating/deactivating ACC


Application

The ACC feature must be enabled and adapted by the machine tool builder. Refer to your machine manual.

Strong forces come into play during roughing (power milling). Depending on the tool spindle speed, the resonances in the machine tool and the chip volume (metal-removal rate during milling), the tool can sometimes begin to “chatter.” This chattering places heavy strain on the machine, and causes ugly marks on the workpiece surface. The tool, too, is subject to heavy and irregular wear from chattering. In extreme cases it can result in tool breakage.

To reduce the inclination to chattering, HEIDENHAIN now offers an effective antidote with ACC (Active Chatter Control). The use of this control function is particularly advantageous during heavy cutting. ACC makes substantially higher metal removal rates possible. This makes it possible to increase your metal removal rate by up to 25 % and more, depending on the type of machine. You reduce the mechanical load on the machine and increase the life of your tools at the same time.

Please note that ACC was developed especially for heavy cutting and is particularly effective in this area. You need to conduct appropriate tests to ensure whether ACC is also advantageous during standard roughing.


Activating/deactivating ACC

In order to activate ACC you need to set the column ACC for the respective tool in the tool table TOOL.T to 1. Other settings are not required. If ACC is active, the TNC shows a corresponding symbol in the position display.

In order to deactivate ACC, you need to set the column ACC to 0.


Creating text files

Weitere Informationen:
> Application
> Opening and exiting text files
> Editing texts
> Deleting and re-inserting characters, words and lines
> Editing text blocks
> Finding text sections


Application

You can use the TNC’s text editor to write and edit texts. Typical applications:

  • Recording test results
  • Documenting working procedures
  • Creating formula collections

Text files have the extension .A (for ASCII files). If you want to edit other types of files, you must first convert them into type .A files.

Text files have the extension .A (for ASCII files). If you wish to edit other files, use the additional Mouse pad tool (siehe Displaying or editing text files).


Opening and exiting text files

  • Select the Programming and Editing mode of operation

  • Call the file manager: Press the PGM MGT key

  • Display type .A files: Press the SELECT TYPE and then the SHOW A. soft keys

  • Select a file and open it with the SELECT soft key or ENT key, or create a new file by entering the new file name and confirming your entry with the ENT key

To leave the text editor, call the file manager and select a file of a different file type, for example a part program

Cursor movements | Soft key
Move cursor one word to the right |
Move cursor one word to the left |
Go to next screen page |
Go to previous screen page |
Go to beginning of file |
Go to end of file |
Editing functions | Key
Begin a new line |
Erase the character to the left of the cursor |
Insert a blank space |
Switch between upper and lower case letters |


Editing texts

The first line of the text editor is an information headline displaying the file name, and the location and writing mode of the cursor:

File: | Name of the text file
Line: | Line in which the cursor is presently located
Column: | Column in which the cursor is presently located
INSERT: | Insert new text, pushing the existing text to the right
OVERWRITE: | Write over the existing text, erasing it by replacing it with new text

The text is inserted or overwritten at the location of the cursor. You can move the cursor to any desired position in the text file by pressing the arrow keys.

The line in which the cursor is presently located is depicted in a different color. A line can have up to 77 characters. To start a new line, press the RET key or the ENT key.


Deleting and re-inserting characters, words and lines

With the text editor, you can erase words and even lines, and insert them at any desired location in the text.

  • Move the cursor to the word or line that you wish to erase and insert at a different place in the text

  • Press the DELETE WORD or DELETE LINE soft key. The text is placed in the buffer memory

  • Move the cursor to the location where you wish to insert the text, and press the RESTORE LINE/WORD soft key

Function | Soft key
Delete and temporarily store a line |
Delete and temporarily store a word |
Delete and temporarily store a character |
Insert a line or word from temporary storage |


Editing text blocks

You can copy and erase text blocks of any size, and insert them at other locations. Before any of these actions, you must first select the desired text block:

  • To select a text block, move the cursor to the first character of the text you wish to select

Press the SELECT BLOCK soft key

Move the cursor to the last character of the text you wish to select. You can select whole lines by moving the cursor up or down directly with the arrow keys—the selected text is shown in a different color

After selecting the desired text block, you can edit the text with the following soft keys:

Function | Soft key
Delete the selected block and store temporarily |
Store the selected block temporarily without erasing (copy) |

If desired, you can now insert the temporarily stored block at a different location:

  • Move the cursor to the location where you want to insert the temporarily stored text block

Press the INSERT BLOCK soft key for the text block to be inserted

You can insert the temporarily stored text block as often as desired

Weitere Informationen:
> Transferring the selected block to a different file
> To insert another file at the cursor position,


Transferring the selected block to a different file

  • Select the text block as described previously

Press the APPEND TO FILE soft key. The TNC displays the dialog prompt Destination file =

Enter the path and name of the destination file. The TNC appends the selected text to the specified file. If no target file with the specified name is found, the TNC creates a new file with the selected text.


To insert another file at the cursor position,

  • Move the cursor to the location in the text where you wish to insert another file

Press the READ FILE soft key. The TNC displays the dialog prompt File name =

Enter the path and name of the file you want to insert


Finding text sections

With the text editor, you can search for words or character strings in a text. Two functions are available:

Weitere Informationen:
> Finding the current text
> Finding any text


Finding the current text

The search function is used for finding the next occurrence of the word in which the cursor is presently located:

  • Move the cursor to the desired word.

  • To select the search function, press the FIND soft key

  • Press the FIND CURRENT WORD soft key

  • Exit the search function: Press the END soft key


Finding any text

  • Select the search function: Press the FIND soft key. The TNC displays the dialog prompt Find text:

  • Enter the text that you wish to find

  • Find the text: Press the EXECUTE soft key

  • Exit the search function: Press the END soft key


Working with cutting data tables

Weitere Informationen:
> Note
> Possible applications
> Table for workpiece materials
> Table for tool cutting materials
> Table for cutting data
> Data required for the tool table
> Working with automatic speed / feed rate calculation
> Data transfer from cutting data tables
> Configuration file TNC.SYS


Note

The TNC must be specially prepared by the machine tool builder for the use of cutting data tables.

Some functions or additional functions described here may not be provided on your machine tool. Refer to your machine manual.


Possible applications

In cutting data tables containing various workpiece and cutting material combinations, the TNC can use the cutting speed VC and the tooth feed fZ to calculate the spindle speed S and the feed rate F. This calculation is only possible if you defined the workpiece material in the program and various tool-specific features in the tool table.

Before you let the TNC automatically calculate the cutting data, the tool table from which the TNC is to take the tool-specific data must be first be activated in the Test Run mode (status S).

Editing function for cutting data tables | Soft key
Insert line |
Delete line |
Go to beginning of next line |
Sort the table |
Copy the highlighted field (2nd soft-key row) |
Insert the copied field (2nd soft-key row) |
Edit the table format (2nd soft-key row) |


Table for workpiece materials

Workpiece materials are defined in the table WMAT.TAB (see figure). WMAT.TAB is stored in the TNC:\ directory and can contain as many materials as you want. The name of the material type can have up to 32 characters (including spaces). The TNC displays the contents of the NAME column when you are defining the workpiece material in the program (see the following section).

If you change the standard workpiece material table, you must copy it into a new directory. Otherwise your changes will be overwritten during a software update by the HEIDENHAIN standard data. Define the path in the TNC.SYS file with the code word WMAT= (siehe Configuration file TNC.SYS).

To avoid losing data, save the WMAT.TAB file at regular intervals.
Weitere Informationen:
> Defining the workpiece material in the NC program


Defining the workpiece material in the NC program

In the NC program select the workpiece material from the WMAT.TAB table using the WMAT soft key:

Show the soft-key row with special functions

Select PROGRAM DEFAULTS group

Program the workpiece material: In the Programming and Editing operating mode, press the WMAT soft key.

The WMAT.TAB table is superimposed: Press the SELECTION WINDOW soft key, and in a second window the TNC displays the list of materials that are stored in the WMAT.TAB table.

Select your workpiece material by using the arrow keys to move the highlight onto the material you wish to select and confirming with the ENT key. The TNC transfers the selected material to the WMAT block.

To terminate the dialog, press the END key.

If you change the WMAT block in a program, the TNC outputs a warning. Check whether the cutting data stored in the TOOL CALL block are still valid.


Table for tool cutting materials

Tool cutting materials are defined in the TMAT.TAB table. TMAT.TAB is stored in the TNC:\ directory and can contain as many material names as you want (see figure). The name of the cutting material type can have up to 16 characters (including spaces). The TNC displays the NAME column when you are defining the tool cutting material in the TOOL.T tool table.

If you change the standard tool cutting material table, you must copy it into a new directory. Otherwise your changes will be overwritten during a software update by the HEIDENHAIN standard data. Define the path in the TNC.SYS file with the code word TMAT= (siehe Configuration file TNC.SYS).

To avoid losing data, save the TMAT.TAB file at regular intervals.


Table for cutting data

Define the workpiece material/cutting material combinations with the corresponding cutting data in a file table with the file name extension .CDT; see figure. You can freely configure the entries in the cutting data table. Besides the obligatory columns NR, WMAT and TMAT, the TNC can also manage up to four cutting speed (VC) / feed rate (F) combinations.

The standard cutting data table FRAES_2.CDT is stored in the directory TNC:\. You can edit FRAES_2.CDT, or add as many new cutting-data tables as you wish.

If you change the standard cutting data table, you must copy it into a new directory. Otherwise your changes will be overwritten during a software update by the HEIDENHAIN standard data (siehe Configuration file TNC.SYS).

All of the cutting data tables must be stored in the same directory. If the directory is not the standard directory TNC:\, then behind the code word PCDT= you must enter the path in which your cutting data is stored.

To avoid losing data, save your cutting data tables at regular intervals.
Weitere Informationen:
> Creating a new cutting data table


Creating a new cutting data table

  • Select the Programming and Editing mode of operation

  • Select the file manager: Press the PGM MGT key

  • Select the directory where the cutting data table is to be stored

  • Enter any file name with the file name extension .CDT, and confirm with ENT

  • On the right half of the screen, the TNC opens a standard cutting data table or displays various table formats (machine-dependent). These tables differ from each other in the number of cutting speed/feed rate combinations they allow. In this case use the arrow keys to move the highlight onto the table format you wish to select and confirm with ENT The TNC generates a new, empty cutting data table


Data required for the tool table

  • Tool radius—column R (DR)
  • Number of teeth (only with tools for milling)—column CUT
  • Tool type—column TYPE
  • The tool type influences the calculation of the feed rate:
    Milling tool: F = S · fZ · z
    All other tools: F = S · fU
    S: Spindle speed
    fZ: Feed per tooth
    fU: Feed per revolution
    z: Number of teeth
  • Tool cutting material—column TMAT
  • Name of the cutting data table for which this tool will be used—column CDT

  • In the tool table, select the tool type, tool cutting material and the name of the cutting data table via soft key (siehe Tool table: Tool data for automatic speed/feed rate calculation).


Working with automatic speed / feed rate calculation

  1. If it has not already been entered, enter the type of workpiece material in the file WMAT.TAB
  2. If it has not already been entered, enter the type of cutting material in the file TMAT.TAB
  3. If not already entered, enter all of the required tool-specific data in the tool table:
    • Tool radius
    • Number of teeth
    • Tool type
    • Tool material
    • The cutting data table for each tool
  4. If not already entered, enter the cutting data in any cutting data table (CDT file).
  5. Test Run operating mode: Activate the tool table from which the TNC is to take the tool-specific data (status S).
  6. In the NC program, set the workpiece material by pressing the WMAT soft key.
  7. In the NC program, let the T block automatically calculate the spindle speed and feed rate via soft key


Data transfer from cutting data tables

If you output a file type .TAB or .CDT via an external data interface, the TNC also transfers the structural definition of the table. The structural definition begins with the line #STRUCTBEGIN and ends with the line #STRUCTEND. The meanings of the individual code words are shown in the table "Structure Command" . Behind #STRUCTEND the TNC saves the actual content of the table.


Configuration file TNC.SYS

You must use the configuration file TNC.SYS if your cutting data tables are not stored in the standard directory TNC:\. In TNC.SYS you must then define the paths in which you have stored your cutting data tables.

The TNC.SYS file must be stored in the root directory TNC:\.

Entries in TNC.SYS | Meaning
WMAT= | Path for workpiece material table
TMAT= | Path for cutting material table
PCDT= | Path for cutting data tables
Example of TNC.SYS
WMAT=TNC:\CUTTAB\WMAT_GB.TAB
TMAT=TNC:\CUTTAB\TMAT_GB.TAB
PCDT=TNC:\CUTTAB\


Programming: Multiple Axis Machining

Weitere Informationen:
> Functions for multiple axis machining
> The PLANE function: Tilting the working plane (software option 1)
> Inclined-tool machining in the tilted plane
> Miscellaneous functions for rotary axes
> Peripheral milling: 3-D radius compensation with workpiece orientation


Functions for multiple axis machining

The TNC functions for multiple axis machining are described in this chapter.

TNC function | Description | Page
PLANE | Define machining in the tilted working plane | The PLANE function: Tilting the working plane (software option 1)
PLANE/M128 | Inclined-tool machining | Inclined-tool machining in the tilted plane
M116 | Feed rate of rotary axes | Feed rate in mm/min on rotary axes A, B, C: M116 (software option 1)
M126 | Shortest-path traverse of rotary axes | Shorter-path traverse of rotary axes: M126
M94 | Reduce display value of rotary axes | Reducing display of a rotary axis to a value less than 360°: M94
M114 | Define the behavior of the TNC when positioning the rotary axes | Automatic compensation of machine geometry when working with tilted axes: M114 (software option 2)
M128 | Define the behavior of the TNC when positioning the rotary axes | Maintaining the position of the tool tip when positioning with tilted axes (TCPM): M128 (software option 2)
M134 | Exact stop for positioning with rotary axes | Exact stop at corners with nontangential transitions: M134
M138 | Selection of tilted axes | Selecting tilting axes: M138
M144 | Calculate machine kinematics | Compensating the machine’s kinematics configuration for ACTUAL/NOMINAL positions at end of block: M144 (software option 2)


The PLANE function: Tilting the working plane (software option 1)

Weitere Informationen:
> Introduction
> Defining the PLANE function
> Position display
> Resetting the PLANE function
> Defining the machining plane with spatial angles: PLANE SPATIAL
> Defining the machining plane with projection angles: PROJECTED PLANE
> Defining the machining plane with Euler angles: EULER PLANE
> Defining the working plane with two vectors: VECTOR PLANE
> Defining the working plane via three points: PLANE POINTS
> Defining the machining plane with a single, incremental spatial angle: PLANE RELATIVE
> Tilting the working plane through axis angle: PLANE AXIAL (FCL 3 function)
> Specifying the positioning behavior of the PLANE function


Introduction

The machine manufacturer must enable the functions for tilting the working plane!

All PLANE functions, except PLANE AXIAL, require the use of tool axis Z.

You can only use the PLANE function on machines which have at least two rotary axes (head and/or table). Exception: PLANE AXIAL can also be used if only a single rotary axis is present or active on your machine.

The PLANE function is a powerful function for defining tilted working planes in various manners.

All PLANE functions available on the TNC describe the desired working plane independently of the rotary axes actually present on your machine. The following possibilities are available:

Function | Required parameters | Soft key | Page
spatial | Three spatial angles: SPA, SPB, SPC |  | Defining the machining plane with spatial angles: PLANE SPATIAL
projected | Two projection angles: PROPR and PROMIN and a rotation angle ROT |  | Defining the machining plane with projection angles: PROJECTED PLANE
EULER | Three Euler angles: precession (EULPR), nutation (EULNU), and rotation (EULROT) |  | Defining the machining plane with Euler angles: EULER PLANE
vector | Normal vector for defining the plane and base vector for defining the direction of the tilted X axis |  | Defining the working plane with two vectors: VECTOR PLANE
points | Coordinates of any three points in the plane to be tilted |  | Defining the working plane via three points: PLANE POINTS
Relative | Single, incrementally effective spatial angle |  | Defining the machining plane with a single, incremental spatial angle: PLANE RELATIVE
AXIAL | Up to three absolute or incremental axis angles A, B, C |  | Tilting the working plane through axis angle: PLANE AXIAL (FCL 3 function)
Reset | Resetting the PLANE function |  | Resetting the PLANE function

In order to make the differences between each definition possibility more clear even before selecting the function, you can start an animated sequence via soft key.

    The parameter definition of the PLANE function is separated into two parts:

  • The geometric definition of the plane, which is different for each of the available PLANE functions.
  • The positioning behavior of the PLANE function, which is independent of the plane definition and is identical for all PLANE functions (siehe Specifying the positioning behavior of the PLANE function).

The actual-position-capture function is not possible with an active tilted working plane.

If you use the PLANE function when M120 is active, the TNC automatically rescinds the radius compensation, which also rescinds the M120 function.

Always use PLANE RESET to reset PLANE functions. Entering 0 in all PLANE parameters does not completely reset the function.


Defining the PLANE function

Show the soft-key row with special functions

Select the PLANE function: Press the Tilt Machining Plane soft key: The TNC displays the available definition possibilities in the soft-key row

Selecting the function while animation is active

  • Activate animation: Set the Select Animation On/Off soft key to ON

  • Start an animation for one of the definition possibilities: Press one of the available soft keys. The TNC highlights the soft key with a different color and begins the appropriate animation

  • To assume the currently active function: Press the ENT key or press the soft key of the active function again. The TNC continues the dialog and requests the required parameters.

Selecting the function while animation is inactive

  • Select the desired function directly via soft key. The TNC continues the dialog and requests the required parameters


Position display

As soon as a PLANE function is active, the TNC shows the calculated spatial angle in the additional status display (see figure). As a rule, the TNC internally always calculates with spatial angles, independent of which PLANE function is active.

During tilting (MOVE or TURN mode) in the Distance-To-Go mode (DIST), the TNC shows (in the rotary axis) the distance to go (or calculated distance) to the final position of the rotary axis.


Resetting the PLANE function

Beispiel: NC block
25 plane reset move dist50 f1000

Show the soft-key row with special functions

To select special TNC functions, press the SPECIAL TNC FUNCT. soft key

Select the PLANE function: Press the Tilt Machining Plane soft key: The TNC displays the available definition possibilities in the soft-key row

Select the Reset function. This internally resets the PLANE function, but does not change the current axis positions

Specify whether the TNC should automatically move the rotary axes to the default setting (MOVE or TURN) or not (STAY) (siehe Automatic positioning: MOVE/TURN/STAY (entry is mandatory)).

Terminate the entry: Press the END key

The PLANE RESET function resets the current PLANE function—or an active cycle G80—completely (angles = 0 and function is inactive). It does not need to be defined more than once.


Defining the machining plane with spatial angles: PLANE SPATIAL

Weitere Informationen:
> Application
> Input parameters


Application

Spatial angles define a working plane using up to three rotations of the coordinate system; two perspectives that have always the same result are available for this purpose.

  • Rotations about the machine-based coordinate system: The sequence of the rotations is as follows: First around the machine axis C, then around the machine axis B, and then around the machine axis A.
  • Rotations about the tilted coordinate system: The sequence of rotations is as follows: First around the machine axis C, then around the rotated axis B, and then around the rotated axis A. This perspective is usually easier to understand, because one rotary axis is fixed so that the rotations of the coordinate system are easier to comprehend.

Before programming, note the following

You must always define the three spatial angles spa, spb, and spc, even if one of them equals 0.

This operation corresponds to Cycle19 if the entries in Cycle 19 are defined as spatial angles on the machine side.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters
Beispiel: NC block
5 plane spatial spa+27 spb+0 spc+45 .....

Spatial angle A?: Rotational angle SPA around the fixed machine axis X (see figure at top right). Input range from –359.9999° to +359.9999°

Spatial angle B?: Rotational angle SPB around the fixed machine axis Y (see figure at top right). Input range from –359.9999° to +359.9999°

Spatial angle C?: Rotational angle SPC around the fixed machine axis Z (see figure at center right). Input range from –359.9999° to +359.9999°

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

Abbreviations used

Abbreviation | Meaning
SPATIAL | In space
SPA | Spatial A: Rotation around the X axis
SPB | Spatial B: Rotation around the Y axis
SPC | Spatial C: Rotation around the Z axis


Defining the machining plane with projection angles: PROJECTED PLANE

Weitere Informationen:
> Application
> Input parameters


Application

Projection angles define a machining plane through the entry of two angles that you determine by projecting the first coordinate plane (Z/X plane with tool axis Z) and the second coordinate plane (Y/Z with tool axis Z) onto the machining plane to be defined.

Before programming, note the following

You can only use projection angles if the angle definitions are given with respect to a rectangular cuboid. Otherwise there will be deformations on the workpiece.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters

Proj. angle 1st coordinate plane?: Projected angle of the tilted machining plane in the 1st coordinate plane of the fixed machine coordinate system (Z/X for tool axis Z, see figure at top right). Input range: from –89.9999° to +89.9999°. The 0° axis is the principal axis of the active working plane (X for tool axis Z. See figure at top right for positive direction)

Proj. angle 2nd coordinate plane?: Projected angle in the 2nd coordinate plane of the fixed machine coordinate system (Y/Z for tool axis Z, see figure at top right). Input range: from –89.9999° to +89.9999°. The 0° axis is the minor axis of the active machining plane (Y for tool axis Z)

ROT angle of tilted plane?: Rotation of the tilted coordinate system around the tilted tool axis (corresponds to a rotation with Cycle 10 ROTATION). The rotation angle is used to simply specify the direction of the principal axis of the working plane (X for tool axis Z, Z for tool axis Y; see figure at bottom right). Input range: from 0° to +360°.

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

NC block
5 plane projected propr+24 promin+24 rot+30 .....

Abbreviations used

Abbreviation | Meaning
PROJECTED | Projected
PROPR | Principal plane
PROMIN | Minor plane
ROT | Rotation


Defining the machining plane with Euler angles: EULER PLANE

Weitere Informationen:
> Application
> Input parameters


Application

Euler angles define a machining plane through up to three rotations about the respectively tilted coordinate system. The Swiss mathematician Leonhard Euler defined these angles. When applied to the machine coordinate system, they have the following meanings:

Precession angle EULPR | Rotation of the coordinate system around the Z axis
Nutation angle EULNU | Rotation of the coordinate system around the X axis already shifted by the precession angle
Rotation angle EULROT | Rotation of the tilted machining plane around the tilted Z axis

Before programming, note the following

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters

Rot. angle main coordinate plane?: Rotary angle EULPR around the Z axis (see figure at top right). Please note:

  • Input range: -180.0000° to 180.0000°
  • The 0° axis is the X axis

Swivel angle of tool axis?: Tilting angle EULNU of the coordinate system around the X axis shifted by the precession angle (see figure at center right). Please note:

  • Input range: 0° to 180.0000°
  • The 0° axis is the Z axis

ROT angle of the tilted plane?: Rotation EULROT of the tilted coordinate system around the tilted Z axis (corresponds to a rotation with Cycle 10 ROTATION). Use the rotation angle to simply define the direction of the X axis in the tilted machining plane (see figure at bottom right). Please note:

  • Input range: 0° to 360.0000°
  • The 0° axis is the X axis

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

NC block
5 plane euler eulpr45 eulnu20 eulrot22 .....

Abbreviations used

Abbreviation | Meaning
EULER | Swiss mathematician who defined these angles
EULPR | Precession angle: angle describing the rotation of the coordinate system around the Z axis
EULNU | Nutation angle: angle describing the rotation of the coordinate system around the X axis shifted by the precession angle
EULROT | Rotation angle: angle describing the rotation of the tilted machining plane around the tilted Z axis


Defining the working plane with two vectors: VECTOR PLANE

Weitere Informationen:
> Application
> Input parameters


Application

You can use the definition of a working plane via two vectors if your CAD system can calculate the base vector and normal vector of the tilted machining plane. A normalized input is not necessary. The TNC calculates the normal, so you can enter values between –99.999999 and +99.999999.

The base vector required for the definition of the machining plane is defined by the components bx, by, and bz (see figure at right). The normal vector is defined by the components NX, NY, and NZ.

Before programming, note the following

The base vector defines the direction of the principal axis in the tilted machining plane, and the normal vector determines the orientation of the tilted machining plane, and at the same time is perpendicular to it.

The TNC calculates standardized vectors from the values you enter.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters

X component of base vector?: X component BX of the base vector B (see figure at top right). Input range ‑99.9999999 to +99.9999999

Y component of base vector?: Y component BY of the base vector B (see figure at top right). Input range ‑99.9999999 to +99.9999999

Z component of base vector?: Z component BZ of the base vector B (see figure at top right). Input range ‑99.9999999 to +99.9999999

X component of normal vector?: X component nX of the normal vector N (see figure at center right). Input range -99.9999999 to +99.9999999

Y component of normal vector?: Y component nY of the normal vector N (see figure at center right). Input range -99.9999999 to +99.9999999

Z component of normal vector?: Z component nZ of the normal vector N (see figure at lower right). Input range -99.9999999 to +99.9999999

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

NC block
5 plane vector bx0.8 by-0.4 bz-0.42 nx0.2 ny0.2 NZ0.92 ..

Abbreviations used

Abbreviation | Meaning
Vector | Vector
bx, by, bz | Base vector: X, Y and Z components
nx, ny, nz | Normal vector: X, Y and Z components


Defining the working plane via three points: PLANE POINTS

Weitere Informationen:
> Application
> Input parameters


Application

A working plane can be uniquely defined by entering any three points P1 to P3 in this plane. This possibility is realized in the PLANE POINTS function.

Before programming, note the following

The connection from Point 1 to Point 2 determines the direction of the tilted main axis (X for tool axis Z).

The direction of the tilted tool axis is determined by the position of Point 3 relative to the connecting line between Point 1 and Point 2. Use the right-hand rule (thumb = X axis, index finger = Y axis, middle finger = Z axis (see figure at right)) to remember: thumb (X axis) points from Point 1 to Point 2, index finger (Y axis) points parallel to the tilted Y axis in the direction of Point 3. Then the middle finger points in the direction of the tilted tool axis.

The three points define the slope of the plane. The position of the active datum is not changed by the TNC.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters

X coordinate of 1st plane point?: X coordinate p1X of the 1st plane point (see figure at top right)

Y coordinate of 1st plane point?: Y coordinate p1y of the 1st plane point (see figure at top right)

Z coordinate of 1st plane point?: Z coordinate p1z of the 1st plane point (see figure at top right)

X coordinate of 2nd plane point?: X coordinate p2X of the 2nd plane point (see figure at center right)

Y coordinate of 2nd plane point?: Y coordinate p2y of the 2nd plane point (see figure at center right)

Z coordinate of 2nd plane point?: Z coordinate p2z of the 2nd plane point (see figure at center right)

X coordinate of 3rd plane point?: X coordinate p3X of the 3rd plane point (see figure at bottom right)

Y coordinate of 3rd plane point?: Y coordinate p3y of the 3rd plane point (see figure at bottom right)

Z coordinate of 3rd plane point?: Z coordinate p3z of the 3rd plane point (see figure at bottom right)

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

NC block
5 plane points p1x+0 P1y+0 p1z+20 p2x+30 p2y+31 p2z+20 P3x+0 p3y+41 p3z+32.5 .....

Abbreviations used

Abbreviation | Meaning
points | Points


Defining the machining plane with a single, incremental spatial angle: PLANE RELATIVE

Weitere Informationen:
> Application
> Input parameters


Application

Use an incremental spatial angle when an already active tilted working plane is to be tilted by another rotation. Example: machining a 45° chamfer on a tilted plane.

Before programming, note the following

The defined angle is always in effect in respect to the active working plane, regardless of the function you have used to activate it.

You can program any number of PLANE relative functions in a row.

If you want to return to the machining plane that was active before the plane relative function, define the plane relative function again with the same angle but with the opposite algebraic sign.

If you use the PLANE RELATIVE function in a non-tilted working plane, then you simply rotate the non-tilted plane about the spatial angle defined in the PLANE function.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters
Beispiel: NC block
5 plane relativ spb-45 .....

Incremental angle?: Spatial angle about which the active machining plane is to be rotated additionally (see figure at right). Use a soft key to select the axis to be rotated about. Input range: –359.9999° to +359.9999°

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

Abbreviations used

Abbreviation | Meaning
relativ | Relative to


Tilting the working plane through axis angle: PLANE AXIAL (FCL 3 function)

Weitere Informationen:
> Application
> Input parameters


Application

The PLANE AXIAL function defines both the position of the working plane and the nominal coordinates of the rotary axes. This function is particularly easy to use on machines with Cartesian coordinates and with kinematics structures in which only one rotary axis is active.

PLANE AXIAL can also be used if you have only one rotary axis active on your machine.

You can use the PLANE RELATIVE function after PLANE AXIAL if your machine allows spatial angle definitions. The machine manual provides further information.

Before programming, note the following

Enter only axis angles that actually exist on your machine. Otherwise the TNC generates an error message.

Rotary axis coordinates defined with PLANE AXIAL are modally effective. Successive definitions therefore build on each other. Incremental input is allowed.

Use PLANE RESET to reset the PLANE AXIAL function. Resetting by entering 0 does not deactivate PLANE AXIAL.

SEQ, TABLE ROT and COORD ROT have no function in conjunction with PLANE AXIAL.

Parameter description for the positioning behavior: Siehe Specifying the positioning behavior of the PLANE function.


Input parameters
Beispiel: NC block
5 plane axial b-45 .....

Axis angle A?: Axis angle to which the A axis is to be tilted. If entered incrementally, it is the angle by which the A axis is to be tilted from its current position. Input range: –99999.9999° to +99999.9999°

Axis angle B?: Axis angle to which the B axis is to be tilted. If entered incrementally, it is the angle by which the B axis is to be tilted from its current position. Input range: –99999.9999° to +99999.9999°

Axis angle C?: Axis angle to which the C axis is to be tilted. If entered incrementally, it is the angle by which the C axis is to be tilted from its current position. Input range: –99999.9999° to +99999.9999°

Continue with the positioning properties (siehe Specifying the positioning behavior of the PLANE function)

Abbreviations used

Abbreviation | Meaning
Axial | In the axial direction


Specifying the positioning behavior of the PLANE function

Weitere Informationen:
> Overview
> Automatic positioning: MOVE/TURN/STAY (entry is mandatory)
> Positioning the rotary axes in a separate block
> Selection of alternate tilting possibilities: SEQ +/– (entry optional)
> Selecting the type of transformation (entry optional)


Overview

    Independently of which PLANE function you use to define the tilted machining plane, the following functions are always available for the positioning behavior:

  • Automatic positioning
  • Selection of alternate tilting possibilities
  • Selection of the type of transformation


Automatic positioning: MOVE/TURN/STAY (entry is mandatory)

After you have entered all parameters for the plane definition, you must specify how the rotary axes will be positioned to the calculated axis values:

The PLANE function is to automatically position the rotary axes to the calculated position values. The position of the tool relative to the workpiece is to remain the same. The TNC carries out a compensation movement in the linear axes

The PLANE function is to automatically position the rotary axes to the calculated position values, but only the rotary axes are positioned. The TNC does not carry out a compensation movement in the linear axes

You will position the rotary axes later in a separate positioning block

If you have selected the MOVE option (PLANE function is to position the axes automatically), the following two parameters must still be defined: Dist. tool tip – center of rot. and Feed rate? F=.

If you have selected the TURN option (PLANE function is to position the axes automatically without any compensating movement), the following parameters must still be defined: Retraction length MB and Feed rate? F=.

As an alternative to defining a feed rate F directly by numerical value, you can also position with FMAX (rapid traverse) or FAUTO (feed rate from the T block).

If you use PLANE AXIAL together with STAY, you have to position the rotary axes in a separate block after the PLANE function (siehe Positioning the rotary axes in a separate block).

  • Dist. tool tip – center of rot. (incremental): The TNC tilts the tool (or table) relative to the tool tip. The DIST parameter shifts the center of rotation of the positioning movement relative to the current position of the tool tip.

  • If the tool is already at the given distance to the workpiece before positioning, then relatively speaking the tool is at the same position after positioning (see figure at center right, 1 = DIST).
  • If the tool is not at the given distance to the workpiece before positioning, then relatively speaking the tool is offset from the original position after positioning (see figure at bottom right, 1=DIST).

  • Feed rate? F=: Contour speed at which the tool should be positioned

  • Retraction length in the tool axis?: Retraction path MB is effective incrementally from the current tool position in the active tool axis direction that the TNC approaches before tilting. MB MAX positions the tool just before the software limit switch.


Positioning the rotary axes in a separate block

Proceed as follows if you want to position the rotary axes in a separate positioning block (option STAY selected):

Danger of collision!

Pre-position the tool to a position where there is no danger of collision with the workpiece (clamping devices) during positioning.

  • Select any PLANE function, and define automatic positioning with the stay option. During program execution the TNC calculates the position values of the rotary axes present on the machine, and stores them in the system parameters Q120 (A axis), Q121 (B axis) and Q122 (C axis)

  • Define the positioning block with the angular values calculated by the TNC

NC example blocks: Position a machine with a rotary table C and a tilting table A to a spatial angle of B+45°.
... |
12 L Z+250 r0 fmax | Position at clearance height
13 plane spatial spa+0 spb+45 spc+0 stay | Define and activate the PLANE function
14 l a+q120 c+q122 f2000 | Position the rotary axis with the values calculated by the TNC
... | Define machining in the tilted working plane


Selection of alternate tilting possibilities: SEQ +/– (entry optional)

The position you define for the working plane is used by the TNC to calculate the appropriate positioning of the rotary axes present on the machine. In general there are always two possible solutions.

    Use the SEQ switch to specify which possibility the TNC should use:

  • SEQ+ positions the master axis so that it assumes a positive angle. The master axis is the 2nd rotary axis from the table, or the 1st axis from the tool (depending on the machine configuration (see figure at top right).
  • SEQ– positions the master axis so that it assumes a negative angle.

If the solution you chose with SEQ is not within the machine’s range of traverse, the TNC displays the Entered angle not permitted error message.

When the PLANE AXIS function is used, the SEQ switch is nonfunctional.

You can also use Q parameters to program the SEQ switch. Positive Q parameters result in the solution SEQ+, negative Q parameters in the solution SEQ–.

If you use the PLANE SPATIAL A+0 B+0 C+0 function, you must not program SEQ–; if you do so, the TNC will output an error message.

If you do not define SEQ, the TNC determines the solution as follows:

  1. The TNC first checks whether both solution possibilities are within the traverse range of the rotary axes.
  2. If they are, then the TNC selects the shortest possible solution.
  3. If only one solution is within the traverse range, the TNC selects this solution.
  4. If neither solution is within the traverse range, the TNC displays the Entered angle not permitted error message.

Example for a machine with a rotary table C and a tilting table A. Programmed function: PLane spatial SPA+0 SPB+45 SPC+0

End switch | Starting point | SEQ | Resulting axis position
None | A+0, C+0 | not prog. | A+45, C+90
None | A+0, C+0 | + | A+45, C+90
None | A+0, C+0 | – | A–45, C–90
None | A+0, C-105 | not prog. | A–45, C–90
None | A+0, C-105 | + | A+45, C+90
None | A+0, C-105 | – | A–45, C–90
–90 < A < +10 | A+0, C+0 | not prog. | A–45, C–90
–90 < A < +10 | A+0, C+0 | + | Error message
None | A+0, C–135 | + | A+45, C+90


Selecting the type of transformation (entry optional)

On machines with C-rotary tables, a function is available for specifying the type of transformation:

COORD ROT specifies that the PLANE function should only rotate the coordinate system to the defined tilting angle. The rotary table is not moved; the compensation is purely mathematical.

table ROT specifies that the PLANE function should position the rotary table to the defined tilting angle. Compensation results from rotating the workpiece.

When the PLANE AXIS function is used, coord rot and table rot are nonfunctional.

If you use the TABLE ROT function in conjunction with a basic rotation and a tilting angle of 0, then the TNC tilts the table to the angle defined in the basic rotation.


Inclined-tool machining in the tilted plane

Weitere Informationen:
> Function
> Inclined-tool machining via incremental traverse of a rotary axis


Function

    In combination with M128 and the new PLANE functions, inclined-tool machining in a tilted machining plane is now possible. Two possibilities are available for definition:

  • Inclined-tool machining via incremental traverse of a rotary axis
  • Inclined-tool machining via normal vectors

Inclined-tool machining in a tilted machining plane only functions with spherical cutters.


Inclined-tool machining via incremental traverse of a rotary axis

  • Retract the tool

  • Define any PLANE function; consider the positioning behavior

  • Via a straight-line block, traverse to the desired incline angle in the appropriate axis incrementally

  • Activate M128
Example NC blocks:
... |
n12 g00 g40 Z+50 * | Position at clearance height
n13 plane spatial spa+0 spB-45 spc+0 MOVE dist50 F900 * | Define and activate the PLANE function
n14 g01 g91 f1000 B-17 M128 * | Set the incline angle and activate M128
... | Define machining in the tilted working plane


Miscellaneous functions for rotary axes

Weitere Informationen:
> Feed rate in mm/min on rotary axes A, B, C: M116 (software option 1)
> Shorter-path traverse of rotary axes: M126
> Reducing display of a rotary axis to a value less than 360°: M94
> Automatic compensation of machine geometry when working with tilted axes: M114 (software option 2)
> Maintaining the position of the tool tip when positioning with tilted axes (TCPM): M128 (software option 2)
> Exact stop at corners with nontangential transitions: M134
> Selecting tilting axes: M138
> Compensating the machine’s kinematics configuration for ACTUAL/NOMINAL positions at end of block: M144 (software option 2)


Feed rate in mm/min on rotary axes A, B, C: M116 (software option 1)

Standard behavior

The TNC interprets the programmed feed rate of a rotary axis in degrees/min (in mm programs and also in inch programs). The feed rate therefore depends on the distance from the tool center to the center of axis rotation.

The larger this distance becomes, the greater the contouring feed rate.

Feed rate in mm/min on rotary axes with M116

The machine geometry must be specified by the machine tool builder in the description of kinematics.

M116 works only on rotary tables. M116 cannot be used with swivel heads. If your machine is equipped with a table/head combination, the TNC ignores the swivel-head rotary axes.

M116 is also effective in an active tilted working plane and in combination with M128 if you used the M138 function to select rotary axes (siehe Selecting tilting axes: M138). Then M116 affects only those rotary axes that were not selected with M138.

The TNC interprets the programmed feed rate of a rotary axis in degrees/min (or 1/10 inch/min). In this case, the TNC calculates the feed for the block at the start of each block. With a rotary axis, the feed rate is not changed during execution of the block even if the tool moves toward the center of the rotary axis.

Effect

M116 is effective in the working plane. With M117 you can reset M116. M116 is also canceled at the end of the program.

M116 becomes effective at the start of block.


Shorter-path traverse of rotary axes: M126

Standard behavior

The behavior of the TNC when positioning the rotary axes depends on the machine tool. The machine manual provides further information.

The behavior of the TNC while positioning rotary axes whose display has been reduced to values less than 360° depends on Bit 2 of Machine Parameter 7682. MP7682 sets whether the TNC should consider the difference between nominal and actual position, or whether the TNC should always choose the shortest path to the programmed position or only when M126 is programmed. Examples for if the TNC should traverse the rotary axis always along the number line:

Actual position | Nominal position | Traverse
350° | 10° | –340°
10° | 340° | +330°
Behavior with M126

With M126, the TNC will move the axis on the shorter path of traverse for rotary axes whose display is reduced to values less than 360°. Examples:

Actual position | Nominal position | Traverse
350° | 10° | +20°
10° | 340° | –30°
Effect

M126 becomes effective at the start of block.

To cancel M126, enter M127. At the end of program, M126 is automatically canceled.


Reducing display of a rotary axis to a value less than 360°: M94

Standard behavior

The TNC moves the tool from the current angular value to the programmed angular value.

Example:

Current angular value: | 538°
Programmed angular value: | 180°
Actual distance of traverse: | –358°
Behavior with M94

At the start of block, the TNC first reduces the current angular value to a value less than 360° and then moves the tool to the programmed value. If several rotary axes are active, M94 will reduce the display of all rotary axes. As an alternative you can enter a rotary axis after M94. The TNC then reduces the display only of this axis.

Example NC blocks

To reduce display of all active rotary axes:

n50 m94 *

To reduce display of the C axis only:

n50 m94 c *

To reduce display of all active rotary axes and then move the tool in the C axis to the programmed value:

N50 G00 C+180 M94 *
Effect

M94 is effective only in the block in which it is programmed.

M94 becomes effective at the start of block.


Automatic compensation of machine geometry when working with tilted axes: M114 (software option 2)

Standard behavior

The TNC moves the tool to the positions given in the machining program. If the position of a tilted axis changes in the program, the resulting offset in the linear axes must be calculated by a postprocessor and traversed in a positioning block. As the machine geometry is also relevant, the NC program must be calculated separately for each machine tool.

Behavior with M114

The machine geometry must be specified by the machine tool builder in the description of kinematics.

If the position of a controlled tilted axis changes in the program, the TNC automatically compensates the tool offset by a 3-D length compensation. As the geometry of the individual machine tools is set in machine parameters, the TNC also compensates machine-specific offsets automatically. Programs only need to be calculated by the postprocessor once, even if they are being run on different machines with TNC control.

If your machine tool does not have controlled tilted axes (head tilted manually or positioned by the PLC), you can enter the current valid swivel head position after M114 (e.g. M114 B+45, Q parameters permitted).

The radius compensation must be calculated by a CAD system or by a postprocessor. A programmed radius compensation RL/RR will result in an error message.

If the tool length compensation is calculated by the TNC, the programmed feed rate refers to the point of the tool. Otherwise it refers to the tool datum.

If your machine tool is equipped with a swivel head that can be tilted under program control, you can interrupt program run and change the position of the tilted axis, for example with the handwheel.

With the RESTORE POS. AT N function, you can then resume program run at the block at which the part program was interrupted. If M114 is active, the TNC automatically calculates the new position of the tilted axis.

If you wish to use the handwheel to change the position of the tilted axis during program run, use M118 in conjunction with M128.

Effect

M114 becomes effective at the start of block, M115 at the end of block. M114 is not effective when tool radius compensation is active.

To cancel M114, enter M115. At the end of program, M114 is automatically canceled.


Maintaining the position of the tool tip when positioning with tilted axes (TCPM): M128 (software option 2)

Standard behavior

The TNC moves the tool to the positions given in the machining program. If the position of a tilted axis changes in the program, the resulting offset in the linear axes must be calculated, and traversed in a positioning block.

Behavior with M128 (TCPM: Tool Center Point Management)

The machine geometry must be specified by the machine tool builder in the description of kinematics.

If the position of a controlled tilted axis changes in the program, the position of the tool tip to the workpiece remains the same.

If you wish to use the handwheel to change the position of the tilted axis during program run, use M128 in conjunction with M118. Handwheel positioning in a machine-based coordinate system is possible when M128 is active.

Caution: Danger to the workpiece!

For tilted axes with Hirth coupling: Do not change the position of the tilted axis until after retracting the tool. Otherwise you might damage the contour when disengaging from the coupling.

After M128 you can program another feed rate, at which the TNC will carry out the compensation movements in the linear axes. If you program no feed rate here, or if you program a larger feed rate than is defined in MP7471, the feed rate from MP7471 will be effective.

Before positioning with M91 or M92: Reset M128.

To avoid contour gouging you must use only spherical cutters with M128.

The tool length must refer to the spherical center of the tool tip.

If M128 is active, the TNC shows the symbol [image] in the status display.

M128 on tilting tables

If you program a tilting table movement while M128 is active, the TNC rotates the coordinate system accordingly. If, for example, you rotate the C axis by 90° (through a positioning command or datum shift) and then program a movement in the X axis, the TNC executes the movement in the machine axis Y.

The TNC also transforms the defined datum, which has been shifted by the movement of the rotary table.

M128 with 3-D tool compensation

If you carry out a 3-D tool compensation with active M128 and active radius compensation G41/G42, the TNC will automatically position the rotary axes for certain machine geometrical configurations .

Effect

M128 becomes effective at the start of block, M129 at the end of block. M128 is also effective in the manual operating modes and remains active even after a change of mode. The feed rate for the compensation movement will be effective until you program a new feed rate or until you cancel M128 with M129.

Enter M129 to cancel M128. The TNC also cancels M128 if you select a new program in a program run operating mode.

Example NC blocks

Feed rate of 1000 mm/min for compensation movements:

n50 g01 g41 X+0 Y+38.5 IB-15 F125 M128 F1000 *
Inclined machining with noncontrolled rotary axes

If you have noncontrolled rotary axes (counting axes) on your machine, then in combination with M128 you can also perform inclined machining operations with these axes.

Proceed as follows:

  1. Manually traverse the rotary axes to the desired positions. M128 must not be active!
  2. Activate M128: The TNC reads the actual values of all rotary axes present, calculates from this the new position of the tool center point, and updates the position display
  3. The TNC performs the necessary compensating movement in the next positioning block
  4. Carry out the machining operation
  5. At the end of program, reset M128 with M129, and return the rotary axes to the initial positions

As long as M128 is active, the TNC monitors the actual positions of the noncontrolled rotary axes. If the actual position deviates from the nominal position by a value greater than that defined by the machine manufacturer, the TNC outputs an error message and interrupts program run.

Overlap between M128 and M114

M128 is a new development of function M114.

M114 calculates necessary compensation movements in the geometry before the respective NC block is executed. The TNC then processes the compensating movement such that it is performed by the end of the respective NC block.

M128 calculates all compensating movements in real time. The TNC performs necessary compensating movements immediately as soon as they become necessary after movement in a rotary axis.

M114 and M128 may not be active at the same time, since overlaps of the two functions would occur, which could lead to damage of the workpiece. The TNC outputs a corresponding error message.


Exact stop at corners with nontangential transitions: M134

Standard behavior

The standard behavior of the TNC during positioning with rotary axes is to insert a transitional element in nontangential contour transitions. The contour of the transitional element depends on the acceleration, the rate of acceleration (jerk), and the defined tolerance for contour deviation.

With MP7440 you can change the standard behavior of the TNC so that M134 becomes active automatically whenever a program is selected (siehe General user parameters).

Behavior with M134

The TNC moves the tool during positioning with rotary axes so as to perform an exact stop at nontangential contour transitions.

Effect

M134 becomes effective at the start of block, M135 at the end of block.

You can reset M134 with M135. The TNC also resets M134 if you select a new program in a program run operating mode.


Selecting tilting axes: M138

Standard behavior

The TNC performs M114 and M128, and tilts the working plane, only in those axes for which the machine tool builder has set the appropriate machine parameters.

Behavior with M138

The TNC performs the above functions only in those tilting axes that you have defined using M138.

Effect

M138 becomes effective at the start of block.

You can reset M138 by reprogramming it without entering any axes.

Example NC blocks

Perform the above-mentioned functions only in the tilting axis C:

n50 g00 Z+100 R0 M138 C *


Compensating the machine’s kinematics configuration for ACTUAL/NOMINAL positions at end of block: M144 (software option 2)

Standard behavior

The TNC moves the tool to the positions given in the machining program. If the position of a tilted axis changes in the program, the resulting offset in the linear axes must be calculated, and traversed in a positioning block.

Behavior with M144

The TNC calculates into the position value any changes in the machine's kinematics configuration which result, for example, from adding a spindle attachment. If the position of a controlled tilted axis changes, the position of the tool tip to the workpiece is also changed. The resulting offset is calculated in the position display.

Positioning blocks with M91/M92 are permitted if M144 is active.

The position display in the operating modes FULL SEQUENCE and SINGLE BLOCK does not change until the tilting axes have reached their final position.

Effect

M144 becomes effective at the start of the block. M144 does not function in connection with M114, M128 or a tilted working plane.

You can cancel M144 by programming M145.

The machine geometry must be specified by the machine tool builder in the description of kinematics.

The machine tool builder determines the behavior in the automatic and manual operating modes. Refer to your machine manual.


Peripheral milling: 3-D radius compensation with workpiece orientation

Weitere Informationen:
> Application


Application

With peripheral milling, the TNC displaces the tool perpendicular to the direction of movement and perpendicular to the tool direction by the sum of the delta values DR (tool table and T block). Determine the compensation direction with radius compensation G41/G42 (see figure at upper right, traverse direction Y+).

For the TNC to be able to reach the set tool orientation, you need to activate the function M128 (siehe Maintaining the position of the tool tip when positioning with tilted axes (TCPM): M128 (software option 2)) and subsequently the tool radius compensation. The TNC then positions the rotary axes automatically so that the tool can reach the orientation defined by the coordinates of the rotary axes with the active compensation.

This function is possible only on machines for which you can define spatial angles for the tilting axis configuration. Refer to your machine manual.

The TNC is not able to automatically position the rotary axes on all machines. Refer to your machine manual.

Note that the TNC makes a compensating movement by the defined delta values. The tool radius R defined in the tool table has no effect on the compensation.

Danger of collision!

On machines whose rotary axes only allow limited traverse, sometimes automatic positioning can require the table to be rotated by 180°. In this case, make sure that the tool head does not collide with the workpiece or the clamps.

You can define the tool orientation in a G01 block as described below.

Example: Definition of the tool orientation with M128 and the coordinates of the rotary axes
n10 g00 g90 x-20 y+0 z+0 b+0 c+0 * | Pre-position
n20 m128 * | Activate M128
n30 g01 g42 x+0 y+0 z+0 b+0 c+0 f1000 * | Activate radius compensation
n40 x+50 y+0 z+0 b-30 c+0 * | Position the rotary axis (tool orientation)


Programming: Pallet Management

Weitere Informationen:
> Pallet management
> Pallet operation with tool-oriented machining


Pallet management

Weitere Informationen:
> Application
> Selecting a pallet table
> Exiting the pallet file
> Pallet datum management with the pallet preset table
> Executing the pallet file


Application

Pallet table management is a machine-dependent function. The standard functional range is described below. Refer to your machine tool manual for more information.

Pallet tables are used for machining centers with pallet changers: The pallet table calls the part programs that are required for the different pallets, and activates datum shifts or datum tables.

You can also use pallet tables to run in succession several programs that have different reference points.

Pallet tables contain the following information:

  • PAL/PGM (entry obligatory):
    Identification for pallet or NC program (select with ENT or NO ENT)
  • NAME (entry obligatory):
    Pallet or program name. The machine tool builder determines the pallet name (see your machine tool manual). The program name must be stored in the same directory as the pallet table. Otherwise you must enter the full path name for the program
  • PALPRES (entry optional):
    Preset number from the pallet preset table. The TNC interprets the preset number defined here as pallet datum (PAL entry in PAL/PGM column). You can use the pallet preset to compensate mechanical differences between the pallets. A pallet preset can also be activated automatically when a pallet is added
  • PRESET (entry optional):
    Preset number from the preset table. The preset number defined here is interpreted by the TNC either as a pallet datum (PAL entry in the PAL/PGM column) or as a workpiece datum (PGM entry in PAL/PGM line). If there is a pallet preset table active on your machine, then use the PRESET column only for workpiece datums
  • DATUM (entry optional):
    Name of the datum table. The datum table must be stored in the same directory as the pallet table. Otherwise you must enter the full path name for the datum table. Datums from the datum table can be activated in the NC program with Cycle 7 DATUM SHIFT
  • X, Y, Z (entry optional, other axes also possible):
    For pallet names, the programmed coordinates are referenced to the machine datum. For NC programs, the programmed coordinates are referenced to the pallet datum. These entries overwrite the datum that you last set in the Manual mode of operation. With the miscellaneous function M104 you can reactivate the datum that was last set. With the actual-position-capture key, the TNC opens a window that enables you to have the TNC enter various points as datums (see table below):
Position | Meaning
Actual values | Enter the coordinates of the current tool position referenced to the active coordinate system.
Reference values | Enter the coordinates of the current tool position referenced to the machine datum.
ACTUAL measured values | Enter the coordinates referenced to the active coordinate system of the datum last probed in the Manual operating mode.
REF measured values | Enter the coordinates referenced to the machine datum of the datum last probed in the Manual operating mode.

With the arrow keys and ENT, select the position that you wish to confirm. Then press the ALL VALUES soft key so that the TNC saves the respective coordinates of all active axes in the pallet table. With the PRESENT VALUE soft key, the TNC saves the coordinates of the axis on which the highlight in the pallet table is presently located.

If you have not defined a pallet before an NC program, the programmed coordinates are then referenced to the machine datum. If you do not define an entry, the datum that was set manually remains active.

Editing function | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Insert as last line in the table |
Delete the last line in the table |
Go to beginning of next line |
Add the number of lines that can be entered at the end of the table |
Copy the highlighted field (2nd soft-key row) |
Insert the copied field (2nd soft-key row) |


Selecting a pallet table

  • Call the file manager in the Programming and Editing or Program Run mode: Press the PGM MGT key

  • Display all type .P files: Press the SELECT TYPE and SHOW P. soft keys

  • Select a pallet table with the arrow keys, or enter a new file name to create a new table

  • Confirm your entry with the ENT key


Exiting the pallet file

  • Call the file manager: Press the PGM MGT key

  • To select a different type of file, press the SELECT TYPE soft key and the soft key for the desired file type, for example SHOW.H

  • Select the desired file


Pallet datum management with the pallet preset table

The pallet preset table is configured by your machine tool builder, see your machine tool manual.

A preset table for managing pallet datums is available in addition to the preset table for managing workpiece datums. This makes it possible now to manage the pallet datums independently of the workpiece datums.

Pallet datums are an easy way to compensate mechanical differences between individual pallets.

For determining the pallet datums, there is an additional soft key in the manual probing functions with which you can also store the probing results in the pallet preset table (siehe Storing measured values in the pallet preset table).

Only one workpiece datum and one pallet datum can be active at the same time. Both datums are effective in sum.

The TNC displays the number of the active pallet preset in the additional status display (siehe General pallet information (PAL tab)).

Weitere Informationen:
> Working with the pallet preset table


Working with the pallet preset table

Changes to the pallet reset table must always be made in agreement with your machine tool builder!

If your machine tool builder has enabled the pallet preset table, you can edit the pallet preset table in Manual mode:

  • Select the Manual Operation or El. Handwheel mode of operation

Open the preset table: Press the DATUM MANAGEMENT soft key. The TNC opens the preset table

Scroll through the soft-key row

Open the pallet preset table: Press the PALLET PRESET TBL soft key. The TNC displays additional soft keys (see table below)

The following editing functions are available:

Editing function in table mode | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Insert a single line as last line in the table |
Delete the last line in the table |
Switch editing on/off |
Activate the pallet datum of the line currently selected (2nd soft-key row) |
Deactivate the currently active pallet datum (2nd soft-key row) |


Executing the pallet file

MP7683 defines whether the pallet table is to be executed blockwise or continuously.

Provided that Machine Parameter 7246 is set so that the tool usage test is active, you can monitor the tool service life for all tools used in a pallet (siehe Tool usage test).

  • Select the file manager in the Program Run, Full Sequence or Program Run, Single Block operating modes: Press the PGM MGT key

  • Display all type .P files: Press the SELECT TYPE and SHOW P. soft keys

  • Select the pallet table with the arrow keys and confirm with ENT

  • To execute the pallet table: Press the NC Start button. The TNC executes the pallets as set in MP7683.

Weitere Informationen:
> Screen layout for executing pallet tables


Screen layout for executing pallet tables

You can have the TNC display the program contents and pallet file contents on the screen together by selecting the screen layout PROGRAM + PALLET. During execution, the TNC then shows program blocks to the left and the pallet to the right. To check the program contents before execution, proceed as follows:

  • Select a pallet table

  • With the arrow keys, choose the program you would like to check

  • Press the OPEN PGM soft key: the TNC displays the selected program on the screen. You can now page through the program with the arrow keys

  • To return to the pallet table, press the END PGM soft key


Pallet operation with tool-oriented machining

Weitere Informationen:
> Application
> Selecting a pallet file
> Setting up the pallet file with the entry form
> Sequence of tool-oriented machining
> Exiting the pallet file
> Executing a pallet file


Application

Pallet management in combination with tool-oriented machining is a machine-dependent function. The standard functional range is described below. Refer to your machine tool manual for more information.

Pallet tables are used for machining centers with pallet changers: The pallet table calls the part programs that are required for the different pallets, and activates datum shifts or datum tables.

You can also use pallet tables to run in succession several programs that have different reference points.

Pallet tables contain the following information:

  • PAL/PGM (entry obligatory):
    The entry Pal identifies the pallet, FIX marks the fixture level and PGM is used to enter the workpiece.
  • W-STATUS:
    Current machining status. The machining status is used to determine the current stage of machining. Enter BLANK for an unmachined (raw) workpiece. During machining, the TNC changes this entry to INCOMPLETE, and after machining has finished, to ENDED. The entry EMPTY is used to identify a space at which no workpiece is to be clamped. With the SKIP entry, you specify that a workpiece is not to be machined by the TNC
  • METHOD (entry obligatory):
    Entry that determines the method of program optimization. Machining is workpiece-oriented if WPO is entered. Machining of the piece is tool-oriented if TO is entered. In order to include subsequent workpieces in the tool-oriented machining, you must enter CTO (continued tool oriented). Tool-oriented machining is also possible with pallet fixtures, but not for multiple pallets
  • NAME (entry obligatory):
    Pallet or program name. The machine tool builder determines the pallet name (see your machine tool manual). Programs must be stored in the same directory as the pallet table. Otherwise you must enter the full path and name for the program
  • PALPRESET (entry optional):
    Preset number from the pallet preset table. The TNC interprets the preset number defined here as pallet datum (PAL entry in PAL/PGM column). You can use the pallet preset to compensate mechanical differences between the pallets. A pallet preset can also be activated automatically when a pallet is added
  • PRESET (entry optional):
    Preset number from the preset table. The preset number defined here is interpreted by the TNC either as a pallet datum (PAL entry in the PAL/PGM column) or as a workpiece datum (PGM entry in the PAL/PGM line). If there is a pallet preset table active on your machine, then use the PRESET column only for workpiece datums
  • DATUM (entry optional):
    Name of the datum table. The datum table must be stored in the same directory as the pallet table. Otherwise you must enter the full path name for the datum table. Datums from the datum table can be activated in the NC program with Cycle 7 DATUM SHIFT
  • X, Y, Z (entry optional, other axes also possible):
    For pallets and fixtures, the programmed coordinates are referenced to the machine datum. For NC programs, the programmed coordinates are referenced to the pallet or fixture datum. These entries overwrite the datum that you last set in the Manual mode of operation. With the miscellaneous function M104 you can reactivate the datum that was last set. With the actual-position-capture key, the TNC opens a window that enables you to have the TNC enter various points as datums (see table below):
Position | Meaning
Actual values | Enter the coordinates of the current tool position referenced to the active coordinate system.
Reference values | Enter the coordinates of the current tool position referenced to the machine datum.
ACTUAL measured values | Enter the coordinates referenced to the active coordinate system of the datum last probed in the Manual operating mode.
REF measured values | Enter the coordinates referenced to the machine datum of the datum last probed in the Manual operating mode.

With the arrow keys and ENT, select the position that you wish to confirm. Then press the ALL VALUES soft key so that the TNC saves the respective coordinates of all active axes in the pallet table. With the PRESENT VALUE soft key, the TNC saves the coordinates of the axis on which the highlight in the pallet table is presently located.

If you have not defined a pallet before an NC program, the programmed coordinates are then referenced to the machine datum. If you do not define an entry, the datum that was set manually remains active.

  • SP-X, SP-Y, SP-Z (entry optional, other axes also possible):
    Safety positions can be entered for the axes. These positions can be read with SYSREAD FN18 ID510 NR 6 from NC macros. SYSREAD FN18 ID510 NR 5 can be used to determine if a value was programmed in the column. The positions entered are only approached if these values are read and correspondingly programmed in the NC macros.
  • CTID (entered by the TNC):
    The context ID number is assigned by the TNC and contains instructions about the machining progress. Machining cannot be resumed if the entry is deleted or changed.
  • FIXTURE
    In this column you can enter a fixture archive (ZIP file), that the TNC is to automatically activate during machining of the pallet table. You have to use the fixture management to archive fixture archives (siehe Managing fixtures)
Editing function in table mode | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Insert as last line in the table |
Delete the last line in the table |
Go to beginning of next line |
Add the number of lines that can be entered at the end of the table |
Edit the table format |
Editing function in entry-form mode | Soft key
Select previous pallet |
Select next pallet |
Select previous fixture |
Select next fixture |
Select previous workpiece |
Select next workpiece |
Switch to pallet level |
Switch to fixture level |
Switch to workpiece level |
Select standard pallet view |
Select detailed pallet view |
Select standard fixture view |
Select detailed fixture view |
Select standard workpiece view |
Select detailed workpiece view |
Insert pallet |
Insert fixture |
Insert workpiece |
Delete pallet |
Delete fixture |
Delete workpiece |
Delete buffer memory contents |
Tool-optimized machining |
Workpiece-optimized machining |
Connect or separate the types of machining |
Mark level as being empty |
Mark level as being unmachined |


Selecting a pallet file

  • Call the file manager in the Programming and Editing or Program Run mode: Press the PGM MGT key

  • Display all type .P files: Press the SELECT TYPE and SHOW P. soft keys

  • Select a pallet table with the arrow keys, or enter a new file name to create a new table

  • Confirm your entry with the ENT key


Setting up the pallet file with the entry form

    Pallet operation with tool- or workpiece-oriented machining is divided into three levels:

  • Pallet level Pal
  • Fixture level FIX
  • Workpiece level PGM

You can switch to a detail view in each level. Set the machining method and the statuses for the pallet, fixture and workpiece in the standard view. If you are editing an existing pallet file, the updated entries are displayed. Use the detail view for setting up the pallet file.

Set up the pallet file according to the machine configuration. If you only have one fixture with multiple workpieces, then defining one fixture FIX with the workpieces PGM is sufficient. However, if one pallet contains several fixtures, or if a fixture is machined from more than one side, you must define the pallet PAL with the corresponding fixture levels FIX.

Use the screen layout button to switch between table view and form view.

Graphic support for form entry is not yet available.

The various levels of the entry form can be reached with the appropriate soft keys. The current level is highlighted in the status line of the entry form. When you switch to table view with the screen layout button, the cursor is placed in the same level as it was in the form view.

Weitere Informationen:
> Setting up the pallet level
> Setting up details in the pallet level
> Setting up the fixture level
> Setting up details in the fixture level
> Setting up the workpiece level
> Setting up details in the workpiece level


Setting up the pallet level
  • Pallet ID: The pallet name is displayed
  • Method: You can choose between the WORKPIECE ORIENTED and the TOOL ORIENTED machining methods. The selected method is assumed for the workpiece level and overwrites any existing entries. In tabular view, WORKPIECE ORIENTED appears as WPO and TOOL ORIENTED appears as TO.

The TOOL/WORKPIECE ORIENT entry cannot be made via soft key. It only appears when different machining methods were chosen for the workpieces in the workpiece or machining level.

If the machining method was determined in the fixture level, the entries are transferred to the workpiece level, where they overwrite any existing entries.

  • Status: The soft key BLANK identifies the pallet and the corresponding fixtures and workpieces as not yet having been machined, and enters BLANK in the Status field. Use the EMPTY POSITION or OMIT soft key if you want to skip the pallet during machining.Empty or SKIP appears in the status field.


Setting up details in the pallet level
  • Pallet ID: Enter the pallet name
  • Preset No.: Enter the preset number for the pallet
  • Datum: Enter the pallet datum
  • Datum table: Enter the name and path of the datum table of the workpiece. The data is transferred to the fixture and workpiece levels
  • Safe height (optional): Safe position for the individual axes referenced to the pallet. The positions entered are only approached if these values were read and correspondingly programmed in the NC macros.


Setting up the fixture level
  • Fixture: The number of the fixture is displayed. The number of fixtures within this level is shown after the slash.
  • Method: You can choose between the WORKPIECE ORIENTED and the TOOL ORIENTED machining methods. The selected method is assumed for the workpiece level and overwrites any existing entries. In tabular view, WORKPIECE ORIENTED appears as WPO and TOOL ORIENTED appears as TO.
    Use the CONNECT/SEPARATE soft key to mark fixtures that are to be included for calculating the machining process for tool-oriented machining. Connected fixtures are indicated by a dashed line, whereas separated fixtures are indicated by a solid line. Connected workpieces are marked in tabular view with the entry CTO in the METHOD column.

The TOOL/WORKPIECE ORIENTED entry cannot be made via soft key. It only appears when different machining methods were chosen for the workpieces in the workpiece level.

If the machining method was determined in the fixture level, the entries are transferred to the workpiece level, where they overwrite any existing entries.

  • Status: The soft key BLANK identifies the fixture and the corresponding workpieces as not yet having been machined, and enters BLANK in the Status field. Use the EMPTY POSITION or OMIT soft key if you want to skip the fixture during machining. Empty or SKIP appears in the status field.


Setting up details in the fixture level
  • Fixture: The number of the fixture is displayed. The number of fixtures within this level is shown after the slash.
  • Datum: Enter the fixture datum.
  • Datum table: Enter the name and path of the datum table valid for machining the workpiece. The data is transferred to the workpiece level.
  • NC macro: In tool-oriented machining, the macro TCTOOLMODE is carried out instead of the normal tool-change macro.
  • Safe height (optional): Safe position for the individual axes referenced to the fixture.

Safety positions can be entered for the axes. These positions can be read with SYSREAD FN18 ID510 NR 6 from NC macros. SYSREAD FN18 ID510 NR 5 can be used to determine if a value was programmed in the column. The positions entered are only approached if these values are read and correspondingly programmed in the NC macros.


Setting up the workpiece level
  • Workpiece: The number of the workpiece is displayed. The number of workpieces within this fixture level is shown after the slash.
  • Method: You can choose between the WORKPIECE ORIENTED and TOOL ORIENTED machining methods. In tabular view, WORKPIECE ORIENTED appears as WPO, and TOOL ORIENTED appears as TO.
    Use the CONNECT/SEPARATE soft key to mark workpieces that are to be included for calculating the machining process for tool-oriented machining. Connected workpieces are indicated by a dashed line, whereas separated workpieces are indicated by a solid line. Connected workpieces are marked in tabular view with the entry CTO in the METHOD column.
  • Status: The soft key BLANK identifies the workpiece as not yet having been machined, and enters BLANK in the Status field. Use the EMPTY POSITION or OMIT soft key if you want to skip a workpiece during machining. Empty or SKIP appears in the status field.

Enter the method and status in the pallet or fixture level. Then the entry will be assumed for all corresponding workpieces.

For several workpiece variants within one level, the workpieces of one variant should be entered together. This way, the workpieces of each variant can be marked with the CONNECT/SEPARATE soft key, and can be machined in groups.


Setting up details in the workpiece level
  • Workpiece: The number of the workpiece is displayed. The number of workpieces within this fixture or pallet level is shown after the slash.
  • Datum: Enter the workpiece datum.
  • Datum table: Enter the name and path of the datum table valid for machining the workpiece. If you use the same datum table for all workpieces, enter the name and path in the pallet or fixture levels. The data is automatically transferred to the workpiece level.
  • NC program: Enter the path of the NC program that is necessary for machining the workpiece.
  • Cl. height (optional): Safe position for the individual axes referenced to the workpiece. The positions entered are only approached if these values were read and correspondingly programmed in the NC macros.


Sequence of tool-oriented machining

The TNC only carries out tool-oriented machining if the TOOL ORIENTED method was selected, and TO or CTO is entered in the table.

  • The entry TO or CTO in the Method field tells the TNC that the oriented machining is valid beyond these lines.
  • The pallet management starts the NC program given in the line with the entry TO.
  • The first workpiece is machined until the next tool call is pending. Departure from the workpiece is coordinated by a special tool-change macro.
  • The entry in the column W-STATUS is changed from BLANK to INCOMPLETE, and the TNC enters a hexadecimal value in the field CTID.

The value entered in the field CTID is a unique identifier of the machining progress for the TNC. If this value is deleted or changed, machining cannot be continued, nor is mid-program startup or resumption of machining possible.

  • All lines in the pallet file that contain the entry CTO in the Method field are machined in the same manner as the first workpiece. Workpieces in several fixtures can be machined.
  • The TNC uses the next tool for the following machining steps again from the line with the entry TO if one of the following situations applies:
    • If the entry PAL is in the PAL/PGM field in the next line.
    • If the entry TO or WPO is in the Method field in the next line.
    • If in the lines already machined there are entries under Method which do not have the status EMPTY or ENDED.
  • The NC program is continued at the stored location based on the value entered in the CTID field. Usually the tool is changed for the first piece, but the TNC suppresses the tool change for the following workpieces.
  • The entry in the CTID field is updated after every machining step. If an END PGM or M2 is executed in an NC program, then an existing entry is deleted and ENDED is entered in the Machining Status field.
  • If the entries TO or CTO for all workpieces within a group contain the status ENDED, the next lines in the pallet file are run.

In mid-program startup, only one tool-oriented machining operation is possible. Subsequent pieces are machined according to the method entered.

The value entered in the CT-ID field is stored for a maximum of two weeks. Within this time the machining process can be continued at the stored location. After this time the value is deleted, in order to prevent large amounts of unnecessary data on the hard disk.

The operating mode can be changed after executing a group of entries with TO or CTO.

    The following functions are not permitted:

  • Switching the traverse range
  • PLC datum shift
  • M118


Executing a pallet file

In MP7683, set whether the pallet table is to be executed blockwise or continuously (siehe General user parameters).

Provided that Machine Parameter 7246 is set so that the tool usage test is active, you can monitor the tool service life for all tools used in a pallet (siehe Tool usage test).

  • Select the file manager in the Program Run, Full Sequence or Program Run, Single Block operating modes: Press the PGM MGT key

  • Display all type .P files: Press the SELECT TYPE and SHOW P. soft keys

  • Select the pallet table with the arrow keys and confirm with ENT

  • To execute the pallet table: Press the NC Start button. The TNC executes the pallets as set in MP7683.

Weitere Informationen:
> Screen layout for executing pallet tables


Manual Operation and Setup

Weitere Informationen:
> Switch-on, switch-off
> Moving the machine axes
> Spindle speed S, feed rate F and miscellaneous functions M
> Functional safety FS (option)
> Workpiece presetting without a touch probe
> Using touch-probes
> Calibrating touch probes
> Compensating workpiece misalignment with a 3-D touch probe
> Workpiece presetting with a touch probe
> Tilting the working plane (software option 1)


Switch-on, switch-off

Weitere Informationen:
> Switch-on
> Switch-off


Switch-on

Switch-on and crossing over the reference points can vary depending on the machine tool. Refer to your machine manual.

Switch on the power supply for TNC and machine. The TNC automatically initiates the following dialog

Memory test
The TNC memory is checked automatically.
Power interrupted
 | TNC message that the power was interrupted—clear the message.
Compile a PLC program
The PLC program of the TNC is automatically compiled
Relay external DC voltage missing
 | Switch on external dc voltage. The TNC checks the functioning of the EMERGENCY STOP circuit
Manual Operation Traverse reference points
 | Cross the reference points manually in the displayed sequence: For each axis press the machine START button, or
 | Cross the reference points in any sequence: Press and hold the machine axis direction button for each axis until the reference point has been traversed

If your machine is equipped with absolute encoders, you can leave out crossing the reference marks. In such a case, the TNC is ready for operation immediately after the machine control voltage is switched on.

If your machine is equipped with incremental encoders, you can activate traverse range monitoring even before reference mark traverse by pressing the SW LIMIT MONITORING soft key. Your machine tool builder can provide this function axis-specifically. Remember that by pressing the soft key, traverse range monitoring is not necessarily active in all axes. The machine manual provides further information.

Ensure that you have referenced all axes before you start program run. Otherwise the TNC will stop machining as soon as it gets to an NC block with an axis that has not been referenced.

The TNC is now ready for operation in the Manual Operation mode.

The reference points need only be crossed if the machine axes are to be moved. If you intend only to edit or test programs, you can select the Programming and Editing or Test Run modes of operation immediately after switching on the control voltage.

You can cross the reference points later by pressing the PASS OVER REFERENCE soft key in the Manual Operation mode

Weitere Informationen:
> Crossing the reference point in a tilted working plane


Crossing the reference point in a tilted working plane

The reference point of a tilted coordinate system can be crossed by pressing the machine axis direction buttons. The "tilting the working plane" function must be active in the Manual Operation mode, siehe Activating manual tilting. The TNC then interpolates the corresponding axes.

Danger of collision!

Make sure that the angle values entered in the menu for tilting the working plane match the actual angles of the tilted axis.

If available, you can also traverse the axes in the direction of the current tool axis (siehe Setting the current tool-axis direction as the active machining direction (FCL 2 function)).

Danger of collision!

If you use this function, then for non-absolute encoders you must confirm the positions of the rotary axes, which the TNC displays in a pop-up window. The position displayed is the last active position of the rotary axes before switch-off.

If one of the two functions that were active before is active now, the NC START button has no function. The TNC outputs a corresponding error message.


Switch-off

To prevent data from being lost at switch-off, you need to shut down the operating system of the TNC as follows:

  • Select the Manual Operation mode

Select the function for shutting down, confirm again with the YES soft key

When the TNC displays the message Now you can switch off the TNC in a pop-up window, you may cut off the power supply to the TNC

Inappropriate switch-off of the TNC can lead to data loss!

Remember that pressing the END key after the control has been shut down restarts the control. Switch-off during a restart can also result in data loss!


Moving the machine axes

Weitere Informationen:
> Note
> Moving the axis using the machine axis direction buttons
> Incremental jog positioning
> Traversing with electronic handwheels


Note

Traversing with the machine axis direction buttons can vary depending on the machine tool. The machine manual provides further information.


Moving the axis using the machine axis direction buttons

Select Manual operating mode

Press the machine axis direction button and hold it as long as you wish the axis to move, or

Move the axis continuously: Press and hold the machine axis direction button, then press the machine START button.

To stop the axis, press the machine STOP button

You can move several axes at a time with these two methods. You can change the feed rate at which the axes are traversed with the F soft key (siehe Spindle speed S, feed rate F and miscellaneous functions M).


Incremental jog positioning

With incremental jog positioning you can move a machine axis by a preset distance.

 | Select the Manual Operation or El. Handwheel mode
 | Shift the soft-key row
 | Select incremental jog positioning: Switch the INCREMENT soft key to ON
Jog increment =
 | Enter the jog increment in mm, and confirm with the ent key.
 | Press the machine axis direction button as often as desired

The maximum permissible value for infeed is 10 mm.


Traversing with electronic handwheels

    The iTNC supports traversing with the following new electronic handwheels:

  • HR 520:
    Handwheel compatible for connection to HR 420 with display, data transfer via cable
  • HR 550 FS:
    Handwheel with display, data transmission via radio

In addition to this, the TNC continues to support the cable handwheels HR 410 (without display) and HR 420 (with display).

Caution: Danger to the operator and handwheel!

All of the handwheel connectors may only be removed by authorized service personnel, even if it is possible without any tools!

Ensure that the handwheel is plugged in before you switch on the machine!

If you wish to operate your machine without the handwheel, disconnect the cable from the machine and secure the open socket with a cap!

Your machine tool builder can make additional functions of the HR 5xx available. Refer to your machine tool manual.

A HR 5xx handwheel is recommended if you want to use the handwheel superimposition in virtual axis function (siehe Virtual axis VT).

The portable HR 5xx handwheels feature a display on which the TNC shows information. In addition, you can use the handwheel soft keys for important setup functions, e.g. datum setting or entering and running M functions.

As soon as you have activated the handwheel with the handwheel activation key, the operating panel is locked. This is indicated by a pop-up window on the TNC screen.

The HR 5xx handwheels feature the following operating elements:

1 | EMERGENCY STOP button
2 | Handwheel display for status display and function selection; for further information, Siehe Handwheel display
3 | Soft Keys
4 | Axis selection keys; can be exchanged by the machine manufacturer depending on the axis configuration
5 | Permissive button
6 | Arrow keys for defining handwheel sensitivity
7 | Handwheel activation key
8 | Key for TNC traverse direction of the selected axis
9 | Rapid traverse superimposition for direction key
10 | Spindle switch-on (machine-dependent function, key can be exchanged by the machine manufacturer)
11 | "Generate NC block" key (machine-dependent function, key can be exchanged by the machine manufacturer)
12 | Spindle switch-off (machine-dependent function, key can be exchanged by the machine manufacturer)
13 | CTRL key for special functions (machine-dependent function, key can be exchanged by the machine manufacturer)
14 | NC start (machine-dependent function, key can be exchanged by the machine manufacturer)
15 | NC stop (machine-dependent function, key can be exchanged by the machine manufacturer)
16 | Handwheel
17 | Spindle speed potentiometer
18 | Feed rate potentiometer
19 | Cable connection, not available with the HR 550 FS wireless handwheel
Weitere Informationen:
> Handwheel display
> Special features of the HR 550 FS wireless handwheel
> Selecting the axis to be moved
> Setting the handwheel sensitivity
> Moving the axes
> Potentiometer settings
> Incremental jog positioning
> Inputting miscellaneous functions M
> Inputting spindle speed S
> Entering the feed rate F
> Set datum
> Changing operating modes
> Generating a complete L block
> Functions in the Program Run Operating Modes


Handwheel display

The handwheel display (see image) consists of a header and 6 status lines in which the TNC shows the following information:

1 | Only HR 550 FS wireless handwheel: Shows whether the handwheel is in the docking station or whether wireless operation is active
2 | Only HR 550 FS wireless handwheel: Shows the field strength, 6 bars = maximum field strength
3 | Only HR 550 FS wireless handwheel: Shows the charge status of the rechargeable battery, 6 bars = fully charged A bar moves from the left to the right during recharging
4 | ACTL: Type of position display
5 | Y+129.9788: Position of the selected axis
6 | *: STIB (control in operation); program run has been started or axis is in motion
7 | S0: Current spindle speed
8 | F0: Feed rate at which the selected axis is moving
9 | E: Error message
10 | 3D: Tilted-working-plane function is active
11 | 2D: Basic rotation function is active
12 | RES 5.0: Active handwheel resolution. Distance in mm/rev (°/rev for rotary axes) that the selected axis moves for one handwheel revolution
13 | STEP ON or OFF: Incremental jog active or inactive. If a function is active, the TNC additionally displays the active jog increment.
14 | Soft-key row: Selection of various functions, described in the following sections


Special features of the HR 550 FS wireless handwheel

Due to various potential sources of interference, a wireless connection is not as reliable as a cable connection. Before you use the wireless handwheel it must therefore be checked whether there are any other radio users in the surroundings of the machine. This inspection for presence of radio frequencies or channels is recommended for all industrial radio systems.

When the HR 550 is not needed, always put it in the handwheel holder. This way you can ensure that the handwheel batteries are always ready for use thanks to the contact strip on the rear side of the wireless handwheel and the recharge control, and that there is a direct contact connection for the emergency stop circuit.

If an error (interruption of the radio connection, poor reception quality, defective handwheel component) occurs, the handwheel always reacts with an emergency stop.

Please read the notes on the configuration of the HR 550 FS wireless handwheel (siehe Configuring the HR 550 FS wireless handwheel)

Caution: Danger to the operator and machine!

Due to safety reasons you must switch off the wireless handwheel and the handwheel holder after an operating time of 120 hours at the latest so that the TNC can run a functional test when it is restarted!

If you use several machines with wireless handwheels in your workshop you have to mark the handwheels and holders that belong together so that their respective associations are clearly identifiable (e.g. by color stickers or numbers). The markings on the wireless handwheel and the handwheel holder must be clearly visible to the user!

Before every use, make sure that the correct handwheel for your machine is active.

The HR 550 FS wireless handwheel features a rechargeable battery. The battery is recharged when you put the handwheel in the holder (see figure).

You can operate the HR 550 FS with the accumulator for up to 8 hours before it must be recharged again. It is recommended, however, that you always put the handwheel in its holder when you are not using it.

As soon as the handwheel is in its holder, it switches internally to cable operation. In this way you can use the handwheel even if it were completely discharged. The functions are the same as with wireless operation.

When the handwheel is completely discharged, it takes about 3 hours until it is fully recharged in the handwheel holder.

Clean the contacts 1 in the handwheel holder and of the handwheel regularly to ensure their proper functioning.

The transmission range is amply dimensioned. If you should nevertheless happen to come near the edge of the transmission area, which is possible with very large machines, the HR 550 FS warns you in time with a plainly noticeable vibration alarm. If this happens you must reduce the distance to the handwheel holder, into which the radio receiver is integrated.

Caution: Danger to the tool and workpiece!

If interruption-free operation is no longer possible within the transmission range the TNC automatically triggers an emergency stop. This can also happen during machining. Try to stay as close as possible to the handwheel holder and put the handwheel in its holder when you are not using it.

If the TNC has triggered an emergency stop you must reactivate the handwheel. Proceed as follows:

  • Select the Programming and Editing mode of operation

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

Select the configuration menu for the wireless handwheel: Press the SET UP WIRELESS HANDWHEEL soft key

Click the Start handwheel button to reactivate the wireless handwheel

To save the configuration and exit the configuration menu, press the END button

The MOD mode of operation includes a function for initial operation and configuration of the handwheel (siehe Configuring the HR 550 FS wireless handwheel).


Selecting the axis to be moved

You can activate directly through the axis address keys the principal axes X, Y, Z and three other axes defined by the machine tool builder. Your machine tool builder can also place the virtual axis VT directly on one of the free axis keys. If the virtual axis VT is not on one of the axis selection keys, proceed as follows:

  • Press the handwheel soft key F1 (AX): The TNC displays all active axes on the handwheel display. The currently active axis blinks

  • Select the desired axis (e.g. the VT axis) with the handwheel soft keys F1 (->) or F2 (<-) and confirm with the handwheel soft key F3 (OK)


Setting the handwheel sensitivity

The handwheel sensitivity specifies the distance an axis moves per handwheel revolution. The sensitivity levels are pre-defined and are selectable with the handwheel arrow keys (only when incremental jog is not active).

Selectable sensitivity levels: 0.01/0.02/0.05/0.1/0.2/0.5/1/2/5/10/20 [mm/revolution or degrees/revolution]


Moving the axes
 | Activate the handwheel: Press the handwheel key on the HR 5xx: Now you can only operate the TNC via the HR 5xx; the TNC shows a pop-up window containing information on the TNC screen
Select the desired operating mode via the opm soft key if necessary (siehe Changing operating modes)
 | If required, press and hold the permissive buttons
 | Use the handwheel to select the axis to be moved. Select the additional axes via soft key, if required
 | Move the active axis in the positive direction, or
 | Move the active axis in the negative direction
 | Deactivate the handwheel: Press the handwheel key on the HR 5xx : Now you can operate the TNC again via the operating panel


Potentiometer settings

The potentiometers of the machine operating panel continue to be active after you have activated the handwheel. If you want to use the potentiometers on the handwheel, proceed as follows:

  • Press the CTRL and Handwheel keys on the HR 5xx. The TNC shows the soft-key menu for selecting the potentiometers on the handwheel display

  • Press the HW soft key to activate the handwheel potentiometers

If you have activated the potentiometers on the handwheel, you must reactivate the potentiometers of the machine operating panel before deselecting the handwheel. Proceed as follows:

  • Press the CTRL and Handwheel keys on the HR 5xx. The TNC shows the soft-key menu for selecting the potentiometers on the handwheel display

  • Press the KBD soft key to activate the potentiometers of the machine operating panel


Incremental jog positioning

With incremental jog positioning the TNC moves the currently active handwheel axis by a preset distance defined by you:

  • Press the handwheel soft key F2 (STEP)

  • Activate incremental jog positioning: Press handwheel soft key 3 (ON).

  • Select the desired jog increment by pressing the F1 or F2 key. If you press and hold the respective key, each time it reaches a decimal value 0 the TNC increases the counting increment by a factor of 10. If in addition you press the Ctrl key, the counting increment increases to 1. The smallest possible jog increment is 0.0001 mm. The largest possible is 10 mm

  • Confirm the selected jog increment with soft key 4 (OK)

  • With the + or – handwheel key, move the active handwheel axis in the corresponding direction


Inputting miscellaneous functions M

  • Press the handwheel soft key F3 (MSF)

  • Press the handwheel soft key F1 (M)

  • Select the desired M function number by pressing the F1 or F2 key

  • Execute the M function with the NC start key


Inputting spindle speed S

  • Press the handwheel soft key F3 (MSF)

  • Press the handwheel soft key F2 (S)

  • Select the desired speed by pressing the F1 or F2 key. If you press and hold the respective key, each time it reaches a decimal value 0 the TNC increases the counting increment by a factor of 10. If in addition you press the Ctrl key, the counting increment increases to 1000

  • Activate the new speed S with the NC start key.


Entering the feed rate F

  • Press the handwheel soft key F3 (MSF)

  • Press the handwheel soft key F3 (F)

  • Select the desired feed rate by pressing the F1 or F2 key. If you press and hold the respective key, each time it reaches a decimal value 0 the TNC increases the counting increment by a factor of 10. If in addition you press the Ctrl key, the counting increment increases to 1000

  • Confirm the new feed rate F with the handwheel soft key F3 (OK)


Set datum

  • Press the handwheel soft key F3 (MSF)

  • Press the handwheel soft key F4 (PRS)

  • If required, select the axis in which the datum is to be set

  • Reset the axis with the handwheel soft key F3 (OK) or with F1 and F2 set the desired value and then confirm with F3 (OK). By also pressing the Ctrl key, you can increase the counting increment to 10


Changing operating modes

With the handwheel soft key F4 (OPM) you can use the handwheel to switch the mode of operation, provided that the current status of the control allows a mode change.

  • Press the handwheel soft key F4 (OPM)

  • Select the desired operating mode by handwheel soft key

    • MAN: Manual operation
    • MDI: Positioning with manual input
    • SGL: Program run, single block
    • RUN: Program run, full sequence


Generating a complete L block

Your machine tool builder can assign any function to the "Generate NC block" handwheel key; refer to your machine manual.

Use the MOD function to define the axis values to be loaded into an NC block (siehe Selecting the axes for generating G01 blocks).

If no axes are selected, the TNC displays the error message No axes selected.

  • Select the Positioning with MDI operating mode

  • If required, use the arrow keys on the TNC keyboard to select the NC block after which the new L block is to be inserted.

  • Activate the handwheel

  • Press the “Generate NC block” handwheel key: The TNC inserts a complete L block containing all axis positions selected through the MOD function.


Functions in the Program Run Operating Modes

You can use the following functions in the Program Run modes of operation:

  • NC start (NC start handwheel key)
  • NC stop (NC stop handwheel key)
  • After the NC-stop key has been pressed: Internal stop (handwheel soft keys MOP and then STOP)
  • After the NC-stop key has been pressed: Manual axis traverse (handwheel soft keys MOP and then MAN)
  • Returning to the contour after the axes were moved manually during a program interruption (handwheel soft keys MOP and then REPO). Operation is by handwheel soft keys, which function similarly to the control-screen soft keys (siehe Returning to the contour)
  • On/off switch for the Tilted Working Plane function (handwheel soft keys MOP and then 3D)


Spindle speed S, feed rate F and miscellaneous functions M

Weitere Informationen:
> Application
> Entering values
> Changing the spindle speed and feed rate


Application

In the Manual Operation and El. Handwheel operating modes, you can enter the spindle speed S, feed rate F and the miscellaneous functions M with soft keys. The miscellaneous functions are described in Chapter 7 "Programming: Miscellaneous functions."

The machine tool builder determines which miscellaneous functions M are available on your control and what effects they have.


Entering values

Spindle speed S, miscellaneous function M

 | Enter the spindle speed: Press the S soft key
Spindle speed S=
 | Enter the desired spindle speed and confirm your entry with the machine START button

The spindle speed S with the entered rpm is started with a miscellaneous function M. Proceed in the same way to enter a miscellaneous function M.

Feed rate F

After entering a feed rate F, you must confirm your entry with the ENT key instead of the machine START button.

    The following is valid for feed rate F:

  • If you enter F=0, then the lowest feed rate from MP1020 is effective
  • F is not lost during a power interruption


Changing the spindle speed and feed rate

With the override knobs you can vary the spindle speed S and feed rate F from 0% to 150% of the set value.

The override knob for spindle speed is only functional on machines with infinitely variable spindle drive.


Functional safety FS (option)

Weitere Informationen:
> Miscellaneous
> Explanation of terms
> Checking the axis positions
> Overview of permitted feed rates and speeds
> Activating feed-rate limitation
> Additional status displays


Miscellaneous

Every machine tool operator is exposed to certain risks. Although protective devices can prevent access to dangerous points, the operator must also be able to work on the machine without this protection (e.g. protective door opened). Several guidelines and regulations to minimize these risks have been developed within the last few years.

The HEIDENHAIN safety concept integrated in the TNC controls complies with Performance Level d as per EN 13849-1 and SIL 2 as per IEC 61508, features safety-related modes of operation in accordance with EN 12417, and assures extensive operator protection.

The basis of the HEIDENHAIN safety concept is the dual-channel processor structure, which consists of the main computer (MC) and one or more drive controller modules (CC= control computing unit). All monitoring mechanisms are designed redundantly in the control systems. Safety-relevant system data are subject to a mutual cyclic data comparison. Safety-relevant errors always lead to safe stopping of all drives through defined stop reactions.

Defined safety functions are triggered and safe operating statuses are achieved via safety-relevant inputs and outputs (dual-channel implementation), which have an influence on the system in all operating modes.

In this chapter you will find explanations of the functions that are additionally available on a TNC with functional safety.

You machine tool builder adapts the HEIDENHAIN safety concept to your machine. The machine manual provides further information.


Explanation of terms

Safety-related operating modes

Designation | Short description
SOM_1 | Safe operating mode 1: Automatic operation, production mode
SOM_2 | Safe operating mode 2: Set-up mode
SOM_3 | Safe operating mode 3: Manual intervention; only for qualified operators
SOM_4 | Safe operating mode 4: Advanced manual intervention, process monitoring

Safety functions

Designation | Short description
SS0, SS1, SS1F, SS2 | Safe stop: safe stopping of all drives using different methods
STO | Safe torque off: energy supply to the motor is interrupted. Provides protection against unexpected start of the drives
SOS | Safe operating stop. Provides protection against unexpected start of the drives
SLS | Safely-limited speed. Prevents the drives from exceeding the specified speed limits when the protective door is opened


Checking the axis positions

This function must be adapted to the TNC by your machine manufacturer. The machine manual provides further information.

After switch-on the TNC checks whether the position of an axis matches the position directly after switch-off. If it differs, the TNC marks this axis in the position display with a warning triangle after the position value. Axes that are marked with a warning triangle can no longer be moved while the door is opened.

In such cases you must approach a test position for the axes in question. Proceed as follows:

  • Select the Manual Operation mode

  • Scroll through the soft-key row until you see a row listing all axes that you have to move to the test position

  • Via soft key, select an axis that you want to move to the test position

Danger of collision!

Approach the test positions successively in such a way that no collision between tool and the workpiece or the clamping devices can occur. If necessary, pre-position the axes manually.

  • Approach with NC start

  • When the test position has been reached, the TNC asks whether the position was approached correctly: Confirm with the YES soft key if the TNC approached the test position correctly, and with NO if the position was not approached correctly

  • If you confirmed with YES, you must confirm the correctness of the test position again with the permissive button on the machine operating panel

  • Repeat this procedure for all axes that you want to move to the test position

The location of the test position is specified by your machine tool builder. The machine manual provides further information.


Overview of permitted feed rates and speeds

The TNC provides an overview of the permitted speeds and feed rates for all axes depending on the active mode of operation.

Select the Manual Operation mode

Scroll to the last soft-key row

Press the INFO SOM soft key: The TNC opens the window containing the overview of permitted speeds and feed rates

Column | Meaning
SLS2 | Safely limited speeds in the safety-related operating mode 2 (SOM_2) for the respective axes
SLS3 | Safely limited speeds in the safety-related operating mode 3 (SOM_3) for the respective axes
SLS4 | Safely limited speeds in the safety-related operating mode 4 (SOM_4) for the respective axes


Activating feed-rate limitation

When the F LIMITED soft key is set to ON, the TNC limits the maximum permissible axis speeds to the specified, safely limited speed. The valid speeds for the active mode of operation are shown in the Safety-MP table (siehe Overview of permitted feed rates and speeds).

Select the Manual Operation mode

Scroll to the last soft-key row

Switch on/off feed rate limit


Additional status displays

On a control with functional safety FS, the general status display contains additional information about the current status of safety functions. The TNC shows this information as operating statuses of the status displays T, S and F

Status display | Short description
STO | Energy supply to the spindle or a feed drive is interrupted.
SLS | Safely-limited speed: A safely limited speed is active.
SOS | Safe operating stop: Safe operating stop is active.
STO | Safe torque off: Energy supply to the motor is interrupted.

The TNC shows the active safety-related mode of operation with an icon in the header to the right of the operating mode text. If the SOM_1 mode is active, the TNC does not display any icon.

Icon | Safety-related operating mode
 | SOM_2 mode active
 | SOM_3 mode active
 | SOM_4 mode active


Workpiece presetting without a touch probe

Weitere Informationen:
> Note
> Preparation
> Workpiece presetting with axis keys
> Management of presets with the preset table


Note

Workpiece presetting with a touch probe: Workpiece presetting with a touch probe

You fix a preset by setting the TNC position display to the coordinates of a known position on the workpiece.


Preparation

  • Clamp and align the workpiece

  • Insert the zero tool with known radius into the spindle

  • Ensure that the TNC is showing the actual position values


Workpiece presetting with axis keys

Protective measure

If the workpiece surface must not be scratched, you can lay a metal shim of known thickness d on it. You then enter a value that is greater than the desired preset by the value d.

 | Select the Manual Operation mode
 | Move the tool slowly until it touches (scratches) the workpiece surface
 | Select an axis (all axes can also be selected via the ASCII keyboard)
DATUM SETTING Z=
 | Zero tool in spindle axis: Set the display to a known workpiece position (here, 0) or enter the thickness d of the shim. In the tool axis, offset the tool radius

Repeat the process for the remaining axes.

If the values for the tool in the tool axis have already been set, set the display of the tool axis to the length L of the tool or enter the sum Z=L+d


Management of presets with the preset table

You should definitely manage your presets if:

  • Your machine is equipped with rotary axes (tilting table or swivel head) and you work with the function for tilting the working plane
  • Your machine is equipped with a spindle-head changing system
  • Up to now you have been working with older TNC controls with REF-based datum tables
  • You wish to machine identical workpieces that are differently aligned

The preset table can contain any number of lines (presets). To optimize the file size and the processing speed, you should use only as many lines as you need for preset management.

For safety reasons, new lines can be inserted only at the end of the preset table.

If you switch the position display to INCH with the MOD function, the TNC will also show the saved preset coordinates in inches.

Machine parameter 7268.x can be used to arrange or hide columns in the preset table as desired List of general user parameters.

Weitere Informationen:
> Saving presets in the preset table
> Manually saving the presets in the preset table
> Editing the preset table
> Activating a preset from the preset table in the Manual Operation mode
> Activating a preset from the preset table in an NC program


Saving presets in the preset table

The preset table has the name PRESET.PR, and is saved in the directory TNC:\. PRESET.PR is editable only in the Manual Operation and Electronic Handwheel modes. In the Programming and Editing mode you can only read the table, not edit it.

It is permitted to copy the preset table into another directory (for data backup). Lines that were written by your machine tool builder are also always write-protected in the copied tables. You therefore cannot edit them.

Never change the number of lines in the copied tables! That could cause problems when you want to reactivate the table.

To activate the preset table copied to another directory you have to copy it back to the directory TNC:\.

    There are several methods for saving presets and/or basic rotations in the preset table:

  • Through probing cycles in the Manual Operation or El. Handwheel modes (see Chapter 14)Through the probing cycles 400 to 402 and 410 to 419 in automatic mode (see User’s Manual, Cycles, Chapters 14 and 15)Manual entry (see description below)

Basic rotations from the preset table rotate the coordinate system about the preset, which is shown in the same line as the basic rotation.

When setting a preset, the TNC checks whether the positions of the tilting axes match the corresponding values of the 3D ROT menu (depending on the setting in the kinematics table). Therefore:

  • If the "Tilt working plane" function is not active, the position display for the rotary axes must be = 0° (zero the rotary axes if necessary).
  • If the "Tilt working plane" function is active, the position displays for the rotary axes must match the angles entered in the 3-D ROT menu.

The machine manufacturer can lock any lines in the preset table in order to place fixed presets there (e.g. a center point for a rotary table). Such lines in the preset table are shown in a different color (default: red).

The line 0 in the preset table is write protected. In line 0, the TNC always saves the datum that you most recently set manually via the axis keys or via soft key. If the preset set manually is active, the TNC displays the text MAN(0) in the status display

If you automatically set the TNC display with the touch-probe cycles for presetting, then the TNC does not store these values in line 0.

Danger of collision!

Keep in mind that moving an indexing feature on your machine table (realized by changing the kinematics description) may also shift presets that are not directly connected to the indexing feature.


Manually saving the presets in the preset table

In order to save presets in the preset table, proceed as follows:

Select the Manual Operation mode

Move the tool slowly until it touches (scratches) the workpiece surface, or position the measuring dial correspondingly

Display the preset table: The TNC opens the preset table and sets the cursor to the active table row

Select functions for entering the presets: The TNC displays the available possibilities for entry in the soft-key row. See the table below for a description of the entry possibilities

Select the line in the preset table that you want to change (the line number is the datum number)

If needed, select the column (axis) in the preset table that you want to change

Use the soft keys to select one of the available entry possibilities (see the following table)

Function | Soft key
Directly transfer the actual position of the tool (the measuring dial) as the new preset: This function only saves the preset in the axis which is currently highlighted |
Assign any value to the actual position of the tool (the measuring dial): This function only saves the preset in the axis which is currently highlighted. Enter the desired value in the pop-up window |
Incrementally shift a preset already stored in the table: This function only saves the preset in the axis which is currently highlighted. Enter the desired corrective value with the correct sign in the pop-up window. If inch display is active: Enter the value in inches, and the TNC will internally convert the entered values to mm |
Directly enter the new preset without calculation of the kinematics (axis-specific). Only use this function if your machine has a rotary table, and you want to set the preset to the center of the rotary table by entering 0. This function only saves the preset in the axis which is currently highlighted. Enter the desired value in the pop-up window. If inch display is active: Enter the value in inches, and the TNC will internally convert the entered values to mm |
Write the currently active preset to a selectable line in the table: This function saves the preset in all axes, and then activates the appropriate row in the table automatically. If inch display is active: Enter the value in inches, and the TNC will internally convert the entered values to mm |


Editing the preset table
Editing function in table mode | Soft key
Select beginning of table |
Select end of table |
Select previous page in table |
Select next page in table |
Select the functions for entry of presets |
Activate the preset of the selected line of the preset table |
Add the entered number of lines to the end of the table (2nd soft-key row) |
Copy the highlighted field (2nd soft-key row) |
Insert the copied field (2nd soft-key row) |
Reset the selected line: The TNC enters - in all columns (2nd soft-key row) |
Insert a single line at the end of the table (2nd soft-key row) |
Delete a single line at the end of the table (2nd soft-key row) |


Activating a preset from the preset table in the Manual Operation mode

Danger of collision!

When activating a preset from the preset table, the TNC resets the active datum shift.

However, a coordinate transformation that was programmed in Cycle 19 Tilted Working Plane, or through the PLANE function, remains active.

If you activate a preset that does not contain values in all coordinates, the last effective preset remains active in these axes.

Select the Manual Operation mode

Display the preset table

Select the preset number that you want to activate, or

With the GOTO key, select the preset number that you want to activate. Confirm with the ENT key.

Activate the preset

Confirm activation of the preset. The TNC sets the display and—if defined—the basic rotation

Exit the preset table


Activating a preset from the preset table in an NC program

To activate presets from the preset table during program run, use Cycle 247. In Cycle 247 you only define the number of the preset that you want to activate (see User's Manual for Cycles, Cycle 247 SET DATUM).


Using touch-probes

Weitere Informationen:
> Overview
> Selecting touch probe cycles
> Recording measured values from the touch-probe cycles
> Writing the measured values from touch probe cycles to datum tables
> Writing the measured values from touch probe cycles in the preset table
> Storing measured values in the pallet preset table


Overview

Please note that HEIDENHAIN grants a warranty for the function of the touch probe cycles only if HEIDENHAIN touch probes are used!

The following touch probe cycles are available in the Manual Operation mode:

Function | Soft key | Page
Calibrating the effective length |  | Calibrating the effective length
Calibrating the effective radius |  | Calibrating the effective radius and compensating center offset
Measuring a basic rotation using a line |  | Basic rotation using 2 points:
Setting the datum in any axis |  | Workpiece presetting in any axis
Setting a corner as preset |  | Corner as preset—using points that were already probed for a basic rotation
Set a circle center as preset |  | Circle center as preset
Setting the centerline as preset |  | Center line as preset
Measuring a basic rotation using two holes/cylindrical studs |  | Setting presets using holes/cylindrical studs
Setting a preset using four holes/cylindrical studs |  | Setting presets using holes/cylindrical studs
Setting a circle center using three holes/cylindrical studs |  | Setting presets using holes/cylindrical studs


Selecting touch probe cycles

  • Select the Manual Operation or El. Handwheel mode of operation

Select the touch probe functions: Press the TOUCH PROBE soft key. The TNC displays additional soft keys: see table above

Select the touch probe cycle by pressing the appropriate soft key, for example PROBING ROT for the TNC to display the associated menu


Recording measured values from the touch-probe cycles

The TNC must be specially prepared by the machine tool builder for use of this function. The machine manual provides further information.

After executing any selected probe cycle, the TNC displays the soft key PRINT. If you press this soft key, the TNC will record the current values determined in the active touch probe cycle. You can then use the PRINT function in the menu for setting the data interface (see the User's Manual Chapter 12, "MOD Functions, Setting the Data Interfaces") to define whether the TNC is to

  • print the measuring result,
  • store the measuring results on the TNC’s hard disk, or
  • store the measuring results on a PC.

If you store the measuring results, the TNC creates the ASCII file %TCHPRNT.A. Unless you define a specific path and interface in the interface configuration menu, the TNC will store the %TCHPRNT file in the main directory TNC:\.

When you press the PRINT soft key, the %TCHPRNT.A file must not be active in the Programming and Editing mode of operation. The TNC will otherwise display an error message.

The TNC stores the measured data in the %TCHPRNT.A file only. If you execute several touch probe cycles in succession and want to store the resulting measured data, you must make a backup of the contents stored in %TCHPRNT.A between the individual cycles by copying or renaming the file.

Format and contents of the %TCHPRNT file are preset by the machine tool builder.


Writing the measured values from touch probe cycles to datum tables

This function is active only if you have datum tables active on your TNC (bit 3 in Machine Parameter 7224.0 =0).

Use this function if you want to save measured values in the workpiece coordinate system. If you want to save measured values in the machine-based coordinate system (REF coordinates), press the ENTER IN PRESET TABLE soft key (siehe Writing the measured values from touch probe cycles in the preset table).

With the ENTER IN DATUM TABLE soft key, the TNC can write the values measured during a touch probe cycle in a datum table:

Danger of collision!

Note that during an active datum shift the TNC always bases the probed value on the active preset (or on the preset most recently set in the Manual operating mode), although the datum shift is included in the position display.

  • Select any probe function

  • Enter the desired coordinates of the preset in the appropriate input boxes (depends on the touch probe cycle being run)

  • Enter the datum number in the Number in table= input box

  • Enter the name of the datum table (complete path) in the Datum table input box

  • Press the ENTER IN DATUM TABLE soft key. The TNC saves the datum in the indicated datum table under the entered number.


Writing the measured values from touch probe cycles in the preset table

Use this function if you want to save measured values in the machine-based coordinate system (REF coordinates). If you want to save measured values in the workpiece coordinate system, press the ENTER IN DATUM TABLE soft key (siehe Writing the measured values from touch probe cycles to datum tables).

With the ENTER IN PRESET TABLE soft key, the TNC can write the values measured during a probe cycle in the preset table. The measured values are then stored referenced to the machine-based coordinate system (REF coordinates). The preset table has the name PRESET.PR, and is saved in the directory TNC:\.

Danger of collision!

Note that during an active datum shift the TNC always bases the probed value on the active preset (or on the preset most recently set in the Manual operating mode), although the datum shift is included in the position display.

  • Select any probe function

  • Enter the desired coordinates of the preset in the appropriate input boxes (depends on the touch probe cycle being run)

  • Enter the preset number in the Number in table: input box

  • Press the ENTER IN PRESET TABLE soft key. The TNC saves the datum in the preset table under the entered number

If you overwrite the active preset, the TNC shows a warning. If you really want to overwrite it, press the ENT key. If not, press the NO ENT key.


Storing measured values in the pallet preset table

You use this function for determining pallet presets. This function must be enabled by your machine tool builder.

In order to store a measured value in the pallet preset table, you must activate a zero preset before probing. A zero preset consists of the entry 0 in all axes of the preset table!

  • Select any probe function

  • Enter the desired coordinates of the preset in the appropriate input boxes (depends on the touch probe cycle being run)

  • Enter the preset number in the Number in table: input box

  • Press the ENTER IN PALLET PRES. TAB. soft key. The TNC saves the datum in the pallet preset table under the entered number


Calibrating touch probes

Weitere Informationen:
> Introduction
> Calibrating the effective length
> Calibrating the effective radius and compensating center offset
> Displaying calibration values
> Managing more than one block of calibration data


Introduction

In order to precisely specify the actual trigger point of a touch probe, you must calibrate the touch probe, otherwise the TNC cannot provide precise measuring results.

Always calibrate a touch probe in the following cases:

  • Initial configuration
  • Stylus breakage
  • Stylus exchange
  • Change in the probe feed rate
  • Irregularities caused, for example, when the machine heats up
  • Change of active tool axis

During calibration, the TNC finds the "effective" length of the stylus and the "effective" radius of the ball tip. To calibrate the touch probe, clamp a ring gauge of known height and known internal radius to the machine table.


Calibrating the effective length

The effective length of the touch probe is always referenced to the tool datum. The machine tool builder usually defines the spindle tip as the tool datum.

  • Set the datum in the spindle axis such that for the machine tool table Z=0.

To select the calibration function for the touch probe length, press the TOUCH PROBE and CAL. L soft keys. The TNC then displays a menu window with four input fields

Enter the tool axis (with the axis key)

Datum: Enter the height of the ring gauge

The menu items Effective ball radius and Effective length do not require input

Move the touch probe to a position just above the ring gauge

To change the traverse direction (if necessary), press a soft key or an arrow key

To probe the upper surface, press the NC Start button


Calibrating the effective radius and compensating center offset

After the touch probe is inserted, it normally needs to be aligned exactly with the spindle axis. The calibration function determines the misalignment between touch probe axis and spindle axis and computes the compensation.

The calibration routine varies depending on the setting of Machine Parameter 6165 (spindle orientation active/inactive). If the function for orienting the infrared touch probe to the programmed probe direction is active, the calibration cycle is executed after you have pressed NC Start once. If the function is not active, you can decide whether you want to compensate the center misalignment by calibrating the effective radius.

The TNC rotates the touch probe by 180° for calibrating the center misalignment. The rotation is initiated by a miscellaneous function that is set by the machine tool builder in Machine Parameter 6160.

Proceed as follows for manual calibration:

  • In the Manual Operation mode, position the ball tip inside the bore of the ring gauge

Select the calibration function for the ball-tip radius and the touch probe center misalignment: Press the CAL. R soft key

Select the tool axis and enter the radius of the ring gauge

Probing: press the NC Start button four times. The touch probe contacts a position on the hole in each axis direction and calculates the effective ball-tip radius

If you want to terminate the calibration function at this point, press the END soft key

In order to be able to determine the ball-tip center misalignment, the TNC needs to be specially prepared by the machine manufacturer. The machine manual provides further information.

If you want to determine the ball-tip center misalignment, press the 180° soft key. The TNC rotates the touch probe by 180°

Probing: press the NC Start button four times. The touch probe contacts a position in the hole in each axis direction and calculates the ball-tip center misalignment


Displaying calibration values

The TNC stores the effective length and radius, as well as the center misalignment, for use when the touch probe is needed again. You can display the values on the screen with the soft keys CAL. L and CAL. R.

If you want to use several touch probes or calibration data blocks: Siehe Managing more than one block of calibration data.


Managing more than one block of calibration data

If you use several touch probes or measuring contacts arranged in a cross shape on your machine, you must also use several blocks of calibration data.

To be able to use more than one block of calibration data, you must set Machine Parameter 7411=1. To find the calibration data, proceed in the same way as is done with one single touch probe. When exiting the Calibration menu, press the ENT key to confirm the entry of the calibration data in the tool table and for the TNC to save the calibration data in the tool table.

    The TNC saves the calibration data in the following columns of the tool table:

  • Effective ball tip radius (column R)
  • Center misalignment X: CAL-OF1
  • Center misalignment Y: CAL-OF2
  • Calibration angle: ANGLE
  • Averaged center misalignment (only effective for cycle 441): DR

The line of the tool table, to which the TNC saves the data, is determined by the active tool number.

Make sure that you have activated the correct tool number before using the touch probe, regardless of whether you wish to run the touch probe cycle in automatic mode or manual mode.

If MP 7411=1 is set, the TNC shows the tool number and name in the calibration menu.


Compensating workpiece misalignment with a 3-D touch probe

Weitere Informationen:
> Introduction
> Basic rotation using 2 points:
> Determining basic rotation using 2 holes/studs:
> Workpiece alignment using 2 points


Introduction

The TNC electronically compensates workpiece misalignment by computing a "basic rotation."

For this purpose, the TNC sets the rotation angle to the desired angle with respect to the reference axis in the working plane. See figure at right.

As an alternative, you can also compensate the misalignment by rotating the rotary table.

Select the probe direction perpendicular to the angle reference axis when measuring workpiece misalignment.

To ensure that the basic rotation is calculated correctly during program run, program both coordinates of the working plane in the first positioning block.

You can also use a basic rotation in conjunction with the PLANE function. In this case, first activate the basic rotation and then the PLANE function.

If you change the basic rotation, the TNC asks you if you also want to save the changed basic rotation in the active line of the preset table when you exit the menu. In this case, confirm with the ENT key.

If your machine has been prepared for it, the TNC can also conduct a real, three-dimensional set-up compensation. If necessary, contact your machine tool builder.

Setting bit 18 in MP7680 suppresses the error message Axis angle not equal to tilt angle when a manual probing cycle is used to measure a basic rotation or to align the workpiece by means of the rotary axis. This way you can determine the basic rotation at positions that would not be accessible without tilting the head.

Weitere Informationen:
> Overview


Overview
Cycle | Soft key
Basic rotation using 2 points: The TNC measures the angle between the line connecting the two holes and a nominal position (angle reference axis). |
Basic rotation using 2 holes/studs: The TNC measures the angle between the line connecting the centers of two holes/studs and a nominal position (angle reference axis). |
Workpiece alignment using 2 points: The TNC measures the angle between the line connecting the two points and a nominal position (angle reference axis) and compensates the misalignment by turning the rotary table. |


Basic rotation using 2 points:

Select the probe function by pressing the PROBING ROT soft key

Position the touch probe at a position near the first touch point

Select the probe direction perpendicular to the angle reference axis: Select the axis by soft key

Start the probing procedure: Press the NC Start button

Position the touch probe at a position near the second touch point

Probing: press the NC Start button. The TNC determines the basic rotation and displays the angle after the dialog Rotation angle =
Weitere Informationen:
> Saving the basic rotation in the preset table
> Storing the basic rotation in the pallet preset table
> Displaying a basic rotation
> Canceling a basic rotation


Saving the basic rotation in the preset table

  • After the probing process, enter the preset number in which the TNC is to save the active basic rotation in the Number in table: input box

  • Press the ENTRY IN PRESET TABLE soft key to save the basic rotation in the preset table


Storing the basic rotation in the pallet preset table

In order to store a basic rotation in the pallet preset table, you must activate a zero preset before probing. A zero preset consists of the entry 0 in all axes of the preset table!

  • After the probing process, enter the preset number in which the TNC is to save the active basic rotation in the Number in table: input box

  • Press the ENTRY IN PALLET PRES. TAB. soft key to save the basic rotation in the pallet preset table

The TNC shows an active pallet preset in the additional status display (siehe General pallet information (PAL tab)).


Displaying a basic rotation

The angle of the basic rotation appears after ROTATION ANGLE whenever PROBING ROT is selected. The TNC also displays the rotation angle in the additional status display (STATUS POS.)

In the status display a symbol is shown for a basic rotation whenever the TNC is moving the axes according to a basic rotation.


Canceling a basic rotation

  • Select the probe function by pressing the PROBING ROT soft key

  • Enter a rotation angle of zero and confirm with the ENT key.

  • Terminate the probe function by pressing the END key


Determining basic rotation using 2 holes/studs:

Select the probe function by pressing the PROBING ROT soft key (soft-key row 2)

Circular studs are to be probed. Define by soft key

Holes are to be probed. Define by soft key

Weitere Informationen:
> Probing holes
> Probing cylindrical studs
> Saving the basic rotation in the preset table


Probing holes

Pre-position the touch probe approximately in the center of the hole. After you have pressed the NC Start key, the TNC automatically probes four points on the wall of the hole.

Move the touch probe to the next hole, repeat the probing operation and have the TNC repeat the probing procedure until all the holes have been probed to set reference points.


Probing cylindrical studs

Position the touch probe at a position near the first touch point of the stud. Select the probing direction by soft key and press the machine START button to start probing. Perform the above procedure four times.


Workpiece alignment using 2 points

Select the probe function by pressing the PROBING ROT soft key (soft-key row 2)

Position the touch probe at a position near the first touch point

Select the probe direction perpendicular to the angle reference axis: Select the axis by soft key

Start the probing procedure: Press the NC Start button

Position the touch probe at a position near the second touch point

Probing: press the NC Start button. The TNC determines the basic rotation and displays the angle after the dialog Rotation angle =
Weitere Informationen:
> Workpiece alignment:
> Saving the misalignment in the preset table


Workpiece alignment:

Danger of collision!

Retract the touch probe before alignment so as to exclude a collision with the fixtures or workpieces.

  • Press the Position Rotary Table soft key. The TNC will show a warning that the touch probe must be retracted

  • Start alignment with NC Start: The TNC will position the rotary table

  • After the probing process, enter the preset number in which the TNC is to save the active basic rotation in the Number in table: input box


Saving the misalignment in the preset table

  • After the probing process, enter the preset number in which the TNC is to save the measured misalignment in the Number in table: input box.

  • Press the ENTRY IN PRESET TABLE soft key to save the angle value as displacement in the rotary axis in the preset table


Workpiece presetting with a touch probe

Weitere Informationen:
> Overview
> Workpiece presetting in any axis
> Corner as preset—using points that were already probed for a basic rotation
> Corner as preset—without using points that were already probed for a basic rotation
> Circle center as preset
> Center line as preset
> Setting presets using holes/cylindrical studs
> Measuring the workpiece with a touch probe
> Using touch probe functions with mechanical probes or dial gauges


Overview

The following soft-key functions are available for setting a preset on an aligned workpiece:

Soft key | Function | Page
 | Presetting in any axis | Workpiece presetting in any axis
 | Setting a corner as preset | Corner as preset—using points that were already probed for a basic rotation
 | Set a circle center as preset | Circle center as preset
 | Center line as preset | Center line as preset

Danger of collision!

Note that during an active datum shift the TNC always bases the probed value on the active preset (or on the preset most recently set in the Manual operating mode), although the datum shift is included in the position display.


Workpiece presetting in any axis

To select the touch probe function, press the PROBING POS soft key

Move the touch probe to a position near the touch point

Use the soft keys to select the probe axis and direction in which you want to set the preset, such as Z in direction Z–

Start the probing procedure: Press the NC Start button

Datum: Enter the nominal coordinate and confirm your entry with the SET DATUM soft key, or write the value to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table, or siehe Storing measured values in the pallet preset table)

To terminate the probe function, press the END key


Corner as preset—using points that were already probed for a basic rotation

Select the touch probe function: Press the PROBING P soft key

Touch points of basic rotation ?: Press ENT to transfer the touch point coordinates

Position the touch probe at a position near the first touch point of the side that was not probed for basic rotation

Select the probe direction by soft key

Start the probing procedure: Press the NC Start button

Position the touch probe near the second touch point on the same workpiece edge

Start the probing procedure: Press the NC Start button

Datum: Enter both coordinates of the preset in the menu window, confirm with the Set datum soft key, or write the values to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table, or siehe Storing measured values in the pallet preset table)

To terminate the probe function, press the END key


Corner as preset—without using points that were already probed for a basic rotation

  • Select the touch probe function: Press the PROBING P soft key

  • Touch points of basic rotation?: Press NO ENT to ignore the previous touch points. (The dialog question only appears if a basic rotation was made previously)

  • Probe both workpiece edges twice

  • Datum: Enter the coordinates of the preset and confirm your entry with the SET DATUM soft key, or write the values to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table, or siehe Storing measured values in the pallet preset table)

  • To terminate the probe function, press the END key


Circle center as preset

With this function, you can set the preset at the center of bore holes, circular pockets, cylinders, studs, circular islands, etc.

Weitere Informationen:
> Inside circle:
> Outside circle:


Inside circle:

The TNC probes the inside wall of a circle in all four coordinate axis directions.

For incomplete circles (circular arcs) you can choose the appropriate probing direction.

  • Position the touch probe approximately in the center of the circle

Select the touch probe function: Press the PROBING CC soft key

Probing: press the NC Start button four times. The touch probe touches four points on the inside of the circle

If you are probing to find the stylus center (only available on machines with spindle orientation, depending on MP6160), press the 180° soft key and probe another four points on the inside of the circle

If you are not probing to find the stylus center, press the END key

Datum: In the menu window, enter both coordinates of the circle center, confirm with the SET DATUM soft key, or write the values to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table)

To terminate the probing function, press the END key


Outside circle:

  • Position the touch probe at a position near the first touch point outside of the circle

  • Select the probe direction by soft key

  • Start the probing procedure: Press the NC Start button

  • Repeat the probing process for the remaining three points. See figure at lower right

  • Datum: Enter the coordinates of the preset and confirm your entry with the SET DATUM soft key, or write the values to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table, or siehe Storing measured values in the pallet preset table)

  • To terminate the probe function, press the END key

After the probing procedure is completed, the TNC displays the current coordinates of the circle center and the circle radius PR.


Center line as preset

Select the probe function: Press the PROBING soft key

Position the touch probe at a position near the first touch point

Select the probing direction by soft key

Start the probing procedure: Press the NC Start button

Position the touch probe at a position near the second touch point

Start the probing procedure: Press the NC Start button

Datum: Enter the coordinate of the preset in the menu window, confirm with the SET DATUM soft key, or write the value to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table, or siehe Storing measured values in the pallet preset table)

To terminate the probe function, press the END key


Setting presets using holes/cylindrical studs

A second soft-key row provides soft keys for using holes or cylindrical studs to set a reference point.

Weitere Informationen:
> Defining whether a hole or stud is to be probed
> Probing holes
> Probing cylindrical studs
> Overview


Defining whether a hole or stud is to be probed

The default setting is for probing holes.

Select the probe function by pressing the TOUCH PROBE soft key, shift the soft-key row

Select the probe function: For example, press the PROBING P soft key

Circular studs are to be probed. Define by soft key

Holes are to be probed. Define by soft key


Overview
Cycle | Soft key
Basic rotation using 2 holes: The TNC measures the angle between the line connecting the centers of two holes and a nominal position (angle reference axis). |
Preset using 4 holes: The TNC calculates the intersection of the line connecting the first two probed holes with the line connecting the last two probed holes. You need to probe diagonally opposite holes one after another (as shown on the soft key), as otherwise the preset calculated by the TNC will be incorrect. |
Circle center using 3 holes: The TNC calculates a circle that intersects the centers of all three holes, and finds the center. |


Measuring the workpiece with a touch probe

You can also use the touch probe in the Manual Operation and El. Handwheel operating modes to make simple measurements on the workpiece. Numerous programmable probe cycles are available for complex measuring tasks (see User's Manual for Cycles, Chapter 16, Checking workpieces automatically). With a touch probe you can determine:

  • Position coordinates, and from them,
  • Dimensions and angles on the workpiece
Weitere Informationen:
> Finding the coordinates of a position on an aligned workpiece
> Finding the coordinates of a corner in the working plane
> Measuring workpiece dimensions
> Finding the angle between the angle reference axis and a workpiece edge


Finding the coordinates of a position on an aligned workpiece

Select the probing function: Press the PROBING POS soft key

Move the touch probe to a position near the touch point

Select the probe direction and axis of the coordinate. Use the corresponding soft keys for selection

To start probing, press the NC Start button

The TNC shows the coordinates of the touch point as reference point.


Finding the coordinates of a corner in the working plane

Find the coordinates of the corner point: Siehe Corner as preset—without using points that were already probed for a basic rotation. The TNC displays the coordinates of the probed corner as reference point.


Measuring workpiece dimensions

Select the probing function: Press the PROBING POS soft key

Position the touch probe at a position near the first touch point A

Select the probing direction by soft key

Start the probing procedure: Press the NC Start button

If you need the current datum later, write down the value that appears in the Datum display

Datum: Enter "0"

Cancel the dialog: Press the END key

Select the probing function again: Press the PROBING POS soft key

Position the touch probe at a position near the second touch point B

Select the probe direction with the soft keys: Same axis but from the opposite direction

Start the probing procedure: Press the NC Start button

The value displayed as preset is the distance between the two points on the coordinate axis.

Weitere Informationen:
> To return to the preset that was active before the length measurement:
> Angle measurement


To return to the preset that was active before the length measurement:

  • Select the probing function: Press the PROBING POS soft key

  • Probe the first touch point again

  • Set the datum to the value that you wrote down previously

  • Cancel the dialog: Press the END key


Angle measurement

You can use a touch probe to measure angles in the working plane. You can measure

  • the angle between the angle reference axis and a workpiece edge, or
  • the angle between two sides

The measured angle is displayed as a value of maximum 90°.


Finding the angle between the angle reference axis and a workpiece edge

Select the probe function by pressing the PROBING ROT soft key

Rotation angle: If you will need the current basic rotation later, write down the value that appears under Rotation angle

Make a basic rotation with workpiece edge to be compared (siehe Compensating workpiece misalignment with a 3-D touch probe)

Press the PROBING ROT soft key to display the angle between the angle reference axis and the workpiece edge as the rotation angle

Cancel the basic rotation, or restore the previous basic rotation

Set the rotation angle to the value that you previously wrote down

Weitere Informationen:
> Measuring the angle between two workpiece edges


Measuring the angle between two workpiece edges

  • Select the probe function by pressing the PROBING ROT soft key

  • Rotation angle: If you need the current basic rotation later, write down the displayed rotation angle

  • Make a basic rotation with first workpiece edge (siehe Compensating workpiece misalignment with a 3-D touch probe)

  • Probe the second edge as for a basic rotation, but do not set the rotation angle to zero!

  • Press the PROBING ROT soft key to display the angle PA between the workpiece edges as the rotation angle

  • Cancel the basic rotation, or restore the previous basic rotation by setting the rotation angle to the value that you wrote down previously


Using touch probe functions with mechanical probes or dial gauges

If you do not have an electronic touch probe on your machine, you can also use all the previously described manual touch probe functions (exception: calibration function) with mechanical probes or by simply touching the workpiece with the tool.

In place of the electronic signal generated automatically by a touch probe during probing, you can manually initiate the trigger signal for capturing the probing position by pressing a key. Proceed as follows:

Select any touch probe function by soft key

Move the mechanical probe to the first position to be captured by the TNC

Confirm the position: Press the actual-position-capture key for the TNC to save the current position

Move the mechanical probe to the next position to be captured by the TNC

Confirm the position: Press the actual-position-capture key for the TNC to save the current position

If required, move to additional positions and capture as described previously

Datum: In the menu window, enter the coordinates of the new preset, confirm with the SET DATUM soft key, or write the values to a table (siehe Writing the measured values from touch probe cycles to datum tables, or siehe Writing the measured values from touch probe cycles in the preset table)

To terminate the probing function, press the END key


Tilting the working plane (software option 1)

Weitere Informationen:
> Application, function
> Traversing reference points in tilted axes
> Setting a preset in a tilted coordinate system
> Presetting on machines with rotary tables
> Presetting on machines with spindle-head changing systems
> Position display in a tilted system
> Limitations on working with the tilting function
> Activating manual tilting
> Setting the current tool-axis direction as the active machining direction (FCL 2 function)


Application, function

The functions for tilting the working plane are interfaced to the TNC and the machine tool by the machine tool builder. With some swivel heads and tilting tables, the machine tool builder determines whether the entered angles are interpreted as coordinates of the rotary axes or as angular components of a tilted plane. Refer to your machine manual.

The TNC supports the tilting functions on machine tools with swivel heads and/or tilting tables. Typical applications are, for example, oblique holes or contours in an oblique plane. The working plane is always tilted around the active datum. The program is written as usual in a main plane, such as the X/Y plane, but is executed in a plane that is tilted relative to the main plane.

    There are three functions available for tilting the working plane:

  • Manual tilting with the 3-D ROT soft key in the Manual Operation mode and Electronic Handwheel mode, siehe Activating manual tilting

  • Tilting under program control, Cycle g80 in the part program (see User’s Manual for Cycles, Cycle 19 WORKING PLANE)

  • Tilting under program control, plane function in the part program (siehe The PLANE function: Tilting the working plane (software option 1))

The TNC functions for "tilting the working plane" are coordinate transformations. The working plane is always perpendicular to the direction of the tool axis.

    When tilting the working plane, the TNC differentiates between two machine types:

  • Machine with tilting table
    • You must tilt the workpiece into the desired position for machining by positioning the tilting table, for example with an L block.

    • The position of the transformed tool axis does not change in relation to the machine-based coordinate system. Thus if you rotate the table—and therefore the workpiece—by 90° for example, the coordinate system does not rotate. If you press the Z+ axis direction button in the Manual Operation mode, the tool moves in Z+ direction.

    • In calculating the transformed coordinate system, the TNC considers only the mechanically influenced offsets of the particular tilting table (the so-called "translational" components).
  • Machine with swivel head
    • You must bring the tool into the desired position for machining by positioning the swivel head, for example with an L block.
    • The position of the transformed tool axis changes in relation to the machine-based coordinate system. Thus if you rotate the swivel head of your machine—and therefore the tool—in the B axis by 90° for example, the coordinate system rotates also. If you press the Z+ axis direction button in the Manual Operation mode, the tool moves in X+ direction of the machine-based coordinate system.
    • In calculating the transformed coordinate system, the TNC considers both the mechanically influenced offsets of the particular swivel head (the so-called "translational" components) and offsets caused by tilting of the tool (3-D tool length compensation).


Traversing reference points in tilted axes

With tilted axes, you use the machine axis direction buttons to cross over the reference points. The TNC interpolates the corresponding axes. Be sure that the function for tilting the working plane is active in the Manual Operation mode and that the actual angle of the tilted axis was entered in the menu field.


Setting a preset in a tilted coordinate system

    After you have positioned the rotary axes, set the preset in the same manner as for a non-tilted system. The behavior of the TNC during presetting depends on the settings of Machine Parameter 7500 in your kinematics table:

  • MP7500, bit 5=0
    With an active tilted working plane, the TNC checks during presetting in the X, Y and Z axes whether the current coordinates of the rotary axes agree with the tilt angles that you defined (3-D ROT menu). If the tilted working plane function is not active, the TNC checks whether the rotary axes are at 0° (actual positions). If the positions do not agree, the TNC will display an error message.

  • MP7500, bit 5=1
    The TNC does not check whether the current coordinates of the rotary axes (actual positions) agree with the tilt angles that you defined.

Danger of collision!

Always set a reference point in all three reference axes.

If your machine tool is not equipped with axis control, you must enter the actual position of the rotary axis in the menu for manual tilting: The actual positions of one or several rotary axes must match the entry. Otherwise the TNC will calculate an incorrect datum.


Presetting on machines with rotary tables

If you use a rotary table to align the workpiece, for example with probing cycle 403, you must set the table position value to zero after alignment and before setting the preset in the linear axes X, Y and Z. Otherwise, the TNC generates an error message. Cycle 403 provides you with an input parameter for this purpose (see User’s Manual for Touch Probe Cycles, "Basic Rotation Compensation via Rotary Axis").


Presetting on machines with spindle-head changing systems

If your machine is equipped with a spindle head changer, you should use the preset table to manage your presets. Presets saved in preset tables account for the active machine kinematics (head geometry). If you exchange heads, the TNC accounts for the new head dimensions so that the active preset is retained.


Position display in a tilted system

The positions displayed in the status window (ACTL. and NOML.) are referenced to the tilted coordinate system.


Limitations on working with the tilting function

  • The probing function for basic rotation is not available if you have activated the working plane function in the Manual Operation mode.
  • The actual-position-capture function is not allowed if the tilted working plane function is active.
  • PLC positioning (determined by the machine tool builder) is not possible.


Activating manual tilting

 | To select manual tilting, press the 3-D ROT soft key.
 | Use the arrow keys to move the highlight to the Manual Operation menu item
 | To activate manual tilting, press the Active soft key
 | Use the arrow keys to position the highlight on the desired rotary axis
Enter the tilt angle
 | To conclude entry, press the END key

To reset the tilting function, set the desired operating modes in the menu "Tilt working plane" to inactive.

If the tilted working plane function is active and the TNC moves the machine axes in accordance with the tilted axes, the status display shows the [image] symbol.

If you activate the "Tilt working plane" function for the Program Run operating mode, the tilt angle entered in the menu becomes active in the first block of the part program. If you use Cycle g80 or the PLANE function in the part program, the angle values defined there are in effect. Angle values entered in the menu will be overwritten.


Setting the current tool-axis direction as the active machining direction (FCL 2 function)

This function must be enabled by your machine manufacturer. Refer to your machine manual.

    In the Manual Operation and El. Handwheel modes of operation you can use this function to move the tool via the external direction keys or with the handwheel in the direction that the tool axis is currently pointed. Use this function if

  • You want to retract the tool in the direction of the tool axis during program interrupt of a 5-axis machining program.
  • You want to machine with an inclined tool using the handwheel or the external direction keys in the Manual Operation mode.

To select manual tilting, press the 3-D ROT soft key.

Use the arrow keys to move the highlight to the Manual Operation menu item

To activate the current tool-axis direction as the active machining direction, press the Tool Axis soft key

To conclude entry, press the END key

To reset the tilting function, set the Manual Operation menu item in the "Tilt working plane" menu to inactive.

The [image] symbol appears in the status display when the Move in tool-axis direction function is active.

This function is even available when you interrupt program run and want to move the axes manually.


Positioning with Manual Data Input

Weitere Informationen:
> Programming and executing simple machining operations


Programming and executing simple machining operations

The Positioning with Manual Data Input mode of operation is particularly convenient for simple machining operations or to pre-position the tool. It enables you to write a short program in HEIDENHAIN conversational programming or in ISO format, and execute it immediately. Fixed cycles, touch-probe cycles and special functions (SPEC FCT key) of the TNC are also available in the MDI mode of operation. The TNC saves the program automatically in the $MDI file. In the Positioning with MDI mode of operation, the additional status displays can also be activated.

Weitere Informationen:
> Positioning with manual data input (MDI)
> Protecting and erasing programs in $MDI


Positioning with manual data input (MDI)

Select the Positioning with MDI mode of operation. Program the $MDI file with the available functions

Start the program run: Press the machine START key

Constraints:

FK free contour programming, programming graphics and program run graphics cannot be used.

The $MDI file must not contain a program call (%).

Example 1

A hole with a depth of 20 mm is to be drilled into a single workpiece. After clamping and aligning the workpiece and setting the datum, you can program and execute the drilling operation in a few lines.

First you pre-position the tool with straight-line blocks to the hole center coordinates at a setup clearance of 5 mm above the workpiece surface. Then drill the hole with Cycle G200.

%$mdi g71 * |
n10 t1 g17 s2000 * | Call the tool: tool axis Z,
 | spindle speed 2000 rpm
n20 g00 g40 g90 z+200 * | Retract the tool (rapid traverse)
n30 x+50 y+50 m3 * | Move the tool at rapid traverse to a position above the hole,
 | spindle on
n40 g01 z+2 f2000 * | Position the tool to 2 mm above the hole
n50 g200 DRILLING * | Define Cycle G200 DRILLING
Q200=2 ;SET-UP CLEARANCE | Set-up clearance of the tool above the hole
Q201=-20 ;DEPTH | Hole depth (algebraic sign=working direction)
Q206=250 ;FEED RATE FOR PLNGNG | Feed rate for drilling
Q202=10 ;PLUNGING DEPTH | Depth of each infeed before retraction
Q210=0 ;DWELL TIME AT TOP | Dwell time at top for chip release (in seconds)
Q203=+0 ;SURFACE COORDINATE | Workpiece surface coordinate
Q204=50 ;2ND SET-UP CLEARANCE | Position after the cycle, with respect to Q203
Q211=0.5 ;DWELL TIME AT DEPTH | Dwell time in seconds at the hole bottom
n60 g79 * | Call Cycle G200 PECKING
n70 g00 g40 z+200 m2 * | Retract the tool
n9999999 %$mdi g71 * | End of program

Straight-line function: Siehe Straight line at rapid traverse G00 Straight line with feed rate G01 F, DRILLING cycle: See User’s Manual, Cycles, Cycle 200 DRILLING.

Example 2: Correcting workpiece misalignment on machines with rotary tables
Use the touch probe to rotate the coordinate system. See "Touch Probe Cycles in the Manual Operation and El. Handwheel modes of operation," section "Compensating workpiece misalignment," in the Touch Probe Cycles User's Manual.
Write down the rotation angle and cancel the basic rotation
 | Select operating mode: Positioning with MDI
 | Select the rotary table axis, enter the rotation angle and feed rate you wrote down, for example: G01 G40 G90 C+2.561 F50
 | Conclude entry
 | Press the NC Start button: The rotation of the table corrects the misalignment


Protecting and erasing programs in $MDI

The $MDI file is generally intended for short programs that are only needed temporarily. Nevertheless, you can store a program, if necessary, by proceeding as described below:

 | Select the Programming and Editing mode of operation
 | Press the PGM MGT key (program management) to call the file manager
 | Move the highlight to the $MDI file
 | Select the file copying function: Press the COPY soft key
Destination file =
 | Enter the name under which you want to save the current contents of the $MDI file
 | Copy the file
 | Close the file manager: Press the END soft key

Erasing the contents of the $MDI file is done in a similar way: Instead of copying the contents, however, you erase them with the DELETE soft key. The next time you select the Positioning with MDI operating mode, the TNC will display an empty $MDI file.

    If you wish to delete $MDI, then

  • you must not have selected the Positioning with MDI mode (not even in the background)
  • you must not have selected the $MDI file in the Programming and Editing mode.

For more information: siehe Copying a single file.


Test Run and Program Run

Weitere Informationen:
> Graphics
> Functions for program display
> Test Run
> Program Run
> Automatic program start
> Optional block skip
> Optional program-run interruption


Graphics

Weitere Informationen:
> Application
> Overview of display modes
> Plan view
> Projection in 3 planes
> 3-D view
> Magnifying details
> Repeating graphic simulation
> Displaying the tool
> Measurement of machining time


Application

    In the program run modes of operation as well as in the Test Run mode, the TNC graphically simulates the machining of the workpiece. Using soft keys, select whether you desire:

  • Plan view
  • Projection in three planes
  • 3-D view

The TNC graphic depicts the workpiece as if it were being machined with a cylindrical end mill. If a tool table is active, you can also simulate the machining operation with a spherical cutter. For this purpose, enter R2 = R in the tool table.

    The TNC will not show a graphic if

  • the current program has no valid workpiece blank definition
  • no program is selected

Using the new 3-D graphics in the Test Run mode, you can now also graphically display machining operations in the tilted working plane as well as multi-sided machining operations, provided that you have already simulated the program in another view. You need at least the MC 422 B hardware in order to use this function. In order to increase the speed of the test graphics on older hardware versions, bit 5 of MP7310 should be set to 1. This deactivates functions which were implemented specifically for the 3-D graphics.

The TNC graphic does not show a radius oversize DR that has been programmed in the T block.

Weitere Informationen:
> Graphic simulation for special applications
> Setting the speed of the test run


Graphic simulation for special applications

NC programs usually contain a tool call with a defined tool number, which automatically determines the tool data for graphic simulation.

For special applications that do not require any tool data (e.g. laser cutting, laser drilling or waterjet cutting), you can set Machine Parameters 7315 to 7317 such that the TNC will run a graphic simulation even if no tool data are activated. However, you always need a tool call with the definition of the tool axis orientation (e.g. g17). The tool number does not need to be entered.


Setting the speed of the test run

You can set the speed of the test run only if the "Display of machining time" function is active (siehe Activating the stopwatch function). Otherwise, the TNC always performs the test run at the maximum possible speed.

The most recently set speed remains active, even if the power is interrupted, until you change it.

After you have started a program, the TNC displays the following soft keys with which you can set the simulation speed:

Functions | Soft key
Perform the test run at the same speed at which the program will be run (programmed feed rates are taken into account) |
Increase the test speed incrementally |
Decrease the test speed incrementally |
Test run at the maximum possible speed (default setting) |

You can also set the simulation speed before you start a program:

Shift the soft-key row

Select the function for setting the simulation speed

Select the desired function by soft key, e.g. incrementally increasing the test speed


Overview of display modes

The control displays the following soft keys in the Program Run and
Test Run modes of operation:

View | Soft key
Plan view |
Projection in three planes |
3-D view |
Weitere Informationen:
> Limitations during program run


Limitations during program run

A graphical representation of a running program is not possible if the microprocessor of the TNC is already occupied with complicated machining tasks or if large areas are being machined. Example: Multipass milling over the entire blank form with a large tool. The TNC interrupts the graphics and displays the text ERROR in the graphics window. The machining process is continued, however.

In the test run graphics, the TNC does not depict multi-axis operations during machining. The error message Axis cannot be shown appears in the graphics window in such cases.


Plan view

This is the fastest of the graphic display modes.

If your machine has a mouse, the status bar shows the depth of any location on the workpiece when you move the mouse pointer over it.

Press the soft key for plan view

Regarding depth display, remember: The deeper the surface, the darker the shade


Projection in 3 planes

Similar to a workpiece drawing, the part is displayed with a plan view and two sectional planes. A symbol to the lower left indicates whether the display is in first angle or third angle projection according to ISO 5456-2 (selected with MP7310).

Details can be isolated in this display mode for magnification (siehe Magnifying details).

In addition, you can shift the sectional planes with the corresponding soft keys:

Select the soft key for projection in three planes.

Shift the soft-key row until the soft key for the functions for shifting the sectional plane appears

Select the functions for shifting the sectional plane. The TNC offers the following soft keys:

Function | Soft keys
Shift the vertical sectional plane to the right or left |
Shift the vertical sectional plane forward or backward |
Shift the horizontal sectional plane upwards or downwards |

The position of the sectional plane is visible during shifting.

The default setting of the sectional plane is selected such that it lies in the working plane in the workpiece center and in the tool axis on the top surface.

Weitere Informationen:
> Coordinates of the line of intersection


Coordinates of the line of intersection

At the bottom of the graphics window, the TNC displays the coordinates of the line of intersection, referenced to the workpiece datum. Only the coordinates of the working plane are shown. This function is activated with MP7310.


3-D view

The workpiece is displayed in three dimensions. If you have the appropriate hardware, then with its high-resolution 3-D graphics the TNC can also display machining operations in the tilted working plane as well as multi-sided machining operations.

You can rotate the 3-D display about the vertical and horizontal axes via soft keys. If there is a mouse attached to your TNC, you can also perform this function by holding down the right mouse button and dragging the mouse.

The shape of the workpiece can be depicted by a frame overlay at the beginning of the graphic simulation.

In the Test Run mode of operation you can isolate details for magnification, siehe Magnifying details.

Press the soft key for 3-D view. Press the soft key twice to switch to the high-resolution 3-D graphics. This switch is only possible once the simulation has finished. The high-resolution graphics show more surface details of the workpiece being machined.

The speed of the 3-D graphics depends on the tooth length (LCUTS column in the tool table). If LCUTS is defined as 0 (basic setting), the simulation calculates an infinitely long tooth length, which leads to a long processing time. If you do not want to define LCUTS, then set MP7312 to a value between 5 and 10. This way the TNC internally limits the tooth length to a value which is calculated from MP 7312 times the tool diameter.

Weitere Informationen:
> Rotating and magnifying/reducing the 3-D view
> Switching the frame overlay display for the workpiece blank on/off:


Rotating and magnifying/reducing the 3-D view

Shift the soft-key row until the soft key for the rotating and magnification/reduction appears

Select functions for rotating and magnifying/reducing:

Function | Soft keys
Rotate in 5° steps about the vertical axis |
Tilt in 5° steps about the horizontal axis |
Magnify the graphic stepwise If the view is magnified, the TNC shows the letter Z in the footer of the graphic window |
Reduce the graphic stepwise If the view is reduced, the TNC shows the letter Z in the footer of the graphic window |
Reset image to programmed size |

You can also use the mouse with the 3-D graphics. The following functions are available:

  • In order to rotate the graphic shown in three dimensions: Hold the right mouse button down and move the mouse. The TNC displays a coordinate system showing the currently active orientation of the workpiece. After you release the right mouse button, the TNC orients the workpiece to the defined orientation

  • In order to shift the graphic shown: Hold the center mouse button or the wheel button down and move the mouse. The TNC shifts the workpiece in the corresponding direction. After you release the center mouse button, the TNC shifts the workpiece to the defined position

  • In order to zoom in on a certain area with the mouse: Draw a rectangular zoom area while holding the left mouse button down. You can shift the zoom area by moving the mouse horizontally and vertically as required. After you release the left mouse button, the TNC zooms in on the defined area of the workpiece

  • In order to quickly zoom in and out with the mouse: Rotate the wheel button forward or backward

  • Double-click with the right mouse button: Select standard view


Switching the frame overlay display for the workpiece blank on/off:

  • Shift the soft-key row until the soft key for the rotating and magnification/reduction appears

Select functions for rotating and magnifying/reducing:

Show the frame for the BLK FORM: Set the highlight in the soft key to SHOW

Hide the frame for the BLK FORM: Set the highlight in the soft key to OMIT


Magnifying details

You can magnify details in all display modes in the Test Run mode and a Program Run mode.

The graphic simulation or the program run, respectively, must first have been stopped. A detail magnification is always effective in all display modes.

Weitere Informationen:
> Changing the detail magnification
> Cursor position during detail magnification


Changing the detail magnification

The soft keys are listed in the table

  • Interrupt the graphic simulation, if necessary

  • Shift the soft-key row in the Test Run mode, or in a Program Run mode, respectively, until the soft key for detail magnification appears

Shift the soft-key row until the soft-key for the detail magnification functions appears

Select the functions for detail magnification

Press the corresponding soft key to select the workpiece surface (see table below)

To reduce or magnify the blank form, press and hold the minus or plus soft key, respectively

Restart the test run or program run by pressing the START soft key (RESET + START returns the workpiece to its original state)

Function | Soft keys
Select the left/right workpiece surface |
Select the front/back workpiece surface |
Select the top/bottom workpiece surface |
Shift the sectional plane to reduce or magnify the workpiece blank |
Select the isolated detail |


Cursor position during detail magnification

During detail magnification, the TNC displays the coordinates of the axis that is currently being isolated. The coordinates describe the area determined for magnification. To the left of the slash is the smallest coordinate of the detail (MIN point), to the right is the largest (MAX point).

If a graphic display is magnified, this is indicated with MAGN at the lower right of the graphics window.

If the workpiece blank cannot be further enlarged or reduced, the TNC displays an error message in the graphics window. To clear the error message, reduce or enlarge the workpiece blank.


Repeating graphic simulation

A part program can be graphically simulated as often as desired. either with the complete workpiece or with a detail of it.

Function | Soft key
Restore workpiece to the detail magnification in which it was last shown |
Reset detail magnification so that the machined workpiece or workpiece blank is displayed as it was programmed with BLK FORM |

With the WINDOW BLK FORM soft key, you return the displayed workpiece blank to its originally programmed dimensions, even after isolating a detail without TRANSFER DETAIL.


Displaying the tool

You can display the tool during simulation in the plan view and in the projection in three planes. The TNC depicts the tool in the diameter defined in the tool table.

Function | Soft key
Do not display the tool during simulation |
Display the tool during simulation |


Measurement of machining time

Weitere Informationen:
> Program Run modes of operation
> Test Run
> Activating the stopwatch function


Program Run modes of operation

The timer counts and displays the time from program start to program end. The timer stops whenever machining is interrupted.


Test Run

    The TNC takes the following into account for the time calculation:

  • Traverse movements at feed rate
  • Dwell times
  • Machine dynamics settings (accelerations, filter settings, motion control)

The time calculated by the TNC does not include rapid-traverse movements and times depending on the individual machine tool (e.g. tool change).

If you have switched the "calculate machining time" function on, you can generate a file listing the usage times of all tools used in the program (siehe Tool usage test).


Activating the stopwatch function

Shift the soft-key row until the soft-key for the stopwatch functions appears

Select the stopwatch functions

Select the desired function by soft key, e.g. saving the displayed time

Stopwatch functions | Soft key
Enable (ON) or disable (OFF) the "calculate the machining time" function |
Store displayed time |
Display the sum of stored time and displayed time |
Clear displayed time |

During the test run, the TNC resets the machining time as soon as a new G30/G31 blank form is evaluated.


Functions for program display

Weitere Informationen:
> Overview


Overview

In the Program Run modes of operation as well as in the Test Run mode, the TNC provides the following soft keys for displaying a part program in pages:

Functions | Soft key
Go back in the program by one screen |
Go forward in the program by one screen |
Go to the start of the program |
Go to the end of the program |


Test Run

Weitere Informationen:
> Application


Application

    In the Test Run mode of operation you can simulate programs and program sections to reduce programming errors during program run. The TNC checks the programs for the following:

  • Geometrical incompatibilities
  • Missing data
  • Impossible jumps
  • Violation of the machine's working space
  • Collisions between collision-monitored components (DCM software option is required, siehe Collision monitoring in the Test Run mode of operation)

    The following functions are also available:

  • Blockwise test run
  • Interruption of test at any block
  • Optional block skip
  • Functions for graphic simulation
  • Machining time, measuring the
  • Additional status display

If your machine has the DCM (Dynamic Collision Monitoring) software option, you can check for collisions in the Test Run mode before actually machining a part, (siehe Collision monitoring in the Test Run mode of operation)

Danger of collision!

The TNC cannot graphically simulate all traverse motions actually performed by the machine. These include

  • Traverse motions during tool change, if the machine manufacturer defined them in a tool-change macro or via the PLC
  • Positioning movements that the machine manufacturer defined in an M-function macro
  • Positioning movements that the machine manufacturer performs via the PLC
  • Positioning movements that lead to a pallet change

HEIDENHAIN therefore recommends proceeding with caution for every new program, even when the program test did not output any error message, and no visible damage to the workpiece occurred.

After a tool call, the TNC always starts a program test at the following position:

  • In working plane in the center of the defined workpiece blank
  • In the tool axis, 1 mm above the MAX point defined in the BLK FORM

If you call the same tool, the TNC resumes program simulation from the position last programmed before the tool call.

In order to ensure unambiguous behavior during program run, after a tool change you should always move to a position from which the TNC can position the tool for machining without causing a collision.

Your machine tool builder can also define a tool-change macro for the Test Run operating mode. This macro will simulate the exact behavior of the machine. Please refer to your machine tool manual.

Weitere Informationen:
> Executing a test run
> Executing a test run up to a certain block
> Selecting the kinematics for test run
> Setting a tilted working plane for the test run


Executing a test run

If the central tool file is active, a tool table must be active (status S) to conduct a test run. Select a tool table via the file manager (PGM MGT) in the Test Run mode of operation

With the MOD function BLANK IN WORK SPACE, you can activate work space monitoring for the test run (siehe Showing the workpiece blank in the working space).

Select the Test Run operating mode

Call the file manager with the PGM MGT key and select the file you wish to test, or

Go to the program beginning: Select line 0 with the GOTO key and confirm your entry with the ENT key

The TNC then displays the following soft keys:

Functions | Soft key
Reset the blank form and test the entire program |
Test the entire program |
Test each program block individually |
Halt test run (soft key only appears once you have started the test run) |

    You can interrupt the test run and continue it again at any point—even within a fixed cycle. In order to continue the test, the following actions must not be performed:

  • Selecting another block with the arrow keys or the GOTO key
  • Making changes to the program
  • Switching the operating mode
  • Selecting a new program


Executing a test run up to a certain block

With the STOP AT N function the TNC does a test run only up to the block with block number N.

  • Go to the beginning of program in the Test Run mode of operation.

  • Select "Test Run up to a specific block": Press the STOP AT N soft key

Stop at N: Enter the block number at which you wish the test to stop

Program: Enter the name of the program that contains the block with the selected block number. The TNC displays the name of the selected program. If the test run is to be interrupted in a program that was called with PGM CALL, you must enter this name

Start-up at: P: If you want to start in a point table, enter here the line number at which you want to start

Table (PNT): If you want to start in a point table, enter here the name of the point table in which you want to start

Repetitions: If N is located in a program section repeat, enter the number of repeats that you want to run

To test a program section, press the START soft key. The TNC will test the program up to the entered block


Selecting the kinematics for test run

This function must be enabled by your machine manufacturer.

You can use this function to test programs whose kinematics does not match the active machine kinematics (e.g. on machines with head change or traverse range switchover).

If your machine manufacturer saved different kinematic configurations in your machine, you can activate one of these kinematics configurations with the MOD function and use it for a test run. The active machine kinematics will remain unchanged.

Select the Test Run operating mode

Choose the program you want to test

Select MOD functions

Show the available kinematics configurations in a pop-up window (shift the soft-key row, if necessary)

Select the desired kinematics configuration with the arrow keys and confirm your selection with the ENT key

After switching on the control, the machine kinematics is always active in the Test Run mode. After switching on the control, select the desired kinematics for the test run.

If you select a kinematics configuration with the keyword kinematic, the TNC switches the machine kinematics and the test kinematics.


Setting a tilted working plane for the test run

This function must be enabled by your machine manufacturer.

You can use this function on machines, where you want to define the working plane by manually setting the machine axes.

Select the Test Run operating mode

Choose the program you want to test

Select MOD functions

Select the menu for defining the working plane

To activate or deactivate the function, press the ENT key

Use the active rotary axis coordinates from the machine mode of operation, or

Position the highlight on the desired rotary axis with the arrow keys and enter the rotary-axis value to be used by the TNC in the simulation

If the function has been enabled by your machine manufacturer, then the TNC does not deactivate the "Tilt the working plane" function when you select a new program.

If you simulate a program that does not contain a T block, then the axis you have activated for manual probing in the Manual Operation mode is used by the TNC as tool axis.

Ensure that the active kinematics in the test run is suitable for the program you want to test. Otherwise, the TNC may issue an error message.


Program Run

Weitere Informationen:
> Application
> Running a part program
> Interrupting machining
> Moving the machine axes during an interruption
> Resuming program run after an interruption
> Mid-program startup (block scan)
> Returning to the contour


Application

In the Program Run, Full Sequence mode of operation the TNC executes a part program continuously to its end or up to a program stop.

In the Program Run, Single Block mode of operation you must start each block separately by pressing the machine START button.

    The following TNC functions can be used in the program run modes of operation:

  • Interrupt program run
  • Starting the program run from a certain block
  • Optional block skip
  • Editing the tool table TOOL.T
  • Checking and changing Q parameters
  • Superimposing handwheel positioning
  • Functions for graphic simulation
  • Additional status display


Running a part program

Preparation
  1. Clamp the workpiece to the machine table
  2. Set the datum
  3. Select the necessary tables and pallet files (status M)
  4. Select the part program (status M)

You can adjust the feed rate and spindle speed with the override knobs.

It is possible to reduce the feed rate when starting the NC program using the FMAX soft key. The reduction applies to all rapid traverse and feed rate movements. The value you enter is no longer in effect after the machine has been turned off and on again. In order to re-establish the respectively defined maximum feed rate after switch-on, you need to re-enter the corresponding value.

Ensure that you have referenced all axes before you start program run. Otherwise the TNC will stop machining as soon as it gets to an NC block with an axis that has not been referenced.

Program Run, Full Sequence

  • Start the part program with the machine START button

Program Run, Single Block

  • Start each block of the part program individually with the machine START button


Interrupting machining

    There are several ways to interrupt a program run:

  • Programmed interruptions

  • Pressing the machine STOP button

  • Switching to Program Run, Single Block
  • Programming of noncontrolled axes (counter axes)

If the TNC registers an error during program run, it automatically interrupts the machining process.

Programmed interruptions

    You can program interruptions directly in the part program. The TNC interrupts the program run at a block containing one of the following entries:

  • G38 (with and without miscellaneous function)

  • Miscellaneous function M0, M2, or M30
  • Miscellaneous function M6 (determined by the machine tool builder)
Interrupting the machining process with the machine STOP button

  • Press the machine STOP button: The block which the TNC is currently executing is not completed. The asterisk in the status display blinks

  • If you do not wish to continue the machining process, you can reset the TNC with the INTERNAL STOP soft key. The asterisk in the status display goes out. In this case, the program must be restarted from the program beginning

Interruption of machining by switching to the Program Run, Single Block mode of operation.

You can interrupt a program that is being run in the Program Run, Full Sequence mode of operation by switching to the Program Run, Single Block mode. The TNC interrupts the machining process at the end of the current block.

Jumps within the program after an interruption

If program run is interrupted with the INTERNAL STOP function, the TNC memorizes the current machining status. You can usually resume machining with NC start. If you select other program lines with the GOTO key, the TNC does not reset modally effective functions (e.g. M136). This may have undesired effects, such as incorrect feed rates.

Danger of collision!

Please note that program jumps with the GOTO function do not reset modal functions.

If you want to restart a program after an interruption, always select the program with the PGM MGT key.

Programming of noncontrolled axes (counter axes)

This function must be adapted by your machine manufacturer. Refer to your machine manual.

The TNC automatically interrupts the program run as soon as an axis is programmed in a positioning block that was defined by the machine tool builder as an open-loop axis (counter axis). In this condition you can move the open-loop axis manually to the desired position. In the left window, the TNC shows all nominal positions programmed in this block. For open-loop axes the TNC additionally displays the distance remaining.

As soon as all axes are in the correct position, you can use NC Start to resume program run.

Select the desired axis sequence and start each with NC Start. Manually position the open-loop axes. The TNC shows the distance remaining to the nominal position in this axis (siehe Returning to the contour)

If required, choose whether the closed-loop axes are to be moved in the tilted or non-tilted coordinate system

If required, move the closed-loop axes by handwheel or with the axis-direction buttons


Moving the machine axes during an interruption

You can move the machine axes during an interruption in the same way as in the Manual Operation mode.

Danger of collision!

If you interrupt program run while the working plane is tilted, you can switch the coordinate system between tilted and non-tilted, as well as to the active tool axis direction, by pressing the 3-D ROT soft key.

The functions of the axis direction buttons, the electronic handwheel and the positioning logic for returning to the contour are then evaluated by the TNC. When retracting the tool make sure the correct coordinate system is active and the angular values of the tilt axes are entered in the 3-D ROT menu, if necessary.

Application example: Retracting the spindle after tool breakage

  • Interrupt machining

  • Enable the external direction keys: Press the MANUAL TRAVERSE soft key

  • If necessary, press the 3-D ROT soft key in order to activate the coordinate system in which you want to traverse

  • Move the axes with the machine axis direction buttons.

On some machines you may have to press the machine START button after the MANUAL OPERATION soft key to enable the axis-direction keys. Refer to your machine manual.

Your machine tool builder can define whether in a program interruption you always move the axes in the currently active (tilted or non-tilted) coordinate system. Refer to your machine manual.


Resuming program run after an interruption

If a program run is interrupted during a fixed cycle, the program must be resumed from the beginning of the cycle. This means that some machining operations will be repeated.

If you interrupt a program run during execution of a subprogram or program section repeat, use the RESTORE POS AT N function to return to the position at which the program run was interrupted.

    When a program run is interrupted, the TNC stores:

  • The data of the last defined tool
  • Active coordinate transformations (e.g. datum shift, rotation, mirroring)
  • The coordinates of the circle center that was last defined

Note that the stored data remain active until they are reset (e.g. if you select a new program).

The TNC uses the stored data for returning the tool to the contour after manual machine axis positioning during an interruption (RESTORE POSITION soft key).

Resuming program run with the START button

    You can resume program run by pressing the machine START button if the program was interrupted in one of the following ways:

  • Machine STOP button pressed

  • Programmed interruption
Resuming program run after an error

  • Remove the cause of the error

  • Clear the error message from the screen: Press the CE key

  • Restart the program, or resume program run where it was interrupted

After a control software crash,

  • Press and hold the END key for two seconds. This induces a TNC system restart

  • Remove the cause of the error

  • Restart

If you cannot correct the error, write down the error message and contact your service agency.


Mid-program startup (block scan)

The RESTORE POS AT N feature must be enabled and adapted by the machine tool builder. Refer to your machine manual.

With the RESTORE POS AT N feature (block scan) you can start a part program at any block you desire. The TNC scans the program blocks up to that point. Machining can be graphically simulated. If you start at a machining position within a smarT.NC point table (.HP), you can select the start position via soft key with graphic support. When starting at a machining position within a point table with the file extension .PNT, the TNC does not provide graphic support. However, you can use the point number to select any point as startup position.

If you have interrupted a part program with an INTERNAL STOP, the TNC automatically offers the interrupted block N for mid-program startup.

If the program was interrupted by one of the conditions listed below, the TNC saves the point of interruption.

  • EMERGENCY STOP
  • Power interruption
  • Control software crash

After you have called the mid-program startup function, you can press the soft key Select last block to reactivate the point of interruption and approach it with an NC start. After switch-on the TNC shows the message NC program canceled.

Mid-program startup must not begin in a subprogram.

All necessary programs, tables and pallet files must be selected in a program run mode of operation (status M).

If the program contains a programmed interruption before the startup block, the block scan is interrupted. Press the machine START button to continue the block scan.

After a block scan, return the tool to the calculated position with RESTORE POSITION.

Tool length compensation does not take effect until after the tool call and a following positioning block. This also applies if you have only changed the tool length.

The additional functions M142 (delete modal program information) and M143 (delete basic rotation) are not permitted during a mid-program startup.

If you are working with nested programs, you can use MP7680 to define whether the block scan is to begin at block0 of the main program or at block 0 of the last interrupted program.

With the 3-D ROT soft key you can switch the coordinate system between tilted and non-tilted in order to move to the start-up position.

If you want to use the block scan feature in a pallet table, select the program in which a mid-program startup is to be performed from the pallet table by using the arrow keys. Then press the RESTORE POS AT N soft key.

The TNC skips all touch probe cycles in a mid-program startup. Result parameters that are written to from these cycles might therefore remain empty.

The M142/M143 and M120 functions are not allowed during a mid-program startup.

Before beginning the mid-program start-up, the TNC deletes traverse movements that you performed during the program with M118 (handwheel superimpositioning).

Danger of collision!

For safety reasons always check the distance to go to the startup position after a block scan!

If you perform a mid-program startup in a program containing M128, then the TNC performs any compensation movements necessary. The compensation movements are superimposed over the approach movement!

You may not use mid-program startup in combination with tool-oriented pallet machining. Re-entry is only possible on a workpiece that has not been machined yet.

  • Go to the first block of the current program to start a block scan: Enter GOTO "0"

Select mid-program startup: Press the MID-PROGRAM STARTUP soft key

Block number: Enter the block number at which the block scan should end

Program name: Enter the name of the program in which you want to start. A change is only required if you want to start with a program that was called with PGM CALL.

Point index: If you have entered a block number containing a CYCL CALL PAT block in the Start-up at N field, the TNC displays the point pattern graphically in the File preview field. Using the NEXT ELEMENT or PREVIOUS ELEMENT soft key you can select the start position with graphic support if the preview window is currently displayed (set PREVIEW soft key to ON)

Repetitions: If block N is located in a program section repeat or in a subprogram that is to be run repeatedly, enter the number of repetitions to be calculated in the block scan

Start mid-program startup: Press the machine START button

Contour approach (see following section)

Weitere Informationen:
> Entering a program with the GOTO key


Entering a program with the GOTO key

Danger of collision!

If you use the GOTO block number key for going into a program, neither the TNC nor the PLC will execute any functions that ensure a safe start.

If you use the GOTO block number key for going into a subprogram, the TNC will skip the end of the subprogram (G98 L0)! In such cases you must always use the mid-program startup function.


Returning to the contour

    With the RESTORE POSITION function, the TNC returns to the workpiece contour in the following situations:

  • Return to the contour after the machine axes were moved during a program interruption that was not performed with the INTERNAL STOP function

  • Return to the contour after a block scan with RESTORE POS AT N, for example after an interruption with INTERNAL STOP

  • Depending on the machine, if the position of an axis has changed after the control loop has been opened during a program interruption
  • If an open-loop axis is also programmed in a positioning block (siehe Programming of noncontrolled axes (counter axes))

  • To select a return to contour, press the RESTORE POSITION soft key

  • Restore machine status, if required

  • To move the axes in the sequence that the TNC suggests on the screen, press the NC Start button, or

  • To move the axes in any sequence, press the soft keys RESTORE X, RESTORE Z, etc., and activate each axis with the machine START button

  • To resume machining, press the machine START button


Automatic program start

Weitere Informationen:
> Application


Application

The TNC must be specially prepared by the machine tool builder for use of the automatic program start function. Refer to your machine manual.

In a Program Run operating mode, you can use the AUTOSTART soft key (see figure at upper right) to define a specific time at which the program that is currently active in this operating mode is to be started:

Show the window for entering the starting time (see figure at center right)

Time (h:min:sec): Time of day at which the program is to be started

Date (DD.MM.YYYY): Date at which the program is to be started

To activate the start, set the AUTOSTART soft key to ON.


Optional block skip

Weitere Informationen:
> Application
> Erasing the "/" character


Application

In a test run or program run, the control can skip over blocks that begin with a slash "/":

To run or test the program without the blocks preceded by a slash, set the soft key to ON

To run or test the program with the blocks preceded by a slash, set the soft key to OFF

This function does not work for TOOL DEF blocks.

After a power interruption the TNC returns to the most recently selected setting.


Erasing the "/" character

  • In the Programming and Editing mode you select the block in which the character is to be erased

Erasing the "/" character


Optional program-run interruption

Weitere Informationen:
> Application


Application

The TNC optionally interrupts program run at blocks containing M1. If you use M1 in the Program Run mode, the TNC does not switch off the spindle or coolant, if necessary. Your machine tool manual provides more information.

Do not interrupt Program Run or Test Run at blocks containing M1: Set soft key to OFF

Interrupt Program Run or Test Run at blocks containing M1: Set soft key to ON

M1 is not effective in the Test Run mode of operation.


MOD Functions

Weitere Informationen:
> Selecting MOD functions
> Software numbers
> Entering code numbers
> Loading service packs
> Setting the data interfaces
> Ethernet interface
> Configuring PGM MGT
> Machine-specific user parameters
> Showing the workpiece blank in the working space
> Position display types
> Unit of measurement
> Selecting the programming language for $MDI
> Selecting the axes for generating G01 blocks
> Entering the axis traverse limits, datum display
> Displaying HELP files
> Displaying operating times
> Checking the data carrier
> Setting the system time
> TeleService
> External access
> Host computer operation
> Configuring the HR 550 FS wireless handwheel


Selecting MOD functions

The MOD functions provide additional input possibilities and displays. The available MOD functions depend on the selected operating mode.

Weitere Informationen:
> Selecting the MOD functions
> Changing the settings
> Exiting the MOD functions
> Overview of MOD functions


Selecting the MOD functions

Call the operating mode in which you wish to change the MOD functions.

Select the MOD functions: Press the MOD key. The figures at right show typical screen menus in Programming and Editing mode (figure at upper right), Test Run mode (figure at lower right) and in a machine operating mode (see figure on next page).


Changing the settings

  • Select the desired MOD function in the displayed menu with the arrow keys

    There are three possibilities for changing a setting, depending on the function selected:

  • Enter a numerical value directly, e.g. when determining the traverse range limit
  • Change a setting by pressing the ENT key, e.g. when setting program input
  • Change a setting via a selection window. If more than one possibility is available for a particular setting, you can superimpose a window listing all of the given possibilities by pressing the GOTO key. Select the desired setting directly by pressing the corresponding numerical key (to the left of the colon), or by using the arrow keys and then confirming with ENT. If you don’t want to change the setting, close the window again with END


Exiting the MOD functions

  • To exit the MOD functions, press the END key or END soft key


Overview of MOD functions

The functions available depend on the momentarily selected operating mode:

    Programming and Editing:

  • Display software numbers
  • Enter code number
  • Set data interface
  • Diagnostic functions, if applicable
  • Machine-specific user parameters, if applicable
  • Display HELP files (if provided)
  • Select machine kinematics, if applicable
  • Load service packs
  • Set the time zone
  • Start file-system check
  • Configure the HR 550 wireless handwheel
  • License info
  • Host computer operation

    Test run:

  • Display software numbers
  • Enter code number
  • Set the data interface
  • Show the workpiece blank in the working space
  • Machine-specific user parameters, if applicable
  • Display HELP files (if provided)
  • Select machine kinematics, if applicable
  • Set 3-D ROT function, if applicable
  • Set the time zone
  • License info
  • Host computer operation

    In all other modes:

  • Display software numbers
  • Display code digits for installed options
  • Select position displays
  • Define unit of measurement (mm/inches)
  • Set the programming language for MDI
  • Select the axes for actual position capture
  • Set the axis traverse limits
  • Display reference points
  • Display operating times
  • Display HELP files (if provided)
  • Set the time zone
  • Select machine kinematics, if applicable
  • License info


Software numbers

Weitere Informationen:
> Application


Application

    The following software numbers are displayed on the TNC screen after the MOD functions have been selected:

    • NC: Number of the NC software (managed by HEIDENHAIN)
    • PLC: Number and name of the PLC software (managed by your machine tool builder)
    • Feature Content Level (FCL): Development level of the software installed on the control (siehe Feature content level (upgrade functions)). The TNC displays --- on the programming station, since there is no Feature Content Level there.
    • DSP1 to DSP3: Number of the speed controller software (managed by HEIDENHAIN)
    • ICTL1 and ICTL3: Number of the current controller software (managed by HEIDENHAIN)


Entering code numbers

Weitere Informationen:
> Application


Application

The TNC requires a code number for the following functions:

Function | Code number
Select the user parameters and copy the sample files | 123
Configure an Ethernet card (not iTNC530 with Windows XP) | NET123

In addition, you can use the keyword version to create a file containing all current software numbers of your control:

  • Enter the keyword version and confirm with the ent key

  • The TNC displays all current software numbers on the screen

  • To terminate the version overview, press the END key

Weitere Informationen:
> Copying sample files


Copying sample files

Sample files for various file types (pallet files, freely definable tables, cutting-data tables, etc.) are stored in the TNC. To make the sample files available on the TNC partition, proceed as follows:

  • Enter the code number 123 and confirm your entry with the ENT key: This opens the user parameters

  • Press the MOD key for the TNC to show various pieces of information

  • Press the UPDATE DATA soft key. The TNC switches to the menu for software updates

  • Press the COPY SAMPLE FILES soft key for the TNC to copy all available sample files to the TNC partition. Keep in mind that the TNC overwrites samples files (e.g. cutting-data tables) you have already edited

  • Press the End key twice to return to the initial screen


Loading service packs

Weitere Informationen:
> Application


Application

We strongly recommend contacting your machine tool builder before you install a service pack.

The TNC restarts the system after the installation procedure is completed. Before loading the service pack, put the machine in the EMERGENCY STOP condition.

Connect the network drive from which you want to import the service pack (if not already done).

This function provides a simple way of updating the software of your TNC

  • Select the Programming and Editing operating mode

  • Press the MOD key

  • To start the software update, press the "Load Service Pack" soft key. The TNC then displays a pop-up window for selecting the update file

  • Use the arrow keys to select the directory in which the service pack is stored. The respective subdirectories can be shown by pressing the ENT key

  • To select the file: Press the ENT key twice on the selected directory. The TNC switches from the directory window to the file window

  • To start the updating process, press the ENT key to select the file. The TNC unpacks all required files and then restarts the control. This process may take several minutes


Setting the data interfaces

Weitere Informationen:
> Application
> Setting the RS-232 interface
> Setting the RS-422 interface
> Setting the operating mode of the external device
> Setting the baud rate
> Assignment
> Software for data transfer


Application

To set up the data interfaces, press the RS-232 / RS-422 SETUP soft key to call a menu for setting the data interfaces:


Setting the RS-232 interface

The mode of operation and baud rates for the RS-232 interface are entered in the upper left of the screen.


Setting the RS-422 interface

The mode of operation and baud rates for the RS-422 interface are entered in the upper right of the screen.


Setting the operating mode of the external device

The functions "Transfer all files," "Transfer selected file," and "Transfer directory" are not available in the operating mode EXT.


Setting the baud rate

You can set the baud rate (data transfer speed) from 110 to 115 200 baud.

External device | Operating mode | Symbol
PC with HEIDENHAIN data transfer software TNCremoNT | FE1 |
HEIDENHAIN floppy disk units FE 401 B FE 401 from program no. 230626 03 | FE1 FE1 |
Non-HEIDENHAIN devices such as printers, scanners, punchers, PC without TNCremoNT | EXT1, EXT2 |


Assignment

This function sets the destination for the transferred data.

    Applications:

  • Transferring values with Q parameter function FN15
  • Transferring values with Q parameter function FN16

The TNC mode of operation determines whether the PRINT or PRINT TEST function is used:

TNC mode of operation | Transfer function
Program Run, Single Block | PRINT
Program Run, Full Sequence | PRINT
Test run | PRINT TEST

You can set PRINT and PRINT TEST as follows:

Function | Path
Output data via RS-232 | RS232:\....
Output data via RS-422 | RS422:\....
Save data to the TNC’s hard disk | TNC:\....
Save data to a server connected to the TNC | servername:\....
Save the data in the same directory as the program with FN15/FN16 | Vacant

File names

Data | Operating mode | File name
Values with d15 | Program Run | %FN15RUN.A
Values with d15 | Test Run | %FN15SIM.A


Software for data transfer

For transfer of files to and from the TNC, we recommend using the HEIDENHAIN TNCremoNT data transfer software. With TNCremoNT, data transfer is possible with all HEIDENHAIN controls via the serial interface or the Ethernet interface.

You can download the current version of TNCremoNT free of charge from the HEIDENHAIN Filebase (www.heidenhain.de, <Services and Documentation>, <Software>, <PC Software>, <TNCremoNT>).

    System requirements for TNCremoNT:

  • PC with 486 processor or higher
  • Windows 95, Windows 98, Windows NT 4.0, Windows 2000, Windows XP, Windows Vista operating systems
  • 16 MB RAM
  • 5 MB free memory space on your hard disk
  • An available serial interface or connection to the TCP/IP network
Weitere Informationen:
> Installation under Windows
> Starting TNCremoNT under Windows
> Data transfer between the TNC and TNCremoNT
> Exiting TNCremoNT


Installation under Windows

  • Start the SETUP.EXE installation program with the file manager (Explorer)

  • Follow the setup program instructions


Starting TNCremoNT under Windows

  • Click <Start>, <Programs>, <HEIDENHAIN Applications>, <TNCremoNT>

When you start TNCremoNT for the first time, TNCremoNT automatically tries to set up a connection with the TNC.


Data transfer between the TNC and TNCremoNT

Before you transfer a program from the TNC to the PC, you must make absolutely sure that you have already saved the program currently selected on the TNC. The TNC saves changes automatically when you switch the mode of operation on the TNC, or when you select the file manager via the PGM MGT key.

Check whether the TNC is connected to the correct serial port on your PC or to the network.

Once you have started TNCremoNT, you will see a list of all files that are stored in the active directory in the upper section of the main window 1. Using the menu items <File> and <Change directory>, you can change the active directory or select another directory on your PC.

If you want to control data transfer from the PC, establish the connection with your PC in the following manner:

  • Select <File>, <Setup connection>. TNCremoNT now receives the file and directory structure from the TNC and displays this at the bottom left of the main window 2

  • To transfer a file from the TNC to the PC, select the file in the TNC window with a mouse click and drag and drop the highlighted file into the PC window 1

  • To transfer a file from the PC to the TNC, select the file in the PC window with a mouse click and drag and drop the highlighted file into the TNC window 2

If you want to control data transfer from the TNC, establish the connection with your PC in the following manner:

  • Select <Extras>, <TNCserver>. TNCremoNT is now in server mode. It can receive data from the TNC and send data to the TNC

  • You can now call the file management functions on the TNC by pressing the PGM MGT key (siehe Data transfer to or from an external data medium) and transfer the desired files


Exiting TNCremoNT

Select the menu items <File>, <Exit>

Refer also to the TNCremoNT context-sensitive help texts where all of the functions are explained in more detail. The help texts must be called with the F1 key.


Ethernet interface

Weitere Informationen:
> Introduction
> Connection possibilities
> Configuring the TNC
> Connecting the iTNC directly with a Windows PC


Introduction

The TNC is shipped with a standard Ethernet card to connect the control as a client in your network. The TNC transmits data via the Ethernet card with

  • the smb protocol (Server Message Block) for Windows operating systems, or
  • the TCP/IP protocol family (Transmission Control Protocol/Internet Protocol) and with support from the NFS (Network File System). The TNC also supports the NFS V3 protocol, which permits higher data transfer rates


Connection possibilities

You can connect the Ethernet card in your TNC to your network through the RJ45 connection (X26, 100BaseTX or 10BaseT), or directly to a PC. The connection is metallically isolated from the control electronics.

For a 100BaseTX or 10BaseT connection you need a Twisted Pair cable to connect the TNC to your network.

The maximum cable length between TNC and a node depends on the quality grade of the cable, the sheathing and the type of network (100BaseTX or 10BaseT).

If you connect the TNC directly with a PC, you must use a crossed cable.


Configuring the TNC

Make sure that the person configuring your TNC is a network specialist.

Please note that the TNC performs an automatic restart if you change the IP address of the TNC.

  • In the Programming and Editing mode of operation, press the MOD key. Enter the keyword NET123. The TNC will then display the main screen for network configuration

Weitere Informationen:
> General network settings
> Network settings specific to the device


General network settings

  • Press the DEFINE NET soft key to enter the general network settings. The Computer name tab is active:

Setting | Meaning
Primary interface | Name of the Ethernet interface to be integrated in your company network. Only active if a second, optional Ethernet interface is available on the control hardware
Computer name | Name displayed for the TNC in your company network
Host file | Only required for special applications: Name of a file in which the assignments of IP addresses to computer names is defined

  • Select the Interfaces tab to enter the interface settings:

Setting Meaning

Interface list

List of the active Ethernet interfaces. Select one of the listed interfaces (via mouse or arrow keys)

  • Activate button:
    Activate the selected interface (an X appears in the Active column)
  • Deactivate button:
    Deactivate the selected interface (a hyphen (-) appears in the Active column)
  • Configuration button:
    Open the Configuration menu

Allow IP forwarding

This function must be kept deactivated.
Only activate this function if external access via the second, optional Ethernet interface of the TNC is necessary for diagnostic purposes. Only do so after instruction by our Service Department

  • Press the Configuration button to open the Configuration menu:

Setting Meaning

Status
  • Interface active:
    Connection status of the selected Ethernet interface
  • Name:
    Name of the interface you are currently configuring
  • Plug connection:
    Number of the plug connection of this interface on the logic unit of the control

Profile

Here you can create or select a profile in which all settings shown in this window are stored. HEIDENHAIN provides two standard profiles:

  • DHCP-LAN:
    Settings for the standard TNC Ethernet interface, should work in a standard company network.
  • MachineNet:
    Settings for the second, optional Ethernet interface; for configuration of the machine network

Press the corresponding buttons to save, load and delete profiles

IP address
  • Automatically procure IP address option:
    The TNC is to procure the IP address from the DHCP server
  • Set the IP address manually option:
    Manually define the IP address and subnet mask. Input: Four numerical values separated by points, in each field, e.g. 160.1.180.20 and 255.255.0.0

Domain Name Server (DNS)
  • Automatically procure DNS option:
    The TNC is to automatically procure the IP address of the domain name server
  • Manually configure the DNS option:
    Manually enter the IP addresses of the servers and the domain name

Default gateway
  • Automatically procure default gateway option:
    The TNC is to automatically procure the default gateway
  • Manually configure the default gateway option:
    Manually enter the IP addresses of the default gateway

  • Apply the changes with the OK button, or discard them with the Cancel button

  • Select the Internet tab:

Setting Meaning

Proxy
  • Direct connection to Internet/NAT:
    The control forwards Internet inquiries to the default gateway and from there they must be forwarded through network address translation (e.g. if a direct connection to a modem is available)
  • Use proxy:
    Define the Address and Port of the Internet router in your network, ask your network administrator for the correct address and port

Telemaintenance

The machine manufacturer configures the server for telemaintenance here. Changes must always be made in agreement with your machine tool builder

  • Select the Ping/Routing tab to enter the ping and routing settings:

Setting Meaning

Ping

In the Address: field, enter the IP number for which you want to check the network connection. Input: Four numerical values separated by periods, e.g. 160.1.180.20. As an alternative, you can enter the name of the computer whose connection you want to check

  • Press the Start button to begin the test. The TNC shows the status information in the Ping field
  • Press the Stop button to conclude the test

Routing

For network specialists: Status information of the operating system for the current routing

  • Update button:
    Update routing

  • Select the NFS UID/GID tab to enter the user and group identifications:

Setting Meaning

Set UID/GID for NFS shares
  • User ID:
    Definition of which user identification the end user uses to access files in the network. Ask your network specialist for the proper value
  • Group ID:
    Definition of the group identification with which you access files in the network. Ask your network specialist for the proper value

  • Select the DHCP server tab to configure the DHCP server settings of the machine network:

The configuration of the DHCP server is protected by password. Please contact the machine tool builder.
Setting Meaning

DHCP server active on:
  • IP addresses as of:
    Define the IP address as of which the TNC is to derive the pool of dynamic IP addresses. The TNC transfers the values that appear dimmed from the static IP address of the defined Ethernet interface; these values cannot be edited.
  • IP addresses up to:
    Define the IP address up to which the TNC is to derive the pool of dynamic IP addresses.
  • Lease Time (hours):
    Time within which the dynamic IP address is to remain reserved for a client. If a client logs on within this time, the TNC reassigns the same dynamic IP address.
  • Domain name:
    Here you can define a name for the machine network if required. This is necessary if the same names are assigned in the machine network and in the external network, for example.
  • Forward DNS to external:
    If IP Forwarding is active (Interfaces tab) and the option is active, you can specify that the name resolution for devices in the machine network can also be used by the external network.
  • Forward DNS from external:
    If IP Forwarding is active (Interfaces tab) and the option is active, you can specify that the TNC is to forward DNS inquiries from devices within the machine network to the name server of the external network if the DNS server of the MC cannot answer the inquiry.
  • Status button:
    Call an overview of the devices that are provided with a dynamic IP address in the machine network. You can also select settings for these devices.
  • Advanced options button:
    Additional settings for the DNS/DHCP server.
  • Set standard values button:
    Define the factory default settings.


Network settings specific to the device

  • Press the DEFINE MOUNT soft key to enter the network settings for a specific device. You can define any number of network settings, but you can manage only seven at one time

Setting Meaning

Network drive

List of all connected network drives. The TNC shows the respective status of the network connections in the columns:

  • Mount:
    Network drive connected / not connected
  • Auto:
    Network drive is to be connected automatically /manually
  • Type:
    Type of network connection. cifs and nfs are possible
  • Drive:
    Designation of the drive on the TNC
  • ID:
    Internal ID that identifies if a mount point has been used for more than one connection
  • Server:
    Name of the server
  • Share name:
    Name of the directory on the server that the TNC is to access
  • User:
    User name with which the user logs on to the network
  • Password:
    Network drive password protected / not protected
  • Ask for password?:
    Request / Do not request password during connection
  • Options:
    Display additional connection options

To manage the network drives, use the screen buttons.

To add network drives, use the Add button: The TNC then starts the connection wizard, which guides you by dialog through the required definitions.


Connecting the iTNC directly with a Windows PC

You can connect the iTNC directly to a PC that has an Ethernet card. Let a network specialist enter the settings. The IP address of your PC may need to be changed to that of the iTNC.

Prerequisite:

The network card must already be installed on the PC and ready for operation.

If the PC that you want to connect the iTNC to is already integrated in your company network, then keep the PC’s network address and adapt the TNC’s network address accordingly (siehe Configuring the TNC).


Configuring PGM MGT

Weitere Informationen:
> Application
> Changing the PGM MGT setting
> Dependent files


Application

    Use the MOD functions to specify which directories or files are to be displayed by the TNC:

  • PGM MGT setting: Choose the new, mouse-operated file manager, or the old file manager
  • Dependent files setting: Specify whether dependent files are displayed. The Manual setting shows dependent files, the Automatic setting does not

For more information: Siehe Working with the file manager.


Changing the PGM MGT setting

  • Press the MOD key to select the MOD function

  • Press the setup rs232 rs422 soft key

  • To select the PGM MGT setting: Using the arrow keys, move the highlight onto the PGM MGT setting and use the ENT key to switch between ENHANCED 1 and ENHANCED 2

    The new file manager (Enhanced 2 setting) offers the following benefits:

  • The mouse can be used for all operations, in addition to the keyboard
  • Sorting function available
  • Text input moves the cursor to the next possible file name
  • Favorites management
  • Possibility of configuring the information to be displayed
  • The date format can be set
  • Flexible setting of window sizes
  • Keyboard commands for easy operation


Dependent files

In addition to the file extension, dependent files also have the extension .SEC.DEP (SECtion, DEPendent). The following different types are available:

  • .H.SEC.DEP
    The TNC creates files with the .SEC.DEP extension if you work with the structure function. The file contains information needed by the TNC to rapidly jump from one structure point to the next
  • .T.DEP: Tool usage file for individual conversational-format programs (siehe Tool usage test)
  • .P.T.DEP: Tool usage file for a complete pallet
    The TNC creates files with the .P.T.DEP ending if, in a Program Run mode, you run the tool usage test (siehe Tool usage test) for a pallet entry of the active pallet file. This file then lists the sum of all tool usage times of all tools that you use within a pallet
  • .H.AFC.DEP: File in which the TNC saves the control parameters for the adaptive feed control (AFC) (siehe Adaptive Feed Control software option (AFC))
  • .H.AFC2.DEP: File in which the TNC saves the statistical data of the adaptive feed control (AFC) (siehe Adaptive Feed Control software option (AFC))
Weitere Informationen:
> Changing the MOD setting for dependent files


Changing the MOD setting for dependent files

  • To select the file manager in the Programming and Editing mode of operation, press the PGM MGT key

  • Press the MOD key to select the MOD function

  • To select the Dependent files setting: Using the arrow keys, move the highlight onto the Dependent files setting and use the ENT key to switch between AUTOMATIC and MANUAL

Dependent files are only visible in the file manager if you selected the MANUAL setting.

If dependent files exist for a file, then the TNC displays a + character in the status column of the file manager (only if Dependent files is set to AUTOMATIC).


Machine-specific user parameters

Weitere Informationen:
> Application


Application

To enable you to set machine-specific functions, your machine tool builder can define up to 16 machine parameters as user parameters.

This function is not available on all TNCs. Refer to your machine manual.


Showing the workpiece blank in the working space

Weitere Informationen:
> Application
> Rotating the entire image


Application

This MOD function enables you to graphically check the position of the workpiece blank in the machine’s working space and to activate work space monitoring in the Test Run mode of operation.

The TNC displays a transparent cuboid for the working space. Its dimensions are shown in the Traverse range table (default color is green). The TNC takes the dimensions for the working space from the machine parameters for the active traverse range. Since the traverse range is defined in the reference system of the machine, the datum of the cuboid is also the machine datum. You can see the position of the machine datum in the cuboid by pressing the soft key M91 in the 2nd soft-key row (default color is white).

Another transparent cuboid represents the workpiece blank. Its dimensions are shown in the BLK FORM table (default color is blue). The TNC takes the dimensions from the workpiece blank definition of the selected program. The workpiece cuboid defines the coordinate system for input. Its datum lies within the traverse-range cuboid. You can view the position of the active datum within the traverse range by pressing the "Show workpiece datum" soft key (2nd soft-key row).

For a test run it normally does not matter where the workpiece blank is located within the working space. However, if you test programs that contain movements with M91 or M92, you must graphically shift the workpiece blank to prevent contour damage. Use the soft keys shown in the following table.

If you want to perform a graphical collision test (software option), you may need to graphically shift the reference point in such a manner that no collision warnings are generated.

Press the "Show the workpiece datum in the working space" soft key to see the position of the workpiece blank in the machine coordinate system. You must then place your workpiece at these coordinates on the machine table in order to ensure the same conditions during machining as during the collision test.

You can also activate the working-space monitor for the Test Run mode in order to test the program with the current datum and the active traverse ranges (see table below, last line).

Function | Soft key
Move workpiece blank to the left |
Move workpiece blank to the right |
Move workpiece blank forward |
Move workpiece blank backward |
Move workpiece blank upward |
Move workpiece blank downward |
Display workpiece blank with reference to the datum set: The TNC assumes the active datum (Preset) and the active limit switch positions from the machine operating mode in the Test Run |
Show the entire traversing range referenced to the displayed workpiece blank |
Show the machine datum in the working space |
Show a position determined by the machine tool builder (e.g. tool change position) in the working space |
Show the workpiece datum in the working space |
Enable (ON) or disable (OFF) working-space monitoring during test run |


Rotating the entire image

The third soft-key row provides functions with which you can rotate and tilt the entire image:

Function | Soft keys
Rotate the image about the vertical axis |
Tilt the image about the horizontal axis |


Position display types

Weitere Informationen:
> Application


Application

In the Manual Operation mode and in the Program Run modes of operation, you can select the type of coordinates to be displayed.

  1. The figure at right shows the different tool positions:
  2. Starting position
  3. Target position of the tool
  4. Workpiece datum
  5. Machine datum

The TNC position displays can show the following coordinates:

Function | Display
Actual position; current tool position | ACTL.
Reference position; the actual position relative to the machine datum | REF
Servo lag; difference between nominal and actual positions (following error) | LAG
Nominal position: the value presently commanded by the TNC | NOML.
Distance remaining to the programmed position in the machine coordinate system; difference between actual and target positions | DIST
Distance remaining to the programmed position in the active (tilted, where appropriate) coordinate system; difference between actual and target positions | DG 3D
Traverses that were carried out with handwheel superimpositioning (M118) (only Position display 2) | M118

With the MOD function Position display 1, you can select the position display in the status display.

With Position display 2, you can select the position display in the additional status display.


Unit of measurement

Weitere Informationen:
> Application


Application

This MOD function determines whether the coordinates are displayed in millimeters (metric system) or inches.

  • To select the metric system (e.g. X = 15.789 mm), set the Change MM/INCH function to mm. The value is displayed to 3 decimal places.
  • To select the inch system (e.g. X = 0.6216 inches), set the Change MM/INCH function to inches. The value is displayed to 4 decimal places.

If you would like to activate the inch display, the TNC shows the feed rate in inch/min. In an inch program you must enter the feed rate larger by a factor of 10.


Selecting the programming language for $MDI

Weitere Informationen:
> Application


Application

The Program input MOD function lets you decide whether to program the $MDI file in HEIDENHAIN conversational dialog or in ISO format.

  • To program the $MDI.H file in conversational dialog,
    set the Program input function to HEIDENHAIN
  • To program the $MDI.I file according to ISO,
    set the Program input function to ISO


Selecting the axes for generating G01 blocks

Weitere Informationen:
> Application


Application

The axis selection input field enables you to define the current tool position coordinates that are transferred to the G01 block. To generate a separate G01 block, press the ACTUAL POSITION CAPTURE key. The axes are selected by bit-oriented definition similar to programming the machine parameters:

Axis selection %11111: Transfer the X, Y, Z, IV, and V axes

Axis selection %01111: X, Y, Z, IV. Transfer the axis

Axis selection %00111: Transfer the X, Y and Z axes

Axis selection %00011: Transfer the X and Y axes

Axis selection %00001: Transfer the X axis


Entering the axis traverse limits, datum display

Weitere Informationen:
> Application
> Working without additional traverse limits
> Finding and entering the maximum traverse
> Display of presets


Application

The AXIS LIMIT MOD function allows you to set limits to axis traverse within the machine’s actual working envelope.

Possible application: Protecting an indexing fixture against tool collision.

The maximum range of traverse of the machine tool is defined by software limit switches. This range can be additionally limited through the TRAVERSE RANGE MOD function. With this function, you can enter the maximum and minimum traverse positions for each axis, referenced to the machine datum. If several traverse ranges are possible on your machine, you can set the limits for each range separately using the soft keys TRAVERSE RANGE (1) to TRAVERSE RANGE (3).


Working without additional traverse limits

To allow a machine axis to use its full range of traverse, enter the maximum traverse of the TNC (+/– 99 999 mm) as the TRAVERSE RANGE.


Finding and entering the maximum traverse

  • Set the position display MOD function to REF

  • Move the spindle to the positive and negative end positions of the X, Y and Z axes

  • Write down the values, including the algebraic sign

  • To select the MOD functions, press the MOD key

Enter the limits for axis traverse: Press the TRAVERSE RANGE soft key and enter the values that you wrote down as limits in the corresponding axes

To exit the MOD function, press the END soft key

Active tool radius compensations are not taken into account in the axis traverse limit values.

The traverse range limits and software limit switches become active as soon as the reference points are traversed.


Display of presets

The values shown at the top right of the screen define the currently active preset. The preset can have been set manually or can have been activated from the preset table. The preset cannot be changed in the screen menu.

The displayed values depend on your machine configuration.


Displaying HELP files

Weitere Informationen:
> Application
> Selecting HELP files


Application

Help files can aid you in situations in which you need clear instructions before you can continue (for example, to retract the tool after an interruption of power). The miscellaneous functions may also be explained in a help file. The figure at right shows the screen display of a help file.

HELP files are not provided on every machine. Your machine tool builder can provide you with further information on this feature.


Selecting HELP files

  • Press the MOD key to select the MOD function

To select the last active HELP file, press the HELP soft key

Call the file manager (PGM MGT key) and select a different help file, if necessary


Displaying operating times

Weitere Informationen:
> Application


Application

The MACHINE TIME soft key enables you to see various types of operating times:

Operating time | Meaning
Control on | Operating time of the control since being put into service
Machine on | Operating time of the machine tool since being put into service
Program run | Duration of controlled operation since being put into service

The machine tool builder can provide further operating time displays. The machine manual provides further information.

At the bottom of the screen you can enter a code number to have the TNC reset the displayed times. The machine tool builder defines exactly which times the TNC resets, so refer to your machine manual for more information.


Checking the data carrier

Weitere Informationen:
> Application
> Performing the data carrier check


Application

Press the Check the File System soft key to check the TNC and PLC partitions on the hard disk, and have them automatically be repaired if necessary.

The TNC’s system partition is automatically checked each time the control is started. If any errors are found on the system partition, the TNC reports this with an error message.


Performing the data carrier check

Danger of collision!

Before starting the data carrier check, put the machine in the EMERGENCY STOP condition. The TNC restarts the software before performing the check!

  • Press the MOD key to select the MOD function

To select the diagnostic functions, press the DIAGNOSIS soft key

To start the data carrier test, press the Check the File System soft key

Press the YES soft key again to confirm that the check should be started. This function shuts down the TNC software and starts checking the data carrier. This check can take some time, depending on the number and size of the files that you have stored on the hard disk

At the end of the test the TNC displays a window with the results of the test. The TNC also writes the results to the system log

In order to restart the TNC software, press the ENT key


Setting the system time

Weitere Informationen:
> Application
> Selecting appropriate settings


Application

You can set the time zone, the date and the system time with the SET DATE/TIME soft key.


Selecting appropriate settings

The TNC must be reset after you change the time zone, date or system time. In such cases the TNC displays a warning when the window closes.

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

To display the time zone window, press the SET TIME ZONE soft key

In the right side under "time zone," click your correct time zone

In the left of the pop-up window you select whether you want to set the time manually (activate the Set the time manually option), or whether the TNC is to synchronize the time through a server (activate the Synchronize the time over NTP server option)

If required, edit the time of day through the keyboard

To save the settings, click the OK button

To discard the changes and cancel the dialog, click the Cancel button


TeleService

Weitere Informationen:
> Application
> Calling/exiting TeleService


Application

The TeleService functions are enabled and adapted by the machine tool builder. The machine manual provides further information.

The TNC provides two soft keys for TeleService, making it possible to configure two different service agencies.

The TNC allows you to carry out TeleService. To be able to use this feature, your TNC should be equipped with an Ethernet card which achieves a higher data transfer rate than the serial RS232-C interface.

With the HEIDENHAIN TeleService software, your machine tool builder can then establish a connection to the TNC via an ISDN modem and carry out diagnostics. The following functions are available:

  • On-line screen transfer
  • Polling of machine states
  • Data transfer
  • Remote control of the TNC


Calling/exiting TeleService

  • Select any machine mode of operation

  • Press the MOD key to select the MOD function

Establish a connection to the service agency: Set the SERVICE or SUPPORT soft key to ON. The TNC breaks the connection automatically if no new data have been transferred for a time set by the machine tool builder (default: 15 min)

To break the connection to the service agency: Set the SERVICE or SUPPORT soft key to OFF. The TNC terminates the connection after approx. one minute


External access

Weitere Informationen:
> Application


Application

The machine tool builder can configure teleservice settings with the LSV-2 interface. The machine manual provides further information.

The soft key SERVICE can be used to grant or restrict access through the LSV-2 interface.

With an entry in the configuration file TNC.SYS you can protect a directory and its subdirectories with a password. The password is requested when data from this directory is accessed from the LSV-2 interface. Enter the path and password for external access in the configuration file TNC.SYS.

The TNC.SYS file must be stored in the root directory TNC:\.

If you only supply one entry for the password, then the entire drive TNC:\ is protected.

You should use the updated versions of the HEIDENHAIN software TNCremo or TNCremoNT to transfer the data.

Entries in TNC.SYS | Meaning
REMOTE.PERMISSION= | Permit LSV-2 access only for defined computers. Define the list of computer names.
REMOTE.TNCPASSWORD= | Password for LSV-2 access
REMOTE.TNCPRIVATEPATH= | Path to be protected
Example of TNC.SYS
REMOTE.permission=PC2225;PC3547
REMOTE.TNCPASSWORD=KR1402
REMOTE.TNCPRIVATEPATH=TNC:\RK
Weitere Informationen:
> Permitting/Restricting external access


Permitting/Restricting external access

  • Select any machine mode of operation

  • Press the MOD key to select the MOD function

Permit a connection to the TNC: Set the EXTERNAL ACCESS soft key to ON. The TNC will then permit data access through the LSV-2 interface. The password is requested when a directory that was entered in the configuration file TNC.SYS is accessed

Block connections to the TNC: Set the EXTERNAL ACCESS soft key to OFF. The TNC will then block access through the LSV-2 interface


Host computer operation

Weitere Informationen:
> Application


Application

The machine tool builder defines the behavior and functionality of the host computer operation. The machine manual provides further information.

With the Host computer operation soft key you transfer the command to an external host computer in order to transfer data to the control, for example.

Weitere Informationen:
> Permitting/Restricting external access


Permitting/Restricting external access

  • Select the Programming and Editing operating mode or Test Run mode

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

Activate Host computer operation: The TNC shows an empty screen

Terminate Host computer operation: Press the end soft key

Note that your machine tool builder can specify that you may not terminate host computer operation manually; refer to the relevant machine tool manual.

Note that your machine tool builder can specify that the host computer operation can also be automatically activated externally; refer to the relevant machine tool manual.


Configuring the HR 550 FS wireless handwheel

Weitere Informationen:
> Application
> Assigning the handwheel to a specific handwheel holder
> Setting the transmission channel
> Selecting the transmitter power
> Statistics


Application

Press the SET UP WIRELESS HANDWHEEL soft key to configure the HR 550 FS wireless handwheel. The following functions are available:

  • Assigning the handwheel to a specific handwheel holder
  • Setting the transmission channel
  • Analyzing the frequency spectrum for determining the optimum transmission channel
  • Selecting the transmitter power
  • Statistical information on the transmission quality


Assigning the handwheel to a specific handwheel holder

  • Make sure that the handwheel holder is connected to the control hardware.

  • Place the wireless handwheel you want to assign to the handwheel holder in the handwheel holder

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

Select the configuration menu for the wireless handwheel: Press the SET UP WIRELESS HANDWHEEL soft key

Click the Connect HR button: The TNC saves the serial number of the wireless handwheel located in the handwheel holder and shows it in the configuration window to the left of the Connect HR button

To save the configuration and exit the configuration menu, press the END button


Setting the transmission channel

If the wireless handwheel is started automatically, the TNC tries to select the transmission channel supplying the best transmission signal. If you want to set the transmission channel manually, proceed as follows:

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

Select the configuration menu for the wireless handwheel: Press the SET UP WIRELESS HANDWHEEL soft key

Click the Frequency spectrum tab

Click the Stop HR button: The TNC stops the connection to the wireless handwheel and determines the current frequency spectrum for all of the 16 available channels

Memorize the number of the channel with the least amount of radio traffic (smallest bar)

Click the Start handwheel button to reactivate the wireless handwheel

Click the Properties tab

Click the Select channel button: The TNC shows all available channel numbers. Click the channel number for which the TNC determined the least amount of radio traffic

To save the configuration and exit the configuration menu, press the END button


Selecting the transmitter power

Please keep in mind that the transmission range of the wireless handwheel decreases when the transmitter power is reduced.

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

Select the configuration menu for the wireless handwheel: Press the SET UP WIRELESS HANDWHEEL soft key

Click the Set power button: The TNC shows the three available power settings. Click the desired setting

To save the configuration and exit the configuration menu, press the END button


Statistics

Under Statistics, the TNC displays information about the transmission quality.

If the reception quality is poor so that a proper and safe stop of the axes cannot be ensured anymore, an emergency-stop reaction of the wireless handwheel is triggered.

The displayed value Max. successive lost indicates whether reception quality is poor. If the TNC repeatedly displays values greater than 2 during normal operation of the wireless handwheel within the desired range of use, then there is a risk of an undesired disconnection. This can be corrected by increasing the transmitter power or by changing to another channel with less radio traffic.

If this occurs, try to improve the transmission quality by selecting another channel (siehe Setting the transmission channel) or by increasing the transmitter power (siehe Selecting the transmitter power).

To display the statistical data, proceed as follows:

  • Press the MOD key to select the MOD function

  • Scroll through the soft-key row

To select the configuration menu for the wireless handwheel, press the SET UP WIRELESS HANDWHEEL soft key: The TNC displays the configuration menu with the statistical data


Tables and Overviews

Weitere Informationen:
> General user parameters
> Pin layouts and connecting cables for the data interfaces
> Technical information
> Exchanging the buffer battery


General user parameters

General user parameters are machine parameters affecting TNC settings that the user may want to change in accordance with his requirements.

    Some examples of user parameters are:

  • Dialog language
  • Interface behavior
  • Traversing speeds
  • Sequence of machining
  • Effect of overrides
Weitere Informationen:
> Input possibilities for machine parameters
> Selecting general user parameters
> List of general user parameters


Input possibilities for machine parameters

    Machine parameters can be programmed as

  • Decimal numbers
    Enter only the number

  • Pure binary numbers
    Enter a percent sign (%) before the number

  • Hexadecimal numbers
    Enter a dollar sign ($) before the number

Weitere Informationen:
> Example:


Example:

Instead of the decimal number 27 you can also enter the binary number %11011 or the hexadecimal number $1B.

The individual machine parameters can be entered in the different number systems.

Some machine parameters have more than one function. The input value for these machine parameters is the sum of the individual values. For these machine parameters the individual values are preceded by a plus sign.


Selecting general user parameters

General user parameters are selected with code number 123 in the MOD functions.

The MOD functions also include machine-specific user parameters.


List of general user parameters

External data transfer

Adjusting TNC interfaces EXT1 (5020.0) and EXT2 (5020.1) to an external device

MP5020.x 7 data bits (ASCII code, 8th bit = parity): Bit 0 = 0
8 data bits (ASCII code, 9th bit = parity): Bit 0 = 1

Block Check Character (BCC) any: Bit 1 = 0 Block Check Character (BCC) control character not permitted: Bit 1 = 1
Transmission stop through RTS active: Bit 2 = 1
Transmission stop through RTS inactive: Bit 2 = 0

Transmission stop through DC3 active: Bit 3 = 1 Transmission stop through DC3 inactive: Bit 3 = 0
Character parity even: Bit 4 = 0 Character parity odd: Bit 4 = 1

Character parity undesired: Bit 5 = 0 Character parity desired: Bit 5 = 1

Number of stop bits that are transmitted at the end of a character:
1 stop bit: Bit 6 = 0 2 stop bits: Bit 6 = 1
1 stop bit: Bit 7 = 1 1 stop bit: Bit 7 = 0

Example:

Use the following setting to adjust the TNC interface EXT2 (MP 5020.1) to an external non-HEIDENHAIN device:

8 data bits, any BCC, transmission stop through DC3, even character parity, character parity desired, 2 stop bits

Input for MP 5020.1: %01101001

Interface type for EXT1 (5030.0) and EXT2 (5030.1)

MP5030.x
Standard transmission: 0 Interface for blockwise transfer: 1

Touch probes |
Selecting signal transmission | MP6010 Touch probe with cable transmission: 0 Touch probe with infrared transmission: 1
Probing feed rate for triggering touch probes | MP6120 1 to 3000 [mm/min]
Maximum traverse to first touch point | MP6130 0.001 to 99 999.9999 [mm]
Safety clearance to probing point during automatic measurement | MP6140 0.001 to 99 999.9999 [mm]
Rapid traverse for triggering touch probes | MP6150 1 to 300 000 [mm/min]
Pre-positioning at rapid traverse | MP6151 Pre-position with speed from MP6150: 0 Pre-position at rapid traverse: 1
Measure center misalignment of the stylus when calibrating a triggering touch probe | MP6160 No 180° rotation of the touch probe during calibration: 0 M function for 180° rotation of the touch probe during calibration: 1 to 999
M function for orienting the infrared sensor before each measuring cycle | MP6161 Function inactive: 0 Orientation directly through the NC: -1 M function for orienting the touch probe: 1 to 999
Angle of orientation for the infrared sensor | MP6162 0 to 359.9999 [°]
Difference between the current angle of orientation and the angle of orientation set in MP 6162; when the entered difference is reached, an oriented spindle stop is to be carried out | MP6163 0 to 3.0000 [°]
Automatic operation: Automatically orient the infrared sensor before probing to the programmed probing direction | MP6165 Function inactive: 0 Orient infrared sensor: 1
Manual operation: Compensate the probe direction taking an active basic rotation into account | MP6166 Function inactive: 0 Take basic rotation into account: 1
Multiple measurement for programmable probe function | MP6170 1 to 3
Confidence range for multiple measurement | MP6171 0.001 to 0.999 [mm]
Automatic calibration cycle: Center of the calibration ring in the X axis referenced to the machine datum | MP6180.0 (traverse range 1) to MP6180.2 (traverse range 3) 0 to 99 999.9999 [mm]
Automatic calibration cycle: Center of the calibration ring in the Y axis referenced to the machine datum | MP6181.x (traverse range 1) to MP6181.2 (traverse range 3) 0 to 99 999.9999 [mm]
Automatic calibration cycle: Upper edge of the calibration ring in the Z axis referenced to the machine datum | MP6182.x (traverse range 1) to MP6182.2 (traverse range 3) 0 to 99 999.9999 [mm]
Automatic calibration cycle: Distance below the upper edge of the ring where the calibration is carried out by the TNC | MP6185.x (traverse range 1) to MP6185.2 (traverse range 3) 0.1 to 99 999.9999 [mm]
Radius measurement with the TT 130 touch probe: Probing direction | MP6505.0 (traverse range 1) to 6505.2 (traverse range 3) Positive probing direction in the angle reference axis (0° axis): 0 Positive probing direction in the +90° axis: 1 Negative probing direction in the angle reference axis (0° axis): 2 Negative probing direction in the +90° axis: 3
Probing feed rate for second measurement with TT 130, stylus shape, corrections in TOOL.T | MP6507 Calculate feed rate for second measurement with TT 130, with constant tolerance: Bit 0 = 0 Calculate feed rate for second measurement with TT 130, with variable tolerance: Bit 0 = 1 Constant feed rate for second measurement with TT 130: Bit 1 = 1
Maximum permissible measuring error with TT 130 during measurement with rotating tool Required for calculating the probing feed rate in connection with MP6570 | MP6510.0 0.001 to 0.999 [mm] (recommended input value: 0.005 mm) MP6510.1 0.001 to 0.999 [mm] (recommended input value: 0.01 mm)
Feed rate for probing a stationary tool with the TT 130 | MP6520 1 to 3000 [mm/min]
Radius measurement with the TT 130: Distance from lower edge of tool to upper edge of stylus | MP6530.0 (traverse range 1) to MP6530.2 (traverse range 3) 0.001 to 99.9999 [mm]
Set-up clearance in the tool axis above the stylus of the TT 130 for pre-positioning | MP6540.0 0.001 to 30 000.000 [mm]
Clearance zone in the machining plane around the stylus of the TT 130 for pre-positioning | MP6540.1 0.001 to 30 000.000 [mm]
Rapid traverse for TT 130 in the probe cycle | MP6550 10 to 10 000 [mm/min]
M function for spindle orientation during individual tooth measurement | MP6560 0 to 999 -1: Function inactive
Measuring rotating tools: Permissible rotational speed at the circumference of the milling tool Required for calculating rpm and probe feed rate | MP6570 1.000 to 120.000 [m/min]
Measuring rotating tools: Permissible rotational rpm | MP6572 0.000 to 1000.000 [rpm] If you enter 0, the speed is limited to 1000 rpm
Coordinates of the TT 120 stylus center relative to the machine datum | MP6580.0 (traverse range 1) X axis MP6580.1 (traverse range 1) Y axis MP6580.2 (traverse range 1) Z axis MP6581.0 (traverse range 2) X axis MP6581.1 (traverse range 2) Y axis MP6581.2 (traverse range 2) Z axis MP6582.0 (traverse range 3) X axis MP6582.1 (traverse range 3) Y axis MP6582.2 (traverse range 3) Z axis
Monitoring the position of rotary axes and parallel axes | MP6585 Function inactive: 0 Monitor axis positions, definable bit-coded for each axis: 1
Defining the rotary axes and parallel axes to be monitored | MP6586.0 Do not monitor the position of the A axis: 0 Monitor the position of the A axis: 1 MP6586.1 Do not monitor the position of the B axis: 0 Monitor the position of the B axis: 1 MP6586.2 Do not monitor the position of the C axis: 0 Monitor the position of the C axis: 1 MP6586.3 Do not monitor the position of the U axis: 0 Monitor the position of the U axis: 1 MP6586.4 Do not monitor the position of the V axis: 0 Monitor the position of the V axis: 1 MP6586.5 Do not monitor the position of the W axis: 0 Monitor the position of the W axis: 1
KinematicsOpt: Tolerance limit for error message in Optimization mode | MP6600 0.001 to 0.999
KinematicsOpt: Maximum permitted deviation from entered calibration sphere radius | MP6601 0.01 to 0.1
KinematicsOpt: M function for positioning rotary axes | MP6602 Function inactive:-1 Position the rotary axis with a defined miscellaneous function: 0 to 9999
TNC displays, TNC editor

Cycles 17, 18 and 207: Oriented spindle stop at beginning of cycle

MP7160
Oriented spindle stop: 0
No oriented spindle stop: 1

Setting up the programming station

MP7210
TNC with machine: 0 TNC as programming station with active PLC: 1
TNC as programming station with inactive PLC: 2

Acknowledgment of POWER INTERRUPTED after switch-on

MP7212
Acknowledge with key: 0
Acknowledge automatically: 1

ISO programming: Set the block number increment

MP7220
0 to 150

Disabling the selection of file types

MP7224.0 All file types selectable via soft key: %0000000 Disable selection of HEIDENHAIN programs (soft key SHOW .H): Bit 0 = 1 Disable selection of DIN/ISO programs (soft key SHOW .I): Bit 1 = 1 Disable selection of tool tables (soft key SHOW .T): Bit 2 = 1 Disable selection of datum tables (soft key SHOW .D): Bit 3 = 1
Disable selection of pallet tables (soft key SHOW .P): Bit 4 = 1 Disable selection of text files (soft key SHOW .A): Bit 5 = 1 Disable selection of point tables (soft key SHOW .PNT): Bit 6 = 1

Disabling the editor for certain file types

Note:

If a particular file type is inhibited, the TNC will erase all files of this type.

MP7224.1
Do not disable editor: %0000000
Disable editor for

  • HEIDENHAIN programs: Bit 0 = 1

  • ISO programs: Bit 1 = 1

  • Tool tables: Bit 2 = 1

  • Datum tables: Bit 3 = 1

  • Pallet tables: Bit 4 = 1

  • Text files: Bit 5 = 1

  • Point tables: Bit 6 = 1

Locking soft key for tables

MP7224.2
Do not lock the EDITING ON/OFF soft key: %0000000
Lock the EDITING ON/OFF soft key for

  • Without function: Bit 0 = 1

  • Without function: Bit 1 = 1

  • Tool tables: Bit 2 = 1

  • Datum tables: Bit 3 = 1

  • Pallet tables: Bit 4 = 1

  • Without function: Bit 5 = 1

  • Point tables: Bit 6 = 1

Configure pallet files

MP7226.0
Pallet table inactive: 0
Number of pallets per pallet table: 1 to 255

Configuring datum files

MP7226.1
Datum table inactive: 0
Number of datums per datum table: 1 to 255

Program length up to which the LBL numbers are checked

MP7229.0
Blocks 100 to 9999

Program length up to which FK blocks are checked

MP7229.1
Blocks 100 to 9999

Set the dialog language

MP7230.0 to MP7230.3
English: 0 German: 1
Czech: 2 French: 3
Italian: 4
Spanish: 5 Portuguese: 6 Swedish: 7
Danish: 8 Finnish: 9 Dutch: 10 Polish: 11
Hungarian: 12
Reserved: 13
Russian (Cyrillic character set): 14 (only as of MC 422 B)
Chinese (simplified): 15 (only as of MC 422 B)
Chinese (traditional): 16 (only as of MC 422 B)
Slovenian: 17 (only as of MC 422 B)
Norwegian: 18 (only as of MC 422 B)
Slovak: 19 (only as of MC 422 B)
Korean: 21 (only as of MC 422 B)
Turkish: 23 (only as of MC 422 B)
Romanian: 24 (only as of MC 422 B)
Note: Estonian, Latvian, and Lithuanian are no longer supported. If MP7230 is set to one of these languages, the TNC will display English dialog texts.

Configure the tool tables

MP7260
Inactive: 0
Number of tools generated by the TNC when a new tool table is opened: 1 to 254
If you require more than 254 tools, you can expand the tool table with the function APPEND N LINES (siehe Tool data)

Configuring pocket tables

MP7261.0 (magazine 1) MP7261.1 (magazine 2) MP7261.2 (magazine 3) MP7261.3 (magazine 4) MP7261.4 (magazine 5) MP7261.5 (magazine 6) MP7261.6 (magazine 7) MP7261.7 (magazine 8) Inactive: 0
Number of pockets in the tool magazine: 1 to 9999
If the value 0 is entered in MP7261.1 through MP7261.7, the TNC uses only one tool magazine.

Index tool numbers in order to be able to assign different compensation data to one tool number

MP7262
Do not index: 0
Number of permissible indices: 1 to 9

Configuration of tool table and pocket table

MP7263
Configuration settings for tool table and pocket table: %0000

  • Show the POCKET TABLE soft key in the tool table: Bit 0 = 0

  • Do not show the POCKET TABLE soft key in the tool table: Bit 0 = 1

  • External data transmission: Only transmit displayed columns: Bit 1 = 0

  • External data transmission: Transmit all columns: Bit 1 = 1

  • Show the EDIT ON/OFF soft key in the pocket table: Bit 2 = 0

  • Do not show the EDIT ON/OFF soft key in the pocket table: Bit 2 = 1

  • RESET COLUMN T and RESET POCKET TABLE soft keys active: Bit 3 = 0

  • RESET COLUMN T and RESET POCKET TABLE soft keys not active: Bit 3 = 1

  • Do not allow the deletion of tools if they are contained in the pocket table: Bit 4 = 0

  • Allow the deletion of tools if they are contained in the pocket table, deletion must be confirmed by the user: Bit 4 = 1

  • Deletion of tools contained in the pocket table is possible with confirmation: Bit 5 = 0

  • Deletion of tools contained in the pocket table is possible without confirmation: Bit 5 = 1

  • Delete indexed tools without confirmation: Bit 6 = 0

  • Delete indexed tools with confirmation: Bit 6 = 1

Configuring tool table (To omit from the table: enter 0); Column number in the tool table for

MP7266.0
Tool name – NAME: 0 to 42; column width: 32 characters
MP7266.1
Tool length – L: 0 to 42; column width: 11 characters
MP7266.2
Tool radius – R: 0 to 42; column width: 11 characters
MP7266.3
Tool radius 2 – R2: 0 to 42; column width: 11 characters
MP7266.4
Oversize length – DL: 0 to 42; column width: 8 characters
MP7266.5
Oversize radius – DR: 0 to 42; column width: 8 characters
MP7266.6
Oversize radius 2 – DR2: 0 to 42; column width: 8 characters
MP7266.7
Tool locked – TL: 0 to 42; column width: 2 characters
MP7266.8
Replacement tool – RT: 0 to 42; column width: 5 characters
MP7266.9
Maximum tool life – TIME1: 0 to 42; column width: 5 characters
MP7266.10
Maximum tool life for TOOL CALL – TIME2: 0 to 42; column width: 5 characters
MP7266.11
Current tool life – CUR. TIME: 0 to 42; column width: 8 characters
MP7266.12
Tool comment – DOC: 0 to 42; column width: 16 characters
MP7266.13
Number of teeth – CUT.: 0 to 42; column width: 4 characters
MP7266.14
Tolerance for wear detection in tool length – LTOL: 0 to 42; column width: 6 characters
MP7266.15
Tolerance for wear detection in tool radius – RTOL: 0 to 42; column width: 6 characters
MP7266.16
Cutting direction – DIRECT.: 0 to 42; column width: 7 characters
MP7266.17
PLC status – PLC: 0 to 42; column width: 9 characters
MP7266.18
Offset of the tool in the tool axis in addition to MP6530 – TT:L-OFFS: 0 to 42;
column width: 11 characters
MP7266.19
Offset of the tool between stylus center and tool center – TT:R-OFFS: 0 to 42;
column width: 11 characters

Configuring tool table (To omit from the table: enter 0); Column number in the tool table for

MP7266.20
Tolerance for break detection in tool length – LBREAK.: 0 to 42; column width: 6 characters
MP7266.21
Tolerance for break detection in tool radius – RBREAK: 0 to 42; column width: 6 characters
MP7266.22
Tooth length (Cycle 22) – LCUTS: 0 to 42; column width: 11 characters
MP7266.23
Maximum plunge angle (Cycle 22) – ANGLE.: 0 to 42; column width: 7 characters
MP7266.24
Tool type –TYP: 0 to 42; column width: 5 characters
MP7266.25
Tool material – TMAT: 0 to 42; column width: 16 characters
MP7266.26
Cutting data table – CDT: 0 to 42; column width: 16 characters MP7266.27
PLC value – PLC-VAL: 0 to 42; column width: 11 characters
MP7266.28
Center misalignment in reference axis – CAL-OFF1: 0 to 42; column width: 11 characters
MP7266.29
Center misalignment in minor axis – CAL-OFF2: 0 to 42; column width: 11 characters
MP7266.30
Spindle angle for calibration – CALL-ANG: 0 to 42; column width: 11 characters
MP7266.31
Tool type for the pocket table – PTYP: 0 to 42; column width: 2 characters
MP7266.32
Limitation of spindle speed – NMAX: 0 to 42; Column width: 6 characters
MP7266.33
Retraction at NC stop – LIFTOFF: 0 to 42; column width is 1 character
MP7266.34
Machine-dependent function – P1: 0 to 42; column width: 10 characters
MP7266.35
Machine-dependent function – P2: 0 to 42; column width: 10 characters
MP7266.36
Machine-dependent function – P3: 0 to 42; column width: 10 characters
MP7266.37
Tool-specific kinematics description – KINEMATIC: 0 to 42; column width: 16 characters
MP7266.38
Point angle T_ANGLE: 0 to 42; column width: 9 characters
MP7266.39
Thread pitch – PITCH: 0 to 42; column width: 10 characters
MP7266.40
Adaptive feed control – AFC: 0 to 42; column width: 10 characters
MP7266.41
Tolerance for wear detection in tool radius 2 – R2TOL: 0 to 42; column width: 6 characters
MP7266.42
Name of the compensation-value table for 3-D tool radius compensation depending on the tool's contact angle
MP7266.43
Date/Time of the last tool call

Configuring tool pocket table (to omit from the table: enter 0); Column number in the pocket table for

MP7267.0
Tool number – T: 0 to 20
MP7267.1
Special tool – ST: 0 to 20
MP7267.2
Fixed pocket – F: 0 to 20
MP7267.3
Pocket locked – L: 0 to 20
MP7267.4
PLC status – PLC: 0 to 20
MP7267.5
Tool name from tool table – TNAME: 0 to 20
MP7267.6
Comment from tool table – DOC: 0 to 20
MP7267.7
Tool type – PTYP: 0 to 20
MP7267.8
Value for PLC – P1: 0 to 20
MP7267.9
Value for PLC – P2: 0 to 20
MP7267.10
Value for PLC – P3: 0 to 20
MP7267.11
Value for PLC – P4: 0 to 20
MP7267.12
Value for PLC – P5: 0 to 20
MP7267.13
Reserved pocket – RSV: 0 to 20
MP7267.14
Pocket above locked – LOCKED_ABOVE: 0 to 20
MP7267.15
Pocket below locked – LOCKED_BELOW: 0 to 20
MP7267.16
Pocket at left locked – LOCKED_LEFT: 0 to 20
MP7267.17
Pocket at right locked – LOCKED_RIGHT: 0 to 20
MP7267.18
S1 value for PLC – P6: 0 to 20
MP7267.19
S2 value for PLC – P7: 0 to 20

Configuring datum table (To omit from the table: enter 0); Column number in the datum table for

MP7268.0
Comment – DOC: 0 to 11
MP7268.1
Basic rotation – ROT: 0 to 11
MP7268.2
Datum in X axis – X: 0 to 11
MP7268.3
Datum in Y axis – Y: 0 to 11
MP7268.4
Datum in Z axis – Z: 0 to 11
MP7268.5
Datum in A axis – A: 0 to 11
MP7268.6
Datum in B axis – B: 0 to 11
MP7268.7
Datum in C axis – C: 0 to 11
MP7268.8
Datum in U axis – U: 0 to 11
MP7268.9
Datum in V axis – V: 0 to 11
MP7268.10
Datum in W axis – W: 0 to 11

Manual Operation mode: Display of feed rate

MP7270
Display feed rate F only if an axis direction button is pressed: 0
Display feed rate F even if no axis direction button is pressed (feed rate defined via soft key F or feed rate of the “slowest” axis): 1

Set decimal places

MP7280
The decimal character is a comma: 0
The decimal character is a point: 1

Select the "Programming and Editing" mode of operation: Display of multiline NC blocks

MP7281.0
Always show all NC blocks completely: 0
Only show current block completely: 1
Only show NC block completely when editing: 2

Select the "Program Run" mode of operation: Display of multiline NC blocks

MP7281.1
Always show all NC blocks completely: 0
Only show current block completely: 1
Only show NC block completely when editing: 2

Position display in the tool axis

MP7285
Display is referenced to the tool datum: 0
Display in the tool axis is referenced to the
tool face: 1

Display step for the spindle position

MP7289
0.1 °: 0 0.05 °: 1
0.01 °: 2
0.005 °: 3
0.001 °: 4
0.0005 °: 5
0.0001 °: 6

Display step

MP7290.0 (X axis) to MP7290.13 (14th axis)
0.1 mm: 0 0.05 mm: 1
0.01 mm: 2
0.005 mm: 3
0.001 mm: 4
0.0005 mm: 5
0.0001 mm: 6

Disabling datum setting in the preset table

MP7294
Do not disable datum setting: %00000000000000
Disable datum setting in the X axis: Bit 0 = 1
Disable datum setting in the Y axis: Bit 1 = 1
Disable datum setting in the Z axis: Bit 2 = 1
Disable datum setting in the IVth axis: Bit 3 = 1
Disable datum setting in the Vth axis: Bit 4 = 1
Disable datum setting in the 6th axis: Bit 5 = 1 Disable datum setting in the 7th axis: Bit 6 = 1 Disable datum setting in the 8th axis: Bit 7 = 1
Disable datum setting in the 9th axis: Bit 8 = 1 Disable datum setting in the 10th axis: Bit 9 = 1 Disable datum setting in the 11th axis: Bit 10 = 1 Disable datum setting in the 12th axis: Bit 11 = 1
Disable datum setting in the 13th axis: Bit 12 = 1
Disable datum setting in the 14th axis: Bit 13 = 1

Disabling datum setting

MP7295
Do not disable datum setting: %00000000000000
Disable datum setting in the X axis: Bit 0 = 1
Disable datum setting in the Y axis: Bit 1 = 1
Disable datum setting in the Z axis: Bit 2 = 1
Disable datum setting in the IVth axis: Bit 3 = 1
Disable datum setting in the Vth axis: Bit 4 = 1
Disable datum setting in the 6th axis: Bit 5 = 1 Disable datum setting in the 7th axis: Bit 6 = 1 Disable datum setting in the 8th axis: Bit 7 = 1
Disable datum setting in the 9th axis: Bit 8 = 1 Disable datum setting in the 10th axis: Bit 9 = 1 Disable datum setting in the 11th axis: Bit 10 = 1 Disable datum setting in the 12th axis: Bit 11 = 1
Disable datum setting in the 13th axis: Bit 12 = 1
Disable datum setting in the 14th axis: Bit 13 = 1

Disable datum setting with the orange axis keys

MP7296
Do not disable datum setting: 0
Disable datum setting with the orange axis keys: 1

Resetting status display, Q parameters, tool data and machining time

MP7300
Caution: For safety-related reasons, do not use settings 0 to 3! This would cause the TNC to delete the tool data.
Reset all when a program is selected: 0
Reset all when a program is selected and with M2, M30, END PGM: 1
Reset only status display, machining time and tool data when a program is selected: 2 Reset only status display, machining time and tool data when a program is selected and with M2, M30, END PGM: 3
Reset status display, machining time and Q parameters when a program is selected: 4
Reset status display, machining time, and Q parameters when a program is selected and with M2, M30, END PGM: 5
Reset status display and machining time when a program is selected: 6
Reset status display and machining time when a program is selected and with M2, M30, END PGM: 7

Settings for graphic display mode

MP7310
Projection in three planes according to ISO 128, projection method 1: Bit 0 = 0
Projection in three planes according to ISO 128, projection method 2: Bit 0 = 1
Display new BLK FORM in Cycle 7 DATUM SHIFT referenced to the old datum: Bit 2 = 0
Display new BLK FORM in Cycle 7 DATUM SHIFT referenced to the new datum: Bit 2 = 1
Do not show cursor position during projection in three planes: Bit 4 = 0
Show cursor position during projection in three planes: Bit 4 = 1
Software functions of the new 3-D graphics active: Bit 5 = 0
Software functions of the new 3-D graphics not active: Bit 5 = 1

Limitation of a tool’s tooth length to be simulated. Only effective if LCUTS is not defined

MP7312
0 to 99 999.9999 [mm]
Factor by which the tool diameter is multiplied in order to increase the simulation speed. If 0 is entered, the TNC assumes an infinitely long tooth length, which significantly increases the time required for the simulation.

Graphic simulation without programmed tool axis: Tool radius

MP7315
0 to 99 999.9999 [mm]

Graphic simulation without programmed tool axis: Penetration depth

MP7316
0 to 99 999.9999 [mm]

Graphic simulation without programmed tool axis: M-function for start

MP7317.0
0 to 88 (0: Function inactive)

Graphic simulation without programmed tool axis: M function for end

MP7317.1
0 to 88 (0: Function inactive)

Set screen saver

MP7392.0
0 to 99 [min]
Time in minutes until the screen saver switches on (0: Function not active)

MP7392.1
No screen saver is active: 0
Standard screen saver of the X server: 1
3-D line pattern: 2

Machining and program run |
Effect of Cycle 11 SCALING FACTOR | MP7410 SCALING FACTOR effective in three axes: 0 SCALING FACTOR effective in the working plane only: 1
Managing tool data/calibration data | MP7411 The TNC saves the calibrated data for the touch probe internally: +0 The TNC uses the compensation values for the touch probe from the tool table as calibration data for the touch probe: +1
SL cycles | MP7420 The following applies to Cycles 21, 22, 23, 24: Mill channel around the contour—clockwise for islands and counterclockwise for pockets: Bit 0 = 0 Mill channel around the contour—clockwise for pockets and counterclockwise for islands: Bit 0 = 1 First mill the channel, then rough out the contour: Bit 1 = 0 Rough out the contour, then mill the channel: Bit 1 = 1 Combine compensated contours: Bit 2 = 0 Combine uncompensated contours: Bit 2 = 1 Rough out to each pocket depth: Bit 3 = 0 Mill pocket and rough-out for each infeed depth before continuing to the next depth: Bit 3 = 1 The following applies to Cycles 6, 15, 16, 21, 22, 23, and 24: At the end of the cycle, move the tool to the position that was last programmed before the cycle call: Bit 4 = 0 At the end of the cycle, retract the tool in the spindle axis only: Bit 4 = 1
Cycle 4 POCKET MILLING and Cycle 5 CIRCULAR POCKET MILLING: Overlap factor | MP7430 0.1 to 1.414
Permissible deviation of circle radius between circle end point and circle starting point | MP7431 0.0001 to 0.016 [mm]
Limit switch tolerance for M140 and M150 | MP7432 Function inactive: 0 Tolerance for the distance by which the software limit switch may be exceeded with M140/M150: 0.0001 to 1.0000
Operation of various miscellaneous functions M Note: The kV factors for position loop gain are set by the machine tool builder. Refer to your machine manual. | MP7440 Program stop with M6: Bit 0 = 0 No program stop with M6: Bit 0 = 1 No cycle call with M89: Bit 1 = 0 Cycle call with M89: Bit 1 = 1 Program stop with M functions: Bit 2 = 0 No program stop with M functions: Bit 2 = 1 kV factors cannot be switched through M105 and M106: Bit 3 = 0 kV factors can be switched through M105 and M106: Bit 3 = 1 Reduce the feed rate in the tool axis with M103 F.. Function inactive: Bit 4 = 0 Reduce the feed rate in the tool axis with M103 F.. Function active: Bit 4 = 1 Reserved: Bit 5 Exact stop for positioning with rotary axes inactive: Bit 6 = 0 Exact stop for positioning with rotary axes active: Bit 6 = 1
Error message during cycle call | MP7441 Display error message if M3/M4 not active: Bit 0 = 0 Suppress error message if M3/M4 not active: Bit 0 = 1 Reserved: Bit 1 Suppress error message if positive depth programmed: Bit 2 = 0 Display error message if positive depth programmed: Bit 2 = 1
M function for spindle orientation in the fixed cycles | MP7442 Function inactive: 0 Orientation directly through the NC: -1 M function for orienting the spindle: 1 to 999
Maximum contouring speed at feed rate override setting of 100% in the Program Run modes | MP7470 0 to 99 999 [mm/min]
Feed rate for rotary-axis compensation movements | MP7471 0 to 99 999 [mm/min]
Compatibility machine parameters for datum tables | MP7475 Datum shifts are referenced to the workpiece datum: 0 If the value 1 was entered in older TNC controls or in controls with software 340420-xx, datum shifts were referenced to the machine datum. This function is no longer available. You must now use the preset table instead of datum tables referenced to REF (siehe Management of presets with the preset table).
Time to be added when calculating the tool usage time | MP7485 0 to 100 [%]


Pin layouts and connecting cables for the data interfaces

Weitere Informationen:
> RS-232-C/V.24 interface for HEIDENHAIN devices
> Non-HEIDENHAIN devices
> RS-422/V.11 Interface
> Ethernet interface RJ45 socket


RS-232-C/V.24 interface for HEIDENHAIN devices

The interface complies with the requirements of EN 50 178 for “low voltage electrical separation.”

Please note that pins 6 and 8 of the connecting cable 274545 are bridged.

When using the 25-pin adapter block:

TNC |  | Connecting cable 365725-xx |  |  | Adapter block 310085‑01 |  | Connecting cable 274545-xx
Male | Assignment | Female | Color | Female | Male | Female | Male | Color | Female
1 | Do not assign | 1 |  | 1 | 1 | 1 | 1 | White/Brown | 1
2 | RXD | 2 | Yellow | 3 | 3 | 3 | 3 | Yellow | 2
3 | TXD | 3 | Green | 2 | 2 | 2 | 2 | Green | 3
4 | DTR | 4 | Brown | 20 | 20 | 20 | 20 | Brown | 8
5 | Signal GND | 5 | Red | 7 | 7 | 7 | 7 | Red | 7
6 | DSR | 6 | Blue | 6 | 6 | 6 | 6 |  | 6
7 | RTS | 7 | Gray | 4 | 4 | 4 | 4 | Gray | 5
8 | CTS | 8 | Pink | 5 | 5 | 5 | 5 | Pink | 4
9 | Do not assign | 9 |  |  |  |  | 8 | Violet | 20
Hsg. | External shield | Hsg. | External shield | Hsg. | Hsg. | Hsg. | Hsg. | External shield | Hsg.

When using the 9-pin adapter block:

TNC |  | Connecting cable 355484-xx |  |  | Adapter block 363987‑02 |  | Connecting cable 366964-xx
Male | Assignment | Female | Color | Male | Female | Male | Female | Color | Female
1 | Do not assign | 1 | Red | 1 | 1 | 1 | 1 | Red | 1
2 | RXD | 2 | Yellow | 2 | 2 | 2 | 2 | Yellow | 3
3 | TXD | 3 | White | 3 | 3 | 3 | 3 | White | 2
4 | DTR | 4 | Brown | 4 | 4 | 4 | 4 | Brown | 6
5 | Signal GND | 5 | Black | 5 | 5 | 5 | 5 | Black | 5
6 | DSR | 6 | Violet | 6 | 6 | 6 | 6 | Violet | 4
7 | RTS | 7 | Gray | 7 | 7 | 7 | 7 | Gray | 8
8 | CTS | 8 | White/Green | 8 | 8 | 8 | 8 | White/Green | 7
9 | Do not assign | 9 | Green | 9 | 9 | 9 | 9 | Green | 9
Hsg. | External shield | Hsg. | External shield | Hsg. | Hsg. | Hsg. | Hsg. | External shield | Hsg.


Non-HEIDENHAIN devices

The connector layout of a non-HEIDENHAIN device may substantially differ from that of a HEIDENHAIN device.

It depends on the unit and the type of data transfer. The table below shows the connector pin layout on the adapter block.

Adapter block 363987‑02 |  | Connecting cable 366964-xx
Female | Male | Female | Color | Female
1 | 1 | 1 | Red | 1
2 | 2 | 2 | Yellow | 3
3 | 3 | 3 | White | 2
4 | 4 | 4 | Brown | 6
5 | 5 | 5 | Black | 5
6 | 6 | 6 | Violet | 4
7 | 7 | 7 | Gray | 8
8 | 8 | 8 | White / Green | 7
9 | 9 | 9 | Green | 9
Hsg. | Hsg. | Hsg. | External shield | Hsg.


RS-422/V.11 Interface

Only non-HEIDENHAIN devices are connected to the RS-422 interface.

The interface complies with the requirements of EN 50 178 for “low voltage electrical separation.”

The pin layouts on the TNC logic unit (X28) and on the adapter block are identical.

TNC |  | Connecting cable 355484-xx |  |  | Adapter block 363987‑01
Female | Assignment | Male | Color | Female | Male | Female
1 | RTS | 1 | Red | 1 | 1 | 1
2 | DTR | 2 | Yellow | 2 | 2 | 2
3 | RXD | 3 | White | 3 | 3 | 3
4 | TXD | 4 | Brown | 4 | 4 | 4
5 | Signal GND | 5 | Black | 5 | 5 | 5
6 | CTS | 6 | Violet | 6 | 6 | 6
7 | DSR | 7 | Gray | 7 | 7 | 7
8 | RXD | 8 | White/Green | 8 | 8 | 8
9 | TXD | 9 | Green | 9 | 9 | 9
Hsg. | External shield | Hsg. | External shield | Hsg. | Hsg. | Hsg.


Ethernet interface RJ45 socket

    Maximum cable length:

  • Unshielded: 100 m
  • Shielded: 400 m
Pin | Signal | Description
1 | TX+ | Transmit Data
2 | TX- | Transmit Data
3 | REC+ | Receive Data
4 | Vacant |
5 | Vacant |
6 | REC– | Receive Data
7 | Vacant |
8 | Vacant |


Technical information

    Explanation of symbols

  • Default

  • Axis option

  • Software option 1

  • Software option 2

User functions

Short description
  • Basic version: 3 axes plus spindle
  • 16 additional axes or 15 additional axes plus 2nd spindle
  • Digital current and shaft speed control

Program entry

HEIDENHAIN conversational format, with smarT.NC and as per ISO

Position data
  • Nominal positions for lines and arcs in Cartesian coordinates or polar coordinates
  • Incremental or absolute dimensions
  • Display and entry in mm or inches
  • Display of the handwheel path during machining with handwheel superimpositioning

Tool Compensation
  • Tool radius in the working plane and tool length
  • Radius compensated contour look ahead for up to 99 blocks (M120)
  • Three-dimensional tool-radius compensation for subsequent changing of tool data without having to recalculate the program

Tool tables

Multiple tool tables with up to 30 000 tools

Cutting-data tables

Cutting data tables for automatic calculation of spindle speeds and feed rates from tool-specific data (cutting speed, feed per tooth)

Constant contour speed
  • With respect to the path of the tool center
  • With respect to the cutting edge

Parallel operation

Creating a program with graphical support while another program is being run

3-D machining (software option 2)
  • 3-D tool compensation through surface normal vectors
  • Using the electronic handwheel to change the angle of the swivel head during program run without affecting the position of the tool point. (TCPM = Tool Center Point Management)
  • Keeping the tool normal to the contour
  • Tool radius compensation perpendicular to traversing and tool direction
  • Spline interpolation

Rotary table machining (software option 1)
  • Programming of cylindrical contours as if in two axes
  • Feed rate in distance per minute

Contour elements
  • Straight line
  • Chamfer
  • Circular path
  • Circle center
  • Circle radius
  • Tangentially connected arc
  • Corner rounding

Approaching and departing the contour
  • Via straight line: tangential or perpendicular
  • Via circular arc

FK free contour programming
  • FK free contour programming in HEIDENHAIN conversational format with graphic support for workpiece drawings not dimensioned for NC

Program jumps
  • Subprograms
  • Program section repeats
  • Any desired program as subprogram

Fixed cycles
  • Drilling cycles for drilling, pecking, reaming, boring, tapping with a floating tap holder, rigid tapping
  • Cycles for milling internal and external threads
  • Milling and finishing rectangular and circular pockets
  • Cycles for clearing level and inclined surfaces
  • Cycles for milling linear and circular slots
  • Cartesian and polar point patterns
  • Contour pockets—also with contour-parallel machining
  • Contour train
  • OEM cycles (special cycles developed by the machine tool builder) can also be integrated

Coordinate transformation
  • Datum shift, rotation, mirroring
  • Scaling factor (axis-specific)
  • Tilting the working plane (software option 1)

Q parameters Programming with variables

  • Mathematical functions =, +, –, *, /, sin α , cos α
  • Logical operations (=, =/, <, >)
  • Calculating with parentheses
  • tan α, arc sin, arc cos, arc tan, an, en, ln, log, absolute value of a number, the constant π, negation, truncation of digits before or after the decimal point
  • Functions for calculation of circles
  • String parameters

Programming aids
  • Calculator
  • Context-sensitive help function for error messages
  • The context-sensitive help system TNCguide (FCL 3 function)
  • Graphic support for the programming of cycles
  • Comment blocks in the NC program

Teach-In
  • Actual positions can be transferred directly into the NC program

Program verification graphics
Display modes

    Graphic simulation before program run, even while another program is being run

  • Plan view / projection in 3 planes / 3-D view
  • Magnification of details

Programming graphics
  • In the Programming and Editing mode, the contour of the NC blocks is drawn on screen while they are being entered (2-D pencil-trace graphics), even while another program is running

Program Run graphics
Display modes

  • Graphic simulation of real-time machining in plan view / projection in 3 planes / 3-D view

Machining time
  • Calculating the machining time in the Test Run mode of operation
  • Display of the current machining time in the Program Run operating modes

Contour, returning to
  • Mid-program startup in any block in the program, returning the tool to the calculated nominal position to continue machining
  • Program interruption, contour departure and return

Datum tables
  • Multiple datum tables

Pallet tables
  • Tool-oriented or workpiece-oriented execution of pallet tables with any number of entries for selection of pallets, part programs and datums

Touch probe cycles
  • Calibrating the touch probe
  • Compensation of workpiece misalignment, manual or automatic
  • Datum setting, manual or automatic
  • Automatically measuring workpieces
  • Cycles for automatic tool measurement
  • Cycles for automatic kinematics measurement
Specifications

Components
  • Main computer: MC 74xx or MC 75xx, MC 6441, MC 65xx oder MC 66xx
  • Controller unit: CC 6106, 6108 or 6110
  • Remote keypad
  • 15.1-inch or 19-inch TFT color flat-panel display with soft keys
  • IPC 6341 Industrial PC with Windows 7 (option)

Program memory

At least 21 GB, up to 130 GB depending on main computer

Input resolution and display step
  • As fine as 0.1 µm for linear axes
  • Up to 0.0001° for rotary axes

Input range
  • Maximum 99 999.999 mm (3937 inches) or 99 999.999°

Interpolation
  • Linear in 4 axes
  • Linear in 5 axes (subject to export permit) (software option 1)
  • Circular in 2 axes
  • Circular in 3 axes with tilted working plane (software option 1)
  • Helix:
    Superimpositioning of circular and straight paths
  • Spline:
    Execution of splines (3rd degree polynomials)

Block processing time
3-D straight line without radius compensation

  • 0.5 ms

Axis feedback control
  • Position loop resolution: Signal period of the position encoder/1024
  • Cycle time of position controller: 1.8 ms
  • Speed controller cycle time: 600 µs
  • Cycle time of current controller: minimum 100 µs

Range of traverse
  • Maximum 100 m (3937 inches)

Spindle speed
  • Maximum 40 000 rpm (with 2 pole pairs)

Error compensation
  • Linear and nonlinear axis error, backlash, reversal peaks during circular movements, thermal expansion
  • Static friction

Data interfaces
  • One each RS-232-C /V.24 and RS-422 / V.11 max. 115 kilobaud
  • Expanded interface with LSV-2 protocol for external operation of the TNC over the interface with HEIDENHAIN software TNCremo
  • Ethernet interface 100BaseT
    Approx. 2 to 5 megabaud (depending on file type and network load)
  • USB 2.0 interface
    For pointing (mouse) devices and block devices (memory sticks, hard disks, CD-ROM drives)

Ambient temperature
  • Operation:0 °C to +45°C
  • Storage: -30°C to +70°C
Accessories

Electronic handwheels
  • One HR 550 FS portable wireless handwheel with display or
  • One HR 520 portable handwheel with display, or
  • One HR 420 portable handwheel with display, or
  • One HR 410 portable handwheel, or
  • One HR 130 panel-mounted handwheel, or
  • Up to three HR 150 panel-mounted handwheels via HRA 110 handwheel adapter

Touch probes
  • TS 220: Touch trigger probe with cable connection or
  • TS 440: Touch trigger probe with infrared transmission
  • TS 444: Battery-free touch trigger probe with infrared transmission
  • TS 640: Touch trigger probe with infrared transmission
  • TS 740: High-precision touch trigger probe with infrared transmission
  • TT 140: Touch trigger probe for tool measurement
Software option 1

Rotary table machining
  • Programming of cylindrical contours as if in two axes
  • Feed rate in distance per minute

Coordinate transformation
  • Tilting the working plane

Interpolation
  • Circular in 3 axes with tilted working plane
Software option 2

3-D machining
  • 3-D tool compensation through surface normal vectors
  • Using the electronic handwheel to change the angle of the swivel head during program run without affecting the position of the tool point. (TCPM = Tool Center Point Management)
  • Keeping the tool normal to the contour
  • Tool radius compensation perpendicular to traversing and tool direction
  • Spline interpolation

Interpolation
  • Linear in 5 axes (subject to export permit)
DXF converter software option

Extracting contour programs and machining positions from DXF data and from conversational programs
  • Supported DXF format: AC1009 (AutoCAD R12)
  • For plain-language and smarT.NC
  • Simple and convenient specification of reference points
  • Select graphical features of contour sections from conversational programs
Dynamic Collision Monitoring (DCM) software option

Collision monitoring in all machine operating modes
  • The machine manufacturer defines objects to be monitored
  • Fixture monitoring is also possible
  • Three warning levels in manual operation
  • Program interrupt during automatic operation
  • Includes monitoring of 5-axis movements
  • Test run to check for possible collisions before machining
Global Program Settings software option

Function for superimposing coordinate transformations in the Program Run modes
  • Swapping axes
  • Superimposed datum shift
  • Superimposed mirroring
  • Axis locking
  • Handwheel superimposition
  • Superimposed basic rotation and datum-based rotation
  • Feed rate factor
Adaptive Feed Control (AFC) software option

Function for adaptive feed-rate control for optimizing the machining conditions during series production
  • Recording the actual spindle power by means of a teach-in cut
  • Defining the limits of automatic feed rate control
  • Fully automatic feed control during program run
KinematicsOpt software option

Touch-probe cycles for automatic testing and optimization of the machine kinematics
  • Backup/restore active kinematics
  • Test active kinematics
  • Optimize active kinematics
3D-ToolComp software option

3-D tool radius compensation depending on the tool’s contact angle
  • Compensate the delta radius of the tool depending on the tool’s contact angle at the workpiece
  • Prerequisite: LN blocks
  • Compensation values can be defined in a separate table
Expanded Tool Management software option

Tool management that can be changed by the machine manufacturer using Python scripts
  • Mixed display of data from tool and pocket tables
  • Form-based editing of tool data
  • Tool usage and sequence list: component location diagram
Interpolation Turning software option

Interpolation turning
  • Finishing of rotation-symmetrical shoulders through interpolation of the spindle with the axes of the working plane
CAD Viewer software option

Opening of 3-D models on the control
  • Open IGES files
  • Open STEP files
Remote Desktop Manager software option

Remote operation of external computer units (e.g. a Windows PC) via the user interface of the TNC
  • Windows on a separate computer unit
  • Incorporated in the TNC interface
Cross Talk Compensation software option (CTC)

Compensation of axis couplings
  • Determination of dynamically caused position deviation through axis acceleration
  • Compensation of the TCP
Position Adaptive Control (PAC) software option

Changing control parameters
  • Changing of the control parameters depending on the position of the axes in the working space
  • Changing of the control parameters depending on the speed or acceleration of an axis
Load Adaptive Control (LAC) software option

Dynamic changing of control parameters
  • Automatic determination of workpiece weight and frictional forces
  • Continuous adaptation of the parameters of the adaptive precontrolling to the actual weight of the workpiece during machining
Active Chatter Control (ACC) software option

Function for chatter control
  • Control function that significantly reduces the chatter tendency during power milling
  • Protection of the machine's mechanical elements
  • Improvement of workpiece surface quality
  • Reduction of the machining time
FCL 2 upgrade functions

Enabling of significant improvements
  • Virtual tool axis
  • Touch probe cycle 441, Rapid Probing
  • Offline CAD point filter
  • 3-D line graphics
  • Contour pocket: Assign a separate depth to each subcontour
  • smarT.NC: Coordinate transformation
  • smarT.NC: PLANE function
  • smarT.NC: Graphically supported block scan
  • Expanded USB functionality
  • Network attachment via DHCP and DNS
FCL 3 upgrade functions

Enabling of significant improvements
  • Touch probe cycle for 3-D probing
  • Touch Probe Cycles 408 and 409 (Units 408 and 409 in smarT.NC) for setting a reference point in the center of a slot or a ridge
  • PLANE function: Axis angle input
  • User documentation as context-sensitive help right on the TNC
  • Feed-rate reduction for the machining of contour pockets with the tool being in full contact with the workpiece
  • smarT.NC: Contour pocket on pattern
  • smarT.NC: Parallel programming is possible
  • smarT.NC: Preview of contour programs in the file manager
  • smarT.NC: Positioning strategy for machining point patterns
FCL 4 upgrade functions

Enabling of significant improvements
  • Graphical depiction of the protected space when DCM collision monitoring is active
  • Handwheel superimposition in stopped condition when DCM collision monitoring is active
  • 3-D basic rotation (set-up compensation, must be adapted by the machine tool builder)

Input format and unit of TNC functions
Positions, coordinates, circle radii, chamfer lengths | -99 999.9999 to +99 999.9999 (5, 4: places before and after the decimal point) [mm]
Circle radii | -99 999.9999 to +99 999.9999 if values are entered directly, radii up to 210 m possible via Q parameter programming (5, 4: places before and after the decimal point) [mm]
Tool numbers | 0 to 32 767.9 (5, 1)
Tool names | 32 characters, enclosed by quotation marks with TOOL CALL. Permitted special characters: #, $, %, &, -
Delta values for tool compensation | –999.9999 to +999.9999 (3, 4) [mm]
Spindle speeds | 0 to 99 999.999 (5, 3) [rpm]
Feed rates | 0 to 99 999.999 (5, 3) [mm/min] or [mm/tooth] or [mm/rev]
Dwell time in Cycle 9 | 0 to 3600.000 (4, 3) [s]
Thread pitch in various cycles | –99.9999 to +99.9999 (2, 4) [mm]
Angle of spindle orientation | 0 to 360.0000 (3, 4) [°]
Angle for polar coordinates, rotation, tilting the working plane | –360.0000 to +360.0000 (3, 4) [°]
Polar coordinate angle for helical interpolation (CP) | –99 999.9999 to +99 999.9999 (5, 4) [°]
Datum numbers in Cycle 7 | 0 to 2999 (4, 0)
Scaling factor in Cycles 11 and 26 | 0.000001 to 99.999999 (2, 6)
Miscellaneous functions M | 0 to 999 (3, 0)
Q parameter numbers | 0 to 1999 (4, 0)
Q parameter values | –999 999 999 to +999 999 999 (9 digits, floating point)
Labels (LBL) for program jumps | 0 to 999 (3, 0)
Labels (LBL) for program jumps | Any text string in quotes (“”)
Number of program section repeats REP | 1 to 65 534 (5, 0)
Error number with Q parameter function FN14 | 0 to 1099 (4, 0)
Spline parameter K | –9.9999999 to +9.9999999 (1, 7)
Exponent for spline parameter | –255 to +255 (3, 0)
Surface-normal vectors N and T with 3-D compensation | –9.9999999 to +9.9999999 (1, 7)


Exchanging the buffer battery

A buffer battery supplies the TNC with current to prevent the data in RAM memory from being lost when the TNC is switched off.

If the TNC displays the error message Exchange buffer battery, then you must replace the battery:

Caution: Danger of life!

To exchange the buffer battery, first switch off the TNC.

The buffer battery must be exchanged only by trained service personnel.

Battery type: 1 lithium battery, type CR 2450N (Renata), ID 315878-01

  1. The backup battery is at the back of the MC 422 D
  2. Exchange the battery. The battery contact accepts a new battery only in the correct orientation


Overview tables

Weitere Informationen:
> Overview tables


Overview tables

Overview tables

Weitere Informationen:
> Fixed cycles
> Miscellaneous functions


Fixed cycles

Cycle number | Cycle designation | DEF active | CALL active
7 | Datum shift | ■ |
8 | Mirroring | ■ |
9 | Dwell time | ■ |
10 | Rotation | ■ |
11 | Scaling factor | ■ |
12 | Program call | ■ |
13 | Oriented spindle stop | ■ |
14 | Contour definition | ■ |
19 | Tilting the working plane | ■ |
20 | Contour data SL II | ■ |
21 | Pilot drilling SL II |  | ■
22 | Rough out SL II |  | ■
23 | Floor finishing SL II |  | ■
24 | Side finishing SL II |  | ■
25 | Contour train |  | ■
26 | Axis-specific scaling | ■ |
27 | Cylinder surface |  | ■
28 | Cylindrical surface slot |  | ■
29 | Cylinder surface ridge |  | ■
30 | Run 3-D data |  | ■
32 | Tolerance | ■ |
39 | Cylinder surface external contour |  | ■
200 | Drilling |  | ■
201 | Reaming |  | ■
202 | Boring |  | ■
203 | Universal drilling |  | ■
204 | Back boring |  | ■
205 | Universal pecking |  | ■
206 | Tapping with a floating tap holder, new |  | ■
207 | Rigid tapping, new |  | ■
208 | Bore milling |  | ■
209 | Tapping with chip breaking |  | ■
220 | Polar pattern | ■ |
221 | Cartesian pattern | ■ |
230 | Multipass milling |  | ■
231 | Ruled surface |  | ■
232 | Face milling |  | ■
240 | Centering |  | ■
241 | Single-lip deep-hole drilling |  | ■
247 | Datum setting | ■ |
251 | Rectangular pocket (complete machining) |  | ■
252 | Circular pocket (complete machining) |  | ■
253 | Slot milling |  | ■
254 | Circular slot |  | ■
256 | Rectangular stud (complete machining) |  | ■
257 | Circular stud (complete machining) |  | ■
262 | Thread milling |  | ■
263 | Thread milling/countersinking |  | ■
264 | Thread drilling/milling |  | ■
265 | Helical thread drilling/milling |  | ■
267 | Outside thread milling |  | ■
270 | Contour train data | ■ |
275 | Trochoidal slot |  | ■


Miscellaneous functions

M | Effect | Effective at block | Start | End | Page
M0 | Program run STOP /Spindle STOP if necessary/Coolant OFF if necessary |  |  | ■ | Miscellaneous functions for program run control, spindle and coolant
M1 | Optional program STOP/Spindle STOP/Coolant OFF (machine-dependent) |  |  | ■ | Optional program-run interruption
M2 | Program run STOP/Spindle STOP/Coolant OFF/Clear status display (depending on machine parameter)/Go to block 1 |  |  | ■ | Miscellaneous functions for program run control, spindle and coolant
M3 M4 M5 | Spindle ON clockwise Spindle ON counterclockwise Spindle STOP |  | ■ ■ | ■ | Miscellaneous functions for program run control, spindle and coolant
M6 | Tool change/Stop program run (depending on machine parameter)/Spindle STOP |  |  | ■ | Miscellaneous functions for program run control, spindle and coolant
M8 M9 | Coolant ON Coolant OFF |  | ■ | ■ | Miscellaneous functions for program run control, spindle and coolant
M13 M14 | Spindle ON clockwise /Coolant ON Spindle ON counterclockwise/Coolant ON |  | ■ ■ |  | Miscellaneous functions for program run control, spindle and coolant
M30 | Same function as M2 |  |  | ■ | Miscellaneous functions for program run control, spindle and coolant
M89 | Vacant miscellaneous function or Cycle call, modally effective (depending on machine parameter) |  | ■ | ■ | Cycles Manual
M90 | Only in following error mode: Constant contouring speed at corners |  |  | ■ | Smoothing corners: M90
M91 | Within the positioning block: Coordinates are referenced to machine datum |  | ■ |  | Programming machine-referenced coordinates: M91/M92
M92 | Within the positioning block: Coordinates are referenced to position defined by machine tool builder, such as tool change position |  | ■ |  | Programming machine-referenced coordinates: M91/M92
M94 | Reduce the rotary axis display to a value below 360° |  | ■ |  | Reducing display of a rotary axis to a value less than 360°: M94
M97 | Machine small contour steps |  |  | ■ | Machining small contour steps: M97
M98 | Machine open contours completely |  |  | ■ | Machining open contour corners: M98
M99 | Blockwise cycle call |  |  | ■ | Cycles Manual
M101 M102 | Automatic tool change with replacement tool if maximum tool life has expired Reset M101 |  |  | ■ ■ | Automatic tool change if the tool life expires: M101
M103 | Reduce feed rate during plunging to factor F (percentage) |  | ■ |  | Feed rate factor for plunging movements: M103
M104 | Reactivate the datum as last defined |  | ■ |  | Activating the most recently entered reference point: M104
M105 M106 | Machining with second kv factor Machining with first kv factor |  | ■ ■ |  | General user parameters
M107 M108 | Suppress error message for replacement tools with oversize Reset M107 |  | ■ | ■ | Automatic tool change if the tool life expires: M101
M109 M110 M111 | Constant contouring speed at tool cutting edge (increase and decrease feed rate) Constant contouring speed at tool cutting edge (feed rate decrease only) Reset M109/M110 |  | ■ ■ | ■ | Feed rate for circular arcs: M109/M110/M111
M114 M115 | Automatic compensation of machine geometry when working with tilted axes Reset M114 |  | ■ | ■ | Automatic compensation of machine geometry when working with tilted axes: M114 (software option 2)
M116 M117 | Feed rate for rotary axes in mm/min Reset M116 |  | ■ | ■ | Feed rate in mm/min on rotary axes A, B, C: M116 (software option 1)
M118 | Superimpose handwheel positioning during program run |  | ■ |  | Superimposing handwheel positioning during program run: M118
M120 | Pre-calculate radius-compensated contour (LOOK AHEAD) |  | ■ |  | Calculating the radius-compensated path in advance (LOOK AHEAD): M120
M124 | Do not include points when executing non-compensated line blocks |  | ■ |  | Do not include points when executing non-compensated line blocks: M124
M126 M127 | Shortest-path traverse of rotary axes Reset M126 |  | ■ | ■ | Shorter-path traverse of rotary axes: M126
M128 M129 | Retain position of tool tip when positioning tilting axes (TCPM) Reset M128 |  | ■ | ■ | Maintaining the position of the tool tip when positioning with tilted axes (TCPM): M128 (software option 2)
M130 | Moving to position in an untilted coordinate system with a tilted working plane |  | ■ |  | Moving to positions in a non-tilted coordinate system with a tilted working plane: M130
M134 M135 | Exact stop at nontangential contour transitions when positioning with rotary axes Reset M134 |  | ■ | ■ | Exact stop at corners with nontangential transitions: M134
M136 M137 | Feed rate F in millimeters per spindle revolution Reset M136 |  | ■ | ■ | Feed rate in millimeters per spindle revolution: M136
M138 | Selection of tilted axes |  | ■ |  | Selecting tilting axes: M138
M140 | Retraction from the contour in the tool-axis direction |  | ■ |  | Retraction from the contour in the tool-axis direction: M140
M141 | Suppress touch probe monitoring |  | ■ |  | Suppressing touch probe monitoring: M141
M142 | Delete modal program information |  | ■ |  | Deleting modal program information: M142
M143 | Delete basic rotation |  | ■ |  | Deleting basic rotation: M143
M144 M145 | Compensate the machine's kinematics configuration for ACTUAL/NOMINAL positions at end of block Reset M144 |  | ■ | ■ | Compensating the machine’s kinematics configuration for ACTUAL/NOMINAL positions at end of block: M144 (software option 2)
M148 M149 | Retract the tool automatically from the contour at NC stop Reset M148 |  | ■ | ■ | Automatically retract tool from the contour at an NC stop: M148
M150 | Suppress limit switch message (function effective blockwise) |  | ■ |  | Suppressing the limit switch message: M150
M200 M201 M202M203 M204 | Laser cutting: Output programmed voltage directly Laser cutting: Output of voltage as a function of distance Laser cutting: Output of voltage as a function of speed Laser cutting: Output of voltage as a function of time (ramp) Laser cutting: Output voltage as a function of time (pulse) |  | ■ ■ ■ ■ ■ |  | Miscellaneous functions for laser cutting machines


Overview of DIN/ISO Functions of the iTNC 530

Weitere Informationen:
> Overview of DIN/ISO Functions of the iTNC 530


Overview of DIN/ISO Functions of the iTNC 530

Overview of DIN/ISO Functions of the iTNC 530

M functions
M00 M01 M02 | Program STOP/Spindle STOP/Coolant OFF Optional program STOP STOP program run/Spindle STOP/Coolant OFF/CLEAR status display (depending on machine parameter)/Go to block 1
M03 M04 M05 | Spindle ON clockwise Spindle ON counterclockwise Spindle STOP
M06 | Tool change/STOP program run (depending on machine parameter)/Spindle STOP
M08 M09 | Coolant ON Coolant OFF
M13 M14 | Spindle ON clockwise/Coolant ON Spindle ON counterclockwise/Coolant ON
M30 | Same function as M02
M89 | Vacant miscellaneous function or cycle call, modally effective (depending on machine parameter)
M90 | Only in following error mode: Constant contouring speed at corners
M99 | Blockwise cycle call
M91 M92 | Within the positioning block: Coordinates are referenced to machine datum Within the positioning block: Coordinates are referenced to position defined by machine tool builder, such as tool change position
M94 | Reduce the rotary axis display to a value below 360°
M97 M98 | Machine small contour steps Machine open contours completely
M101 M102 | Automatic tool change with replacement tool if maximum tool life has expired Reset M101
M103 | Reduce feed rate during plunging to factor F (percentage)
M104 | Reactivate most recently set datum
M105 M106 | Machining with second kv factor Machining with first kv factor
M107 M108 | Suppress error message for replacement tools with oversize Reset M107
M109 M110 M111 | Constant contouring speed at tool cutting edge (increase and decrease feed rate) Constant contouring speed at tool cutting edge (feed rate decrease only) Reset M109/M110
M114 M115 | Automatic compensation of machine geometry when working with tilted axes: Reset M114
M116 M117 | Feed rate for rotary axes in mm/min Reset M116
M118 | Superimpose handwheel positioning during program run
M120 | Pre-calculate radius-compensated contour (LOOK AHEAD)
M124 | Do not include points when executing non-compensated line blocks
M126 M127 | Shortest-path traverse of rotary axes Reset M126
M128 M129 | Retain position of tool tip when positioning tilting axes (TCPM) Reset M128
M130 | Within the positioning block: Points are referenced to the untilted coordinate system
M134 M135 | Exact stop at nontangential contour transitions when positioning with rotary axes Reset M134
M136 M137 | Feed rate F in millimeters per spindle revolution Cancel M136
M138 | Selection of tilted axes
M142 | Delete modal program information
M143 | Delete basic rotation
M144 M145 | Compensate the machine's kinematics configuration for ACTUAL/NOMINAL positions at end of block Reset M144
M150 | Suppress limit switch message
M200 M201 M202 M203 M204 | Laser cutting: Direct output of the programmed voltage Laser cutting: Output voltage as a function of distance Laser cutting: Output voltage as a function of speed Laser cutting: Output voltage as a function of time (ramp) Laser cutting: Output voltage as a function of time (pulse)
G codes
Tool movements
G00 G01 G02 G03 G05 G06 G07* G10 G11 G12 G13 G15 G16 | Straight-line interpolation, Cartesian coordinates, rapid traverse Straight-line interpolation, Cartesian coordinates Circular interpolation, Cartesian coordinates, CW Circular interpolation, Cartesian coordinates, CCW Circular interpolation, Cartesian coordinates, without indication of direction Circular interpolation, Cartesian coordinates, -tangential contour approach Paraxial positioning block Straight-line interpolation, polar coordinates, rapid traverse Straight-line interpolation, polar coordinates Circular interpolation, polar coordinates, CW Circular interpolation, polar coordinates, CCW Circular interpolation, polar coordinates, -without indication of direction Circular interpolation, polar coordinates, tangential contour -approach
Chamfer/Rounding/Approach contour/Depart contour
G24* G25* G26* G27* | Chamfer with length R Corner rounding with radius R Tangential contour approach with radius R Tangential contour departure with radius R
Tool definition
G99* | With tool number T, length L, radius R
Tool radius compensation
G40 G41 G42 G43 G44 | No tool radius compensation Tool radius compensation, left of the contour Tool radius compensation, right of the contour Paraxial compensation for G07, lengthening Paraxial compensation for G07, shortening
Blank form definition for graphics
G30 G31 | (G17/G18/G19) min. point (G90/G91) max. point
Cycles for drilling, tapping and thread milling
G240 G200 G201 G202 G203 G204 G205 G206 G207 G208 G209 G241 | Centering Drilling Reaming Boring Universal drilling Back boring Universal pecking Tapping with a floating tap holder Rigid tapping Bore milling Tapping with chip breaking Single-lip deep-hole drilling
Cycles for drilling, tapping and thread milling
G262 G263 G264 G265 G267 | Thread milling Thread milling/countersinking Thread drilling/milling Helical thread drilling/milling External thread milling
Cycles for milling pockets, studs and slots
G251 G252 G253 G254 G256 G257 | Rectangular pocket, complete Circular pocket, complete Slot, complete Circular slot, complete Rectangular stud Circular stud
Cycles for creating point patterns
G220 G221 | Polar pattern Linear point pattern
SL cycles, group 2
G37 G120 G121 G122 G123 G124 G125 G127 G128 G275 | Contour geometry, list of subcontour program numbers Contour data (applies to G121 to G124) Pilot drilling Contour-parallel rough-out Floor finishing Side finishing Contour train (machining open contour) Cylinder surface Cylindrical surface slot Trochoidal slot
Coordinate transformation
G53 G54 G28 G73 G72 G80 G247 | Datum shift in datum table Datum shift in program Mirror image Rotation of the coordinate system Scaling factor (reduce or enlarge contour) Tilting the working plane Datum setting
Cycles for multipass milling
G60 G230 G231 | Run 3-D data Multipass milling of plane surfaces Multipass milling of tilted surfaces
*) Non-modal function
Touch probe cycles for measuring workpiece misalignment
G400 G401 G402 G403 G404 G405 | Basic rotation using two points Basic rotation from two holes Basic rotation from two studs Compensate a basic rotation via a rotary axis Set basic rotation Compensate misalignment with the C axis
Touch probe cycles for datum setting
G408 G409 G410 G411 G412 G413 G414 G415 G416 G417 G418 G419 | Datum at slot center Datum at ridge center Datum inside rectangle Datum outside rectangle Datum inside circle Datum outside circle Datum outside corner Datum inside corner Datum circle center Datum in touch probe axis Datum in center of 4 holes Datum in any axis
Touch probe cycles for workpiece measurement
G55 G420 G421 G422 G423 G424 G425 G426 G427 G430 G431 | Measure any coordinate Measure any angle Measure hole Measure cylindrical stud Measure rectangular pocket Measure rectangular stud Measure slot Measure ridge width Measure any coordinate Measure circle center Measure any plane
Touch probe cycles for kinematic measurement
G450 G481 G482 G483 | Calibrate the TT Measure tool length Measure tool radius Measure tool length and tool radius
Touch probe cycles for tool measurement
G480 G481 G482 G483 G484 | Calibrate the TT Measure tool length Measure tool radius Measure tool length and tool radius Calibrate infrared TT
Special cycles
G04* G36 G39* G62 G440 G441 | Dwell time with F seconds Spindle orientation Program call Tolerance deviation for fast contour milling Measure axis shift Fast probing
Define machining plane
G17 G18 G19 G20 | Working plane X/Y, tool axis Z Working plane Z/X, tool axis Y Working plane Y/Z, tool axis X Tool axis IV
Dimensions
G90 G91 | Absolute dimensions Incremental dimensions
Unit of measure
G70 G71 | Inches (set at start of program) Millimeters (set at start of program)
Other G functions
G29 G38 G51* G79* G98* | Transfer the last nominal position value as a pole (circle center) STOP program run Next tool number (with central tool file) Cycle call Set label number

*) Non-modal function

Addresses
% % | Program beginning Program call
# | Datum number with G53
A B C | Rotation about X axis Rotation about Y axis Rotation about Z axis
D | Q-parameter definitions
DL DR | Length wear compensation with T Radius wear compensation with T
E | Tolerance with M112 and M124
F F F F | Feed rate Dwell time with G04 Scaling factor with G72 Factor for feed-rate reduction F with M103
G | G codes
H H H | Polar coordinate angle Rotation angle with G73 Tolerance angle with M112
I | X coordinate of the circle center/pole
J | Y coordinate of the circle center/pole
K | Z coordinate of the circle center/pole
L L L | Set a label number with G98 Jump to a label number Tool length with G99
M | M functions
N | Block number
P P | Cycle parameters in fixed cycles Value or Q parameter in Q-parameter definition
Q | Q parameter
R R R R | Polar coordinate radius Circle radius with G02/G03/G05 Rounding radius with G25/G26/G27 Tool radius with G99
S S | Spindle speed Oriented spindle stop with G36
T T T | Tool definition with G99 Tool call Next tool with G51
U V W | Axis parallel to X axis Axis parallel to Y axis Axis parallel to Z axis
X Y Z | X axis Y axis Z axis
* | End of block

Contour cycles

Sequence of program steps for machining with several tools
List of subcontour programs | G37 P01 ...
Define contour data | G120 Q1 ...
Define/Call drill Contour cycle: pilot drilling Cycle call | G121 Q10 ...
Define/Call roughing mill Contour cycle: rough-out Cycle call | G122 Q10 ...
Define/Call finishing mill Contour cycle: floor finishing Cycle call | G123 Q11 ...
Define/Call finishing mill Contour cycle: side finishing Cycle call | G124 Q11 ...
End of main program, return | M02
Contour subprograms | G98 ... G98 L0

Radius compensation of the contour subprograms

Contour | Programming sequence of the contour elements | Radius compensation
Internal (pocket) | Clockwise (CW) Counterclockwise (CCW) | G42 (RR) G41 (RL)
External (island) | Clockwise (CW) Counterclockwise (CCW) | G41 (RL) G42 (RR)

Coordinate transformation

Coordinate transformation | Activate | Cancel
Datum shift | G54 X+20 Y+30 Z+10 | G54 X0 Y0 Z0
Mirroring | G28 X | G28
Rotation | G73 H+45 | G73 H+0
Scaling factor | G72 F 0.8 | G72 F1
Working plane | G80 A+10 B+10 C+15 | G80
Working plane | PLANE ... | PLANE RESET

Q-parameter definitions

D | Function
00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 19 | Assignment Addition Subtraction Multiplication Division Root Sine Cosine Root sum of squares c = √ a2+b2 If equal, go to label number If not equal, go to label number If greater than, go to label number If less than, go to label number Angle from c sin a and c cos a Error number Print Assignment PLC